DROP TABLE IF EXISTS `lo1t2_assets`;
CREATE TABLE `lo1t2_assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=256 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_assets
(`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES 
('1', '0', '1', '586', '0', 'root.1', 'Root Asset', '{\"core.login.site\":{\"6\":1,\"2\":1},\"core.login.admin\":{\"6\":1},\"core.login.offline\":[],\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.create\":{\"6\":1,\"3\":1},\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1},\"core.edit.own\":{\"6\":1,\"3\":1}}'),
('2', '1', '2', '3', '1', 'com_admin', 'com_admin', '{}'),
('3', '1', '4', '13', '1', 'com_banners', 'com_banners', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('4', '1', '14', '15', '1', 'com_cache', 'com_cache', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
('5', '1', '16', '17', '1', 'com_checkin', 'com_checkin', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
('6', '1', '18', '19', '1', 'com_config', 'com_config', '{}'),
('7', '1', '20', '91', '1', 'com_contact', 'com_contact', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('8', '1', '92', '399', '1', 'com_content', 'com_content', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1},\"core.edit.own\":[]}'),
('9', '1', '400', '401', '1', 'com_cpanel', 'com_cpanel', '{}'),
('10', '1', '402', '403', '1', 'com_installer', 'com_installer', '{\"core.admin\":{\"7\":0},\"core.manage\":{\"7\":0},\"core.delete\":{\"7\":0},\"core.edit.state\":{\"7\":0}}'),
('11', '1', '404', '405', '1', 'com_languages', 'com_languages', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('12', '1', '406', '407', '1', 'com_login', 'com_login', '{}'),
('13', '1', '408', '409', '1', 'com_mailto', 'com_mailto', '{}'),
('14', '1', '410', '411', '1', 'com_massmail', 'com_massmail', '{}'),
('15', '1', '412', '413', '1', 'com_media', 'com_media', '{\"core.admin\":{\"7\":0},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1},\"core.delete\":{\"5\":1}}'),
('16', '1', '414', '415', '1', 'com_menus', 'com_menus', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('17', '1', '39', '40', '1', 'com_messages', 'com_messages', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"7\":1}}'),
('18', '1', '418', '457', '1', 'com_modules', 'com_modules', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('19', '1', '458', '465', '1', 'com_newsfeeds', 'com_newsfeeds', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('20', '1', '466', '467', '1', 'com_plugins', 'com_plugins', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('21', '1', '468', '469', '1', 'com_redirect', 'com_redirect', '{\"core.admin\":{\"7\":1},\"core.manage\":[]}'),
('22', '1', '470', '471', '1', 'com_search', 'com_search', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1}}'),
('23', '1', '472', '473', '1', 'com_templates', 'com_templates', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('24', '1', '474', '475', '1', 'com_users', 'com_users', '{\"core.admin\":{\"7\":1},\"core.manage\":[],\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('25', '1', '476', '493', '1', 'com_weblinks', 'com_weblinks', '{\"core.admin\":{\"7\":1},\"core.manage\":{\"6\":1},\"core.create\":{\"3\":1,\"10\":0,\"12\":0},\"core.delete\":[],\"core.edit\":{\"4\":1},\"core.edit.state\":{\"5\":1}}'),
('26', '1', '494', '495', '1', 'com_wrapper', 'com_wrapper', '{}'),
('34', '8', '109', '112', '2', 'com_content.category.9', 'Uncategorised', '{\"core.create\":{\"10\":0,\"12\":0},\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('35', '3', '7', '8', '2', 'com_banners.category.10', 'Uncategorised', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('36', '7', '25', '26', '2', 'com_contact.category.11', 'Uncategorised', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('37', '19', '461', '462', '2', 'com_newsfeeds.category.12', 'Uncategorised', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('38', '25', '483', '484', '2', 'com_weblinks.category.13', 'Uncategorised', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('39', '8', '113', '304', '2', 'com_content.category.14', 'Sample Data-Articles', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('40', '3', '9', '10', '2', 'com_banners.category.15', 'Sample Data-Banners', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('41', '7', '27', '88', '2', 'com_contact.category.16', 'Sample Data-Contact', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('42', '19', '463', '464', '2', 'com_newsfeeds.category.17', 'Sample Data-Newsfeeds', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('43', '25', '485', '492', '2', 'com_weblinks.category.18', 'Sample Data-Weblinks', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('44', '39', '114', '249', '3', 'com_content.category.19', 'Joomla!', '{\"core.create\":{\"10\":0,\"12\":0},\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('45', '44', '115', '226', '4', 'com_content.category.20', 'Extensions', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('46', '45', '116', '131', '5', 'com_content.category.21', 'Components', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('47', '45', '132', '191', '5', 'com_content.category.22', 'Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('48', '45', '192', '203', '5', 'com_content.category.23', 'Templates', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('49', '45', '204', '205', '5', 'com_content.category.24', 'Languages', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('50', '45', '206', '221', '5', 'com_content.category.25', 'Plugins', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('51', '39', '250', '281', '3', 'com_content.category.26', 'Park Site', '{\"core.create\":{\"10\":0,\"12\":0},\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('52', '51', '251', '256', '4', 'com_content.category.27', 'Park Blog', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('53', '51', '257', '278', '4', 'com_content.category.28', 'Photo Gallery', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('54', '39', '282', '295', '3', 'com_content.category.29', 'Fruit Shop Site', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('55', '54', '283', '288', '4', 'com_content.category.30', 'Growers', '{\"core.create\":{\"12\":0},\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":{\"10\":1}}'),
('56', '43', '486', '487', '3', 'com_weblinks.category.31', 'Park Links', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('57', '43', '488', '491', '3', 'com_weblinks.category.32', 'Joomla! Specific Links', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');

INSERT INTO lo1t2_assets
(`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES 
('58', '57', '489', '490', '4', 'com_weblinks.category.33', 'Other Resources', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('59', '41', '28', '29', '3', 'com_contact.category.34', 'Park Site', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('60', '41', '30', '87', '3', 'com_contact.category.35', 'Shop Site', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('61', '60', '31', '32', '4', 'com_contact.category.36', 'Staff', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('62', '60', '33', '86', '4', 'com_contact.category.37', 'Fruit Encyclopedia', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('63', '62', '34', '35', '5', 'com_contact.category.38', 'A', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('64', '62', '36', '37', '5', 'com_contact.category.39', 'B', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('65', '62', '38', '39', '5', 'com_contact.category.40', 'C', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('66', '62', '40', '41', '5', 'com_contact.category.41', 'D', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('67', '62', '42', '43', '5', 'com_contact.category.42', 'E', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('68', '62', '44', '45', '5', 'com_contact.category.43', 'F', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('69', '62', '46', '47', '5', 'com_contact.category.44', 'G', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('70', '62', '48', '49', '5', 'com_contact.category.45', 'H', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('71', '62', '50', '51', '5', 'com_contact.category.46', 'I', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('72', '62', '52', '53', '5', 'com_contact.category.47', 'J', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('73', '62', '54', '55', '5', 'com_contact.category.48', 'K', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('74', '62', '56', '57', '5', 'com_contact.category.49', 'L', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('75', '62', '58', '59', '5', 'com_contact.category.50', 'M', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('76', '62', '60', '61', '5', 'com_contact.category.51', 'N', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('77', '62', '62', '63', '5', 'com_contact.category.52', 'O', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('78', '62', '64', '65', '5', 'com_contact.category.53', 'P', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('79', '62', '66', '67', '5', 'com_contact.category.54', 'Q', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('80', '62', '68', '69', '5', 'com_contact.category.55', 'R', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('81', '62', '70', '71', '5', 'com_contact.category.56', 'S', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('82', '62', '72', '73', '5', 'com_contact.category.57', 'T', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('83', '62', '74', '75', '5', 'com_contact.category.58', 'U', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('84', '62', '76', '77', '5', 'com_contact.category.59', 'V', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('85', '62', '78', '79', '5', 'com_contact.category.60', 'W', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('86', '62', '80', '81', '5', 'com_contact.category.61', 'X', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('87', '62', '82', '83', '5', 'com_contact.category.62', 'Y', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('88', '62', '84', '85', '5', 'com_contact.category.63', 'Z', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('89', '46', '117', '118', '6', 'com_content.article.1', 'Administrator Components', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('90', '93', '134', '135', '7', 'com_content.article.2', 'Archive Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('91', '93', '136', '137', '7', 'com_content.article.3', 'Article Categories Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('92', '93', '138', '139', '7', 'com_content.article.4', 'Articles Category Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('93', '47', '133', '148', '6', 'com_content.category.64', 'Content Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('94', '47', '149', '156', '6', 'com_content.category.65', 'User Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('95', '47', '157', '170', '6', 'com_content.category.66', 'Display Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('96', '47', '171', '182', '6', 'com_content.category.67', 'Utility Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('97', '48', '193', '194', '6', 'com_content.category.68', 'Atomic', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('98', '48', '195', '196', '6', 'com_content.category.69', 'Beez 20', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('99', '48', '197', '198', '6', 'com_content.category.70', 'Beez5', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('100', '48', '199', '200', '6', 'com_content.category.71', 'Milky Way', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('101', '50', '207', '208', '6', 'com_content.article.5', 'Authentication', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('102', '51', '279', '280', '4', 'com_content.article.6', 'Australian Parks ', '{\"core.delete\":[],\"core.edit\":{\"2\":1},\"core.edit.state\":[]}'),
('103', '95', '158', '159', '7', 'com_content.article.7', 'Banner Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('104', '44', '227', '228', '4', 'com_content.article.8', 'Beginners', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('105', '46', '119', '120', '6', 'com_content.article.9', 'Contact', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('106', '46', '121', '122', '6', 'com_content.article.10', 'Content', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('107', '109', '269', '270', '6', 'com_content.article.11', 'Cradle Mountain', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');

INSERT INTO lo1t2_assets
(`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES 
('108', '53', '258', '267', '5', 'com_content.category.72', 'Animals', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('109', '53', '268', '277', '5', 'com_content.category.73', 'Scenery', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('110', '95', '160', '161', '7', 'com_content.article.12', 'Custom HTML Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('111', '54', '289', '290', '4', 'com_content.article.13', 'Directions', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('112', '50', '209', '210', '6', 'com_content.article.14', 'Editors', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('113', '50', '211', '212', '6', 'com_content.article.15', 'Editors-xtd', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('114', '95', '162', '163', '7', 'com_content.article.16', 'Feed Display', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('115', '52', '252', '253', '5', 'com_content.article.17', 'First Blog Post', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('116', '52', '254', '255', '5', 'com_content.article.18', 'Second Blog Post', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('117', '95', '164', '165', '7', 'com_content.article.19', 'Footer Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('118', '54', '291', '292', '4', 'com_content.article.20', 'Fruit Shop', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('119', '44', '229', '230', '4', 'com_content.article.21', 'Getting Help', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('120', '44', '231', '232', '4', 'com_content.article.22', 'Getting Started', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('121', '55', '284', '285', '5', 'com_content.article.23', 'Happy Orange Orchard', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('122', '44', '233', '234', '4', 'com_content.article.24', 'Joomla!', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('123', '108', '259', '260', '6', 'com_content.article.25', 'Koala', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('124', '96', '172', '173', '7', 'com_content.article.26', 'Language Switcher', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('125', '93', '140', '141', '7', 'com_content.article.27', 'Latest Articles Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('126', '94', '150', '151', '7', 'com_content.article.28', 'Login Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('127', '166', '186', '187', '7', 'com_content.article.29', 'Menu Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('128', '93', '142', '143', '7', 'com_content.article.30', 'Most Read Content', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('129', '93', '144', '145', '7', 'com_content.article.31', 'News Flash', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('130', '44', '235', '236', '4', 'com_content.article.32', 'Parameters', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('131', '108', '261', '262', '6', 'com_content.article.33', 'Phyllopteryx', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('132', '109', '271', '272', '6', 'com_content.article.34', 'Pinnacles', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('133', '44', '237', '238', '4', 'com_content.article.35', 'Professionals', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('134', '95', '166', '167', '7', 'com_content.article.36', 'Random Image Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('135', '93', '146', '147', '7', 'com_content.article.37', 'Related Items Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('136', '44', '239', '240', '4', 'com_content.article.38', 'Sample Sites', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('137', '46', '123', '124', '6', 'com_content.article.39', 'Search', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('138', '96', '174', '175', '7', 'com_content.article.40', 'Search Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('139', '50', '213', '214', '6', 'com_content.article.41', 'Search ', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('140', '39', '296', '297', '3', 'com_content.article.42', 'Site Map', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('141', '108', '263', '264', '6', 'com_content.article.43', 'Spotted Quoll', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('142', '96', '176', '177', '7', 'com_content.article.44', 'Statistics Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('143', '96', '178', '179', '7', 'com_content.article.45', 'Syndicate Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('144', '50', '215', '216', '6', 'com_content.article.46', 'System', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('145', '44', '241', '242', '4', 'com_content.article.47', 'The Joomla! Community', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('146', '44', '243', '244', '4', 'com_content.article.48', 'The Joomla! Project', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('147', '48', '201', '202', '6', 'com_content.article.49', 'Typography', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('148', '44', '245', '246', '4', 'com_content.article.50', 'Upgraders', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('149', '50', '217', '218', '6', 'com_content.article.51', 'User', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('150', '46', '125', '126', '6', 'com_content.article.52', 'Users', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('151', '44', '247', '248', '4', 'com_content.article.53', 'Using Joomla!', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('152', '46', '127', '128', '6', 'com_content.article.54', 'Weblinks', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('153', '95', '168', '169', '7', 'com_content.article.55', 'Weblinks Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('154', '94', '152', '153', '7', 'com_content.article.56', 'Who\'s Online', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('155', '108', '265', '266', '6', 'com_content.article.57', 'Wobbegone', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('156', '55', '286', '287', '5', 'com_content.article.58', 'Wonderful Watermelon', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('157', '96', '180', '181', '7', 'com_content.article.59', 'Wrapper Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');

INSERT INTO lo1t2_assets
(`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES 
('158', '46', '129', '130', '6', 'com_content.article.60', 'News Feeds', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('159', '166', '188', '189', '7', 'com_content.article.61', 'Breadcrumbs Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('160', '50', '219', '220', '6', 'com_content.article.62', 'Content', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('162', '109', '273', '274', '6', 'com_content.article.64', 'Blue Mountain Rain Forest', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('163', '109', '275', '276', '6', 'com_content.article.65', 'Ormiston Pound', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('165', '94', '154', '155', '7', 'com_content.article.66', 'Latest Users Module', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('166', '47', '185', '190', '6', 'com_content.category.75', 'Navigation Modules', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('167', '54', '293', '294', '4', 'com_content.category.76', 'Recipes', '{\"core.create\":{\"12\":1,\"10\":1},\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":{\"12\":1,\"10\":1}}'),
('168', '34', '110', '111', '3', 'com_content.article.67', 'What\'s New in 1.5?', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('169', '8', '305', '398', '2', 'com_content.category.77', 'Template Details', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('170', '169', '306', '321', '3', 'com_content.category.78', 'Design & Features', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('171', '169', '322', '353', '3', 'com_content.category.79', 'Advanced Stuff', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('172', '169', '354', '365', '3', 'com_content.category.80', 'General', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('173', '169', '366', '381', '3', 'com_content.category.81', 'Layout Variations', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('174', '169', '382', '383', '3', 'com_content.category.82', 'Testimonials', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('175', '169', '384', '397', '3', 'com_content.category.83', 'Menu Styles', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('176', '170', '307', '308', '4', 'com_content.article.68', 'Color Variations in the PRO Edition', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('177', '170', '309', '310', '4', 'com_content.article.69', 'Font Styles', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('178', '170', '311', '312', '4', 'com_content.article.70', 'JSN One Design & Features', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('179', '170', '313', '314', '4', 'com_content.article.71', 'Layout', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('180', '170', '315', '316', '4', 'com_content.article.72', 'Menu Styles', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('181', '170', '317', '318', '4', 'com_content.article.73', 'Module Styles', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('182', '170', '319', '320', '4', 'com_content.article.74', 'Typography', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('183', '171', '323', '324', '4', 'com_content.article.75', 'CSS/JS Compression', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('184', '171', '325', '326', '4', 'com_content.article.76', 'Docs & Support', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('185', '171', '327', '328', '4', 'com_content.article.77', 'Easy to Start', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('186', '171', '329', '330', '4', 'com_content.article.78', 'Extended styles', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('187', '171', '331', '332', '4', 'com_content.article.79', 'Image Gallery', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('188', '171', '333', '334', '4', 'com_content.article.80', 'Flash Gallery Alternative', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('189', '171', '335', '336', '4', 'com_content.article.81', 'Joomla! 2.5 & Joomla! 3.x Support', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('190', '171', '337', '338', '4', 'com_content.article.82', 'Mobile Ready in the PRO Edition', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('191', '171', '339', '340', '4', 'com_content.article.83', 'Multilingual Support', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('192', '171', '341', '342', '4', 'com_content.article.84', 'Painless Configuration ', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('193', '171', '343', '344', '4', 'com_content.article.85', 'RTL Layout Support', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('194', '171', '345', '346', '4', 'com_content.article.86', 'Flexible layout', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('195', '173', '367', '368', '4', 'com_content.article.87', 'Layout variation Center | Innerright | Right ', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('196', '173', '369', '370', '4', 'com_content.article.88', 'Layout variation Innerleft | Center | Right ', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('197', '173', '371', '372', '4', 'com_content.article.89', 'Layout variation Left | Center | Innerright ', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('198', '173', '373', '374', '4', 'com_content.article.90', 'Layout variation Left | Center | Right', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('199', '173', '375', '376', '4', 'com_content.article.91', 'Layout variation Left | Innerleft | Center', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('200', '173', '377', '378', '4', 'com_content.article.92', 'Main content only', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('201', '175', '385', '386', '4', 'com_content.article.93', 'Main Menu', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('202', '175', '387', '388', '4', 'com_content.article.94', 'Rich Menu', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('203', '175', '389', '390', '4', 'com_content.article.95', 'Side Menu', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('204', '175', '391', '392', '4', 'com_content.article.96', 'Side Menu RTL', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('205', '175', '393', '394', '4', 'com_content.article.97', 'Top Menu', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('206', '175', '395', '396', '4', 'com_content.article.98', 'Tree Menu', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('207', '171', '347', '348', '4', 'com_content.article.99', 'JSN One Advanced Stuff', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('208', '171', '349', '350', '4', 'com_content.article.100', 'K2 Support', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('209', '172', '355', '356', '4', 'com_content.article.101', 'JSN One Product Tour', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}');

INSERT INTO lo1t2_assets
(`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES 
('210', '172', '357', '358', '4', 'com_content.article.102', '5 reasons to choose JSN One', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('211', '172', '359', '360', '4', 'com_content.article.103', 'Welcome to JSN Force', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('212', '172', '361', '362', '4', 'com_content.article.104', 'JSN One Showcase', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('213', '3', '11', '12', '2', 'com_banners.category.84', 'Promo', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('214', '1', '558', '559', '1', 'com_imageshow', 'com_imageshow', '{}'),
('215', '7', '89', '90', '2', 'com_contact.category.85', 'Contacts', '{\"core.create\":[],\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[],\"core.edit.own\":[]}'),
('216', '173', '379', '380', '4', 'com_content.article.105', 'Main content only (2)', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('219', '45', '222', '223', '5', 'com_content.article.106', 'Form Builder', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('220', '45', '224', '225', '5', 'com_content.article.107', 'Thanks for filling out form', '{\"core.delete\":[],\"core.edit\":[],\"core.edit.state\":[]}'),
('221', '1', '560', '561', '1', 'com_uniform', 'uniform', '{}'),
('222', '39', '300', '301', '3', 'com_content.article.108', 'JSN PowerAdmin - Managing your Joomla website can’t be easier', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('224', '172', '363', '364', '4', 'com_content.article.109', 'Welcome', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('225', '1', '562', '563', '1', 'com_mobilize', 'mobilize', '{}'),
('226', '171', '351', '352', '4', 'com_content.article.110', 'Website Mobilizing', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('227', '1', '564', '565', '1', 'com_joomlaupdate', 'com_joomlaupdate', '{\"core.admin\":{\"8\":1},\"core.manage\":{\"7\":1},\"core.delete\":{\"6\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('228', '1', '566', '567', '1', 'com_finder', 'com_finder', '{}'),
('229', '1', '568', '569', '1', 'com_tags', 'com_tags', '{}'),
('230', '1', '570', '571', '1', 'com_contenthistory', 'com_contenthistory', '{}'),
('231', '1', '572', '573', '1', 'com_ajax', 'com_ajax', '{}'),
('232', '1', '574', '575', '1', 'com_postinstall', 'com_postinstall', '{}'),
('233', '18', '419', '420', '2', 'com_modules.module.206', 'JSN imageshow Quick Icons', ''),
('234', '1', '576', '577', '1', 'com_poweradmin', 'poweradmin', '{}'),
('235', '18', '421', '422', '2', 'com_modules.module.283', 'JSN PowerAdmin Quick Icons', ''),
('236', '18', '423', '424', '2', 'com_modules.module.279', 'Featured Products', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('237', '18', '425', '426', '2', 'com_modules.module.281', 'New Products', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('238', '18', '427', '428', '2', 'com_modules.module.284', 'Promo Products', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('239', '18', '429', '430', '2', 'com_modules.module.267', 'Newsletter', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('240', '18', '431', '432', '2', 'com_modules.module.269', 'JoomlaShine copyright', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('241', '18', '433', '434', '2', 'com_modules.module.99', 'Joomla! Copyright', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('242', '18', '435', '436', '2', 'com_modules.module.277', 'Demo Builder Button', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('244', '18', '437', '438', '2', 'com_modules.module.271', 'JSN Force Demo Assets', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('246', '39', '302', '303', '3', 'com_content.article.111', 'JSN PageBuilder - The Easiest Way to Build Joomla Pages', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('247', '18', '439', '440', '2', 'com_modules.module.141', 'Menu', '{\"core.delete\":{\"6\":1},\"core.edit\":{\"6\":1,\"4\":1},\"core.edit.state\":{\"6\":1,\"5\":1}}'),
('248', '18', '441', '442', '2', 'com_modules.module.285', 'Popular Tags', ''),
('249', '18', '443', '444', '2', 'com_modules.module.286', 'JSN ImageShow', ''),
('250', '18', '445', '446', '2', 'com_modules.module.287', 'JSN UniForm', ''),
('251', '18', '447', '448', '2', 'com_modules.module.288', 'Multilanguage status', ''),
('252', '18', '449', '450', '2', 'com_modules.module.289', 'Joomla Version', ''),
('253', '18', '451', '452', '2', 'com_modules.module.290', 'Site Information', ''),
('254', '18', '453', '454', '2', 'com_modules.module.291', 'JSN imageshow Quick Icons', ''),
('255', '18', '455', '456', '2', 'com_modules.module.292', 'JSN PowerAdmin Quick Icons', '');

DROP TABLE IF EXISTS `lo1t2_associations`;
CREATE TABLE `lo1t2_associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_banner_clients`;
CREATE TABLE `lo1t2_banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` text NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_banner_clients
(`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES 
('1', 'Joomla!', 'Administrator', 'email@email.com', '', '1', '0', '0000-00-00 00:00:00', '', '0', '', '-1', '-1', '-1');

DROP TABLE IF EXISTS `lo1t2_banner_tracks`;
CREATE TABLE `lo1t2_banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_banners`;
CREATE TABLE `lo1t2_banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` text NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `params` text NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_banners
(`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES 
('2', '1', '0', 'Shop 1', 'shop-1', '0', '16', '0', 'http://shop.joomla.org/amazoncom-bookstores.html', '1', '15', 'Get books about Joomla! at the Joomla! book shop.', '', '0', '1', '', '{\"imageurl\":\"images\\/banners\\/shop-ad-books.jpg\",\"width\":\"\",\"height\":\"\",\"alt\":\"Joomla! Books\"}', '0', '', '-1', '0', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', '0', '', '0000-00-00 00:00:00', '0', '1'),
('3', '1', '0', 'Shop 2', 'shop-2', '0', '22', '0', 'http://shop.joomla.org', '1', '15', 'T Shirts, caps and more from the Joomla! Shop.', '', '0', '2', '', '{\"imageurl\":\"images\\/banners\\/shop-ad.jpg\",\"width\":\"\",\"height\":\"\",\"alt\":\"Joomla! Shop\"}', '0', '', '-1', '0', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-01-01 00:00:01', 'en-GB', '0', '', '0000-00-00 00:00:00', '0', '1'),
('4', '1', '0', 'Support Joomla!', 'support-joomla', '0', '19', '0', 'http://contribute.joomla.org', '1', '15', 'Your contributions of time, talent and money make Joomla! possible.', '', '0', '3', '', '{\"imageurl\":\"images\\/banners\\/white.png\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}', '0', '', '-1', '0', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB', '0', '', '0000-00-00 00:00:00', '0', '1'),
('5', '1', '1', 'Product Tour', 'product-tour', '0', '291', '4', 'index.php?option=com_content&view=article&id=101&Itemid=497', '1', '84', '', '<a title=\"Product Tour\" target=\"_one\" href=\"index.php?option=com_content&view=article&id=101&Itemid=497\"><img alt=\"Product Tour\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/banners/product-tour.jpg\"/></a>', '0', '1', '', '{\"imageurl\":\"images\\/banners\\/product-tour.jpg\",\"width\":\"\",\"height\":\"\",\"alt\":\"\"}', '0', '', '1', '0', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2011-04-01 08:32:43', '*', '0', '', '0000-00-00 00:00:00', '0', '1');

DROP TABLE IF EXISTS `lo1t2_categories`;
CREATE TABLE `lo1t2_categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned DEFAULT NULL,
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_categories
(`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES 
('1', '0', '0', '0', '151', '0', '', 'system', 'ROOT', 'root', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{}', '', '', '', '0', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('9', '34', '1', '131', '132', '1', 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('10', '35', '1', '129', '130', '1', 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('11', '36', '1', '125', '126', '1', 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('12', '37', '1', '61', '62', '1', 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('13', '38', '1', '57', '58', '1', 'uncategorised', 'com_weblinks', 'Uncategorised', 'uncategorised', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('14', '39', '1', '9', '56', '1', 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('15', '40', '1', '127', '128', '1', 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\",\"foobar\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('16', '41', '1', '63', '124', '1', 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('17', '42', '1', '59', '60', '1', 'sample-data-newsfeeds', 'com_newsfeeds', 'Sample Data-Newsfeeds', 'sample-data-newsfeeds', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('18', '43', '1', '1', '8', '1', 'sample-data-weblinks', 'com_weblinks', 'Sample Data-Weblinks', 'sample-data-weblinks', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('19', '44', '14', '10', '39', '2', 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('20', '45', '19', '11', '38', '3', 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. TheÂ <a href=\"http://extensions.joomla.org\" style=\"color: #1b57b1; text-decoration: none; font-weight: normal;\">Joomla! Extensions Directory</a> is the largest directory of Joomla! extensions.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('21', '46', '20', '12', '13', '4', 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img src=\"administrator/templates/bluestork/images/header/icon-48-component.png\" class=\"image-left\" alt=\"Component Image\" />Components are larger extensions that produce the major content for your site. Each component has one or more \"views\" that control how content is displayed.In the Joomla! administrator there are additional extensions suce as Menus, Redirection, and the extension managers.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('22', '47', '20', '14', '25', '4', 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img src=\"administrator/templates/bluestork/images/header/icon-48-module.png\" alt=\"Media Image\" class=\"image-left\" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 17 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('23', '48', '20', '26', '33', '4', 'sample-data-articles/joomla/extensions/templates', 'com_content', 'Templates', 'templates', '', '<p><img src=\"administrator/templates/bluestork/images/header/icon-48-themes.png\" border=\"0\" alt=\"Media Image\" align=\"left\" />Templates give your site its look and feel. They determine layout, colors, type faces, graphics and other aspects of design that make your site unique. Your installation of Joomla comes prepackaged with four templates. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Template_Manager_Templates\">Help</a></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-10 04:42:02', '0', '*', '1'),
('24', '49', '20', '34', '35', '4', 'sample-data-articles/joomla/extensions/languages', 'com_content', 'Languages', 'languages', '', '<p><img src=\"administrator/templates/bluestork/images/header/icon-48-language.png\" border=\"0\" alt=\"Languages Image\" align=\"left\" />Joomla! installs in English, but translations of the interfaces, sample data and help screens are available in dozens of languages. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Language_Manager_Installed\">Help</a></p>\n<p><a href=\"http://community.joomla.org/translations.html\">Translation information</a></p>\n<p>If there is no language pack available for your language, instructions are available for creating your own translation, which you can also contribute to the community by starting a translation team to create an accredited translation.</p>\n<p>Translations of the interfaces are installed using the extensions manager in the site administrator and then managed using the language manager.</p>\n<p>If you have two or more languages installed you may enable the language switcher plugin and module. They should always be used together. If you create multilingual content and mark your content, menu items or modules as in specific languages and follow <a href=\"http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6\">the complete instructions</a> your users will be able to select a specific content language using the module. By default both the plugin and module are disabled.</p>\n<p>There are a number of extensions that can help you manage translations of content available in the<a href=\"http://extensions.joomla.org\"> Joomla! Extensions Directory</a>.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-10 04:07:45', '0', '*', '1'),
('25', '50', '20', '36', '37', '4', 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src=\"administrator/templates/bluestork/images/header/icon-48-plugin.png\" border=\"0\" alt=\"Plugin Image\" align=\"left\" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla!. Most beginning users do not need to change any of the plugins that install with Joomla!. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&keyref=Help16:Extensions_Plugin_Manager_Edit\">Help</a></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-10 04:05:05', '0', '*', '1'),
('26', '51', '14', '40', '49', '2', 'sample-data-articles/park-site', 'com_content', 'Park Site', 'park-site', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('27', '52', '26', '41', '42', '3', 'sample-data-articles/park-site/park-blog', 'com_content', 'Park Blog', 'park-blog', '', '<p><span style=\"font-size: 12px;\">Here is where I will blog all about the parks of Australia.</span></p>\n<p><em>You can make a blog on your website by creating a category to write you blog posts in (this one is called Park Blog). Each blog post will be an article in that category. If you make a category blog menu link with 1 column it will look like this page, if you display the category description (this part) displayed. </em></p>\n<p><em>To enhance your blog you may want to add Â extensions forÂ <a href=\"http://extensions.joomla.org/extensions/contacts-and-feedback/articles-comments\" style=\"color: #1b57b1; text-decoration: none; font-weight: normal;\">comments</a>,<a href=\"http://extensions.joomla.org/extensions/social-web\" style=\"color: #1b57b1; text-decoration: none; font-weight: normal;\"> interacting with social network sites</a>,Â <a href=\"http://extensions.joomla.org/extensions/content-sharing\" style=\"color: #1b57b1; text-decoration: none; font-weight: normal;\">tagging</a>, andÂ <a href=\"http://extensions.joomla.org/extensions/content-sharing\" style=\"color: #1b57b1; text-decoration: none; font-weight: normal;\">keeping in contact with your readers</a>.Â Â Â You will also enable the syndication that is included in Joomla! (in the Integration Options set Show Feed Link to Show an make sure to display the syndication module on the page).</em></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"images\\/sampledata\\/parks\\/banner_cradle.jpg\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('28', '53', '26', '43', '48', '3', 'sample-data-articles/park-site/photo-gallery', 'com_content', 'Photo Gallery', 'photo-gallery', '', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/banner_cradle.jpg\" border=\"0\" /></p>\n<p>These are my photos from parks I have visited (I didn\'t take them, they are all from <a href=\"http://commons.wikimedia.org/wiki/Main_Page\">Wikimedia Commons</a>).</p>\n<p><em>This shows you how to make a simple image gallery using articles in com_content. </em></p>\n<p><em>In each article put a thumbnail image before a \"readmore\" and the full size image after it. Set the article to Show Intro Text: Hide. </em></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('29', '54', '14', '50', '55', '2', 'sample-data-articles/fruit-shop-site', 'com_content', 'Fruit Shop Site', 'fruit-shop-site', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('30', '55', '29', '51', '52', '3', 'sample-data-articles/fruit-shop-site/growers', 'com_content', 'Growers', 'growers', '', '<p>We search the whole countryside for the best fruit growers.</p>\n<p><em>You can let each supplier have a page that he or she can edit. To see this in action you will need to create a users who is in the suppliers group. Â <br />Create one page in the growers category for that user and make that supplier the author of the page. Â That user will be able to edit his or her page. </em></p>\n<p><em>This illustrates the use of the Edit Own permission. </em></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('31', '56', '18', '2', '3', '2', 'sample-data-weblinks/park-links', 'com_weblinks', 'Park Links', 'park-links', '', '<p>Here are links to some of my favorite parks.</p>\n<p><em>The weblinks component provides an easy way to make links to external sites that are consistently formatted and categorised. You can create weblinks from the front end of your site.</em></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"images\\/sampledata\\/parks\\/banner_cradle.jpg\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('32', '57', '18', '4', '7', '2', 'sample-data-weblinks/joomla-specific-links', 'com_weblinks', 'Joomla! Specific Links', 'joomla-specific-links', '', '<p><div style=\"font-family: Tahoma, Helvetica, Arial, sans-serif; font-size: 76%; background-color: #ffffff; background-image: initial; background-attachment: initial; background-origin: initial; background-clip: initial; line-height: 1.3em; color: #333333;\"><p>A selection of links that are all related to the Joomla! Project.</p></div></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('33', '58', '32', '5', '6', '3', 'sample-data-weblinks/joomla-specific-links/other-resources', 'com_weblinks', 'Other Resources', 'other-resources', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('34', '59', '16', '64', '65', '2', 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('35', '60', '16', '66', '123', '2', 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('36', '61', '35', '67', '68', '3', 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('37', '62', '35', '69', '122', '3', 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p>Â </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href=\"http://commons.wikimedia.org/wiki/Main_Page\">Wikimedia Commons</a>.</p><p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/fruitshop/apple.jpg\" border=\"0\" alt=\"Apples\" title=\"Apples\" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p>Â </p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('38', '63', '37', '70', '71', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('39', '64', '37', '72', '73', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('40', '65', '37', '74', '75', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('41', '66', '37', '76', '77', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('42', '67', '37', '78', '79', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', '0', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('43', '68', '37', '80', '81', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('44', '69', '37', '82', '83', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('45', '70', '37', '84', '85', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', '0', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('46', '71', '37', '86', '87', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('47', '72', '37', '88', '89', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('48', '73', '37', '90', '91', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('49', '74', '37', '92', '93', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('50', '75', '37', '94', '95', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('51', '76', '37', '96', '97', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('52', '77', '37', '98', '99', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('53', '78', '37', '100', '101', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('54', '79', '37', '102', '103', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('55', '80', '37', '104', '105', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('56', '81', '37', '106', '107', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('57', '82', '37', '108', '109', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1');

INSERT INTO lo1t2_categories
(`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES 
('58', '83', '37', '110', '111', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('59', '84', '37', '112', '113', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('60', '85', '37', '114', '115', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('61', '86', '37', '116', '117', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('62', '87', '37', '118', '119', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('63', '88', '37', '120', '121', '4', 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('64', '93', '22', '15', '16', '5', 'sample-data-articles/joomla/extensions/modules/articles-modules', 'com_content', 'Content Modules', 'articles-modules', '', '<p>Content modules display article and other information from the content component.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('65', '94', '22', '17', '18', '5', 'sample-data-articles/joomla/extensions/modules/user-modules', 'com_content', 'User Modules', 'user-modules', '', '<p>User modules interact with the user system, allowing users to login, showing who is logged in, and showing the most recently registered users.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('66', '95', '22', '19', '20', '5', 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('67', '96', '22', '21', '22', '5', 'sample-data-articles/joomla/extensions/modules/utility-modules', 'com_content', 'Utility Modules', 'utility-modules', '', '<p>Utility modules provide useful functionality such as search, syndication, and statistics.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '0', '2011-01-01 00:00:01', '0', '*', '1'),
('68', '97', '23', '31', '32', '5', 'sample-data-articles/joomla/extensions/templates/atomic', 'com_content', 'Atomic', 'atomic', '', '<p>Atomic is a minimal template designed to be a skeleton for making your own template and to learn about Joomla! templating.</p>\n<p><img src=\"templates/atomic/template_thumbnail.png\" border=\"0\" alt=\"The Atomic Template\" style=\"border: 0; float: right;\" /></p>\n<p>Â </p>\n<ul>\n<li><a href=\"index.php?Itemid=285\">Home Page</a></li>\n<li><a href=\"index.php?Itemid=316\">Typography</a></li>\n</ul>\n<p>Â </p>\n<p>Â </p>\n<p><br /><br /></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('69', '98', '23', '27', '28', '5', 'sample-data-articles/joomla/extensions/templates/beez-20', 'com_content', 'Beez 20', 'beez-20', '', '<p><img src=\"templates/beez_20/template_thumbnail.png\" border=\"0\" alt=\"Beez_20 thumbnail\" align=\"right\" style=\"float: right; margin: 5px,80px,5px,25px;\" /></p>\n<p>Beez 2.0 is a versatile, easy to customize template that works for a variety of sites. It meets major accessibilityÂ standards and demonstrates a range of css and javascript techniques. It is the default template that installs with Joomla!</p>\n<ul>\n<li><a href=\"index.php?Itemid=424\">Home Page</a></li>\n<li><a href=\"index.php?Itemid=423\">Typography</a></li>\n</ul>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('70', '99', '23', '29', '30', '5', 'sample-data-articles/joomla/extensions/templates/beez5', 'com_content', 'Beez5', 'beez5', '', '<p><img src=\"templates/beez5/template_thumbnail.png\" border=\"0\" alt=\"Beez5 Thumbnail\" align=\"right\" style=\"float: right;\" /></p>\n<p>Â </p>\n<p>Beez 5 is an html5 implementation of a Joomla! template. It uses a number of html5 techniques to enhance the presentation of a site. It is used as the template for the Fruit Shop sample site.</p>\n<ul>\n<li><a href=\"index.php?Itemid=458\">Home Page</a></li>\n<li><a href=\"index.php?Itemid=457\">Typography</a></li>\n</ul>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('72', '108', '28', '44', '45', '4', 'sample-data-articles/park-site/photo-gallery/animals', 'com_content', 'Animals', 'animals', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('73', '109', '28', '46', '47', '4', 'sample-data-articles/park-site/photo-gallery/scenery', 'com_content', 'Scenery', 'scenery', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"target\":\"\",\"image\":\"\"}', '', '', '{\"page_title\":\"\",\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', 'en-GB', '1'),
('75', '166', '22', '23', '24', '5', 'sample-data-articles/joomla/extensions/modules/navigation-modules', 'com_content', 'Navigation Modules', 'navigation-modules', '', '<p>Navigation modules help your visitors move through your site and find what they need.</p>\n<p>Menus provide your site with structure and help your visitors navigate your site. Â Although they are all based on the same menu module, the variety of ways menus are used in the sample data show how flexible this module is.</p>\n<p>A menu can range from extremely simple (for example the top menu or the menu for the Australian Parks sample site) to extremely complex (for example the About Joomla! menu with its many levels). They can also be used for other types of presentation such as the site map linked from the \"This Site\" menu.</p>\n<p>Breadcrumbs provide users with information about where they are in a site.</p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('76', '167', '29', '53', '54', '3', 'sample-data-articles/fruit-shop-site/recipes', 'com_content', 'Recipes', 'recipes', '', '<p>Customers and suppliers can post their favorite recipes for fruit here.</p>\n<p>A good idea is to promote the use of metadata keywords to make finding other recipes for the same fruit easier.</p>\n<p><em>To see this in action, create a user assigned to the customer group and a user assigned to the suppliers group. These users will be able to create their own recipe pages and edit those pages. The will not be able to edit other users\' pages.</em><br /><br /></p>', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-01-01 00:00:01', '42', '2011-01-01 00:00:01', '0', '*', '1'),
('77', '169', '1', '133', '146', '1', 'template-details', 'com_content', 'Template Details', 'template-details', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:52:47', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('78', '170', '77', '134', '135', '2', 'template-details/design-a-features', 'com_content', 'Design & Features', 'design-a-features', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:53:14', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('79', '171', '77', '136', '137', '2', 'template-details/advanced-stuff', 'com_content', 'Advanced Stuff', 'advanced-stuff', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:53:27', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('80', '172', '77', '138', '139', '2', 'template-details/general', 'com_content', 'General', 'general', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:53:39', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('81', '173', '77', '140', '141', '2', 'template-details/layout-variations', 'com_content', 'Layout Variations', 'layout-variations', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:53:50', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('82', '174', '77', '142', '143', '2', 'template-details/testimonials', 'com_content', 'Testimonials', 'testimonials', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:53:58', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('83', '175', '77', '144', '145', '2', 'template-details/menu-styles', 'com_content', 'Menu Styles', 'menu-styles', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 02:54:08', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('84', '213', '1', '147', '148', '1', 'promo', 'com_banners', 'Promo', 'promo', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-01 08:36:56', '0', '0000-00-00 00:00:00', '0', '*', '1'),
('85', '215', '1', '149', '150', '1', 'contacts', 'com_contact', 'Contacts', 'contacts', '', 'Contact Details for this Web site', '-2', '0', '0000-00-00 00:00:00', '1', '{\"category_layout\":\"\",\"image\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '42', '2011-04-13 07:17:36', '0', '0000-00-00 00:00:00', '0', '*', '1');

DROP TABLE IF EXISTS `lo1t2_contact_details`;
CREATE TABLE `lo1t2_contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `con_position` varchar(255) DEFAULT NULL,
  `address` text,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` mediumtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL,
  `sortname2` varchar(255) NOT NULL,
  `sortname3` varchar(255) NOT NULL,
  `language` char(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_contact_details
(`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES 
('1', 'Contact Name Here', 'name', 'Position', 'Street Address', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', '<p>Information about or by the contact.</p>', 'images/powered_by.png', 'email@email.com', '1', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"1\",\"linka_name\":\"Twitter\",\"linka\":\"http:\\/\\/twitter.com\\/joomla\",\"linkb_name\":\"YouTube\",\"linkb\":\"http:\\/\\/www.youtube.com\\/user\\/joomla\",\"linkc_name\":\"Facebook\",\"linkc\":\"http:\\/\\/www.facebook.com\\/joomla\",\"linkd_name\":\"FriendFeed\",\"linkd\":\"http:\\/\\/friendfeed.com\\/joomla\",\"linke_name\":\"Scribed\",\"linke\":\"http:\\/\\/www.scribd.com\\/people\\/view\\/504592-joomla\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '16', '1', '', '', 'last', 'first', 'middle', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-08 17:39:00', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '1', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('2', 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', 'webmaster@example.com', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '34', '1', '', '', '', '', '', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '1', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('3', 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I\'m the owner of this store.</p>', '', '', '0', '1', '0', '0000-00-00 00:00:00', '2', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '36', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '1', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('4', 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', '', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"0\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '36', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '1', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('5', 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\nRights: Creative Commons Share Alike Unported 3.0\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\n<p>Â </p>', 'images/sampledata/fruitshop/bananas_2.jpg', '', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"show_with_link\",\"show_contact_list\":\"\",\"presentation_style\":\"plain\",\"show_name\":\"\",\"show_position\":\"1\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"1\",\"show_postcode\":\"\",\"show_country\":\"1\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"1\",\"linka_name\":\"Wikipedia: Banana English\",\"linka\":\"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana\",\"linkb_name\":\"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e\",\"linkb\":\"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE\",\"linkc_name\":\"Wikipedia:Banana Portugu\\u00eas\",\"linkc\":\"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana\",\"linkd_name\":\"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439\",\"linkd\":\"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"beez5:encyclopedia\"}', '0', '39', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('6', 'Apples', 'apples', 'Scientific Name: Malus gruvestica', 'Image Credit: Fievet\nRights: Public Domain\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', '', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"plain\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"1\",\"linka_name\":\"Wikipedia: Apples English\",\"linka\":\"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple\",\"linkb_name\":\"Wikipedia: Manzana Espa\\u00f1ol \",\"linkb\":\"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana\",\"linkc_name\":\"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587\",\"linkc\":\"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c\",\"linkd_name\":\"Wikipedia: Tofaa Kiswahili\",\"linkd\":\"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"beez5:encyclopedia\"}', '0', '38', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('7', 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen KÃ¶hler, KÃ¶hler\'s Medizinal-Pflanzen \nRights: Public Domain\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\n<p>Â </p>', 'images/sampledata/fruitshop/tamarind.jpg', '', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"plain\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"1\",\"linka_name\":\"Wikipedia: Tamarind English\",\"linka\":\"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind\",\"linkb_name\":\"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  \",\"linkb\":\"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 \",\"linkc_name\":\"Wikipedia: Tamarinier Fran\\u00e7ais\",\"linkc\":\"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier\",\"linkd_name\":\"Wikipedia:Tamaline lea faka-Tonga\",\"linkd\":\"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"beez5:encyclopedia\"}', '0', '57', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('8', 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', '', '0', '1', '0', '0000-00-00 00:00:00', '1', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"\",\"show_position\":\"\",\"show_email\":\"\",\"show_street_address\":\"\",\"show_suburb\":\"\",\"show_state\":\"\",\"show_postcode\":\"\",\"show_country\":\"\",\"show_telephone\":\"\",\"show_mobile\":\"\",\"show_fax\":\"\",\"show_webpage\":\"\",\"show_misc\":\"\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '35', '1', '', '', '', '', '', '*', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '1', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0'),
('9', 'Name', 'name', 'Position', 'Street', 'Suburb', 'State', 'Country', 'Zip Code', 'Telephone', 'Fax', 'Miscellanous info', 'images/powered_by.png', 'email@email.com', '0', '-2', '0', '0000-00-00 00:00:00', '3', '{\"show_contact_category\":\"\",\"show_contact_list\":\"\",\"presentation_style\":\"\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"\",\"allow_vcard\":\"\",\"show_articles\":\"\",\"show_profile\":\"\",\"show_links\":\"0\",\"linka_name\":\"\",\"linka\":\"\",\"linkb_name\":\"\",\"linkb\":\"\",\"linkc_name\":\"\",\"linkc\":\"\",\"linkd_name\":\"\",\"linkd\":\"\",\"linke_name\":\"\",\"linke\":\"\",\"contact_layout\":\"\",\"show_email_form\":\"\",\"show_email_copy\":\"\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"\",\"custom_reply\":\"\",\"redirect\":\"\"}', '0', '85', '1', '', '', '', '', '', '*', '2011-04-13 07:20:25', '42', '', '0000-00-00 00:00:00', '0', '', '', '{\"robots\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', '0');

DROP TABLE IF EXISTS `lo1t2_content`;
CREATE TABLE `lo1t2_content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `introtext` mediumtext NOT NULL,
  `fulltext` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=112 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_content
(`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES 
('1', '89', 'Administrator Components', 'administrator-components', '<p>AllÂ components also are used in the administrator area of your website. In addition to the ones listed here, there are components in the administrator that do not have direct front end displays, but do help shape your site. The most important ones for most users are</p>\n<ul>\n<li>Media Manager</li>\n<li>Extensions Manager</li>\n<li>Menu Manager</li>\n<li>Global Configuration</li>\n<li>Banners</li>\n<li>Redirect</li>\n</ul>\n<hr title=\"Media Manager\" alt=\"Media Manager\" class=\"system-pagebreak\" style=\"color: gray; border: 1px dashed gray;\" />\n<p>Â </p>\n<h3>Media Manager</h3>\n<p>The media manager component lets you upload and insert images into content throughout your site. Optionally, you can enable the flash uploader which will allow you to to upload multiple images. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Media_Manager\">Help</a></p>\n<hr title=\"Extensions Manager\" alt=\"Extensions Manager\" class=\"system-pagebreak\" style=\"color: gray; border: 1px dashed gray;\" />\n<h3>Extensions Manager</h3>\n<p>The extensions manager lets you install, update, uninstall and manage all of your extensions. The extensions manager has been extensively redesigned for Joomla! 1.6, although the core install and uninstall functionality remains the same as in Joomla 1.5. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Extension_Manager_Install\">Help</a></p>\n<hr title=\"Menu Manager\" alt=\"Menu Manager\" class=\"system-pagebreak\" style=\"color: gray; border: 1px dashed gray;\" />\n<h3>Menu Manager</h3>\n<p>The menu manager lets you create the menus you see displayed on your site. It also allows you to assign modules and template styles to specific menu links. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Menus_Menu_Manager\">Help</a></p>\n<hr title=\"Global Configuration\" alt=\"Global Configuration\" class=\"system-pagebreak\" style=\"color: gray; border: 1px dashed gray;\" />\n<h3>Global Configuration</h3>\n<p>The global configuration is where the site administrator configures things such as whether search engine friendly urls are enabled, the site meta data (descriptive text used by search engines an indexers) and other functions. For many beginning users simply leaving the settings on default is a good way to begin, although when your site is ready for the public you will want to change the meta data to match its content. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Site_Global_Configuration\">Help</a></p>\n<hr title=\"Banners\" alt=\"Banners\" class=\"system-pagebreak\" style=\"color: gray; border: 1px dashed gray;\" />\n<h3>Banners</h3>\n<p>The banners component provides a simple way to display a rotating image in a module and, if you wish to have advertising, a way to track the number of times an image is viewed and clicked. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Banners_Banners_Edit\">Help</a></p>\n<h3>\n<hr title=\"Redirect\" class=\"system-pagebreak\" />\n</h3>\n<h3><br />Redirect</h3>\n<p>The redirect component is used to manage broken links that produce Page Not Found (404) errors. If enabled it will allow you to redirect broken links to specific pages. It can also be used to manage migration related URL changes.Â <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Redirect_Manager\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 12:57:27', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '7', '7', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('2', '90', 'Archive Module', 'archive-module', '<p>This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated.Â <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Archive\" title=\"Archive Module\">Help</a></p>\n<p>{loadposition archiveload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:21:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '5', 'modules, content', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('3', '91', 'Article Categories Module', 'article-categories-module', '<p>This module displays a list of categories from one parent category.Â <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Categories\" title=\"Categories Module\">Help</a></p>\n<p>{loadposition articlescategoriesload}</p>\n<p>Â </p>', '', '1', '64', '2011-01-01 00:00:01', '42', '', '2011-01-10 03:24:54', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '6', 'modules, content', '', '1', '4', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('4', '92', 'Articles Category Module', 'articles-category-module', '<p>This module allows you to display the articles in a specific category. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Category\">Help</a></p>\n<p>{loadposition articlescategoryload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:57:37', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '4', '7', '', 'articles,content', '1', '7', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('5', '101', 'Authentication', 'authentication', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p><p>Default on:</p><ul><li>Joomla</li></ul><p>Default off:</p><ul><li>Gmail</li><li>LDAP</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '3', '', '', '1', '2', '', '0', '*', ''),
('6', '102', 'Australian Parks ', 'australian-parks', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/banner_cradle.jpg\" border=\"0\" alt=\"Cradle Park Banner\" /></p>\n<p>Welcome!</p>\n<p>This is a basic site about the beautiful and fascinating parks of Australia.</p>\n<p>On this site you can read all about my travels to different parks, see photos, and find links to park websites.</p>\n<p><em>This sample site is an example of using the core of Joomla! to create a basic website, whether a \"brochure site,\" Â a personal blog, or as a way to present information on a topic you are interested in.</em></p>\n<p><em> Read more about the site in the About Parks module.</em></p>\n<p>Â </p>', '', '1', '26', '2011-01-01 00:00:01', '42', 'Parks webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '1', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('7', '103', 'Banner Module', 'banner-module', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners\">Help</a>.</p>\n<p>{loadposition bannersload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:41:15', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '6', '', '', '1', '2', '', '0', '*', ''),
('8', '104', 'Beginners', 'beginners', '<p>If this is your first Joomla site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla!.</p>\n', '\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works.(When you\'re done reading, you can delete or archive all of this.) You will also probably want to visit the beginners\' areas of the <a href=\"http://docs.joomla.org/Beginners\">Joomla documentation</a> and <a href=\"http://forum.joomla.org\">support forums</a>.</p>\n<p>You\'ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the Joomla Site Showcase to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\n<p>The basic Joomla! installation will let you get a great site up and running, but when you are ready for more features the power of Joomla! is in the creative ways that developers have extended it to do all kinds of things. Visit the Joomla! Extensions Directory to see thousands of extensions that can do almost anything you could want on a website. Can\'t find what you need? You may want to find a Joomla professional on the Joomla! Resources Directory.</p>\n<p>Want to learn more? Consider attending a Joomla! Day or other event or joining a local Joomla! Users Group. Can\'t find one near you? Start one yourself.</p>', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-04-01 07:22:14', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '4', '4', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('9', '105', 'Contacts', 'contact', '<p>The contact component provides a way to provide contact forms and information for your site or to create a complex directory that can be used for many different purposes. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Contacts_Contacts\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:15:37', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '2', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('10', '106', 'Content', 'content', '<p>The content component (com_content) is what you use to write articles. It is extremely flexible and has the largest number of built in views. Articles can be created an edited from the front end, making content the easiest component to use to create your site content. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Article_Manager\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', '', '2011-01-10 04:28:12', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '1', '', '', '1', '3', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('11', '107', 'Cradle Mountain', 'cradle-mountain', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/250px_cradle_mountain_seen_from_barn_bluff.jpg\" border=\"0\" alt=\"Cradle Mountain\" style=\"vertical-align: middle;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/800px_cradle_mountain_seen_from_barn_bluff.jpg\" border=\"0\" alt=\"Cradle Mountain\" style=\"vertical-align: middle;\" /></p><p>Â </p><p class=\"caption\">Source: http://commons.wikimedia.org/wiki/File:Rainforest,bluemountainsNSW.jpg</p><p class=\"caption\">Author: Alan J.W.C.</p><p class=\"caption\">License: GNU Free Documentation License v . 1.2 or later</p>', '1', '73', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '7', '', '0', '*', ''),
('12', '110', 'Custom HTML Module', 'custom-html-module', '<p>This Module allows you to create your own HTML Module using a WYSIWYG editor.Â <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Custom_HTML\" title=\"Custom HTML Module\">Help</a></p>\n<p>{loadposition customload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', '', '2011-01-10 03:46:58', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '1', '', '', '1', '2', '', '0', '*', ''),
('13', '111', 'Directions', 'directions', '<p>Here\'s how to find our shop.</p><p>By car</p><p>Drive along Main Street to the intersection with First Avenue. Â Look for our sign.</p><p>By foot</p><p>From the center of town, walk north on Main Street until you see our sign.</p><p>By bus</p><p>Take the #73 Bus to the last stop. We are on the north east corner.</p>', '', '1', '29', '2011-01-01 00:00:01', '42', 'Fruit Shop Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '0', '', '0', '*', ''),
('14', '112', 'Editors', 'editors', '<p>Editors are used thoughout Joomla! where content is created. TinyMCE is the default choice in most locations although CodeMirror is used in the template manager. No Editor provides a text box for html content.</p><p>Default on:</p><ul><li>CodeMirror Help</li><li>TinyMCE Help</li><li>No Editor Help</li></ul><p>Default off:</p><ul><li>None</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '5', '', '', '1', '0', '', '0', '*', ''),
('15', '113', 'Editors-xtd', 'editors-xtd', '<p>These plugins are behind the buttons found beneath your editor. They only run when an editor plugin runs.</p><p>Default on:</p><ul><li>Editor Button: Image</li><li>Editor Button: Readmore</li><li>Editor Button: Page Break</li><li>Editor Button: Article</li></ul><p>Default off:</p><ul><li>None</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '6', '', '', '1', '0', '', '0', '*', ''),
('16', '114', 'Feed Display', 'feed-display', '<p>This module allows the displaying of a syndicated feed. <a href=\"http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Feed_Display\" title=\"Feed Display Module\">Help</a></p><p>{loadposition feeddisplayload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', '', '2011-01-01 00:00:01', '0', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '0', '', '0', '*', ''),
('17', '115', 'First Blog Post', 'first-blog-post', '<p><em>Lorem Ipsum is filler text that is commonly used by designers before the content for a new site is ready.</em></p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus purus vitae diam posuere nec eleifend elit dictum. Aenean sit amet erat purus, id fermentum lorem. Integer elementum tristique lectus, non posuere quam pretium sed. Quisque scelerisque erat at urna condimentum euismod. Fusce vestibulum facilisis est, a accumsan massa aliquam in. In auctor interdum mauris a luctus. Morbi euismod tempor dapibus. Duis dapibus posuere quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In eu est nec erat sollicitudin hendrerit. Pellentesque sed turpis nunc, sit amet laoreet velit. Praesent vulputate semper nulla nec varius. Aenean aliquam, justo at blandit sodales, mauris leo viverra orci, sed sodales mauris orci vitae magna.</p>', '<p>Quisque a massa sed libero tristique suscipit. Morbi tristique molestie metus, vel vehicula nisl ultrices pretium. Sed sit amet est et sapien condimentum viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus viverra tortor porta orci convallis ac cursus erat sagittis. Vivamus aliquam, purus non luctus adipiscing, orci urna imperdiet eros, sed tincidunt neque sapien et leo. Cras fermentum, dolor id tempor vestibulum, neque lectus luctus mauris, nec congue tellus arcu nec augue. Nulla quis mi arcu, in bibendum quam. Sed placerat laoreet fermentum. In varius lobortis consequat. Proin vulputate felis ac arcu lacinia adipiscing. Morbi molestie, massa id sagittis luctus, sem sapien sollicitudin quam, in vehicula quam lectus quis augue. Integer orci lectus, bibendum in fringilla sit amet, rutrum eget enim. Curabitur at libero vitae lectus gravida luctus. Nam mattis, ligula sit amet vestibulum feugiat, eros sem sodales mi, nec dignissim ante elit quis nisi. Nulla nec magna ut leo convallis sagittis ac non erat. Etiam in augue nulla, sed tristique orci. Vestibulum quis eleifend sapien.</p><p>Nam ut orci vel felis feugiat posuere ut eu lorem. In risus tellus, sodales eu eleifend sed, imperdiet id nulla. Nunc at enim lacus. Etiam dignissim, arcu quis accumsan varius, dui dui faucibus erat, in molestie mauris diam ac lacus. Sed sit amet egestas nunc. Nam sollicitudin lacinia sapien, non gravida eros convallis vitae. Integer vehicula dui a elit placerat venenatis. Nullam tincidunt ligula aliquet dui interdum feugiat. Maecenas ultricies, lacus quis facilisis vehicula, lectus diam consequat nunc, euismod eleifend metus felis eu mauris. Aliquam dapibus, ipsum a dapibus commodo, dolor arcu accumsan neque, et tempor metus arcu ut massa. Curabitur non risus vitae nisl ornare pellentesque. Pellentesque nec ipsum eu dolor sodales aliquet. Vestibulum egestas scelerisque tincidunt. Integer adipiscing ultrices erat vel rhoncus.</p><p>Integer ac lectus ligula. Nam ornare nisl id magna tincidunt ultrices. Phasellus est nisi, condimentum at sollicitudin vel, consequat eu ipsum. In venenatis ipsum in ligula tincidunt bibendum id et leo. Vivamus quis purus massa. Ut enim magna, pharetra ut condimentum malesuada, auctor ut ligula. Proin mollis, urna a aliquam rutrum, risus erat cursus odio, a convallis enim lectus ut lorem. Nullam semper egestas quam non mattis. Vestibulum venenatis aliquet arcu, consectetur pretium erat pulvinar vel. Vestibulum in aliquet arcu. Ut dolor sem, pellentesque sit amet vestibulum nec, tristique in orci. Sed lacinia metus vel purus pretium sit amet commodo neque condimentum.</p><p>Aenean laoreet aliquet ullamcorper. Nunc tincidunt luctus tellus, eu lobortis sapien tincidunt sed. Donec luctus accumsan sem, at porttitor arcu vestibulum in. Sed suscipit malesuada arcu, ac porttitor orci volutpat in. Vestibulum consectetur vulputate eros ut porttitor. Aenean dictum urna quis erat rutrum nec malesuada tellus elementum. Quisque faucibus, turpis nec consectetur vulputate, mi enim semper mi, nec porttitor libero magna ut lacus. Quisque sodales, leo ut fermentum ullamcorper, tellus augue gravida magna, eget ultricies felis dolor vitae justo. Vestibulum blandit placerat neque, imperdiet ornare ipsum malesuada sed. Quisque bibendum quam porta diam molestie luctus. Sed metus lectus, ornare eu vulputate vel, eleifend facilisis augue. Maecenas eget urna velit, ac volutpat velit. Nam id bibendum ligula. Donec pellentesque, velit eu convallis sodales, nisi dui egestas nunc, et scelerisque lectus quam ut ipsum.</p>', '1', '27', '2011-01-01 00:00:01', '42', '', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '0', '', '', '1', '6', '', '0', '*', ''),
('18', '116', 'Second Blog Post', 'second-blog-post', '<p><em>Lorem Ipsum is text that is traditionally used by designers when working on a site before the content is ready.</em></p><p>Pellentesque bibendum metus ut dolor fermentum ut pulvinar tortor hendrerit. Nam vel odio vel diam tempus iaculis in non urna. Curabitur scelerisque, nunc id interdum vestibulum, felis elit luctus dui, ac dapibus tellus mauris tempus augue. Duis congue facilisis lobortis. Phasellus neque erat, tincidunt non lacinia sit amet, rutrum vitae nunc. Sed placerat lacinia fermentum. Integer justo sem, cursus id tristique eget, accumsan vel sapien. Curabitur ipsum neque, elementum vel vestibulum ut, lobortis a nisl. Fusce malesuada mollis purus consectetur auctor. Morbi tellus nunc, dapibus sit amet rutrum vel, laoreet quis mauris. Aenean nec sem nec purus bibendum venenatis. Mauris auctor commodo libero, in adipiscing dui adipiscing eu. Praesent eget orci ac nunc sodales varius.</p>', '<p>Nam eget venenatis lorem. Vestibulum a interdum sapien. Suspendisse potenti. Quisque auctor purus nec sapien venenatis vehicula malesuada velit vehicula. Fusce vel diam dolor, quis facilisis tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque libero nisi, pellentesque quis cursus sit amet, vehicula vitae nisl. Curabitur nec nunc ac sem tincidunt auctor. Phasellus in mattis magna. Donec consequat orci eget tortor ultricies rutrum. Mauris luctus vulputate molestie. Proin tincidunt vehicula euismod. Nam congue leo non erat cursus a adipiscing ipsum congue. Nulla iaculis purus sit amet turpis aliquam sit amet dapibus odio tincidunt. Ut augue diam, congue ut commodo pellentesque, fermentum mattis leo. Sed iaculis urna id enim dignissim sodales at a ipsum. Quisque varius lobortis mollis. Nunc purus magna, pellentesque pellentesque convallis sed, varius id ipsum. Etiam commodo mi mollis erat scelerisque fringilla. Nullam bibendum massa sagittis diam ornare rutrum.</p><p>Praesent convallis metus ut elit faucibus tempus in quis dui. Donec fringilla imperdiet nibh, sit amet fringilla velit congue et. Quisque commodo luctus ligula, vitae porttitor eros venenatis in. Praesent aliquet commodo orci id varius. Nulla nulla nibh, varius id volutpat nec, sagittis nec eros. Cras et dui justo. Curabitur malesuada facilisis neque, sed tempus massa tincidunt ut. Sed suscipit odio in lacus auctor vehicula non ut lacus. In hac habitasse platea dictumst. Sed nulla nisi, lacinia in viverra at, blandit vel tellus. Nulla metus erat, ultrices non pretium vel, varius nec sem. Morbi sollicitudin mattis lacus quis pharetra. Donec tincidunt mollis pretium. Proin non libero justo, vitae mattis diam. Integer vel elit in enim varius posuere sed vitae magna. Duis blandit tempor elementum. Vestibulum molestie dui nisi.</p><p>Curabitur volutpat interdum lorem sed tempus. Sed placerat quam non ligula lacinia sodales. Cras ultrices justo at nisi luctus hendrerit. Quisque sit amet placerat justo. In id sapien eu neque varius pharetra sed in sapien. Etiam nisl nunc, suscipit sed gravida sed, scelerisque ut nisl. Mauris quis massa nisl, aliquet posuere ligula. Etiam eget tortor mauris. Sed pellentesque vestibulum commodo. Mauris vitae est a libero dapibus dictum fringilla vitae magna.</p><p>Nulla facilisi. Praesent eget elit et mauris gravida lobortis ac nec risus. Ut vulputate ullamcorper est, volutpat feugiat lacus convallis non. Maecenas quis sem odio, et aliquam libero. Integer vel tortor eget orci tincidunt pulvinar interdum at erat. Integer ullamcorper consequat eros a pellentesque. Cras sagittis interdum enim in malesuada. Etiam non nunc neque. Fusce non ligula at tellus porta venenatis. Praesent tortor orci, fermentum sed tincidunt vel, varius vel dui. Duis pulvinar luctus odio, eget porta justo vulputate ac. Nulla varius feugiat lorem sed tempor. Phasellus pulvinar dapibus magna eget egestas. In malesuada lectus at justo pellentesque vitae rhoncus nulla ultrices. Proin ut sem sem. Donec eu suscipit ipsum. Cras eu arcu porttitor massa feugiat aliquet at quis nisl.</p>', '1', '27', '2011-01-01 00:00:01', '42', '', '2011-01-01 00:00:01', '0', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '0', '', '', '1', '6', '', '0', '*', ''),
('19', '117', 'Footer Module', 'footer-module', '<p>This module shows the Joomla! copyright information. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Footer\" title=\"Footer Module\">Help</a></p>\n<p>{loadposition footerload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:43:33', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '3', '', '', '1', '2', '', '0', '*', ''),
('20', '118', 'Fruit Shop', 'fruit-shop', '<h2>Welcome to the Fruit Shop</h2><p>We sell fruits from around the world. Please use our website to learn more about our business. We hope you will come to our shop and buy some fruit.</p><p ><em>This mini site will show you how you might want to set up a site for a business, in this case one selling fruit. It shows how to use access controls to manage your site content. If you were building a real site, you would might want to extend it with e-commerce, a catalog, mailing lists or other enhancements, many of which are available through the</em><a href=\"http://extensions.joomla.org\"><em> Joomla! Extensions Directory</em></a>.</p><p><em>To understand this site you will probably want to make one user with groups set to customer and one with group set to grower. By logging in with different privileges  you can see how access control works.</em></p>', '', '1', '29', '2011-01-01 00:00:01', '42', 'Fruit Shop Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '0', '', '0', '*', ''),
('21', '119', 'Getting Help', 'getting-help', '<p><img class=\"image-left\" src=\"administrator/templates/hathor/images/header/icon-48-help_header.png\" border=\"0\" /> There are lots of places you can get help with Joomla!. In many places in your site administrator you will see the help icon. Click on this for more information about the options and functions of items on your screen. Other places to get help are:</p>\n<ul>\n<li><a href=\"http://forum.joomla.org\">Support Forums</a></li>\n<li><a href=\"http://docs.joomla.org\">Documentation</a></li>\n<li><a href=\"http://resources.joomla.org\">Professionals</a></li>\n<li><a href=\"http://shop.joomla.org/amazoncom-bookstores.html\">Books</a></li>\n</ul>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 15:32:54', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '10', '8', '', '', '1', '18', '', '0', '*', ''),
('22', '120', 'Getting Started', 'getting-started', '<p>It\'s easy to get started creating your website. Knowing some of the basics will help.</p><h3>What is a Content Management System?</h3><p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p><p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. The Joomla! software brings together the template and the content to create web pages.</p><h3>Site and Administrator</h3><p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see.  The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \"Site Administrator\" link on the \"This Site\" menu or by adding /administrator to the end of you domain name.</p><p>Log in to the administrator using the username and password created during the installation of Joomla!.</p><h3>Logging in</h3><p>To login to the front end of your site use the login form or the login menu link on the \"This Site\" menu. Use the user name an password that were created as part of the installation process. Once logged in you will be able to create and edit articles.</p><p>In managing your site, you will be able to create content that only logged in users are able to see.</p><h3>Creating an article</h3><p>Once you are logged in, a new menu will be visible.  To create a new article, click on the \"submit article\" link on that menu.</p><p>The new article interface gives you a lot of options, but all you need to do is add a title an put something in the content area. To make it easy to find, set the state to published an put it in the Joomla! category.</p><div>You can edit an existing article by  clicking on the edit icon (this only displays to users who have the right to edit).</div><h3>Learn more</h3><p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href=\"http://docs.joomla.org\">Joomla! documentation site</a> and on the<a href=\"http://forum.joomla.org\"> Joomla! forums</a>.</p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '9', '', '', '1', '0', '', '0', '*', ''),
('23', '121', 'Happy Orange Orchard', 'happy-orange-orchard', '<p>At our orchard we grow the world\'s best oranges as well as other citrus fruit such as lemons and grapefruit. Our family has been tending this orchard for generations.</p>', '', '1', '30', '2011-01-01 00:00:01', '42', 'Fruit Shop Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '0', '', '0', '*', ''),
('24', '122', 'Joomla!', 'joomla', '<p>Congratulations! You have a Joomla! site! Joomla! makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\n<p>Joomla! is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-04-01 07:22:18', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '2', '', '', '1', '1', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('25', '123', 'Koala', 'koala', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/180px_koala_ag1.jpg\" border=\"0\" alt=\"Koala  Thumbnail\" width=\"180\" height=\"123\" style=\"vertical-align: middle; border: 0;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/800px_koala_ag1.jpg\" border=\"0\" alt=\"Koala Climbing Tree\" width=\"500\" height=\"341\" style=\"vertical-align: middle; border: 0;\" /></p><p>Â </p><p>Â </p><p class=\"caption\">Source: http://commons.wikimedia.org/wiki/File:Koala-ag1.jpg</p><p class=\"caption\">Author: Arnaud Gaillard</p><p><span class=\"caption\">License: Creative Commons Share Alike Attribution Generic 1.0</span></p>', '1', '72', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '6', '', '0', '*', ''),
('26', '124', 'Language Switcher', 'language-switcher', '<p>The language switcher module allows you to take advantage of the language tags that are available when content, modules and menu links are created.</p>\n<p>This module displays a list of available Content Languages for switching between them.</p>\n<p>When switching languages, it redirects to the Home page defined for the chosen language. Thereafter, the navigation will be the one defined for that language.</p>\n<p><strong>The language filter plugin must be enabled for this module to work properly.</strong></p>\n<p><strong></strong> <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Language_Switcher\" title=\"Language Switcher Module\">Help</a></p>\n<p>To view an example of the language switch moduler module, go to the site administrator and enable the language filter plugin and the language switcher module labellled \"language switcher\" and visit the fruit shop or park sample sites. Then follow<a href=\"http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6\"> the instructions in this tutorial</a>.</p>', '', '1', '67', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:57:35', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '3', '', '', '1', '4', '', '0', '*', ''),
('27', '125', 'Latest Articles Module', 'latest-articles-module', '<p>This Module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_News\" title=\"Latest Articles\">Help</a></p>\n<p>{loadposition articleslatestload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', '', '2011-01-10 03:18:38', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '1', 'modules, content', '', '1', '4', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('28', '126', 'Login Module', 'login-module', '<p>This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in the Global Configuration settings), another link will be shown to enable self-registration for users. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Login\" title=\"Login\">Help</a></p>\n<p>{loadposition loginload}</p>', '', '1', '65', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:36:13', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '2', '', '', '1', '3', '', '0', '*', ''),
('29', '127', 'Menu Module', 'menu-module', '<p>This module displays a menu on the site (frontend). Â Menus can be displayed in a wide variety of ways by using the menu options and css menu styles. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Menu\">Help</a></p>\n<p>{loadposition menuload}</p>', '', '1', '75', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:07:59', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '1', '', '', '1', '4', '', '0', '*', ''),
('30', '128', 'Most Read Content', 'most-read-content', '<p>This Module shows a list of the currently published Articles which have the highest number of page views. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Most_Read\" title=\"Most Read Content\">Help</a></p>\n<p>{loadposition articlespopularload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:13:53', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '3', '2', 'modules, content', '', '1', '5', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('31', '129', 'News Flash', 'news-flash', '<p>Displays a set number of articles from a category based on date or random selection. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Newsflash\" title=\"News Flash Module\">Help</a></p>\n<p>{loadposition newsflashload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', '', '2011-01-10 03:16:50', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '3', 'modules, content', '', '1', '3', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('32', '130', 'Parameters', 'parameters', '<p>As you make your Joomla! site using the extension you will control the details of the display using <em>parameter</em><strong>s</strong>. Parameters control everything from whether the author\'s name is displayed to who can view what to the number of items shown on a list.</p><p>Default parameters for each components are changed using the Options button on the component toolbar.</p><p>Parameters can also be set on an individual item, such as an article or contact and in menu links.</p><p>If you are happy with how your site looks, it is fine to leave all of the parameters set to the defaults that were created when your site was installed. As you become more experienced with Joomla! you will use parameters more.</p><p>Â </p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '10', '', '', '1', '1', '', '0', '*', ''),
('33', '131', 'Phyllopteryx', 'phyllopteryx', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/200px_phyllopteryx_taeniolatus1.jpg\" border=\"0\" style=\"vertical-align: middle;\" /></p><p>Â </p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/800px_phyllopteryx_taeniolatus1.jpg\" border=\"0\" style=\"vertical-align: middle;\" /></p><p>Â </p><p>Source: http://en.wikipedia.org/wiki/File:Phyllopteryx_taeniolatus1.jpg</p><p>Author: Richard Ling</p><p>License: GNU Free Documentation License v 1.2 or later</p>', '1', '72', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '3', '', '', '1', '3', '', '0', '*', ''),
('34', '132', 'Pinnacles', 'pinnacles', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/120px_pinnacles_western_australia.jpg\" border=\"0\" alt=\"Kings Canyon\" width=\"120\" height=\"90\" style=\"vertical-align: middle; border: 0;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/800px_pinnacles_western_australia.jpg\" border=\"0\" alt=\"King\'s Canyon\" width=\"500\" height=\"374\" style=\"vertical-align: middle; border: 0;\" /></p><p>Â </p><p class=\"caption\">Source: http://commons.wikimedia.org/wiki/File:Pinnacles_Western_Australia.jpg</p><p class=\"caption\">Author: <a class=\"new\" href=\"http://commons.wikimedia.org/w/index.php?title=User:Markdoe&action=edit&redlink=1\" title=\"User:Markdoe (page does not exist)\"></a>Martin Gloss</p><p class=\"caption\">License: GNU Free Documentation license v 1.2 or later.</p>', '1', '73', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '4', '', '', '1', '4', '', '0', '*', ''),
('35', '133', 'Professionals', 'professionals', '<p>Joomla! 1.6 continues development of the Joomla Framework and CMS as a powerful and flexible way to bring your vision of the web to reality. With the administrator now fully MVC, the ability to control its look and the management of extensions is now complete.</p>\n', '\n<p>Working with multiple template styles and overrides for the same views, creating the design you want is easier than it has ever been. Limiting support to PHP 5.2.4 and above and ending legacy support for Joomla 1.0 extensions makes Joomla! lighter and faster than ever.Â Languages files can now be overridden without having your changes lost during an upgrade. Â With the proper xml your users update extensions with a single click.</p>\n<p>Access control lists are now incorporated using a new system developed for Joomla!. The ACL system is designed with developers in mind, so it is easy to incorporate into your extensions. The new nested sets libraries allow you to incorporate infinitely deep categories but also to use nested sets in a variety of other ways.</p>\n<p>A new forms library makes creating all kinds of user interaction simple. MooTools 1.3 provides a highly flexible javascript framework that is a major advance over MooTools 1.0.</p>\n<p>New events throughout the core make integration of your plugins where you want them a snap.</p>\n<p>Learn about:</p>\n<ul>\n<li><a href=\"http://docs.joomla.org/What\'s_new_in_Joomla_1.6\">Changes since 1.5</a></li>\n<li><a href=\"http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6\">Working with ACL</a></li>\n<li><a href=\"http://docs.joomla.org/API16:JCategories\">Working with nested categories</a></li>\n<li><a href=\"http://docs.joomla.org/API16:JForm\">Forms library</a></li>\n<li><a href=\"http://docs.joomla.org/Working_with_Mootools_1.3\">Working with Mootools 1.3</a></li>\n<li><a href=\"http://docs.joomla.org/Layout_Overrides_in_Joomla_1.6\">Using new features of the override system</a></li>\n<li><a href=\"http://docs.joomla.org/API16:Framework\">Joomla! 1.6 AP</a>I</li>\n<li><a href=\"http://docs.joomla.org/API16:JDatabaseQuery\">Using JDatabaseQuery</a></li>\n<li><a href=\"http://docs.joomla.org/What\'s_new_in_Joomla_1.6#Events\">New and updated events</a></li>\n<li><a href=\"http://docs.joomla.org/Xml-rpc_changes_in_Joomla!_1.6\">Xmlrpc</a></li>\n<li><a href=\"http://docs.joomla.org/What\'s_new_in_Joomla_1.6#Extension_management\">Installing and updating extensions</a></li>\n<li><a href=\"http://docs.joomla.org/Setting_up_your_workstation_for_Joomla!_development\">Setting up your development environment</a></li>\n</ul>', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-04-01 07:22:26', '42', '0', '0000-00-00 00:00:00', '2011-01-09 16:41:13', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '13', '5', '', '', '1', '9', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('36', '134', 'Random Image Module', 'random-image-module', '<p>This Module displays a random image from your chosen image directory. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Random_Image\" title=\"Random Image Module\">Help</a></p>\n<p>{loadposition randomimageload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', '', '2011-01-10 03:39:30', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '4', '', '', '1', '2', '', '0', '*', ''),
('37', '135', 'Related Items Module', 'related-items-module', '<p>This Module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords.Â Â All the keywords of the current Article are searched against all the keywords of all other published articles. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Related\" title=\"Related Items Module\">Help</a></p>\n<p>{loadposition relateditemsload}</p>', '', '1', '64', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:23:25', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '4', 'modules, content', '', '1', '3', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('38', '136', 'Sample Sites', 'sample-sites', '<p>Your installation includes sample data, designed to show you some of the options you have for building your website. In addition to information about Joomla! there are two sample \"sites within a site\" designed to help you get started with builidng your own site.</p><p>The first site is a simple site about <a href=\"index.php?Itemid=243\">Australian Parks</a>. It shows you you an quickly and easily build a personal site with just the building blocks that are part of Joomla!. It includes a personal blog, weblinks, and a very simple image gallery.</p><p>The second site is slightly more complex and represents what you might do if you are building a site for a small business, in this case a <a href=\"index.php/welcome.html\"></a><a href=\"index.php?Itemid=429\">Fruit Shop</a>.</p><p>In building either style site, or something completely different, you will probably want to add <a href=\"http://extensions.joomla.org\">extensions</a> and either create or purchase your own template. Many Joomla! users start off by modifying the <a href=\"http://docs.joomla.org/How_do_you_modify_a_template%3F\">templates</a> that come with the core distribution so that they include special images and other design elements that relate to their site\'s focus.</p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '11', '', '', '1', '0', '', '0', '*', ''),
('39', '137', 'Search', 'search-component', '<p>The search component proviedes basic search functionality for the information contained in your core components. Many third part extensions also can be searched by the search component. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Search\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:19:31', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '3', '', '', '1', '3', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('40', '138', 'Search Module', 'search-module', '<p>This module will display a search box. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Search\" title=\"Search\">Help</a></p>\n<p>{loadposition searchload}</p>', '', '1', '67', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:55:54', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '4', '', '', '1', '2', '', '0', '*', ''),
('41', '139', 'Search ', 'search-plugin', '<p>The search component uses plugins to control which parts of your Joomla! site are searched. You may choose to turn off some areas to improve performance or for other reasons. Many third party Joomla! extensions have search plugins that extend where search takes place.</p><p>Default On:</p><ul><li>Content Help</li><li>Contacts Help</li><li>WeblinksÂ Help</li><li>News FeedsÂ Help</li><li>CategoriesÂ Help</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '9', '', '0', '*', ''),
('42', '140', 'Site Map', 'site-map', '<p>{loadposition sitemapload}</p><p><em>By putting all of your content into nested categories you can give users and search engines access to everything using a menu.</em></p>', '', '1', '14', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '0', '', '0', '*', ''),
('43', '141', 'Spotted Quoll', 'spotted-quoll', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/220px_spottedquoll_2005_seanmcclean.jpg\" border=\"0\" alt=\"Spotted Quoll\" style=\"vertical-align: middle; border: 0;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/789px_spottedquoll_2005_seanmcclean.jpg\" border=\"0\" alt=\"Spotted Quoll\" style=\"vertical-align: middle;\" /></p><p>Â </p><p>Source: http://en.wikipedia.org/wiki/File:SpottedQuoll_2005_SeanMcClean.jpg</p><p>Author: Sean McClean</p><p>License: GNU Free Documentation License v 1.2 or later</p>', '1', '72', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '4', '', '', '1', '3', '', '0', '*', ''),
('44', '142', 'Statistics Module', 'statistics', '<p>The Statistics Module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.</p><p>{loadposition statisticsload}</p>', '', '1', '67', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '5', '', '', '1', '0', '', '0', '*', ''),
('45', '143', 'Syndicate Module', 'syndicate-module', '<p>The syndicate module allows you to display a link that allows users to take a feed from your site. It will only display on pages for which feeds are possible. That means it will not display on single article, contact or weblinks pages, such as this one. <a href=\"http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Syndicate\" title=\"Synicate Module\">Help</a></p><p>{loadposition syndicateload}</p>', '', '1', '67', '2011-01-01 00:00:01', '42', '', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '6', '', '', '1', '0', '', '0', '*', ''),
('46', '144', 'System', 'system', '<p>System plugins operate every time a page on your site loads. They control such things as your URLS, whether users can check a \"remember me\" box on the login module, and whether caching is enabled. Â New in 1.6 is the redirect plugin that with the redirect component assist you in managing changes in URLs.</p><p>Default on:</p><ul><li>Remember me Help</li><li>SEFÂ Help</li><li>DebugÂ Help</li></ul><p>Default off:</p><ul><li>CacheÂ Help</li><li>LogÂ Help</li><li>RedirectÂ Help</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '5', '', '0', '*', ''),
('47', '145', 'The Joomla! Community', 'the-joomla-community', '<p>Joomla! means All Together, and it is a community of people all working and having fun together that makes Joomla! possible. Thousands of people each year participate in the Joomla! community, and we hope you will be one of them.</p><p>People with all kinds of skills, of all skill levels and from around the world are welcome to join in. Participate in the <a href=\"http://joomla.org\">Joomla.org</a> family of websites (the<a href=\"http://forum.joomla.org\"> forum </a>is a great place to start). Come to a <a href=\"http://community.joomla.org/events.html\">Joomla! event</a>. Join or start a <a href=\"http://community.joomla.org/user-groups.html\">Joomla! Users Group</a>. Whether you are a developer, site administrator, designer, end user or fan, there are ways for you to participate and contribute.</p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '4', '', '', '1', '12', '', '0', '*', ''),
('48', '146', 'The Joomla! Project', 'the-joomla-project', '<p>The Joomla! Project consists of all of the people who make and support the Joomla! Web Platform and Content Management System.</p><p>Our mission is to provide a flexible platform for digital publishing and collaboration.</p><p>The core values are:</p><ul><li>Freedom</li><li>Equality</li><li>Trust</li><li>Community</li><li>Collaboration</li><li>Usability</li></ul><p>In our vision, we see:</p><ul><li>People publishing and collaborating in their communities and around the world</li><li>Software that is free, secure, and high-quality</li><li>A community that is enjoyable and rewarding to participate in</li><li>People around the world using their preferred languages</li><li>A project that acts autonomously</li><li>A project that is socially responsible</li><li>A project dedicated to maintaining the trust of its users</li></ul><p>There are millions of users around the world and thousands of people who contribute to the Joomla! Project. They work in three main groups: the Production Working Group, responsible for everything that goes into software and documentation; the Community Working Group, responsible for creating a nurturing the community; and Open Source Matters, the non profit organization responsible for managing legal, financial and organizational issues.</p><p>Joomla! is a free and open source project, which uses the GNU General Public LicenseÂ version 2 or later.</p>', '', '1', '19', '2011-01-01 00:00:01', '42', '', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '10', '', '0', '*', ''),
('49', '147', 'Typography', 'typography', '<h1>H1 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h1><h2>H2 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h2><h3>H3 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h3><h4>H4 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h4><h5>H5 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h5><h6>H6 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h6><p>P The quick brown fox ran over the lazy dog. THE QUICK BROWN FOX RAN OVER THE LAZY DOG.</p><ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item</li></ul></li></ul></li></ul><ol><li>tem</li><li>Item</li><li>Item<br /> <ol><li>Item</li><li>Item</li><li>Item<br /><ol><li>Item</li><li>Item</li><li>Item</li></ol></li></ol> </li></ol>', '', '1', '23', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '0', '', '0', '*', ''),
('50', '148', 'Upgraders', 'upgraders', '<p>If you are an experienced Joomla! 1.5 user, 1.6 will seem very familiar. There are new templates and improved user interfaces, but most functionality is the same. The biggest changes are improved access control (ACL) and nested categories.</p>\n', '\n<p>The new user manager which will let you manage who has access to what in your site. You can leave access groups exactly the way you had them in Joomla 1.5 or make them as complicated as you want. You can learn more about<a href=\"http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6\"> how access control works</a> in on the <a href=\"http://docs.joomla.org\">Joomla! Documentation site</a></p>\n<p>In Joomla 1.5 and 1.0 content was organized into sections and categories. In 1.6 sections are gone, and you can create categories within categories, going as deep as you want. The sample data provides many examples of the use of nested categories.</p>\n<p>All layouts have been redesigned to improve accessibility and flexibility. If you would like to keep the 1.5 layouts, you can find them in the html folder of the MilkyWay template. Simply copy the layouts you want to the html folder of your template.</p>\n<p>Updating your site and extensions when needed is easier than ever thanks to installer improvements.</p>\n<p>Â </p>', '1', '19', '2011-01-01 00:00:01', '42', '', '2011-04-01 07:22:36', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '3', '5', '', '', '1', '4', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', '');

INSERT INTO lo1t2_content
(`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES 
('51', '149', 'User', 'user-plugins', '<p>Default on:</p><ul><li>Joomla Help</li></ul><p>Default off:</p><p>Two new plugins are available in 1.6 but are disabled by default.</p><ul><li>Contact CreatorÂ Help<br />Creates a new linked contact record for each new user created. </li><li>ProfileÂ Help<br />This example profile plugin allows you to insert additional fields into user registration and profile display. This is intended as an example of the types of extensions to the profile you might want to create. </li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '4', '', '', '1', '0', '', '0', '*', ''),
('52', '150', 'Users', 'users-component', '<p>The users extension lets your site visitors register, login and logout, change their passwords and other information, and recover lost passwords. In the administrator it allows you to create, block and manage users and create user groups and access levels. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Users_User_Manager\">Help</a></p>\n<p>Please note that some of the user views will not display if you are not logged in to the site.</p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:52:55', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '5', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('53', '151', 'Using Joomla!', 'using-joomla', '<p>With Joomla! You can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p><p>This section of the sample data provides you with a brief introduction to Joomla! concepts and reference material to help you understand how Joomla! works.</p><p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', '1', '19', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '7', '', '', '1', '9', '', '0', '*', ''),
('54', '152', 'Weblinks', 'weblinks', '<p>Weblinks (com_weblinks) is a component that provides a structured way to organize external links and present them in a visually attractive, consistent and informative way. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Weblinks_Links\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:20:10', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '6', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('55', '153', 'Weblinks Module', 'weblinks-module', '<p>This module displays the list of weblinks in a category. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Weblinks\" title=\"Weblinks Module\">Help</a></p>\n<p>{loadposition weblinksload}</p>', '', '1', '66', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:45:52', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '5', '', '', '1', '3', '', '0', '*', ''),
('56', '154', 'Who\'s Online', 'whos-online', '<p>The Who\'s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged in) that are currently accessing the Web site. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Who_Online\" title=\"Who\'s Online\">Help</a></p>\n<p>{loadposition whosonlineload}</p>', '', '1', '65', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:34:18', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '1', '', '', '1', '6', '', '0', '*', ''),
('57', '155', 'Wobbegone', 'wobbegone', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/180px_wobbegong.jpg\" border=\"0\" alt=\"Wobbegone\" style=\"vertical-align: middle; border: 0;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/animals/800px_wobbegong.jpg\" border=\"0\" style=\"vertical-align: middle; border: 0;\" /></p><p>Source: http://en.wikipedia.org/wiki/File:Wobbegong.jpg</p><p>Author: Richard Ling</p><p>Rights: GNU Free Documentation License v 1.2 or later</p>', '1', '72', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '0', '', '0', '*', ''),
('58', '156', 'Wonderful Watermelon', 'wonderful-watermelon', '<p>Watermelon is a wonderful and healthy treat. We grow the world\'s sweetest watermelon. We have the largest watermelon patch in our country.</p>', '', '1', '30', '2011-01-01 00:00:01', '42', 'Fruit Shop Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '1', '', '', '1', '5', '', '0', '*', ''),
('59', '157', 'Wrapper Module', 'wrapper-module', '<p>This module shows an iFrame window to specified location. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Wrapper\" title=\"Wrapper Module\">Help</a></p>\n<p>{loadposition wrapperload}</p>', '', '1', '67', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:44:50', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '1', '', '', '1', '3', '', '0', '*', ''),
('60', '158', 'News Feeds', 'news-feeds', '<p>News Feeds (com_newsfeeds) provides a way to organize and present news feeds. News feeds are a way that you present information from another site on your site. For example, the joomla.org website has numerous feeds that you an incorporate on your site. You an use menus to present a single feed, a list of feeds in a category, or or a list of all feed categories. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Newsfeeds_Feeds\">Help</a></p>', '', '1', '21', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 04:17:08', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '4', '', '', '1', '2', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('61', '159', 'Breadcrumbs Module', 'breadcrumbs-module', '<p>Breadcrumbs provide a pathway for users to navigate through the site. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Breadcrumbs\" title=\"Breacrumbs Module\">Help</a></p>\n<p>{loadposition breadcrumbsload}</p>', '', '1', '75', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:10:46', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '3', '2', '', '', '1', '6', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('62', '160', 'Content', 'content-plugins', '<p>Content plugins run when specific kinds of pages are loaded. They do things ranging from protecting email addresses from harvesters to creating page breaks.</p><p>Default on:</p><ul><li>Email Cloaking Help</li><li>Load Module Help</li><li>Page Break Help</li><li>Page Navigation Help</li><li>Rating Help</li></ul><p>Default off:</p><ul><li>Code Highlighting (Geshi) Help</li></ul>', '', '1', '25', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '7', '', '', '1', '1', '', '0', '*', ''),
('64', '162', 'Blue Mountain Rain Forest', 'blue-mountain-rain-forest', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/120px_rainforest_bluemountainsnsw.jpg\" border=\"0\" alt=\"Rain Forest Blue Mountrains\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/727px_rainforest_bluemountainsnsw.jpg\" border=\"0\" alt=\"Rain Forest Blue Mountrains\" style=\"vertical-align: middle;\" /></p><p>Â </p><p class=\"caption\">Source: http://commons.wikimedia.org/wiki/File:Rainforest,bluemountainsNSW.jpg</p><p class=\"caption\">Author: Adam J.W.C.</p><p class=\"caption\">License: GNU Free Documentation License</p>', '1', '73', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '2', '', '', '1', '0', '', '0', '*', ''),
('65', '163', 'Ormiston Pound', 'ormiston-pound', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/180px_ormiston_pound.jpg\" border=\"0\" alt=\"Ormiston Pound\" style=\"border: 0;\" /></p>', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/sampledata/parks/landscape/800px_ormiston_pound.jpg\" border=\"0\" alt=\"Ormiston Pound\" height=\"375\" style=\"vertical-align: middle; border: 0;\" /></p><p>Â </p><p class=\"caption\">Source: http://commons.wikimedia.org/wiki/File:Ormiston_Pound.JPG</p><p class=\"caption\">Author:</p><p class=\"caption\">License: GNU Free Public Documentation License</p>', '1', '73', '2011-01-01 00:00:01', '42', 'Parks Webmaster', '2011-01-01 00:00:01', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '3', '', '', '1', '2', '', '0', '*', ''),
('66', '165', 'Latest Users Module', 'latest-users-module', '<p>This module displays the latest registered users. <a href=\"http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_Users\">Help</a></p>\n<p>{loadposition userslatestload}</p>', '', '1', '65', '2011-01-01 00:00:01', '42', 'Joomla!', '2011-01-10 03:31:12', '42', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"1\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"1\",\"link_category\":\"1\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '2', '3', '', '', '1', '4', '', '0', '*', ''),
('67', '168', 'What\'s New in 1.5?', 'whats-new-in-15', '<p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\n<p style=\"margin-bottom: 0in;\">In Joomla! 1.5, you\'\'ll notice:</p>\n<ul>\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\n<li>Extended integration of external applications through Web services</li>\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\n</ul>', '', '2', '9', '2011-01-01 00:00:01', '42', 'Joomla! 1.5', '2011-01-01 00:00:01', '0', '0', '0000-00-00 00:00:00', '2011-01-01 00:00:01', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_readmore\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"page_title\":\"\",\"alternative_readmore\":\"\",\"layout\":\"\"}', '1', '0', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('68', '176', 'Color Variations in the PRO Edition', 'color-variations', '\r\n<p>JSN One provides<strong> 6 major colors variation</strong> for your taste. Each color variation covers not only the main background, but also color of drop-down menu, links, table\'s header and some others.</p>\r\n<h3>Color variations</h3>\r\n<div class=\"content-center\">\r\n<p><strong>Click on any screenshot to LIVE demo of that color variation. (<a href=\"index.php?option=com_content&amp;view=article&amp;id=68&amp;Itemid=467&amp;jsn_setcolor=blue\">reset to default</a>)</strong></p>\r\n{imageshow sl=4 sc=2 w=600 h=350 /}\r\n<p>Interactive images presentation by <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\">JSN ImageShow extension</a></p>\r\n</div>\r\n<hr class=\"line-dots\" />\r\n<h3>Color configuration</h3>\r\n<p>Each template color can be configured by 3 different ways:</p>\r\n<div class=\"grid-layout\">\r\n<div>\r\n<h4>By template parameter</h4>\r\n<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/color-variations/color-config-tp.png\" border=\"0\" width=\"215\" height=\"125\" /></p>\r\n<p>Template color can be set by template parameter <strong>Template Color</strong> in administration panel.</p>\r\n</div>\r\n<div>\r\n<h4>By \"Page Class Suffix\"</h4>\r\n<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/color-variations/color-config-pcs.png\" border=\"0\" width=\"215\" height=\"125\" /></p>\r\n<p>Template color can be defined in parameter <strong>Page Class Suffix</strong> of menu items as <strong>custom-color-xxx</strong><strong>.</strong></p>\r\n</div>\r\n<div>\r\n<h4>By Site tools panel</h4>\r\n<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/color-variations/color-config-st.png\" border=\"0\" width=\"215\" height=\"125\" /></p>\r\n<p>Template color can be selected by website visitor from <strong>Color Selector</strong> in <strong>Site tools</strong>.</p>\r\n</div>\r\n</div>', '', '1', '78', '2011-04-01 02:55:34', '42', '', '2014-05-29 09:28:54', '42', '0', '0000-00-00 00:00:00', '2011-04-01 02:55:34', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '15', '6', '', '', '1', '142', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('69', '177', 'Font Styles', 'font-styles', '<h3>Font Face</h3>\n<p>JSN One provides <strong>3 font face options </strong>for major website types. Each font face option is actually a combination of 2 font types: one for content text, another for heading text and main navigation text.</p>\n<h4>Special Font (powered by Google Font Directory)</h4>\n<p>To make your website content look even better, we included feature to load special fonts directly from Google Font Directory. We have carefully selected the most appropriate special font for each text styles. Since this service is provided by Google, it\'s very reliable and fast.</p>\n<div class=\"content-center\">\n<p><strong>Click on any screenshot to see LIVE demo of that font face. (<a href=\"index.php?option=com_content&amp;view=article&amp;id=69&amp;Itemid=471&jsn_settextstyle=business&jsn_setspecialfont=no\" class=\"link-action\">reset to default</a>)</strong></p>\n{imageshow sl=5 sc=2 with=600 h=220 /}\n<p>Interactive images presentation by <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\">JSN ImageShow extension</a></p>\n</div>\n<hr class=\"line-dots\" />\n<h3>Font Size</h3>\n<p>JSN One provides <strong>3 text size options</strong> for major website audience.</p>\n<div class=\"content-center\">\n<p><strong>Click on any screenshot to see LIVE demo of  that font size. (<a href=\"index.php?option=com_content&amp;view=article&amp;id=69&amp;Itemid=471&jsn_settextsize=medium\" class=\"link-action\">reset to default</a>)</strong></p>\n{imageshow sl=6 sc=2 with=600 h=220 /}\n<p>Interactive images presentation by <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\">JSN ImageShow extension</a></p>\n</div>', '', '0', '78', '2011-04-01 02:55:57', '42', '', '2011-04-15 10:29:44', '42', '0', '0000-00-00 00:00:00', '2011-04-01 02:55:57', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '8', '5', '', '', '1', '98', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('70', '178', 'JSN One Design & Features', 'jsn-force-design-a-features', '<p>JSN One has incredibly beautiful clean design with ultra flexible layout built-up from 36 module positions. The combination of 6 colors variation, 5 menu styles and 6 module styles results in a really remarkable website. In addition, super rich typography makes your content look stunning and clear for all users.</p>\n\n<div class=\"grid-layout\">\n<div>\n<h3>Layout</h3>\n<p><strong>40 module positions </strong>allowing you to have multiple layout configurations. All module positions are collapsible and can arrange modules in horizontal or vertical layout.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=71&Itemid=466\" class=\"link-button button-light\"><span class=\"link-icon\">More about layout</span></a></p>\n</div>\n<div>\n<h3>Color Variations</h3>\n<p><strong>6 major color variations</strong> for your taste. Each color variation covers not only the main background, but also color of drop-down menu, links, table\'s header and more.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=68&Itemid=467\" class=\"link-button button-light\"><span class=\"link-icon\">More about colors</span></a></p>\n</div>\n</div>\n\n<div class=\"grid-layout\">\n<div>\n<h3>Menu Styles</h3>\n<p><strong>5 menu styles </strong>to display your website navigation on muliple position. The built-in menu module is  utilized, so you don\'t need to install any external menu modules.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=72&Itemid=468\" class=\"link-button button-light\"><span class=\"link-icon\">More about menu styles</span></a></p>\n</div>\n<div>\n<h3>Typography</h3>\n<p><strong>Super rich typography</strong> ready for the most comprehensive content presentation. Headings, text, links, tables, images, everything was designed with high level of refinement.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=74&Itemid=469\" class=\"link-button button-light\"><span class=\"link-icon\">More about typography</span></a></p>\n</div>\n</div>\n\n<div class=\"grid-layout\">\n<div>\n<h3>Module Styles</h3>\n<p>JSN One provides<strong>6 background designs</strong>, which can be combined with <strong>20 predefined icons</strong> for outstading module styling. Make your modules look good easily!</p>\n<p><a href=\"index.php?option=com_content&view=article&id=73&Itemid=470\" class=\"link-button button-light\"><span class=\"link-icon\">More about modules styles</span></a></p>\n</div>\n<div>\n<h3>Font Styles</h3>\n<p><strong>3 font face</strong> options for major website types and <strong>3 font size</strong> options for major audience. Each font face option is a combination of 2 font types, which looks stunning..</p>\n<p><a href=\"index.php?option=com_content&view=article&id=69&Itemid=471\" class=\"link-button button-light\"><span class=\"link-icon\">More about font styles</span></a></p>\n</div>\n</div>', '', '0', '78', '2011-04-01 02:56:18', '42', '', '2012-07-20 04:50:31', '43', '0', '0000-00-00 00:00:00', '2011-04-01 02:56:18', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '13', '4', '', '', '1', '102', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('71', '179', 'Layout', 'layout', '<h3>Module Positions</h3>\r\n<p>JSN One provides <strong>36 module positions</strong> allowing you to have multiple layout configurations. All module positions are collapsible which means if you don\'t publish any modules in some position it will not take any mini spaces leaving those for neighbor modules. Some positions are designed to arrange modules inside in horizontal layout which makes it very easy to reorder modules inside it.</p>\r\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Layout Configuration</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/params-layout.png\" class=\"image-border\" alt=\"Layout configuration by template parameters\" /></p>\r\n<p>JSN One allows you to change the width size for several critical layout elements. All settings can be done via template parameters in section <strong>LAYOUT SETTINGS</strong>.</p>\r\n<hr class=\"line-dots\" />\r\n<h3>Layout Variations</h3>\r\n<p>JSN One layout system is very flexible and capable. Module positions are designed in smart way to cover all possible spot where you might want to put content. More over, you can specify width of both overall layout and specific columns conveniently via template parameters. Bellow is live presentation of some most popular layout variations:</p>\r\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=92&Itemid=477\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-mc.png\" width=\"160\" height=\"90\" alt=\"Main content only\" /><br />Main content only</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=89&Itemid=474\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcir.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" /><br />Left | Center | InnerRight</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=91&Itemid=473\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lilc.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" /><br />Left | InnerLeft | Center</a>\r\n	</div>\r\n</div>\r\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=90&Itemid=472\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />Left | Center | Right</a>\r\n    </div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=88&Itemid=476\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-ilcr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />InnerLeft | Center | Right</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=87&Itemid=475\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-cirr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />Center | InnerRight | Right</a>\r\n	</div>\r\n</div>', '', '1', '78', '2011-04-01 02:56:37', '42', '', '2014-09-15 04:07:46', '42', '0', '0000-00-00 00:00:00', '2011-04-01 02:56:37', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '21', '3', '', '', '1', '361', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('72', '180', 'Menu Styles', 'menu-styles', '<p>JSN One provides <strong>3 menu styles </strong>to present your website navigation. The default Joomla! built-in menu module <strong>(mod_mainmenu)</strong> is utilized, so you don\'t need to install any external menu modules.</p>\r\n<h3>Main Menu</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/menu-styles/menu-mainmenu-submenus.png\" class=\"image-border\" alt=\"Main Menu\" /></p>\r\n<p>Main Menu is very powerful menu built with clean accessible XHTML code structure and effective drop-down submenu panels.</p>\r\n<h4>Main Menu with rich text</h4>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/menu-styles/menu-mainmenu-rich.png\" class=\"image-border\" alt=\"Main Menu with rich text\" /></p>\r\n<p>You can add icon and descriptive text to each menu item to make them much clearer and more  appealing. Both descriptive text and icons are configured directly in menu item settings page, which is very convenient.</p>\r\n<p class=\"content-center\"><a class=\"link-action\" href=\"index.php?option=com_content&view=article&id=93&Itemid=479\">See live demo of Main Menu</a></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Tree Menu</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/menu-styles/menu-treemenu.png\" class=\"image-border\" /></p>\r\n<p>Tree Menu represents menu items in clear tree-like hierarchy, which is very appropriate for indexing menu. By default all submenu items are collapsed until you select the parent menu item.</p>\r\n<p class=\"content-center\"><a class=\"link-action\" href=\"index.php?option=com_content&view=article&id=98&Itemid=482\">See live demo of Tree Menu</a></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Div Menu</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/menu-styles/menu-divmenu.png\" class=\"image-border\" alt=\"Div Menu\" /></p>\r\n<p>Div Menu is simple yet nice menu bar with items separated by slightly visible dashes. This menu is very suitable for footer navigation presentation.</p>', '', '1', '78', '2011-04-01 02:56:55', '42', '', '2014-07-26 02:52:22', '42', '0', '0000-00-00 00:00:00', '2011-04-01 02:56:55', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '15', '2', '', '', '1', '293', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('73', '181', 'Module Styles', 'module-styles', '<p>JSN One provides <strong>4 box designs</strong> for module background styling in Free edition (which can be combined with <strong>130+ predefined icons</strong> for module title styling in PRO edition). Module styles are configured by module\'s parameter <strong>Module Class Suffix</strong> with very simple syntax.</p>\r\n<p>Take a look around to see how module styles are applied.</p>', '', '1', '78', '2011-04-01 02:57:11', '42', '', '2014-06-02 10:42:59', '42', '0', '0000-00-00 00:00:00', '2011-04-01 02:57:11', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '13', '1', '', '', '1', '269', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('74', '182', 'Typography', 'typography', '<p>JSN One was developed with <strong>extreme focus on typography</strong> and we believe it provides the most comprehensive content presentation capability. Headings, text, links, tables, images, everything was designed with high level of refinement. Let\'s take a look.</p>\n<h3>Headings</h3>\n<div class=\"grid-layout\">\n  <div>\n    <h1>This is an H1 Header</h1>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h2>This is an H2 Header</h2>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h3>This is an H3 Header</h3>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h4>This is an H4 Header</h4>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h5>This is an H5 Header</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h6>This is an H6 Header</h6>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<hr class=\"line-dots\" />\n<h3>Text columns</h3>\n<p>You can arrange  content in multiple columns by using very simple html code. JSN One will detect the amount of columns you defined and automatically make arrangement.</p>\n<p> <span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;div class=&rdquo;grid-layout&rdquo;&gt;&lt;div&gt;</strong>Text in column 1<strong>&lt;/div&gt;&lt;div&gt;</strong>Text in column 2<strong>&lt;/div&gt;&lt;/div&gt;</strong></p>\n<h4>Content arranged in 2 columns</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<h4>Content arranged in 3 columns</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<h4>Content arranged in 4 columns</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Text column</h5>\n    <p>At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n  </div>\n</div>\n<h4>Content arranged in 5 columns</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet.</p>\n  </div>\n  <div>\n    <h5>Text column</h5>\n    <p>Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet.</p>\n  </div>\n</div>\n<hr class=\"line-dots\" />\n<h3>Text styles</h3>\n<h4>Preformatted text (&lt;pre&gt; tag)</h4>\n<pre>#ja-rightcol {\n width: 180px;\n float: right;\n color: #EEEEEE;\n}\n</pre>\n\n<h4>Quote text (<strong>&lt;blockquote&gt;</strong> tag)</h4>\n<blockquote>\n  <p>You can us this style to quote somebody\'s speech, idea or a fragment from some book, articles, etc. Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus  laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem.  Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;blockquote&gt;</strong>This is your quote<strong>&lt;/blockquote&gt;</strong></p>\n</blockquote>\n\n<h4>Drop Cap</h4>\n<div class=\"text-dropcap\">\n<p>You can use this special drop cap symbol style for magazine / newspaper text paragraph. Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-dropcap&quot;&gt;</strong>This is the text with dropcap symbol.<strong>&lt;/p&gt;</strong></p>\n</div>\n\n<h4>Highlighted Text</h4>\n<p>You can use this style to <span class=\"text-highlight\">highlight important words and / or keyword expression</span> in search result page. Lorem ipsum dolor sit amet consectetuer eleifend elit vel tellus  laoreet. At ut pellentesque risus quis sem eros et consequat enim lorem.  Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;span class=&quot;text-highlight&quot;&gt;</strong>This is the text to be highlighted.<strong>&lt;/span&gt;</strong></p>\n\n<h4>Highlighted Text on mouse over</h4>\n<div class=\"grid-layout\">\n<div><div class=\"text-box-highlight\">\n<p>You can use this style to highlight important text block on mouse over. Just roll mouse over this text block to see how it\'s highlighted.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;div class=&quot;text-box-highlight&quot;&gt;</strong>This is the text to be highlighted.<strong>&lt;/div&gt;</strong></p>\n</div></div>\n<div>\n  <div class=\"text-box-highlight\">\n<p>You can use this style to highlight important text block on mouse over. Just roll mouse over this text block to see how it\'s highlighted.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;div class=&quot;text-box-highlight&quot;&gt;</strong>This is the text to be highlighted.<strong>&lt;/div&gt;</strong></p>\n</div></div>\n</div>\n\n<h4>Alert Text</h4>\n<div class=\"text-alert\">\n<p>You can use this style for alert or warning text paragraph requiring user\'s attention. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-alert&quot;&gt;</strong>This is text that requires user\'s attentions.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Info Text</h4>\n<div class=\"text-info\">\n<p>You can use this style for regular information text paragraph that does not require much user\'s attentions. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-info&quot;&gt;</strong>This is your d text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Download Text</h4>\n<div class=\"text-download\">\n<p>You can use this style for information text paragraph related to download process. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-download&quot;&gt;</strong>This is download related text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Tip Text</h4>\n<div class=\"text-tip\">\n<p>You can use this style for useful information like tips, hint or help text. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-tip&quot;&gt;</strong>This is yourtip hint or help text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Comment Text</h4>\n<div class=\"text-comment\">\n<p>You can use this style for comment text paragraph. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-comment&quot;&gt;</strong>This is your comment text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Attachment Text</h4>\n<div class=\"text-attachment\">\n<p>You can use this style for information text paragraph related to attachment file. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-attachment&quot;&gt;</strong>This is your attachment related text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Video Text</h4>\n<div class=\"text-comment\">\n<p>You can use this style for description text paragraph that related to video file. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-video&quot;&gt;</strong>This is your video related text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<h4>Audio Text</h4>\n<div class=\"text-audio\">\n<p>You can use this style for description text paragraph related to audio file. At ut pellentesque risus quis sem eros et consequat enim lorem. Aenean lorem consequat consequat eu.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;p class=&quot;text-audio&quot;&gt;</strong>This is your audio related text.<strong>&lt;/p&gt;</strong></p>\n</div>\n<hr class=\"line-dots\" />\n<h3>Link Styles</h3>\n<h4>Link Icon Styles</h4>\n<p>You  can attach up to <strong>20 predefined</strong> <strong>icons</strong> to the front of any link by  adding simple class to it.</p>\n<div class=\"grid-layout\">\n  <div>\n    <ul class=\"list-nobullet\">\n      <li><a class=\"link-icon\">Link with article icon</a></li>\n      <li><a class=\"link-icon\">Link with calendar icon</a></li>\n      <li><a class=\"link-icon\">Link with cart icon</a></li>\n      <li><a class=\"link-icon\">Link with comment icon</a></li>\n      <li><a class=\"link-icon\">Link with display icon</a></li>\n      <li><a class=\"link-icon\">Link with download icon</a></li>\n      <li><a class=\"link-icon\">Link with online icon</a></li>\n    </ul>\n  </div>\n  <div>\n    <ul class=\"list-nobullet\">\n      <li><a class=\"link-icon\">Link with folder icon</a></li>\n      <li><a class=\"link-icon\">Link with help icon</a></li>\n      <li><a class=\"link-icon\">Link with home icon</a></li>\n      <li><a class=\"link-icon\">Link with image icon</a></li>\n      <li><a class=\"link-icon\">Link with info icon</a></li>\n      <li><a class=\"link-icon\">Link with mail icon</a></li>\n      <li><a class=\"link-icon\">Link with rss icon</a></li>\n    </ul>\n  </div>\n  <div>\n    <ul class=\"list-nobullet\">\n      <li><a class=\"link-icon\">Link with search icon</a></li>\n      <li><a class=\"link-icon\">Link with selection icon</a></li>\n      <li><a class=\"link-icon\">Link with settings icon</a></li>\n      <li><a class=\"link-icon\">Link with star icon</a></li>\n      <li><a class=\"link-icon\">Link with statistics icon</a></li>\n      <li><a class=\"link-icon\">Link with user icon</a></li>\n    </ul>\n  </div>\n</div>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;a class=&quot;link-icon icon-xxx&quot;&gt;</strong>This is link  text.<strong>&lt;/a&gt;</strong>, where <strong>xxx</strong> is the name of icon to be applied. Detailed information about all icon names can be found in template documentation.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Example:</strong></span> <strong>&lt;a  class=&quot;link-icon icon-download&quot;&gt;</strong>This is link to download something.<strong>&lt;/a&gt;</strong></p>\n<h4>Link Button Styles</h4>\n<p>JSN  One offers<strong> 6 button styles </strong>to decorate  any call-to-action links you have in the content.</p>\n<div class=\"grid-layout\">\n  <div>\n  	<p><a href=\"#\" class=\"link-button button-light\">Link as light button</a></p>\n    <p><a href=\"#\" class=\"link-button button-dark\">Link as dark button</a></p>\n  </div>\n  <div>\n  <p><a href=\"#\" class=\"link-button button-blue\">Link as blue button</a></p>\n  <p><a href=\"#\" class=\"link-button button-green\">Link as green button</a></p>\n  </div>\n  <div>\n  <p><a href=\"#\" class=\"link-button button-red\">Link as red button</a></p>\n  <p><a href=\"#\" class=\"link-button button-orange\">Link as orange button</a></p>\n  </div>\n</div>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;a class=&quot;link-button button-xxx&quot;&gt;</strong>This  is link text.<strong>&lt;/a&gt;</strong>, where <strong>xxx</strong> is the button color name selected from: <strong>light</strong>, <strong>dark</strong>, <strong>green</strong>, <strong>orange</strong>, <strong>blue</strong> and <strong>red</strong>.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Example:</strong></span> <strong>&lt;a  class=&quot;link-button button-orange&quot;&gt;</strong>See plans &amp; pricing.<strong>&lt;/a&gt;</strong></p>\n<h4>Combination of Button and Icon Styles</h4>\n<p>You can use both button and icon link style combined.</p>\n<div class=\"grid-layout\">\n  <div>\n  <p><a href=\"#\" class=\"link-button button-light\"><span class=\"link-icon\">Light button &amp; Home icon</span></a></p>\n  <p><a href=\"#\" class=\"link-button button-dark\"><span class=\"link-icon\">Dark button &amp; Calendar icon</span></a></p>\n  </div>\n  <div>\n  <p><a href=\"#\" class=\"link-button button-blue\"><span class=\"link-icon\">Blue button &amp; Mail icon</span></a></p>\n  <p><a href=\"#\" class=\"link-button button-green\"><span class=\"link-icon\">Green button &amp; Image icon</span></a></p>\n  </div>\n  <div>\n  <p><a href=\"#\" class=\"link-button button-red\"><span class=\"link-icon\">Red button &amp; Star icon</span></a></p>\n  <p><a href=\"#\" class=\"link-button button-orange\"><span class=\"link-icon\">Orange button &amp User icon</span></a></p>\n  </div>\n</div>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;a class=&quot;link-button button-xxx&quot;&gt;&lt;span  class=&quot;link-icon icon-yyy&quot;&gt;</strong>This is link text.<strong>&lt;/span&gt;&lt;/a&gt;</strong>, where <strong>xxx</strong> and <strong>yyy</strong> are button color and icon names  respectively.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Example:</strong></span> <strong>&lt;a  class=&quot;link-button button-green&quot;&gt;&lt;span class=&quot;link-icon icon-cart&quot;&gt;</strong>Add  to cart.<strong>&lt;/span&gt;&lt;/a&gt;</strong></p>\n<h4>Extension  link styles</h4>\n<p>JSN  One is able to attach not only descriptive icon to the front of link as  described in above section, but also <strong>23 extension  icons</strong> to the end of the link.</p>\n<div class=\"grid-layout\">\n  <div>\n    <ul>\n      <li><a class=\"link-icon-ext icon-ext-aim\">AIM contact link (aim:)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-application\">Application file (.app)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-archive\">Archive file (.zip, .rar, .gzip)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-calendar\">Calendar file (.ical)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-css\">Cascading Style Sheet file (.css)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-doc\">Microsoft Word file (.doc)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-excel\">Microsoft Excel file (.xls)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-feed\">Feed item (.rss, .atom)</a></li>\n    </ul>\n  </div>\n  <div>\n    <ul>\n      <li><a class=\"link-icon-ext icon-ext-flash\">Adobe Flash / Flex file (.fla, .swf)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-font\">Font file (.ttf)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-mail\">Email link (mailto:)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-mobile\">Call link (callto:)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-movie\">Movie file (.mp4, .avi, .mpg)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-msn\">MSN IM contact link (msnim:)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-music\">Music file (.mp3, .wav, .wma)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-pdf\">Adobe PDF file (.pdf)</a></li>\n    </ul>\n  </div>\n  <div>\n    <ul>\n      <li><a class=\"link-icon-ext icon-ext-powerpoint\">Microsoft PowerPoint file (.pps)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-quicktime\">QuickTime movie file (.mov)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-skype\">Skype contact link (skype:)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-text\">Regular text file (.txt)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-torrent\">Torrent metainfo file (.torrent)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-vcard\">Electronic business card  (.vcard)</a></li>\n      <li><a class=\"link-icon-ext icon-ext-yahoo\">Yahoo Messenger contact  (ymsgr:)</a></li>\n    </ul>\n  </div>\n</div>\n<p>All icons can be assigned automatically by enabling a template parameter or manually by adding simple class to the link.</p>\n<p><span class=\"text-highlight highlight-light\"><strong>Usage:</strong></span> <strong>&lt;a class=&quot;link-icon-ext icon-ext-xxx&quot;&gt;</strong>This  is link text.<strong>&lt;/a&gt;</strong>, where <strong>xxx</strong> is the icon name. Detailed information about all icon names can be found in template documentation.</p>\n<hr class=\"line-dots\" />\n<h3>Table Styles</h3>\n<h4>Plain  Rows table style</h4>\n<table width=\"100%\" border=\"0\" class=\"table-style style-colorheader\">\n  <thead>\n    <tr>\n      <th>Table header</th>\n      <th>Column header 1</th>\n      <th class=\"highlight\">Column header 2</th>\n      <th>Column header 3</th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n  </tbody>\n  <tfoot>\n    <tr>\n      <th>Table footer</th>\n      <td colspan=\"3\">Footer data</td>\n    </tr>\n  </tfoot>\n</table>\n<h4>Color Stripes table style</h4>\n<table width=\"100%\" border=\"0\" class=\"table-style style-colorstripes\">\n  <thead>\n    <tr>\n      <th>Table header</th>\n      <th>Column header 1</th>\n      <th class=\"highlight\">Column header 2</th>\n      <th>Column header 3</th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr>\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr>\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n  </tbody>\n  <tfoot>\n    <tr>\n      <th>Table footer</th>\n      <td colspan=\"3\">Footer data</td>\n    </tr>\n  </tfoot>\n</table>\n<h4>Grey Stripes table style</h4>\n<table width=\"100%\" border=\"0\" class=\"table-style style-greystripes\">\n  <thead>\n    <tr>\n      <th>Table header</th>\n      <th>Column header 1</th>\n      <th class=\"highlight\">Column header 2</th>\n      <th>Column header 3</th>\n    </tr>\n  </thead>\n  <tbody>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr>\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr>\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n    <tr class=\"odd\">\n      <th>Row header 1</th>\n      <td>Lorem ipsum</td>\n      <td class=\"highlight\">Dolor sit amet</td>\n      <td>Lorem ipsum</td>\n    </tr>\n  </tbody>\n  <tfoot>\n    <tr>\n      <th>Table footer</th>\n      <td colspan=\"3\">Footer data</td>\n    </tr>\n  </tfoot>\n</table>\n<hr class=\"line-dots\" />\n<h3>List styles</h3>\n<h4>Standard list styles</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Unordered list</h5>\n    <ul>\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Ordered list</h5>\n    <ol>\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ol>\n  </div>\n</div>\n<h4>Arrow list styles</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Red arrow</h5>\n    <ul class=\"list-arrow arrow-red\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Blue arrow</h5>\n    <ul class=\"list-arrow arrow-blue\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Green arrow</h5>\n    <ul class=\"list-arrow arrow-green\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<h4>Icon list styles</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Article icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Folder icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Image icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Online icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Star icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>User icon list</h5>\n    <ul class=\"list-icon\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<p class=\"text-tip\">You can assign any of predefined 20 icons to list items. 6 icons shown above are just samples.</p>\n<h4>Number list styles</h4>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Blue Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-blue\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Green Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-green\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Grey Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-grey\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Orange Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-orange\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Red Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-red\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Violet Bullet number list</h5>\n    <ul class=\"list-number-bullet bullet-violet\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Blue Digit number list</h5>\n    <ul class=\"list-number-digit digit-blue\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Green Digit number list</h5>\n    <ul class=\"list-number-digit digit-green\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Grey Digit number list</h5>\n    <ul class=\"list-number-digit digit-grey\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>\n<div class=\"grid-layout\">\n  <div>\n    <h5>Orange Digit number list</h5>\n    <ul class=\"list-number-digit digit-orange\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Red Digit number list</h5>\n    <ul class=\"list-number-digit digit-red\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n  <div>\n    <h5>Violet Digit number list</h5>\n    <ul class=\"list-number-digit digit-violet\">\n      <li>Lorem ipsum dolor sit amet</li>\n      <li>Consetetur sadipscing elitr</li>\n      <li>Sed diam voluptua</li>\n    </ul>\n  </div>\n</div>', '', '0', '78', '2011-04-01 02:57:27', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 02:57:27', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '0', '', '', '1', '59', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('75', '183', 'CSS/JS Compression', 'cssjs-compression', '<p>At JoomlaShine.com, we put great efforts in optimizing our templates performance by multiple techniques like image sprites application, clean html code output and now one new step â€“ <strong>CSS/JS Compression</strong>.</p>\n<p>What it does is to combine all CSS/JS files into a single file and deliver it in GZIP compressed state to browser. This feature significantly reduce http request number to server as well as overall loading size, which results in 35% performance boost.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/cssjs-compression/system-compression-filesbefore.png\" border=\"0\" alt=\"Before enabling CSS/JS compression\" width=\"600\" height=\"380\" /></p>\n<p class=\"content-center\"><em>Before enabling CSS/JS compression</em></p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/cssjs-compression/system-compression-filesafter.png\" border=\"0\" alt=\"After enabling CSS/JS compression\" width=\"600\" height=\"200\" /></p>\n<p class=\"content-center\"><em>After enabling CSS/JS compression</em></p>\n<p>CSS/JS Compression feature is enabled on this demo website. You can check the source code to see how it works.</p>\n<hr class=\"line-dots\" />\n<h3>Custom CSS File(s)</h3>\n<p>This feature allows you to load multiple custom CSS files among with template default files. This feature is very useful, when you have special dedicated CSS file for content styling.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/cssjs-compression/system-customcss.png\" border=\"0\" alt=\"Custom CSS files are loaded among with other template CSS files\" width=\"600\" height=\"320\" /></p>\n<p class=\"content-center\"><em>Custom CSS files are loaded among with other template CSS files</em></p>\n<p>Just put custom CSS files to template\'s CSS folder and define them in template parameter <strong>Custom CSS File(s)</strong> each file name at a line. If you enable <strong>CSS/JS Compression </strong>feature, all custom CSS files will be compressed as well.</p>', '', '1', '79', '2011-04-01 03:05:52', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 03:05:52', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '14', '', '', '1', '12', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('76', '184', 'Docs & Support', 'docs-and-support-2', '<h3>Documentation</h3>\r\n<p>JSN Yoyo is equipped with very comprehensive documentation package that will help you with template utilization.</p>\r\n<ul>\r\n<li><h4>Configuration Manual</h4>This PDF document gives you detailed description of every template feature. You can print and use this document as a reference every time you want to configure your template. You also can watch <a href=\"http://www.youtube.com/playlist?list=PL068EB32BB584F3F7\">our play list JoomlaShine Template Configuration</a>. </li>\r\n<li><h4>Customization Manual</h4>This PDF document gives you easy-to-understand instruction how to customize template elements to make it suites you or your client. You also can watch <a href=\"http://www.youtube.com/playlist?list=PL0B473CA36B16C3FD\">our playlist JoomlaShine Template Customization</a>. </li> \r\n</ul>\r\n<p class=\"content-center\"><a class=\"link-button button-light\" href=\"http://www.joomlashine.com/joomla-templates/jsn-yoyo-docs.zip\"><span class=\"link-icon jsn-icon-download\">Download documentation</span></a></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Support</h3>\r\n<p>Technical support is available for everyone who use our products via Support Forum. Here you will find forums for FREE and PRO editions owners and get support from our support team as well as thousands of active members.</p>\r\n<p>When purchasing our products you are backed up with professional and timely support, 12-hour response time is guaranteed for PRO editions owners only.</p>', '', '1', '79', '2011-04-01 03:06:29', '42', '', '2013-03-15 09:17:16', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:06:29', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '8', '12', '', '', '1', '59', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('77', '185', 'Easy to Start', 'easy-to-start', '<img class=\"demo-thumb\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/thumb3.jpg\" alt=\"\" />\r\n<p>One of the fastest and easiest ways to learn template is to install sample data and start playing with it. JSN One provides unique mechanism of installing sample data directly on your current website. Just few steps and the demo website is here.</p>', '\r\n<h3>Step 1. Setup sample data </h3>\r\n<p>Go to template settings page and click button <strong>\"Get started\".</strong></p> \r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/easy-start/sampledata-step01.png\" class=\"image-border\" width=\"600\" alt=\"Run sample data installer\" /></p>\r\n<p>There are 2 options for you to choose: <strong>Install sample data directly on your site</strong> or<strong> download the quickstart package and use it as standard Joomla site</strong>.</p>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/easy-start/sampledata-step02.png\" class=\"image-border\" width=\"600\" alt=\"Download sample data package\" /></p>\r\n<p> The installation process would start instantly and you would get the website in less than a minute.</p>\r\n<h3>Step 2. Read template documentation and start playing</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/easy-start/sampledata-check-documentation.png\" class=\"image-border\" width=\"600\" alt=\"Run sample data installer\" /></p>\r\n<p><strong>Done!</strong> Just 2 simple steps and you have sample data installed.</p>\r\n<p>Now it\'s time to read documentation and play with the template. You can download documentation package for free.</p>\r\n<ul type=\"disc\">\r\n<li><a class=\"link-action\" href=\"http://www.joomlashine.com/joomla-templates/jsn-force-docs.zip\">Download documentation package</a>.</li>', '1', '79', '2011-04-01 03:06:47', '42', '', '2014-09-13 10:24:04', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:06:47', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '14', '12', '', '', '1', '169', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '1', '*', ''),
('78', '186', 'Extended styles', 'extended-styles', '<p>One of hottest features in JSN One is extended styles adapted for 5 most popular Joomla! extension: <strong>K2</strong>, <strong>Community Builder</strong>, <strong>Virtue Mart</strong>, <strong>JEvents</strong> and <strong>JoomGallery</strong>.</p>\n<p>Technically extended styles are overrides of default extensions style (images + CSS) and located in folder <strong>/ext</strong> inside template folder. Some extensions have their own template system and you might want to turn off extended style thru template parameter in order to use those native templates.</p>\n<p class=\"text-info\">The extensions discussed here are not included in the template package and you have to download separately. You can download the extensions on Joomla! Extensions Directory <a href=\"http://extensions.joomla.org/\">http://extensions.joomla.org/</a></p>\n<h3>K2</h3>\n<p>Extended style for K2 includes adapted tabs color, additional module styles, fixed alignment issues and some other minor visual enhancement.</p>\n<h4>Component styling</h4>\n<p>Here is how K2 component will look like after extended styles applied.</p>\n<p class=\"content-center\"><img width=\"600\" height=\"445\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-k2-style-after.png\" alt=\"K2 Style Applied\" /></p>\n<h4>Module styling</h4>\n<p>Besides from extended component styling you can use template module styles for K2 modules as well.</p>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img width=\"300\" height=\"455\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-k2-module-content.png\" alt=\"K2 Style Module Content\" /></p>\n<ul><li>K2 Content Module (mod_k2_content) with module style <strong>box-green icon-article</strong> applied</li></ul>\n</div>\n<div>\n  <p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/extended-styles/ext-k2-module-comment-login.png\" width=\"300\" height=\"580\" alt=\"K2 Style Module Comment\" /></p>\n  <ul>\n    <li>K2 Comments Module (mod_k2_comments) with module style <strong>box-blue icon-comment</strong> applied</li>\n    <li>K2 Login Module (mod_k2_login) with module style <strong>box-yellow icon-user</strong> applied </li>\n  </ul>\n</div>\n</div>\n<hr class=\"line-dots\" />\n<h3>Community Builder</h3>\n<p>Extended style for Community Builder includes adapted dropdown menu style, tabs color, additional module styles and some other minor visual enhancement.</p>\n<h4>Component styling</h4>\n<p>Here is how Community Builder component will look like after extended styles applied.</p>\n<p class=\"content-center\"><img width=\"600\" height=\"500\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-cb-profile.png\" alt=\"CB Profile Style\" /><br />\nAdapted drop-menu style and tabs color on <strong>CB Profile page</strong></p>\n<h4>Module styling</h4>\n<p>Besides from extended component styling you can use template module styles for Community Builder modules as well.</p>\n<p class=\"content-center\"><img width=\"300\" height=\"360\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-cb-modules.png\" alt=\"CB Module Style\" /></p>\n<p>In the example above:</p>\n<ul>\n  <li>CB Login Module (mod_cblogin) with module style <strong>box-yellow icon-user</strong> applied</li>\n  <li>CB Online Module (mod_comprofilerOnline) with module style <strong>box-blue icon-online</strong> applied</li>\n  <li>CB Workflows (mod_comprofilermoderator) with module style<strong> box-grey icon-selection</strong> applied</li>\n</ul>\n<hr class=\"line-dots\" />\n<h3>Virtue Mart</h3>\n<p>Extended style for Virtue Mart includes adapted Add to Cart button, additional module styles, fixed alignment issues, redesigned checkout-steps icons and some other minor visual enhancement.</p>\n<h4>Component Styling</h4>\n<p class=\"content-center\"><img width=\"600\" height=\"420\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-vm-product.png\" alt=\"VM Product Style\" /><br />Fixed alignment issues on <strong>Product Details</strong> page</p>\n<h4>Module styling</h4>\n<p>Besides from extended component styling you can use template module styles for Virtue Mart modules as well.</p>\n<p class=\"content-center\"><img width=\"300\" height=\"420\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-vm-module.png\" alt=\"VM Module Style\" /></p>\n<ul>\n  <li>VirtueMart Module (mod_virtuemart) with module style <strong>box-blue icon-cart</strong> applied.</li>\n</ul>\n<hr class=\"line-dots\" />\n<h3>JEvents</h3>\n<p>Extended style for JEvents includes redesigned calendar navigation icons and calendar table, adapted table header color, additional module styles, fixed alignment issues and some other minor visual enhancement.</p>\n<h4>Component Styling</h4>\n<p class=\"content-center\"><img width=\"600\" height=\"220\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jevents-navigation.png\" alt=\"JEvents Navigation Style\" /><br />Totally redesigned calendar navigation icons</p>\n<p class=\"content-center\"><img width=\"600\" height=\"455\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jevents-monthly.png\" alt=\"JEvents Monthly Style\" /><br />Adapted calendar table header color</p>\n<p class=\"content-center\"><img width=\"600\" height=\"550\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jevents-weekly.png\" alt=\"JEvents Weekly Style\" /><br />\nAdapted table header color on Event List page</p>\n<h4>Module styling</h4>\n<p>Besides from extended component styling you can use template module styles for JEvents modules as well.</p>\n<p class=\"content-center\"><img width=\"300\" height=\"530\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jevents-modules.png\" alt=\"JEvents Module Style\" /></p>\n<p>In the example above:</p>\n<ul>\n  <li>Events Calendar Module (mod_jevents_cal) with module style <strong>box-blue icon-calendar</strong> applied.</li>\n  <li>Latest Events Module (mod_jevents_latest) with module style <strong>box-green icon-star</strong> applied.</li>\n  <li>JEvents Legend Module (mod_jevents_legend) with module style <strong>box-grey icon-info</strong> applied.</li>\n</ul>\n<hr class=\"line-dots\" />\n<h3>JoomGallery</h3>\n<p>Extended style for JoomGallery includes redesigned navigation icons, fixed alignment issues, additional module styles and some other minor visual enhancement.</p>\n<h4>Component Styling</h4>\n<p class=\"content-center\"><img width=\"600\" height=\"500\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jg-layout.png\" alt=\"JG Layout Style\" /><br />Totally redesigned navigation bar and information panel</p>\n<p class=\"content-center\"><img width=\"600\" height=\"500\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jg-navigation.png\" alt=\"JG Navigation Style\" /><br />\nFixed alignment issues</p>\n<h4>Module styling</h4>\n<p>Besides from extended component styling you can use template module styles for JoomGallery modules as well.</p>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img width=\"300\" height=\"500\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jg-modules1.png\" alt=\"JG Module Style\" /></p>\n<ul>\n  <li>JoomSearch Module (mod_joomsearch) with module style<strong> box-blue icon-search</strong> applied.</li>\n  <li>JoomGallery Treeview Module (mod_jgtreeview) with module style <strong>box-yellow icon-image</strong> applied. </li>\n</ul>\n</div>\n<div>\n<p class=\"content-center\"><img width=\"300\" height=\"500\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/images/content/template-details/advanced-stuff/extended-styles/ext-jg-modules2.png\" alt=\"JG Module 2 Style\" /></p>\n<ul>\n  <li>JoomGallery Latest Categories Module (mod_jglatestcart) with module style <strong>box-grey icon-star</strong> applied.</li>\n  <li>JoomGallery Stats Module (mod_joomgallerystats) with module style <strong>box-green icon-statistics</strong> applied.</li>\n</ul>\n</div>\n</div>', '', '1', '79', '2011-04-01 03:07:08', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 03:07:08', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '11', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('79', '187', 'Image Gallery', 'image-gallery', '<p>The image gallery you see on this website is another cool product <strong><a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_blank\">JSN ImageShow</a></strong> from JoomlaShine.com. This product is shipped with component, module and content plugin, so you can place it anywhere on every website.</p>\r\n<p>On this page you can see how JSN ImageShow is presented as module on top and as plugin in article content. With it, you get smooth experience and consistent performance in all browsers. The JSN ImageShow also support mobile devices normally with JS/HTML version switched automatically when you visit the website.</p>\r\n<p>Currently, JSN ImageShow comes with 6 themes: Theme Classic, Theme Slider, Theme Grid, Theme Carousel, Theme Strip and Theme Flow. More themes will be released in the future.</p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=3 h=350 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Classic</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=1 w=650 h=350 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Slider</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=2 /}</div>\r\n<p class=\"content-center\" style=\"clear: both;\"><em>JSN ImageShow with Theme Grid</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=4 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Carousel</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=5 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Strip Vertical</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=6 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Strip Horizontal</em></p>\r\n<div class=\"content-center\" style=\"padding-left: 30px; max-width: 650px; margin: 0 auto;\">{imageshow sl=11 sc=7 /}</div>\r\n<p class=\"content-center\"><em>JSN ImageShow with Theme Flow</em></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Mobile optimized</h3>\r\n<p>For mobile device, we have built special lightweight Javascript version, so you can be absolutely sure about images presentation.</p>\r\n<p class=\"content-center\"><img class=\"image-border\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/flash-gallery/flash-gallery-iphone.png\" border=\"0\" alt=\"Mobile optimized presentation (screenshot made by iPhone)\" width=\"320\" height=\"480\" /><br /> <em>Mobile optimized presentation (screenshot made by iPhone)</em></p>\r\n<p class=\"text-info\">This extension is NOT included in the template package, but you can download it for free. <a class=\"link-action\" href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\">Read more</a>.</p>', '', '1', '79', '2011-04-01 03:07:30', '42', '', '2014-07-28 04:12:33', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:07:30', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '45', '10', '', '', '1', '226', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('80', '188', 'Flash Gallery Alternative', 'flash-gallery-alternative', '<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\" style=\"display: block; height: 300px; background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/images/extensions/custom-html/jsn-imageshow-promo/jsn-imageshow-promo.jpg) center center no-repeat;\"></a>', '', '1', '79', '2011-04-01 03:07:50', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 03:07:50', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '9', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('81', '189', 'Joomla! 2.5 & Joomla! 3.x Support', 'joomla-16-support', '<p class=\"content-center\"><img width=\"600\" height=\"300\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/joomla-25-support/joomla25-3x-promo.jpg\" /></p>\r\n<p>JSN One is natively compatible with both <strong>Joomla! 2.5 and Joomla! 3.x</strong>.\r\nThe installation package is compatible with both Joomla CMS.</p>\r\n<p class=\"content-center\"><img width=\"600\" height=\"300\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/joomla-17-support/installation-files.png\" /></p>\r\n<p>In Customer Area, you can choose to download appropriate installation file for the Joomla! version you are using.</p>', '', '1', '79', '2011-04-01 03:08:14', '42', '', '2013-05-18 03:27:55', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:08:14', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '6', '8', '', '', '1', '70', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('82', '190', 'Mobile Ready in the PRO Edition', 'mobile-ready', '<p class=\"text-alert\">Please be aware that the responsive design is available only in the template version for Joomla 2.5</p>\n\n<p>All JoomlaShine.com templates have special built-in design optimized for modern mobile devices iPhone, Android and Windows Mobile-based.</p>\n<p>Unlike other template providers, we do not develop something that looks like a mobile app with heavy menu and animation. We built compact and lightweight version of the template preserving the whole original look-and-feel.</p>\n<h3>Mobile layout overview on Iphone</h3>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-top.png\" width=\"320\" height=\"480\" alt=\"Mobile layout overview\" /></p>\n <p class=\"content-center\"><em>Mobile layout overview</em></p>\n</div>\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-layout.png\" width=\"320\" height=\"480\" alt=\"Module positions in mobile layout\" /></p>\n <p class=\"content-center\"><em>Module positions in mobile layout</em></p>\n</div>\n</div>\n<p>Mobile layout has <strong>8 dedicated module positions</strong>, where you can show modules specifically designed for mobile edition. Additionally, you can use template parameter <strong>Position Mapping</strong> to present modules from regular positions in mobile positions.</p>\n<h3>Mobile layout overveiw on Ipad </h3>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-ipad.png\" width=\"600\" height=\"800\" alt=\"Mobile Ipad layout overview\" /></p>\n\n <p class=\"content-center\"><em>Mobile layout overview on Ipad</em></p>\n\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-ipad-desktop.png\" width=\"600\" height=\"450\" alt=\"Desktop Ipad layout overview\" /></p>\n\n <p class=\"content-center\"><em>Desktop layout overview on Ipad</em></p>\n<hr class=\"line-dots\" />\n<h3>Optimized HTML overrides for mobile</h3>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-content-article.png\" width=\"320\" height=\"480\" alt=\"Article presentation (com_content)\" /></p>\n <p class=\"content-center\"><em>Article presentation (com_content)</em></p>\n</div>\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-content-newsfeeds.png\" width=\"320\" height=\"480\" alt=\"News feeds presentation (com_newsfeeds)\" /></p>\n <p class=\"content-center\"><em>News feeds presentation (com_newsfeeds)</em></p>\n</div>\n</div>\n<p>We optimized HTML overrides for all default Joomla! extensions to make them looks neat in mobile edition. The work is mainly focused on rearrangement content from columns to rows.</p>\n<hr class=\"line-dots\" />\n<h3>Optimized menu for mobile</h3>\n<p>For mobile edition, we have built very simple, yet effective menu system, where all children menu items are presented as tree in collapsible panel. This menu system utilizes only little Javascript (MooTool) for expanding/collapsing submenu panels and is very fast and lightweight.</p>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-menu-normal.png\" width=\"320\" height=\"480\" alt=\"Special designed mobile menu system\" /></p>\n <p class=\"content-center\"><em>Special designed mobile menu system</em></p>\n</div>\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-menu-expanded.png\" width=\"320\" height=\"480\" alt=\"Children menu items are presented as tree\" /></p>\n <p class=\"content-center\"><em>Children menu items are presented as tree</em></p>\n</div>\n</div>\n<p>You just need to put the menu module to mobile position <strong>mainmenu-m</strong> and it will automatically obtain appropriate look-n-feel. All module settings are the same as for regular main menu. Additionally, you can use template parameter <strong>Position Mapping</strong> to present menu module from regular position <strong>mainmenu</strong> in mobile position <strong>mainmenu-m</strong>.</p>\n<h4>Mobile Menu with icons and rich text</h4>\nThe most amazing thing is mobile menu inherits all the goodies of regular menu like icons and rich text.\n<div class=\"grid-layout\">\n <div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-menu-icon.png\" width=\"320\" height=\"480\" alt=\"Mobile menu with icons applied\" /></p>\n <p class=\"content-center\"><em>Mobile menu with icons applied</em></p>\n</div>\n<div>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/mobile-ready/mobile-iphone-menu-richtext.png\" width=\"320\" height=\"480\" alt=\"Mobile menu with rich text\" /></p>\n <p class=\"content-center\"><em>Mobile menu with rich text</em></p>\n</div>\n</div>\n<p class=\"text-info\">The mobile feature is enabled on live demo. You can see in real time how the template works on your mobile device.</p>', '', '1', '79', '2011-04-01 03:08:38', '42', '', '2012-07-23 07:12:24', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:08:38', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '7', '7', '', '', '1', '89', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('83', '191', 'Multilingual Support', 'multilingual-support', '<p>In our templates all wordings of both back-end and front-end are moved to separated language files, so you can easily translate them into any language you want.</p>\n<div class=\"content-center\">\n{imageshow sl=10 sc=2 with=600 h=250 /}\n<p>Interactive images presentation by <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\">JSN ImageShow extension</a></p>\n</div>\n<!--<p>Currently our templates support <strong>more then 10 languages</strong> and more to be come in future.</p>\n<div class=\"content-center\">\n<p>\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-en.png\" border=\"0\" alt=\"English support\" width=\"600\" height=\"250\" /><br />\n<strong>English</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-de.png\" border=\"0\" alt=\"German support\" width=\"600\" height=\"250\" /><br />\n<strong>German</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-nl.png\" border=\"0\" alt=\"Dutch support\" width=\"600\" height=\"250\" /><br />\n<strong>Dutch</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-it.png\" border=\"0\" alt=\"Italian support\" width=\"600\" height=\"250\" /><br />\n<strong>Italian</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-es.png\" border=\"0\" alt=\"Spanish support\" width=\"600\" height=\"250\" /><br />\n<strong>Spanish</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-fr.png\" border=\"0\" alt=\"French support\" width=\"600\" height=\"250\" /><br />\n<strong>French</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-ja.png\" border=\"0\" alt=\"Japanese support\" width=\"600\" height=\"250\" /><br />\n<strong>Japanese</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-da.png\" border=\"0\" alt=\"Danish support\" width=\"600\" height=\"250\" /><br />\n<strong>Danish</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-ru.png\" border=\"0\" alt=\"Russian support\" width=\"600\" height=\"250\" /><br />\n<strong>Russian</strong> <br />\n\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/multilingual-support/seo-lang-pl.png\" border=\"0\" alt=\"Polish support\" width=\"600\" height=\"250\" /><br />\n<strong>Polish</strong> <br />\n\n</p>\n</div>-->', '', '1', '79', '2011-04-01 03:08:55', '42', '', '2011-04-11 02:33:35', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:08:55', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '2', '6', '', '', '1', '15', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('84', '192', 'Painless Configuration ', 'painless-configuration', '<img class=\"demo-thumb\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/thumb2.jpg\" alt=\"\" />\r\n<p>All JoomlaShine templates can be effortlessly configured by template parameters. In template setting page, you will find <strong>16 template parameters</strong> arranged into logical groups for convenient operation.</p>', '\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/painless-configuration/params-preview.png\" class=\"image-border\" alt=\"Over 40 parameters to pick up\"  /></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Set parameters without confusion</h3>\r\n<p>Most parameters are designed that way that you can simply select options without confusion about what value to define. All parameters are equipped with description text for easier understanding.</p>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/painless-configuration/params-layout.png\" class=\"image-border\" alt=\"Parameters to control layout dimensions\"  /><br /> <em>Parameters to control layout dimensions</em></p>\r\n<p class=\"content-center\"><br />\r\n</p>', '1', '79', '2011-04-01 03:09:23', '42', '', '2014-09-13 10:23:41', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:09:23', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '9', '5', '', '', '1', '113', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '1', '*', ''),
('85', '193', 'RTL Layout Support', 'rtl-layout-support', '<p>All JoomlaShine templates are equipped with <strong>native RTL layout support</strong>. We spent huge amount of time tweaking every tiny details of the template to make it look absolutely awesome in RTL mode. Everything is horizontally-flipped including dropdown main menu and side menu.</p>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/rtl-layout-support/layout-rtl.jpg\" class=\"image-border\" alt=\"RTL layout support\" /></p>\r\n<p class=\"content-center\"><strong>(Select any menu item to get back to normal layout</strong>)</p>', '', '1', '79', '2011-04-01 03:09:40', '42', '', '2014-09-15 03:40:22', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:09:40', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '13', '4', '', '', '1', '195', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('86', '194', 'Flexible layout', 'flexible-layout', '<img class=\"demo-thumb\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/thumb1.jpg\" alt=\"\" />\r\n<p>JSN Force provides 36+ module positions allowing you to have multiple layout configurations. Module positions are designed in smart way to cover all possible spot where you might want to put content. </p> ', '<p>You can specify width of both overall layout and specific columns conveniently via template parameters.</p>\r\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\r\n<hr class=\"line-dots\" />\r\n<h3>Layout Configuration</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/params-layout.png\" class=\"image-border\" alt=\"Layout configuration by template parameters\" /></p>\r\n<p>JSN One allows you to change the width size for several critical layout elements. All settings can be done via template parameters in section <strong>LAYOUT SETTINGS</strong>.</p>\r\n<hr class=\"line-dots\" />\r\n<h3>Layout Variations</h3>\r\n<p>JSN One layout system is very flexible and capable. Module positions are designed in smart way to cover all possible spot where you might want to put content. More over, you can specify width of both overall layout and specific columns conveniently via template parameters. Bellow is live presentation of some most popular layout variations:</p>\r\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=92&Itemid=477\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-mc.png\" width=\"160\" height=\"90\" alt=\"Main content only\" /><br />Main content only</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=89&Itemid=474\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcir.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" /><br />Left | Center | InnerRight</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=91&Itemid=473\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lilc.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" /><br />Left | InnerLeft | Center</a>\r\n	</div>\r\n</div>\r\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=90&Itemid=472\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />Left | Center | Right</a>\r\n    </div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=88&Itemid=476\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-ilcr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />InnerLeft | Center | Right</a>\r\n	</div>\r\n	<div class=\"content-center\">\r\n    	<a href=\"index.php?option=com_content&view=article&id=87&Itemid=475\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-cirr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" /><br />Center | InnerRight | Right</a>\r\n	</div>\r\n</div>', '1', '79', '2011-04-01 03:09:59', '42', '', '2014-09-15 04:03:56', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:09:59', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '6', '3', '', '', '1', '17', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '1', '*', ''),
('87', '195', 'Layout variation Center | Innerright | Right ', 'layout-variation-center-innerright-right', '<p>This is 3 columns layout with content presented on the left side, which is typical for blog sites. On right side columns you can present modules with sumplementary information for main content. The width of side columns can be adjusted conveniently via template parameters.</p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\n', '', '1', '81', '2011-04-01 03:11:52', '42', '', '2011-11-25 10:31:29', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:11:52', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '5', '6', '', '', '1', '48', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('88', '196', 'Layout variation Innerleft | Center | Right ', 'layout-variation-innerleft-center-right', '<p>This is also 3 columns layout with content presented at center, but the left side column was designed to present content of secondary importance comparing to those in right side column. On side columns you can present modules with equal importance. The width of side columns can be adjusted conveniently via template parameters.</p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\n', '', '1', '81', '2011-04-01 03:12:20', '42', '', '2011-11-25 10:31:54', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:12:20', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '4', '5', '', '', '1', '42', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('89', '197', 'Layout variation Left | Center | Innerright ', 'layout-variation-left-center-innerright', '<p>This is also 3 columns layout with content presented at center, but the right side column was designed to present content of secondary importance comparing to those in left side column. On side columns you can present modules with equal importance. The width of side columns can be adjusted conveniently via template parameters.</p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>', '', '1', '81', '2011-04-01 03:12:40', '42', '', '2011-11-25 10:32:15', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:12:40', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '5', '4', '', '', '1', '67', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('90', '198', 'Layout variation Left | Center | Right', 'layout-variation-left-center-right', '<p>This is pretty &ldquo;old-fashioned&rdquo; 3 columns layout with content presented at center. On side columns you can present modules with equal importance. The width of side columns can be adjusted conveniently via template parameters.</p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\n', '', '1', '81', '2011-04-01 03:13:33', '42', '', '2012-07-21 02:04:18', '43', '0', '0000-00-00 00:00:00', '2011-04-01 03:13:33', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '6', '3', '', '', '1', '162', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('91', '199', 'Layout variation Left | Innerleft | Center', 'layout-variation-left-innerleft-center', '<p>This is  3 columns layout with content presented on the right side, which is typical for blog sites. On left side columns you can  present modules with sumplementary information for main content. The width of side columns can be  adjusted conveniently via template parameters.</p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\n', '', '1', '81', '2011-04-01 03:13:50', '42', '', '2011-11-25 10:33:05', '42', '0', '0000-00-00 00:00:00', '2011-04-01 03:13:50', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '4', '2', '', '', '1', '81', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('92', '200', 'Main content only', 'main-content-only', '<p>Here you can see how content are presented only in main content area. Sometimes, you will need a lot of space to present content and that how it will looks like.</p>\n<p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce suscipit dui eu augue faucibus non interdum odio elementum. Praesent faucibus lorem sed massa condimentum in semper lacus aliquet. Aliquam viverra erat a libero accumsan a egestas lorem hendrerit. Donec id elit dolor. Phasellus est ligula, hendrerit id vehicula sit amet, placerat ut diam. Sed eu fringilla lectus. Aliquam augue lorem, suscipit eu consequat vel, viverra id diam. Praesent lectus elit, interdum a imperdiet vitae, cursus at velit. </p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-action\">See all module positions outline</a></p>\n', '', '1', '81', '2011-04-01 03:14:14', '42', '', '2012-07-21 02:27:31', '43', '0', '0000-00-00 00:00:00', '2011-04-01 03:14:14', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '8', '1', '', '', '1', '50', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('93', '201', 'Main Menu', 'main-menu', '<p class=\"text-tip\" style=\"position: relative\">On the top side, you can see live demonstration of Main Menu with rich text.<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-up-right-2.png\" style=\"position: absolute; top: -50px; padding-left: 10px;\" />  </p>\r\n<p>Main Menu is very powerful menu built with clean accessible XHTML code structure and effective drop-down submenu panels.</p>\r\n<h3>Main Menu Rich Text</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/mainmenu/menu-mainmenu-rich.png\" alt=\"Main Menu Rich Text\" width=\"600\" height=\"175\" class=\"image-border\" /></p>\r\n<p>You can add descriptive text to menu items to make them much clearer.</p>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/mainmenu/menu-mainmenu-rich-settings-j25.png\" alt=\"Main Menu Rich Text Settings\" class=\"image-border\" /></p>\r\n<p>To set up descriptive text, you need to go to menu item settings and add descriptive text to menu item\'s parameter <strong>Link Title Attribute</strong>.</p>', '', '1', '83', '2011-04-01 04:04:45', '42', '', '2014-09-15 03:43:01', '42', '0', '0000-00-00 00:00:00', '2011-04-01 04:04:45', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '20', '5', '', '', '1', '303', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('94', '202', 'Rich Menu', 'rich-menu', '<p class=\"text-tip\" style=\"position: relative\">On top of this page, you can see live demonstration of Rich Menu. <img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-up-right-2.png\" style=\"position: absolute; top: -50px; padding-left: 10px\" alt=\"Icon Arrow Up\" /></p>\n<p>With this menu system you can attach icons and add descriptive text to each menu item making them much clearer and visually appealing. The best thing is you can use the default menu module built-in Joomla!, no need to install external menu modules.</p>\n<h3>Menu items with descriptive text</h3>\n<p>JSN One allows you to present menu items with descriptive text placed on a separated line at the bottom of main text.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/rich-menu/menu-mainmenu-rich.png\" alt=\"Main Menu Rich Text\" width=\"600\" height=\"175\" border=\"0\" /></p>\n<p>To setup text strings you need to go to menu item settings and add symbol combination &ldquo;<strong>(=)</strong><strong>&rdquo;</strong> as separator between primary and secondary text.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/rich-menu/menu-mainmenu-rich-settings.png\" alt=\"Main Menu Rich Text Settings\" width=\"600\" height=\"270\" border=\"0\" /></p>\n<p>In the example above text &ldquo;<strong>Home</strong>&rdquo; is the primary text and &ldquo;<strong>Lorem ipsum dolor sit...</strong>&rdquo; is the secondary text. Separator between them is the symbol combination &ldquo;<strong>(=)</strong>&rdquo;. Really simple and elegant solution.</p>\n<hr class=\"line-dots\" />\n<h3>Menu items with icons</h3>\n<p>JSN One allows you to assign up to <strong>20 predefined icons</strong> for items in main menu.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/rich-menu/menu-mainmenu-icons.png\" alt=\"Main Menu Icons\" width=\"600\" height=\"125\" border=\"0\" /></p>\n<p> To setup icons, you need to find template parameter <strong>Main Menu Icons</strong> and choose any icon you want to display from drop-down panel.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/rich-menu/menu-mainmenu-icons-settings.png\" alt=\"Main Menu Icons Settings\" width=\"600\" height=\"300\" border=\"0\" /></p>\n<hr class=\"line-dots\" />\n<h3>Combination of descriptive text and icons</h3>\n<p>You can use combination of descriptive text and icons to get Rich Menu in it\'s best presentation.</p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/rich-menu/menu-mainmenu-rich-icons.png\" alt=\"Main Menu Rich Text combined with Icons\" width=\"600\" height=\"175\" border=\"0\" /></p>', '', '1', '83', '2011-04-01 04:05:08', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 04:05:08', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '4', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('95', '203', 'Side Menu', 'side-menu', '<p class=\"text-tip\" style=\"position: relative\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-left.png\" style=\"position: absolute; top: 20px; left: -12px\" />Here you can see live demonstration of Side Menu.</p>\n<p>Side Menu is very unique vertical menu with slide-out panels. This menu is extremely efficient when you have complex navigation with a lot of menu items.</p>\n<p>To setup Side Menu you just need to configure module parameter &ldquo;<strong>Menu Class Suffix</strong>&rdquo; appropriately and the menu system will take care of the rest. There are very detailed instructions in template documentation.</p>\n<h3>Side Menu with Icons and Rich Text</h3>\n<p class=\"text-tip\" style=\"position: relative\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-left.png\" style=\"position: absolute; top: 20px; left: -12px\" />Here you can see live demonstration of Side Menu with icons and rich text.</p>\n<p>Side Menu can present menu items with icons and descriptive text, pretty much like Main Menu.</p>\n<p>To setup icons you need to configure menu items appropriately just like Main Menu. There are very detailed instructions in template documentation.</p>\n<h3>Side Menu with RTL Support</h3>\n<p>Side Menu works flawlessly even in RTL layout, in which sub-menu panels will slide out from right to left.</p>\n<p class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=96&Itemid=481\" class=\"link-button button-light\"><span class=\"link-icon\">See Side Menu in RTL layout</span></a></p>\n', '', '1', '83', '2011-04-01 04:05:29', '42', '', '2011-11-22 09:06:46', '42', '0', '0000-00-00 00:00:00', '2011-04-01 04:05:29', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '9', '3', '', '', '1', '106', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('96', '204', 'Side Menu RTL', 'side-menu-rtl', '<p class=\"text-tip\" style=\"position: relative\">Here you can see live demonstration of Side Menu in RTL layout.<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-right.png\" style=\"position: absolute; top: 25px; right:-12px\" /></p>\n<p>Side Menu is very unique vertical menu with slide-out panels. This menu is extremely efficient when you have complex navigation with a lot of menu items.</p>\n<p>To setup Side Menu you just need to configure module parameter &ldquo;<strong>Menu Class Suffix</strong>&rdquo; appropriately and the menu system will take care of the rest. There are very detailed instructions in template documentation.</p>\n<h3>Side Menu with Icons and Rich Text</h3>\n<p class=\"text-tip\" style=\"position: relative\">Here you can see live demonstration of Side Menu with icons and rich text in RTL layout.<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-right.png\" style=\"position: absolute; top: 25px; right:-12px\" /></p>\n<p>Side Menu can present menu items with icons and descriptive text, pretty much like Main Menu.</p>\n<p>To setup icons you need to configure menu items appropriately just like Main Menu. There are very detailed instructions in template documentation.</p>\n<p class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=95&Itemid=480\" class=\"link-button button-light\"><span class=\"link-icon\">See Side Menu in Normal layout</span></a></p>\n', '', '1', '83', '2011-04-01 04:05:43', '42', '', '2011-11-22 09:06:53', '42', '0', '0000-00-00 00:00:00', '2011-04-01 04:05:43', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"0\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '14', '2', '', '', '1', '74', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('97', '205', 'Top Menu', 'top-menu', '<p class=\"text-tip\" style=\"position: relative\">At the top of this page, you can see live demonstration of Top Menu. <img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-up-right-2.png\" style=\"position: absolute; top: -50px; padding-left: 10px\" /></p>\n<p>Top Menu allows you to arrange menu items in horizontal line and assign icons to them. All icons are configured directly in menu item settings page which is very convenient.</p>\n<p>You can choose up to <strong>20 predefined icons</strong> to menu item. </p>\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/menu-styles/topmenu/menu-topmenu-icons-settings-j16.png\" width=\"600\" height=\"300\" /></p>\n<p>To set up icons, you need to go to menu item settings and add symbol combination <strong>icon-xxx</strong> to menu item\'s parameter <strong>Link CSS Style</strong>, where <strong>xxx</strong> is the icon name.</p>\n<ul>\n<li><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/uniicons.png\" target=\"_one\" class=\"link-action\">See preview of all icons</a></li></ul>', '', '1', '83', '2011-04-01 04:05:59', '42', '', '2012-07-21 08:53:23', '43', '0', '0000-00-00 00:00:00', '2011-04-01 04:05:59', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '2', '1', '', '', '1', '23', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('98', '206', 'Tree Menu', 'tree-menu', '<p>Tree Menu represents menu items in clear tree-like hierarchy, which is very appropriate for indexing menu. By default all submenu items are collapsed until you select the parent menu item.</p>\r\n<p>To setup Tree Menu you just need to configure module parameter &ldquo;<strong>Menu Class Suffix</strong>&rdquo; appropriately and the menu system will take care of the rest.</p>\r\n<p class=\"text-tip\" style=\"position: relative\">Here you can see live demonstration of Tree Menu.<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-right.png\" style=\"position: absolute;top: -70px; right:-20px; z-index:99\" /> </p>\r\n<h3>Tree Menu with Rich Text</h3>\r\n<p class=\"text-tip\" style=\"position: relative\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/cliparts/arrows/arrow-down-left.png\" style=\"position: absolute; top: -30px; left: -70px; z-index:99\" />Here you can see live demonstration of Tree Menu.</p>\r\n<p>Tree Menu can present menu items with icons and descriptive text, pretty much like <a href=\"index.php?option=com_content&amp;view=article&amp;id=93&amp;Itemid=479\">Main Menu</a>.</p>\r\n<p>To setup icons you need to configure menu items appropriately just like Main Menu. There are very detailed instructions in template documentation.</p>', '', '1', '83', '2011-04-01 04:06:29', '42', '', '2014-01-03 09:56:07', '43', '0', '0000-00-00 00:00:00', '2011-04-01 04:06:29', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '12', '0', '', '', '1', '137', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('99', '207', 'JSN One Advanced Stuff', 'jsn-force-advanced-stuff', '<p>We have been developing JSN One for <strong>more then 2 years</strong> and that tremendous amount of time allowed us to roll out some really advanced stuff. For us, the word &ldquo;advanced&rdquo; is not just fancy marketing buzz, but really something that you will not likely see anywhere else.</p>\n\n<div class=\"grid-layout\">\n<div>\n<h3>Easy to Start</h3>\n<p>JSN One provides unique mechanism of installing sample data on directly your current website. Just few clicks and the demo website is here.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=77&Itemid=484\" class=\"link-button button-light\"><span class=\"link-icon\">More about sample data</span></a></p>\n</div>\n<div>\n<h3>Mobile Ready</h3>\n<p>JSN One provides special built-in design optimized for modern mobile devices such as iPhone, Android and Windows Mobile-based.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=82&Itemid=486\" class=\"link-button button-light\"><span class=\"link-icon\">More about mobile support</span></a></p>\n</div>\n</div>\n\n<div class=\"grid-layout\">\n<div>\n<h3>Painless Configuration</h3>\n<p>JSN One provides 48 template parameters for super flexible template configuration. All parameters are nicely arranged in multiple sections in template settings page for easy access.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=84&Itemid=485\" class=\"link-button button-light\"><span class=\"link-icon\">More about template configuration</span></a></p>\n</div>\n<div>\n<h3>Flash Gallery</h3>\n<p>The flash gallery you see on this website is cool product <strong><a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\">JSN ImageShow</a></strong>. Designed to present photos, you can use this product to show either professional photo portfolio or your family album.</p>\n<p><a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" class=\"link-button button-light\"><span class=\"link-icon\">More about JSN ImageShow</span></a></p>\n</div>\n</div>\n\n<div class=\"grid-layout\">\n<div>\n<h3>RTL Layout</h3>\n<p>All JoomlaShine templates are equipped with native RTL layout support. We tweak every tiny details to make template look absolutely awesome in RTL mode.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=85&Itemid=488\" class=\"link-button button-light\"><span class=\"link-icon\">More about RTL layout</span></a></p>\n</div>\n<div>\n<h3>Docs &amp; Support</h3>\n<p>JSN One is equipped with very comprehensive documentation package of quick start video and PDF documents that you can print and read at convenience.</p>\n<p><a href=\"index.php?option=com_content&view=article&id=76&Itemid=493\" class=\"link-button button-light\"><span class=\"link-icon\">More about docs &amp; support</span></a></p>\n</div>\n</div>\n', '', '1', '79', '2011-04-01 04:17:12', '42', '', '2011-11-23 07:48:13', '42', '0', '0000-00-00 00:00:00', '2011-04-01 04:17:12', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '14', '2', '', '', '1', '76', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('100', '208', 'K2 Support', 'k2-support', '<p>One of hottest features in JSN One is extended styles adapted for a very popular Joomla! extension <strong>K2</strong>. Technically extended styles are overrides of default extension&rsquo;s style (images + CSS) and located in folder &ldquo;<strong>/ext/k2&rdquo;</strong> inside template folder.</p>\n<p>Extended style for K2 includes adapted tabs color, additional module styles, fixed alignment issues and some other minor visual enhancement.</p>\n<h3>Component styling</h3>\n<p>Here is how K2 component will look like after extended styles applied.</p>\n<p class=\"content-center\"><img width=\"600\" height=\"445\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/extended-styles/ext-k2-style-after.png\" /></p>\n<h3>Module styling</h3>\n<p>Besides from extended component styling you can use template module styles for K2 modules as well.</p>\n<div class=\"grid-layout\">\n<div>\n<p class=\"content-center\"><img width=\"300\" height=\"455\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/extended-styles/ext-k2-module-content.png\" /></p>\n<ul><li>K2 Content Module (mod_k2_content) with module style <strong>box-green icon-article</strong> applied</li></ul>\n</div>\n<div>\n  <p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/extended-styles/ext-k2-module-comment-login.png\" width=\"300\" height=\"580\" /></p>\n  <ul>\n    <li>K2 Comments Module (mod_k2_comments) with module style <strong>box-blue icon-comment</strong> applied</li>\n    <li>K2 Login Module (mod_k2_login) with module style <strong>box-yellow icon-user</strong> applied </li>\n  </ul>\n</div>\n</div>\n<p class=\"text-info\">The K2 extensions is not included in the template package and you have to download separately at http://www.getk2.org</p>', '', '0', '79', '2011-04-01 04:24:28', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '1', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('101', '209', 'JSN One Product Tour', 'jsn-force-product-tour', '<h3>Easy to start</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-easy-start.jpg\" alt=\"Easy to Start\" class=\"image-border\" /></p>\r\n<p>One of the fastest and easiest ways to learn template is to install sample data and start playing with it. JSN One provides unique mechanism of <strong>installing sample data directly on your current website</strong>. Just few steps and the demo website is here.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=77&amp;Itemid=542\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about easy start</span></a></p>\r\n\r\n\r\n\r\n<h3>Painless Configuration</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-configuration.jpg\" alt=\"Painless Configuration\" class=\"image-border\" /></p>\r\n<p>All JoomlaShine templates can be effortlessly configured by template parameters. In template setting page, you will find <strong>16 template parameters</strong> arranged into logical groups for convenient operation. All parameters are equipped with description text for easier understanding.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=84&amp;Itemid=543\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about configuration</span></a></p>\r\n\r\n\r\n\r\n<h3>Flexible layout</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-layout.jpg\" alt=\"Flexible layout\" class=\"image-border\" /></p>\r\n<p>JSN One provides <strong>36+ module positions </strong>allowing you to have multiple layout configurations. Module positions are designed in smart way to cover all possible spot where you might want to put content. You can specify width of both overall layout and specific columns conveniently via template parameters.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=71&amp;Itemid=466\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about layout</span></a></p>\r\n\r\n\r\n<h3>Versatile Menu Styles</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-menu-styles.jpg\" alt=\"Menu Styles\" class=\"image-border\" /></p>\r\n<p>JSN One provides <strong>3 menu styles</strong> to present your website navigation. The default Joomla! built-in menu module is utilized, so you don\'t need to install any external menu modules.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=72&amp;Itemid=468\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about menu styles</span></a></p>\r\n\r\n<h3>Native RTL Support</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-rtl-support.jpg\" alt=\"RTL Support\" class=\"image-border\" /></p>\r\n<p>All JoomlaShine templates are equipped with <strong>native RTL layout support</strong>. We spent huge amount of time tweaking every tiny details of the template to make it look absolutely awesome in RTL mode. Everything is horizontally-flipped including dropdown main menu and side menu.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=85&amp;Itemid=544\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about RTL support</span></a></p>\r\n\r\n\r\n<h3>Cool Image Gallery</h3>\r\n{imageshow sl=11 sc=3 max-width=650 h=400 /}\r\n<p>The image gallery you see on this website is another cool product <strong>JSN ImageShow</strong> from JoomlaShine.com. With transition technology applied, you get smooth experience and consistent performance in all browsers.</p>\r\n<p>For mobile device, we have built special lightweight Javascript version, so you can be absolutely sure about images presentation.</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=79&amp;Itemid=545\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about image gallery</span></a></p>\r\n\r\n\r\n<h3>Manage Joomla easily</h3>\r\n<p class=\"content-center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/general/product-tour/slide-poweradmin.jpg\" alt=\"JSN PowerAdmin\" class=\"image-border\" /></p>\r\n<p>When you install sample data template, you will have one more powerful  extension to manage your Joomla site: <strong>JSN  PowerAdmin</strong>. It provides <strong>s</strong>potlight  search, giving results as you type. When you find the desired  item, just click it to open the edit page.</p>\r\n	JSN PowerAdmin allows you to have full control under your Joomla website in  single screen. You can manipulate elements by using convenient GUI with  drag-n-drop operations</p>\r\n<p class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=108&Itemid=798\" target=\"_one\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-info\">More about JSN PowerAdmin</span></a></p>\r\n\r\n\r\n\r\n<h3>Great Docs & Support</h3>\r\n<div style=\"max-width: 680px; margin: 0px auto; padding: 0 20px 10px; border: 8px mini #EEE; \">\r\n<div class=\"grid-layout\">\r\n<div style=\"width: 49%; float: left\">\r\n<h3>Documentation</h3>\r\n<p>JSN One is equipped with documentation package that will help you with template utilization.</p>\r\n<ul>\r\n<li><h4>Configuration Manual</h4>This PDF document gives you detailed description of every template feature. You can print and use this document as a reference every time. You also can watch <a href=\"http://www.youtube.com/playlist?list=PL068EB32BB584F3F7\">our playlist Template Configuration</a>. </li>\r\n<li><h4>Customization Manual</h4>This PDF document gives you easy-to-understand instruction how to customize template elements to make it suites you or your client. You also can watch <a href=\"http://www.youtube.com/playlist?list=PL0B473CA36B16C3FD\">our playlist JoomlaShine Template Customization</a>. </li> \r\n</ul>\r\n</div>\r\n<div style=\"width: 49%; float: right\">\r\n<h3>Support</h3>\r\n<p>When purchasing our products you are backed up with professional and timely support providing via:</p>\r\n<ul>\r\n<li><h4>Support Forum</h4>In the <a href=\"http://www.joomlashine.com/forum.html\">support forum</a> we provide support for everyone who bought the <strong>PRO Edition</strong> of our products. Here you will get support from our support team as well as thousands of active members.</li>\r\n<li><h4>Dedicated Ticket Support</h4><a href=\"http://www.joomlashine.com/dedicated-support.html\">Dedicated Ticket Support</a> is for developers who bought<strong> PRO UNLIMITED Edition </strong>of our products. With ticket support we can investigate the issue in-depth and provide a solution much faster. <strong>12-hour</strong> response time is guaranteed.</p> </li>\r\n</ul>\r\n</div>\r\n</div>\r\n<p class=\"content-center\"><br /><a href=\"http://www.joomlashine.com/joomla-templates/jsn-force-docs.zip\" class=\"link-button button-light\"><span class=\"link-icon jsn-icon-download\">Download documentation</span></a></p>\r\n</div>\r\n', '', '1', '80', '2011-04-01 04:41:44', '42', '', '2013-08-28 03:19:29', '42', '0', '0000-00-00 00:00:00', '2011-04-01 04:41:44', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '36', '4', '', '', '1', '301', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', '');

INSERT INTO lo1t2_content
(`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES 
('102', '210', '5 reasons to choose JSN One', '5-reasons-to-choose-jsn-force', '<h3>Beautiful Design</h3>\n<p>JSN One has incredibly beautiful clean design with ultra flexible layout built-up from 28 module positions. The combination of 6 colors variation, 5 menu styles and 6 module styles results in a really remarkable website. In addition, super rich typography makes your content look stunning and clear for all users.</p>\n<p><strong>Read more:</strong> <a href=\"layout.html\">Layout</a> - <a href=\"colors-varitation.html\">Colors Variation</a> - <a href=\"menu-styles.html\">Menu Styles</a> - <a href=\"typography.html\">Typography</a> - <a href=\"modules-styles.html\">Module Styles</a>  <a href=\"font-styles.html\">Font Styles</a>.</p>\n<h3>Stable Feature Rich Core</h3>\n<p>For us, JSN One is not just a template, but whole piece of software for which we spent more then 2 years. As the result you get ultra stable template with native RTL support and flawlessly running on IE6. Even more than that, there are multiple SEO &amp; Accessibility features which make your website greatly visible for both search engines and people with disabilities.</p>\n<p><strong>Read more:</strong> <a href=\"rtl-support.html\">RTL Layout Support</a> - <a href=\"ie6-support.html\">IE6 Support</a> - <a href=\"seo-accessibility.html\">SEO &amp; Accessibility</a> - <a href=\"flash-gallery.html\">Flash Gallery</a>.</p>\n<h3>Dead-easy Configuration</h3>\n<p>You will be surprised how such a capable template can be so easily handled. Majority of template features are conveniently managed by over 40 template parameters. You dont have to be a CSS master or PHP guru. Just set parameters as you want and enjoy the result.</p>\n<p><strong>Read more:</strong> <a href=\"template-parameters.html\">Template Parameters</a>.</p>\n<h3>Outstanding Docs &amp; Support</h3>\n<p>Even when the template is deadly easy to use, we still provide very comprehensive documentation package of 3 PDF documents. So its really hard to get things done wrong, but if even so, you can get timely and professional support from our team as well as friendly community.</p>\n<p><strong>Next Step:</strong> <a href=\"download-jsn-force-docs.html\">Download template documentation</a> for free.</p>\n<h3>Cost Effective Solution</h3>\n<p>All the benefits is available for you for just 29$. Our ultimate goal is to offer you a solution that in turns must bring you much more profit. Even more, we provide 30-days money back guarantee, so this is absolutely risk-free. Just give it a try and you wont look back.</p>\n<p><strong>Next Step:</strong> <a href=\"buy-now.html\">Download JSN One</a>.</p>', '', '1', '80', '2011-04-01 07:17:52', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 07:17:52', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '3', '', '', '1', '5', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('103', '211', 'Welcome to JSN Force', 'introducing-jsn-force', '<p>Welcome to JSN Force</p>', '', '1', '80', '2011-04-01 07:18:18', '42', '', '2014-09-13 10:20:37', '42', '0', '0000-00-00 00:00:00', '2011-04-01 07:18:18', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '89', '2', '', '', '1', '8', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('104', '212', 'JSN One Showcase', 'jsn-force-showcase', '<p>Here, wed like to show you how JSN One can be utilized for multiple kinds of websites, staring from simple personal website ending with professional news portal. All content are fictions and serves for demo purpose only.</p>\n<ul type=\"disc\">\n <li>News Portal / Online magazine</li>\n <li>Personal website / Blog</li>\n <li>Corporate website / Service providers</li>\n <li>Community website / Fan clubs</li>\n <li>Online shops</li>\n</ul>\n<p>Here are some real life examples of JSN One.</p>', '', '1', '80', '2011-04-01 07:18:37', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2011-04-01 07:18:37', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '1', '', '', '1', '1', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('105', '216', 'Main content only (2)', 'main-content-only-2', '<p>Here you can see how content are presented only in main content area. Sometimes, you will need a lot of space to present content and that how it will looks like.</p>\n<p> Lorem ipsum dolor sit amet, consectetur adipiscing elit. Fusce suscipit dui eu augue faucibus non interdum odio elementum. Praesent faucibus lorem sed massa condimentum in semper lacus aliquet. Aliquam viverra erat a libero accumsan a egestas lorem hendrerit. Donec id elit dolor. Phasellus est ligula, hendrerit id vehicula sit amet, placerat ut diam. Sed eu fringilla lectus. Aliquam augue lorem, suscipit eu consequat vel, viverra id diam. Praesent lectus elit, interdum a imperdiet vitae, cursus at velit. </p>\n<p class=\"content-center\"><a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/design-features/layout/layout-full.png\" target=\"_one\" class=\"link-button button-light\"><span class=\"link-icon\">See all module positions outline</span></a></p>\n', '', '-2', '81', '2011-04-01 03:14:14', '42', '', '2011-11-21 04:55:09', '0', '0', '0000-00-00 00:00:00', '2011-04-01 03:14:14', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\"}', '1', '0', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('106', '219', 'Form Builder', 'form-builder', '<p><strong><a href=\"http://www.joomlashine.com/joomla-extensions/jsn-uniform-details.html\">JSN UniForm</a></strong> will bring you the new indulgence since you find out it is the easiest-to-use form extension for your site. Contact us, survey and job application are just some of thousand forms that this single extension can help you to create and control. Besides the intuitive <strong>drag-n-drop operation</strong>, <strong>flexible form presentation</strong> and <strong>multiple pages layout</strong>, JSN UniForm also assists you to deeply understand your collected data with the multiple admins email notification, clean result display or submission filter. </p>\r\n\r\n<p>Below is the survey form created by the<strong> Free Edition</strong> of JSN UniForm. </p>\r\n{uniform form=4/}\r\n\r\n<p class=\"text-info\">This extension is NOT included in the template package, but you can download it for free. <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-uniform-details.html\" class=\"link-action\">Read more</a>.</p>\r\n\r\n', '', '1', '20', '2012-11-08 10:32:25', '42', '', '2013-08-29 07:43:01', '42', '0', '0000-00-00 00:00:00', '2012-11-08 10:32:25', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '5', '1', '', '', '1', '55', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('107', '220', 'Thanks for filling out form', 'thanks-for-filling-out-form', '<p align=\"center\"><strong>Woo hoo! Thanks for filling out the form!</strong></p>\n\n<p>We\'ll take into consideration your opinion then implement it into the further product\'s development process. The opinion you give helps to shape the products you receive.</p>\n\n<p>Please use the code <strong>JSNPOLL5</strong> to get <strong>$5 OFF</strong> when purchase any products from JoomlaShine. (Not applied with other promotions)</p>\n\n<p>Check JoomlaShine Templates -> <a href=\"http://www.joomlashine.com/joomla-templates.html\">http://www.joomlashine.com/joomla-templates.html</a></p>\n<p>Check JoomlaShine Extensions -> <a href=\"http://www.joomlashine.com/joomla-extensions.html\">http://www.joomlashine.com/joomla-extensions.html</a></p>\n\n<p align=\"center\">To be informed about latest news from JoomlaShine Team:</p>\n\n<p align=\"center\"><strong>Twitter:</strong> <a href=\"https://twitter.com/joomlashine\">https://twitter.com/joomlashine</a></p>\n<p align=\"center\"><strong>Facebook:</strong> <a href=\"www.facebook.com/joomlashine\">www.facebook.com/joomlashine</a></p>', '', '1', '20', '2012-11-08 10:34:03', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2012-11-08 10:34:03', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '1', '0', '', '', '1', '4', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('108', '222', 'JSN PowerAdmin - Managing your Joomla website can’t be easier', 'jsn-poweradmin', '<p><strong>JSN PowerAdmin</strong> makes your Joomla  administration process easy and enjoyable. It allows you to have full control  under your Joomla website in single screen. You can manipulate elements by  using convenient GUI with drag-n-drop operations.</p>\r\n<p align=\"center\"></p>\r\n<h3>Admin Bar</h3>\r\n<p>AdminBar allows you to perform  common actions quickly: Search items, check actions history, manage users and  manage site.<br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/admin bar.png\" alt=\"Admin Bar\" width=\"600\" height=\"88\" /></p>\r\n<h4>Spotlight Search</h4>\r\n<p>Spotlight Search helps you search items in your website quickly. <br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/spotlight search.png\" alt=\"Spotlight Search\" width=\"600\" height=\"261\" /></p>\r\n<h3>Site Manager</h3>\r\n<p>Here we go to the coolest feature of this extension: Site Manager. It helps you control the website content  in one place. As you see, it covers Menu, Component and Modules.<br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/site manager.png\" alt=\"Site Manager\" width=\"600\" height=\"345\" /></p>\r\n<h4>Menu</h4>\r\n<p>Here you can manage your menus. If you want to move items  within a menu, simply drag and drop them. If you want to edit more, left click  on menu items.<br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/menu.png\" alt=\"Menu\" width=\"600\" height=\"377\" /></p>\r\n<h4>Component</h4>\r\n<p>This section shows you the component of the menu item you  selected. <strong>JSN PowerAdmin</strong> helps you  move the mouse over all elements on the page and configure them with a single  click. The software will automatically adjust all necessary parameters for you<br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/component.png\" alt=\"Component\" width=\"600\" height=\"414\" /></p>\r\n<h4>Modules</h4>\r\n<p>Here you can manage all Modules  of the current default template. You can drag and drop a module to different  module positions, or simply click on modules and positions to get more editing  options.<br />\r\n<p align=\"center\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-poweradmin/modules.png\" alt=\"Modules\" width=\"600\" height=\"379\" /></p>\r\n<p><strong>JSN PowerAdmin</strong> supports <strong>10  languages</strong>: <em>English, German, Dutch,  French, Russian, Spanish, Portuguese (Portugal), Portuguese (Brazil), Polish  and Japan</em>. It works perfectly with Joomla admin templates: <em>Hathor, Mission Control, Admin Praise Lite, VTEM Admin, Onema and other</em></p>\r\n<p><em><strong>Impressions from Joomla site builders...</strong></em></p>\r\n<p><em>\r\n<blockquote>All I can say is it turbo-charged the admin  area. So many shortcuts, saving hours of clicking and checking. With developers  creating extensions like these, Joomla can only go up. My hat is off to the  Joomlashine team <strong><em>-</em></strong><a href=\"http://extensions.joomla.org/extensions/reviews/pcbob\" target=\"_one\"> pcbob</a>\r\n  </p>\r\n  <em></em>\r\n</blockquote>\r\n</em>\r\n<p><em>\r\n<blockquote>JSN  PowerAdmin is a great timesaver. It adds drag &amp; drop functionality to menus  and modules. The live search over articles, modules, menus, plug-ins ... is  perfect. You visually can administrate all content elements like release date,  author, category etc. I simply love it! Thank to Joomlashine <strong><em>- </em></strong><a href=\"http://extensions.joomla.org/extensions/reviews/Herm\" target=\"_one\">Herm</a>\r\n  </p>\r\n</blockquote></em>\r\n<p><em>\r\n<blockquote>The  moment I installed this component I could see the improvements and difference  it makes in managing my site. A hefty percentage of my time in Joomla is spent  switching between sections and finding modules and editing their settings.  Where have you been all my life?<em><strong><em>-</em></strong></em><a href=\"http://extensions.joomla.org/extensions/reviews/talgans\" target=\"_one\"> talgans</a>\r\n</p>\r\n</blockquote></em>\r\n<p align=\"center\"><a href=\"http://www.joomlashine.com/joomla-extensions/jsn-poweradmin-details.html\" class=\"link-button button-dark\"><span class=\"link-icon jsn-icon-download\">Download Now</span></a></p>\r\n\r\n', '', '1', '14', '2012-12-25 07:59:31', '42', '', '2014-02-10 03:11:21', '42', '0', '0000-00-00 00:00:00', '2012-12-25 07:59:31', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '2', '1', '', '', '1', '37', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('109', '224', 'Welcome', 'welcome', '<h2>Welcome to JSN One</h2>\r\n<p>JSN One is an elegant template that suit perfectly for any educational institute\'s website. With responsive layout and fully support K2 as well as Kunena, JSN One is one of the most featured templates available on the market today.</p><p>Take a 5-minutes tour to explore this masterpiece.</p>\r\n<p><a style=\"margin-top:14px\" class=\"link-button button-light\" href=\"index.php?option=com_content&amp;view=article&amp;id=101&amp;Itemid=497\"><span class=\"link-icon jsn-icon-display\">Start the tour</span></a></p>', '', '1', '80', '2013-05-04 03:44:11', '42', '', '2013-08-26 08:58:21', '42', '0', '0000-00-00 00:00:00', '2013-05-04 03:44:11', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '12', '0', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('110', '226', 'Website Mobilizing', 'website-mobilizing', '<style type=\"text/css\">\r\nh3.article-heading {\r\n        font-size: 1.5em;\r\n        text-transform: uppercase;\r\n}\r\n</style>\r\n<div class=\"text-info\" style=\"background-image: none; padding: 0.8em;\">\r\n <p align=\"center\"><strong>JSN Mobilize</strong> comes with both Free and PRO Editions. The <strong>FREE edition</strong> is included in sample data installation package with function limitation. You only can <strong>create 1 mobile template</strong> with limited displaying area.</p>  \r\n <p align=\"center\">Please click on buttons below to see how JSN Mobilize present a website on mobile devices:</p>\r\n  <p align=\"center\"> \r\n<a rel=\"{handler: \'iframe\', size: {x: 480, y: 640}}\" href=\"http://rc.joomlashine.com/demo/joomla-extensions/jsn-mobilize/j25/index.php?jsn_mobilize_preview=1\" class=\"modal link-tooltip link-button button-blue\" style=\"z-index: 90;\">\r\nSmart phones</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\r\n<a rel=\"{handler: \'iframe\', size: {x: 1024, y:768}}\" href=\"http://rc.joomlashine.com/demo/joomla-extensions/jsn-mobilize/j25/index.php?jsn_mobilize_preview=1\" class=\"modal link-tooltip link-button button-red\" style=\"z-index: 90;\">Tablet</a></p>\r\n</div>\r\n\r\n<p align=\"center\">\r\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-mobilize/img1.jpg\" alt=\"\" />\r\n</p>\r\n<p>\r\nJSN Mobilize helps your website to achieve a better browsing experience by creating an elaborated mobile version for the site. This revolutionary extension guarantees to include a bunch of sophisticated features and enhancement while require minimum technical knowledge from users.\r\n</p>\r\n<p>&nbsp;</p>\r\n\r\n<h3 class=\"article-heading\">Multi-device Support</h3>\r\n<p>&nbsp;</p>\r\n<p align=\"center\">\r\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-mobilize/img2.jpg\" alt=\"\" />\r\n</p>\r\n<p>\r\nNot only smartphones are supported by JSN Mobilize, the recent innovation – tablets are also covered. Tablet usually has bigger screen and can receive more displaying area than phone. With JSN Mobilize you will have the separate layouts for phone and tablet which surely deliver the better device coverage for website’s mobile version.\r\n</p>\r\n<p>&nbsp;</p>\r\n<hr />\r\n<p>&nbsp;</p>\r\n\r\n<h3 class=\"article-heading\">Multi-OS Support</h3>\r\n<p>&nbsp;</p>\r\n\r\n<p align=\"center\">\r\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-mobilize/img3.jpg\" alt=\"\" />\r\n</p>\r\n<p>\r\nJSN Mobilize delivers the future-ready and mobile-friendly experience to your Joomla website by initiatively supporting multiple operation systems. In short explanation, your website should work and be viewed effortlessly on every screen solution horizontally and vertically. Your website will look awesome automatically on these operation systems (OS) below:</p>\r\n<ul class=\"list-arrow arrow-blue\">\r\n<li>iOS (6.x and below, 7.x)</li>\r\n<li>Android (2.2 - 2.3, 4.x)</li>\r\n<li>Windows Mobile (6.x and below, 7.x, 8.x)</li>\r\n<li>BlackBerry (5.x and below, 6x - 7x, 10x)</li>\r\n<li>Others...</li>\r\n</ul>\r\n<p>&nbsp;</p>\r\n<hr />\r\n<p>&nbsp;</p>\r\n\r\n<h3 class=\"article-heading\">Load Speed Enhancement</h3>\r\n<p>&nbsp;</p>\r\n\r\n<p>\r\nGet the most out of JSN Mobilize with the <strong>Advanced Image Optimization</strong> based on two options including “For the best performance” or “For the best image quality”. Additionally, the <strong>CSS/JS minify mechanism</strong> allows to compress all files into one single package. By that way, your site load will quickly enough in a limited-bandwidth environment at least <strong>170%</strong>. Below is the speed test by <a href=\"http://mobitest.akamai.com/\" target=\"_one\">akamai</a>.\r\n</p>\r\n\r\n<p align=\"center\">\r\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-mobilize/img4.jpg\" alt=\"\" title=\"The loading speed before enabling the image optimization and CSS/JS minify mechanism\" class=\"caption\" />\r\n</p>\r\n\r\n<p align=\"center\">\r\n<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/content/template-details/advanced-stuff/jsn-mobilize/img5.jpg\" alt=\"\" title=\"The loading speed after enabling the image optimization and CSS/JS minify mechanism\" class=\"caption\" />\r\n</p>\r\n\r\n<div class=\"text-info\" style=\"background-image: none; padding: 0.8em;\">\r\n<p align=\"center\">Please click on buttons below to check the detailed information about PRO Edition\'s features of JSN Mobilize:</p>\r\n  <p align=\"center\"> <a href=\"http://demo.joomlashine.com/joomla-extensions/jsn-mobilize.html\" target=\"_one\" class=\"link-button button-green\" >See Demo</a>       <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-mobilize-joomla-mobile-extension.html\" target=\"_one\" class=\"link-button button-red\" >Buy Now</a></p>\r\n</div>', '', '1', '79', '2014-06-03 03:08:27', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2014-06-03 03:08:27', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '1', '0', '', '', '1', '6', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', ''),
('111', '246', 'JSN PageBuilder - The Easiest Way to Build Joomla Pages', 'jsn-pagebuilder-the-easiest-way-to-build-joomla-pages', '[pb_row background=\"solid\" solid_color_value=\"#dbe7f8\" solid_color_color=\"#dbe7f8\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding_top=\"10\" div_padding_right=\"10\" div_padding_bottom=\"10\" div_padding_left=\"10\" ][pb_column span=\"span12\"][pb_text el_title=\"Highlight\" enable_dropcap=\"no\" appearing_animation=\"0\" ]<h5 style=\"text-align: center;\">This page is built by the Free Edition of another cool product <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-pagebuilder.html\" title=\"\" target=\"_blank\">JSN PageBuilder</a> from JoomlaShine (Only for Joomla 3.x).</h5><h5 style=\"text-align: center;\"> Please click on the below button to check the PRO Edition of this extension.</h5>[/pb_text][pb_buttonbar el_title=\"Button Bar 1\" buttonbar_alignment=\"center\" buttonbar_show_title=\"yes\" buttonbar_show_icon=\"yes\" buttonbar_group=\"no\" appearing_animation=\"0\" ][pb_buttonbar_item button_text=\"See Demo\" link_type=\"url\" button_type_url=\"http://demo.joomlashine.com/joomla-extensions/jsn-pagebuilder/jsn-pagebuilder-overview.html\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-primary\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Get It Now\" link_type=\"url\" button_type_url=\"http://www.joomlashine.com/joomla-extensions/jsn-pagebuilder.html\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-success\" ][/pb_buttonbar_item][/pb_buttonbar][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_text el_title=\"JSN PageBuilder introduction\" enable_dropcap=\"no\" appearing_animation=\"0\" ]<p>JSN PageBuilder is the perfect tool to help you build and manage content for Joomla 3.x websites. JSN PageBuilder not only allows you to build a new page<strong> </strong>but also helps you to redesign your old pages<b> </b>because it works directly on articles and modules. Even you are a Joomla newbie, you now can create your desired page without worry. And for a developer who is tired of coding too much, this helpful extension will make your life better and save you time. You can be free from programming knowledge.</p>[/pb_text][pb_divider el_title=\"Divider 2\" div_margin_top=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#e8e8e8\" appearing_animation=\"0\" ][/pb_divider][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_heading el_title=\"OUTSTANDING FEATURES OF JSN PAGEBUILDER\" tag=\"h3\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Yanone Kaffeesatz\" font_size_value_=\"28\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]OUTSTANDING FEATURES OF JSN PAGEBUILDER[/pb_heading][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span4\"][pb_list el_title=\"Features\" show_icon=\"yes\" icon_position=\"left\" icon_size_value=\"32\" icon_background_type=\"circle\" icon_background_color=\"#ffffff\" icon_c_value=\"#47a447\" icon_c_color=\"#47a447\" show_heading=\"yes\" font=\"inherit\" appearing_animation=\"0\" ][pb_list_item heading=\"Drag & Drop\" icon=\"icon-checkmark\" ]Simplest way to create and arrange page elements.[/pb_list_item][pb_list_item heading=\"Visual Editing\" icon=\"icon-checkmark\" ]Easy to start without dealing with IT bottlenecks. <br>[/pb_list_item][/pb_list][/pb_column][pb_column span=\"span4\"][pb_list el_title=\"Features\" show_icon=\"yes\" icon_position=\"left\" icon_size_value=\"32\" icon_background_type=\"circle\" icon_background_color=\"#ffffff\" icon_c_value=\"#47a447\" icon_c_color=\"#47a447\" show_heading=\"yes\" font=\"inherit\" appearing_animation=\"0\" ][pb_list_item heading=\"Advanced Elements\" icon=\"icon-checkmark\" ]Fundamental and advanced elements to optimize contents.<br>[/pb_list_item][pb_list_item heading=\"Live Preview\" icon=\"icon-checkmark\" ]Instant view of what is going on with content and styles.<br>[/pb_list_item][/pb_list][/pb_column][pb_column span=\"span4\"][pb_list el_title=\"Features\" show_icon=\"yes\" icon_position=\"left\" icon_size_value=\"32\" icon_background_type=\"circle\" icon_background_color=\"#ffffff\" icon_c_value=\"#47a447\" icon_c_color=\"#47a447\" show_heading=\"yes\" font=\"inherit\" appearing_animation=\"0\" ][pb_list_item heading=\"Built-in animation\" icon=\"icon-checkmark\" ]Various styles to make your website more eye-catching<br>[/pb_list_item][pb_list_item heading=\"Responsive Layout\" icon=\"icon-checkmark\" ]Presented beautifully on all browsers and mobile devices.<br>[/pb_list_item][/pb_list][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_divider el_title=\"Divider 4 copy\" div_margin_bottom=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][pb_heading el_title=\"SAMPLE ELEMENTS\" tag=\"h3\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Yanone Kaffeesatz\" font_size_value_=\"28\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]SAMPLE ELEMENTS[/pb_heading][pb_heading el_title=\"Pricing table element\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Pricing table element[/pb_heading][pb_pricingtable el_title=\"Pricing Table\" prtbl_common_label_json=\"--open_square--pb_pricingtablelabel_item item_prtbl_unique_id=--quote--UfhJBeOX--quote-- prtbl_item_item_title=--quote--Max Domains--quote-- item_item_desc_area=--quote--Max Domains--quote-- prtbl_item_item_type=--quote--text--quote-- --close_square----open_square--/pb_pricingtablelabel_item--close_square--__#__--open_square--pb_pricingtablelabel_item item_prtbl_unique_id=--quote--kbQlRgPJ--quote-- prtbl_item_item_title=--quote--Storage--quote-- item_item_desc_area=--quote--Storage--quote-- prtbl_item_item_type=--quote--text--quote-- --close_square----open_square--/pb_pricingtablelabel_item--close_square--__#__--open_square--pb_pricingtablelabel_item item_prtbl_unique_id=--quote--YyClXJUX--quote-- prtbl_item_item_title=--quote--SSL Support--quote-- item_item_desc_area=--quote--SSL Support--quote-- prtbl_item_item_type=--quote--checkbox--quote-- --close_square----open_square--/pb_pricingtablelabel_item--close_square--__#__\" prtbl_elements=\"title__#__attributes__#__button__#__ \" appearing_animation=\"0\" ][pb_pricingtable_item prtbl_item_title=\"Free\" prtbl_item_desc=\"Free\" prtbl_item_price=\"$99 / month\" prtbl_item_button_text=\"Buy now\" link_type=\"no_link\" prtbl_item_attributes=\"--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--UfhJBeOX--quote-- prtbl_item_item_content=--quote--1--quote-- item_item_desc=--quote--1--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--kbQlRgPJ--quote-- prtbl_item_item_content=--quote--100 MB--quote-- item_item_desc=--quote--100 MB--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__pb_prtbl_checked checked_id=--quote--YyClXJUX--quote-- checked_value=--quote--yes--quote--__#__\" prtbl_item_item_content=\"Option 1\" prtbl_item_feature=\"no\" ][pb_pricingtable_item_item item_prtbl_id=\"UfhJBeOX\" prtbl_item_item_content=\"1\" item_item_desc=\"1\" ][/pb_pricingtable_item_item][pb_pricingtable_item_item item_prtbl_id=\"kbQlRgPJ\" prtbl_item_item_content=\"100 MB\" item_item_desc=\"100 MB\" ][/pb_pricingtable_item_item][/pb_pricingtable_item][pb_pricingtable_item prtbl_item_title=\"Standard\" prtbl_item_desc=\"Standard\" prtbl_item_price=\"$99 / month\" prtbl_item_button_text=\"Buy now\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" prtbl_item_attributes=\"--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--UfhJBeOX--quote-- prtbl_item_item_content=--quote--5--quote-- item_item_desc=--quote--5--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--kbQlRgPJ--quote-- prtbl_item_item_content=--quote--500 MB--quote-- item_item_desc=--quote--500 MB--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__pb_prtbl_checked checked_id=--quote--YyClXJUX--quote-- checked_value=--quote--yes--quote--__#__\" prtbl_item_item_content=\"Option 2\" prtbl_item_feature=\"yes\" ][pb_pricingtable_item_item item_prtbl_id=\"UfhJBeOX\" prtbl_item_item_content=\"5\" item_item_desc=\"5\" ][/pb_pricingtable_item_item][pb_pricingtable_item_item item_prtbl_id=\"kbQlRgPJ\" prtbl_item_item_content=\"500 MB\" item_item_desc=\"500 MB\" ][/pb_pricingtable_item_item][/pb_pricingtable_item][pb_pricingtable_item prtbl_item_title=\"Premium\" prtbl_item_desc=\"Premium\" prtbl_item_price=\"$99 / month\" prtbl_item_button_text=\"Buy now\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" prtbl_item_attributes=\"--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--UfhJBeOX--quote-- prtbl_item_item_content=--quote--20--quote-- item_item_desc=--quote--20--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__--open_square--pb_pricingtable_item_item item_prtbl_id=--quote--kbQlRgPJ--quote-- prtbl_item_item_content=--quote--2 TB--quote-- item_item_desc=--quote--2 TB--quote-- --close_square----open_square--/pb_pricingtable_item_item--close_square--__#__pb_prtbl_checked checked_id=--quote--YyClXJUX--quote-- checked_value=--quote--yes--quote--__#__\" prtbl_item_item_content=\"Option 3\" prtbl_item_feature=\"no\" ][pb_pricingtable_item_item item_prtbl_id=\"UfhJBeOX\" prtbl_item_item_content=\"20\" item_item_desc=\"20\" ][/pb_pricingtable_item_item][pb_pricingtable_item_item item_prtbl_id=\"kbQlRgPJ\" prtbl_item_item_content=\"2 TB\" item_item_desc=\"2 TB\" ][/pb_pricingtable_item_item][/pb_pricingtable_item][/pb_pricingtable][pb_divider el_title=\"Divider 3\" div_margin_top=\"40\" div_margin_bottom=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][pb_heading el_title=\"Button element\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Button element[/pb_heading][pb_buttonbar el_title=\"Button Bar large\" buttonbar_alignment=\"inherit\" buttonbar_show_title=\"yes\" buttonbar_show_icon=\"yes\" buttonbar_group=\"no\" appearing_animation=\"0\" ][pb_buttonbar_item button_text=\"Default\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Primary\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-primary\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Info\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-info\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Success\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-success\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Warning\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-warning\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Danger\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"btn-lg\" button_color=\"btn-danger\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"With icon\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"icon-comments\" button_size=\"btn-lg\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Link\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-lg\" button_color=\"btn-link\" ][/pb_buttonbar_item][/pb_buttonbar][pb_buttonbar el_title=\"Button Bar 3\" buttonbar_alignment=\"inherit\" buttonbar_show_title=\"yes\" buttonbar_show_icon=\"yes\" buttonbar_group=\"no\" appearing_animation=\"0\" ][pb_buttonbar_item button_text=\"Default\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Primary\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-primary\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Info\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-info\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Success\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-success\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Warning\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-warning\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Danger\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-danger\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"With icon\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"icon-comments\" button_size=\"default\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Link\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" button_size=\"default\" button_color=\"btn-link\" ][/pb_buttonbar_item][/pb_buttonbar][pb_buttonbar el_title=\"Button Bar small\" buttonbar_alignment=\"inherit\" buttonbar_show_title=\"yes\" buttonbar_show_icon=\"yes\" buttonbar_group=\"no\" appearing_animation=\"0\" ][pb_buttonbar_item button_text=\"Default\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Primary\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-primary\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Info\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-info\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Success\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-success\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Warning\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-warning\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Danger\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-danger\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"With icon\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"icon-comments\" button_size=\"btn-sm\" button_color=\"btn-default\" ][/pb_buttonbar_item][pb_buttonbar_item button_text=\"Link\" link_type=\"url\" button_type_url=\"http://\" open_in=\"current_browser\" icon=\"\" button_size=\"btn-sm\" button_color=\"btn-link\" ][/pb_buttonbar_item][/pb_buttonbar][pb_divider el_title=\"Divider 3 copy\" div_margin_top=\"40\" div_margin_bottom=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span6\"][pb_heading el_title=\"Accordion element\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Accordion element[/pb_heading][pb_accordion el_title=\"Accordion 1\" initial_open=\"1\" multi_open=\"no\" filter=\"no\" appearing_animation=\"0\" ][pb_accordion_item heading=\"Accordion Item 1\" icon=\"\" tag=\"\" ]Felis ornare fames vehicula nisi leo molestie curabitur felis, eget porta interdum habitant porttitor ligula nunc volutpat, sagittis aenean taciti justo auctor ante quam. suspendisse ipsum orci eu cras placerat porttitor diam ante placerat, libero fringilla consectetur morbi potenti, eget porta interdum habitant porttitor ligula nunc.[/pb_accordion_item][pb_accordion_item heading=\"Accordion Item 2\" ]Lorem dictumst placerat adipiscing augue odio nunc, ultrices orci curabitur adipiscing blandit dolor dapibus, sollicitudin ante donec ornare consectetur. sit nisi tellus integer etiam interdum laoreet luctus sagittis curae integer nibh, torquent tristique quisque non magna a porta fermentum ultricies. tellus dolor pulvinar lectus purus in.[/pb_accordion_item][/pb_accordion][/pb_column][pb_column span=\"span6\"][pb_heading el_title=\"Tab element\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Tab element[/pb_heading][pb_tab el_title=\"Tab 1\" initial_open=\"1\" fade_effect=\"no\" tab_position=\"top\" appearing_animation=\"0\" ][pb_tab_item heading=\"Tab Item 1\" icon=\"\" ]Feugiat odio duis facilisis hac fusce ipsum donec euismod class, elementum nulla condimentum quam aliquet odio consectetur malesuada, quisque ante commodo varius vel praesent urna leo. mauris aliquam vitae interdum rhoncus taciti aenean cursus curabitur est quam non molestie, facilisis ut praesent quam amet faucibus fermentum et euismod mi sollicitudin. [/pb_tab_item][pb_tab_item heading=\"Tab Item 2\" icon=\"\" ]Consectetur taciti hac posuere ultrices malesuada sapien quis dictumst, ut turpis consequat netus et ligula sociosqu, feugiat aliquet nisi integer sed ligula feugiat. aliquam pellentesque proin venenatis sed tempus augue, fusce quam consectetur amet ultricies, placerat ullamcorper vestibulum lacus luctus. ut scelerisque praesent tortor sociosqu eros, suspendisse donec ut enim. [/pb_tab_item][/pb_tab][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_divider el_title=\"Divider 4\" div_margin_bottom=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][pb_heading el_title=\"Carousel element\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Carousel element[/pb_heading][pb_carousel el_title=\"Carousel 1\" align=\"center\" dimension_width_unit=\"px\" show_indicator=\"no\" show_arrows=\"yes\" automatic_cycling=\"no\" appearing_animation=\"0\" ][pb_carousel_item image_file=\"images/5934475449_f521f3734f_o.jpg\" heading=\"Carousel Item 1\" ]Senectus faucibus hac tincidunt lorem tincidunt tempus integer ipsum per, etiam luctus arcu egestas nullam conubia lobortis turpis imperdiet pharetra[/pb_carousel_item][pb_carousel_item image_file=\"images/6096091433_26865b495b_o.jpg\" heading=\"Carousel Item 2\" ]Sit class semper lacinia molestie ultricies in at habitasse viverra facilisis phasellus fames, condimentum cras nisl feugiat arcu habitant cursus at libero in cubilia[/pb_carousel_item][/pb_carousel][pb_divider el_title=\"Divider 5\" div_margin_top=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_heading el_title=\"Parallax Scrolling Background\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Parallax Scrolling Background[/pb_heading][/pb_column][/pb_row][pb_row background=\"image\" image=\"images/4543060842_c9870d9d20_o.jpg\" position=\"center center\" paralax=\"yes\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding_top=\"50\" div_padding_right=\"10\" div_padding_bottom=\"50\" div_padding_left=\"10\" ][pb_column span=\"span12\"][pb_heading el_title=\" STUNNING PARALLAX BACKGROUND\" tag=\"h3\" text_align=\"center\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Open Sans\" font_style=\"bold\" color=\"#ffffff\" border_bottom_style=\"solid\" border_bottom_color=\"#000000\" appearing_animation=\"0\" ] STUNNING PARALLAX BACKGROUND[/pb_heading][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_divider el_title=\"Divider 5 copy\" div_margin_top=\"40\" div_margin_bottom=\"40\" div_border_width=\"1\" div_border_style=\"solid\" div_border_color=\"#ebe8e8\" appearing_animation=\"0\" ][/pb_divider][pb_heading el_title=\"Built-in animation\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]Built-in animation[/pb_heading][pb_text el_title=\"Appearing animation: Slide from top\" enable_dropcap=\"no\" appearing_animation=\"slide_from_top\" appearing_animation_speed=\"medium\" ]<b>Appearing animation: Slide from top.</b> Consectetur fusce vehicula potenti venenatis consectetur pulvinar vehicula tempor ac aptent sed lobortis, hac torquent elit dapibus.Consectetur fusce vehicula potenti venenatis consectetur pulvinar vehicula tempor ac aptent sed lobortis, hac torquent elit dapibus. Consectetur fusce vehicula potenti venenatis consectetur pulvinar vehicula tempor ac aptent sed lobortis, hac torquent elit dapibus.Consectetur fusce vehicula potenti venenatis consectetur pulvinar vehicula tempor ac aptent sed lobortis, hac torquent elit dapibus.[/pb_text][/pb_column][/pb_row][pb_row background=\"none\" solid_color_value=\"#FFFFFF\" solid_color_color=\"#ffffff\" gradient_color=\"0% #FFFFFF,100% #000000\" gradient_color_css=\"\" gradient_direction=\"vertical\" pattern=\"\" repeat=\"full\" image=\"\" stretch=\"none\" position=\"center center\" paralax=\"no\" video_url=\"\" autoplay=\"no\" border_width_value_=\"0\" border_style=\"solid\" border_color=\"#000\" div_padding=\"\" div_padding_top=\"10\" div_padding_bottom=\"10\" div_padding_right=\"10\" div_padding_left=\"10\" css_suffix=\"\" id_wrapper=\"\" ][pb_column span=\"span12\"][pb_heading el_title=\"Built-in animation copy\" tag=\"h4\" div_margin_bottom=\"20\" text_align=\"inherit\" font=\"custom\" font_face_type=\"google fonts\" font_face_value=\"Source Sans Pro\" font_size_value_=\"20\" font_style=\"bold\" color=\"#5e5f66\" border_bottom_style=\"solid\" border_bottom_color=\"#a81010\" appearing_animation=\"fade_in\" appearing_animation_speed=\"medium\" ]And many other advanced elements are waiting for you to discover...[/pb_heading][pb_buttonbar el_title=\"Button Download\" div_margin_top=\"30\" buttonbar_alignment=\"center\" buttonbar_show_title=\"yes\" buttonbar_show_icon=\"yes\" buttonbar_group=\"no\" appearing_animation=\"0\" ][pb_buttonbar_item button_text=\"Free Download Now\" link_type=\"url\" button_type_url=\"http://www.joomlashine.com/joomla-extensions/jsn-pagebuilder.html\" open_in=\"current_browser\" icon=\"icon-download\" button_size=\"btn-lg\" button_color=\"btn-danger\" ][/pb_buttonbar_item][/pb_buttonbar][/pb_column][/pb_row]', '', '1', '14', '2015-01-07 04:43:19', '42', '', '0000-00-00 00:00:00', '0', '0', '0000-00-00 00:00:00', '2015-01-07 04:43:19', '0000-00-00 00:00:00', '', '', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '1', '0', '', '', '1', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '0', '*', '');

DROP TABLE IF EXISTS `lo1t2_content_frontpage`;
CREATE TABLE `lo1t2_content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_content_frontpage
(`content_id`, `ordering`) VALUES 
('77', '3'),
('84', '2'),
('86', '1');

DROP TABLE IF EXISTS `lo1t2_content_rating`;
CREATE TABLE `lo1t2_content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_content_types`;
CREATE TABLE `lo1t2_content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` text NOT NULL,
  `field_mappings` text NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) DEFAULT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`)
) ENGINE=InnoDB AUTO_INCREMENT=10000 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_content_types
(`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES 
('1', 'Article', 'com_content.article', '{\"special\":{\"dbtable\":\"#__content\",\"key\":\"id\",\"type\":\"Content\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"introtext\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"attribs\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"asset_id\"}, \"special\":{\"fulltext\":\"fulltext\"}}', 'ContentHelperRoute::getArticleRoute', '{\"formFile\":\"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
('2', 'Weblink', 'com_weblinks.weblink', '{\"special\":{\"dbtable\":\"#__weblinks\",\"key\":\"id\",\"type\":\"Weblink\",\"prefix\":\"WeblinksTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"state\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\":{}}', 'WeblinksHelperRoute::getWeblinkRoute', '{\"formFile\":\"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"featured\",\"images\"], \"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"], \"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"], \"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
('3', 'Contact', 'com_contact.contact', '{\"special\":{\"dbtable\":\"#__contact_details\",\"key\":\"id\",\"type\":\"Contact\",\"prefix\":\"ContactTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"address\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"image\", \"core_urls\":\"webpage\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\":{\"con_position\":\"con_position\",\"suburb\":\"suburb\",\"state\":\"state\",\"country\":\"country\",\"postcode\":\"postcode\",\"telephone\":\"telephone\",\"fax\":\"fax\",\"misc\":\"misc\",\"email_to\":\"email_to\",\"default_con\":\"default_con\",\"user_id\":\"user_id\",\"mobile\":\"mobile\",\"sortname1\":\"sortname1\",\"sortname2\":\"sortname2\",\"sortname3\":\"sortname3\"}}', 'ContactHelperRoute::getContactRoute', '{\"formFile\":\"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml\",\"hideFields\":[\"default_con\",\"checked_out\",\"checked_out_time\",\"version\",\"xreference\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"], \"displayLookup\":[ {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ] }'),
('4', 'Newsfeed', 'com_newsfeeds.newsfeed', '{\"special\":{\"dbtable\":\"#__newsfeeds\",\"key\":\"id\",\"type\":\"Newsfeed\",\"prefix\":\"NewsfeedsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"xreference\", \"asset_id\":\"null\"}, \"special\":{\"numarticles\":\"numarticles\",\"cache_time\":\"cache_time\",\"rtl\":\"rtl\"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{\"formFile\":\"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml\",\"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\"],\"convertToInt\":[\"publish_up\", \"publish_down\", \"featured\", \"ordering\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
('5', 'User', 'com_users.user', '{\"special\":{\"dbtable\":\"#__users\",\"key\":\"id\",\"type\":\"User\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"null\",\"core_alias\":\"username\",\"core_created_time\":\"registerdate\",\"core_modified_time\":\"lastvisitDate\",\"core_body\":\"null\", \"core_hits\":\"null\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"access\":\"null\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"null\", \"core_language\":\"null\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"null\", \"core_ordering\":\"null\", \"core_metakey\":\"null\", \"core_metadesc\":\"null\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{}}', 'UsersHelperRoute::getUserRoute', ''),
('6', 'Article Category', 'com_content.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'ContentHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
('7', 'Contact Category', 'com_contact.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'ContactHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
('8', 'Newsfeeds Category', 'com_newsfeeds.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
('9', 'Weblinks Category', 'com_weblinks.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', 'WeblinksHelperRoute::getCategoryRoute', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
('10', 'Tag', 'com_tags.tag', '{\"special\":{\"dbtable\":\"#__tags\",\"key\":\"tag_id\",\"type\":\"Tag\",\"prefix\":\"TagsTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"featured\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"urls\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"null\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\"}}', 'TagsHelperRoute::getTagRoute', '{\"formFile\":\"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"lft\", \"rgt\", \"level\", \"path\", \"urls\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"],\"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),
('11', 'Banner', 'com_banners.banner', '{\"special\":{\"dbtable\":\"#__banners\",\"key\":\"id\",\"type\":\"Banner\",\"prefix\":\"BannersTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"name\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created\",\"core_modified_time\":\"modified\",\"core_body\":\"description\", \"core_hits\":\"null\",\"core_publish_up\":\"publish_up\",\"core_publish_down\":\"publish_down\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"images\", \"core_urls\":\"link\", \"core_version\":\"version\", \"core_ordering\":\"ordering\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"catid\", \"core_xreference\":\"null\", \"asset_id\":\"null\"}, \"special\":{\"imptotal\":\"imptotal\", \"impmade\":\"impmade\", \"clicks\":\"clicks\", \"clickurl\":\"clickurl\", \"custombannercode\":\"custombannercode\", \"cid\":\"cid\", \"purchase_type\":\"purchase_type\", \"track_impressions\":\"track_impressions\", \"track_clicks\":\"track_clicks\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\", \"reset\"],\"ignoreChanges\":[\"modified_by\", \"modified\", \"checked_out\", \"checked_out_time\", \"version\", \"imptotal\", \"impmade\", \"reset\"], \"convertToInt\":[\"publish_up\", \"publish_down\", \"ordering\"], \"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"cid\",\"targetTable\":\"#__banner_clients\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"created_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"modified_by\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"} ]}'),
('12', 'Banners Category', 'com_banners.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\": {\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"asset_id\",\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}'),
('13', 'Banner Client', 'com_banners.client', '{\"special\":{\"dbtable\":\"#__banner_clients\",\"key\":\"id\",\"type\":\"Client\",\"prefix\":\"BannersTable\"}}', '', '', '', '{\"formFile\":\"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\"], \"ignoreChanges\":[\"checked_out\", \"checked_out_time\"], \"convertToInt\":[], \"displayLookup\":[]}'),
('14', 'User Notes', 'com_users.note', '{\"special\":{\"dbtable\":\"#__user_notes\",\"key\":\"id\",\"type\":\"Note\",\"prefix\":\"UsersTable\"}}', '', '', '', '{\"formFile\":\"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\", \"publish_up\", \"publish_down\"],\"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\"], \"convertToInt\":[\"publish_up\", \"publish_down\"],\"displayLookup\":[{\"sourceColumn\":\"catid\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}, {\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}]}'),
('15', 'User Notes Category', 'com_users.category', '{\"special\":{\"dbtable\":\"#__categories\",\"key\":\"id\",\"type\":\"Category\",\"prefix\":\"JTable\",\"config\":\"array()\"},\"common\":{\"dbtable\":\"#__ucm_content\",\"key\":\"ucm_id\",\"type\":\"Corecontent\",\"prefix\":\"JTable\",\"config\":\"array()\"}}', '', '{\"common\":{\"core_content_item_id\":\"id\",\"core_title\":\"title\",\"core_state\":\"published\",\"core_alias\":\"alias\",\"core_created_time\":\"created_time\",\"core_modified_time\":\"modified_time\",\"core_body\":\"description\", \"core_hits\":\"hits\",\"core_publish_up\":\"null\",\"core_publish_down\":\"null\",\"core_access\":\"access\", \"core_params\":\"params\", \"core_featured\":\"null\", \"core_metadata\":\"metadata\", \"core_language\":\"language\", \"core_images\":\"null\", \"core_urls\":\"null\", \"core_version\":\"version\", \"core_ordering\":\"null\", \"core_metakey\":\"metakey\", \"core_metadesc\":\"metadesc\", \"core_catid\":\"parent_id\", \"core_xreference\":\"null\", \"asset_id\":\"asset_id\"}, \"special\":{\"parent_id\":\"parent_id\",\"lft\":\"lft\",\"rgt\":\"rgt\",\"level\":\"level\",\"path\":\"path\",\"extension\":\"extension\",\"note\":\"note\"}}', '', '{\"formFile\":\"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml\", \"hideFields\":[\"checked_out\",\"checked_out_time\",\"version\",\"lft\",\"rgt\",\"level\",\"path\",\"extension\"], \"ignoreChanges\":[\"modified_user_id\", \"modified_time\", \"checked_out\", \"checked_out_time\", \"version\", \"hits\", \"path\"], \"convertToInt\":[\"publish_up\", \"publish_down\"], \"displayLookup\":[{\"sourceColumn\":\"created_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"}, {\"sourceColumn\":\"access\",\"targetTable\":\"#__viewlevels\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"},{\"sourceColumn\":\"modified_user_id\",\"targetTable\":\"#__users\",\"targetColumn\":\"id\",\"displayColumn\":\"name\"},{\"sourceColumn\":\"parent_id\",\"targetTable\":\"#__categories\",\"targetColumn\":\"id\",\"displayColumn\":\"title\"}]}');

DROP TABLE IF EXISTS `lo1t2_contentitem_tag_map`;
CREATE TABLE `lo1t2_contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_tag` (`tag_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Maps items from content tables to tags';

INSERT INTO lo1t2_contentitem_tag_map
(`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES 
('com_content.article', '1', '1', '2', '2013-11-16 13:00:00', '1');

DROP TABLE IF EXISTS `lo1t2_core_log_searches`;
CREATE TABLE `lo1t2_core_log_searches` (
  `search_term` varchar(128) NOT NULL DEFAULT '',
  `hits` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_extensions`;
CREATE TABLE `lo1t2_extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` text NOT NULL,
  `params` text NOT NULL,
  `custom_data` text NOT NULL,
  `system_data` text NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10036 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_extensions
(`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES 
('1', 'com_mailto', 'component', 'com_mailto', '', '0', '1', '1', '1', '{\"name\":\"com_mailto\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MAILTO_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('2', 'com_wrapper', 'component', 'com_wrapper', '', '0', '1', '1', '1', '{\"name\":\"com_wrapper\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('3', 'com_admin', 'component', 'com_admin', '', '1', '1', '1', '1', '{\"name\":\"com_admin\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_ADMIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('4', 'com_banners', 'component', 'com_banners', '', '1', '1', '1', '0', '{\"name\":\"com_banners\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"purchase_type\":\"3\",\"track_impressions\":\"0\",\"track_clicks\":\"0\",\"metakey_prefix\":\"\",\"save_history\":\"1\",\"history_limit\":10}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('5', 'com_cache', 'component', 'com_cache', '', '1', '1', '1', '1', '{\"name\":\"com_cache\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CACHE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('6', 'com_categories', 'component', 'com_categories', '', '1', '1', '1', '1', '{\"name\":\"com_categories\",\"type\":\"component\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('7', 'com_checkin', 'component', 'com_checkin', '', '1', '1', '1', '1', '{\"name\":\"com_checkin\",\"type\":\"component\",\"creationDate\":\"Unknown\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2008 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CHECKIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('8', 'com_contact', 'component', 'com_contact', '', '1', '1', '1', '0', '{\"name\":\"com_contact\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}', '{\"show_contact_category\":\"hide\",\"save_history\":\"1\",\"history_limit\":10,\"show_contact_list\":\"0\",\"presentation_style\":\"sliders\",\"show_name\":\"1\",\"show_position\":\"1\",\"show_email\":\"0\",\"show_street_address\":\"1\",\"show_suburb\":\"1\",\"show_state\":\"1\",\"show_postcode\":\"1\",\"show_country\":\"1\",\"show_telephone\":\"1\",\"show_mobile\":\"1\",\"show_fax\":\"1\",\"show_webpage\":\"1\",\"show_misc\":\"1\",\"show_image\":\"1\",\"image\":\"\",\"allow_vcard\":\"0\",\"show_articles\":\"0\",\"show_profile\":\"0\",\"show_links\":\"0\",\"linka_name\":\"\",\"linkb_name\":\"\",\"linkc_name\":\"\",\"linkd_name\":\"\",\"linke_name\":\"\",\"contact_icons\":\"0\",\"icon_address\":\"\",\"icon_email\":\"\",\"icon_telephone\":\"\",\"icon_mobile\":\"\",\"icon_fax\":\"\",\"icon_misc\":\"\",\"show_headings\":\"1\",\"show_position_headings\":\"1\",\"show_email_headings\":\"0\",\"show_telephone_headings\":\"1\",\"show_mobile_headings\":\"0\",\"show_fax_headings\":\"0\",\"allow_vcard_headings\":\"0\",\"show_suburb_headings\":\"1\",\"show_state_headings\":\"1\",\"show_country_headings\":\"1\",\"show_email_form\":\"1\",\"show_email_copy\":\"1\",\"banned_email\":\"\",\"banned_subject\":\"\",\"banned_text\":\"\",\"validate_session\":\"1\",\"custom_reply\":\"0\",\"redirect\":\"\",\"show_category_crumb\":\"0\",\"metakey\":\"\",\"metadesc\":\"\",\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('9', 'com_cpanel', 'component', 'com_cpanel', '', '1', '1', '1', '1', '{\"name\":\"com_cpanel\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CPANEL_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10', 'com_installer', 'component', 'com_installer', '', '1', '1', '1', '1', '{\"name\":\"com_installer\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_INSTALLER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('11', 'com_languages', 'component', 'com_languages', '', '1', '1', '1', '1', '{\"name\":\"com_languages\",\"type\":\"component\",\"creationDate\":\"2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"administrator\":\"en-GB\",\"site\":\"en-GB\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('12', 'com_login', 'component', 'com_login', '', '1', '1', '1', '1', '{\"name\":\"com_login\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('13', 'com_media', 'component', 'com_media', '', '1', '1', '0', '1', '{\"name\":\"com_media\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MEDIA_XML_DESCRIPTION\",\"group\":\"\"}', '{\"upload_extensions\":\"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS\",\"upload_maxsize\":\"10\",\"file_path\":\"images\",\"image_path\":\"images\",\"restrict_uploads\":\"1\",\"allowed_media_usergroup\":\"3\",\"check_mime\":\"1\",\"image_extensions\":\"bmp,gif,jpg,png\",\"ignore_extensions\":\"\",\"upload_mime\":\"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip\",\"upload_mime_illegal\":\"text\\/html\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('14', 'com_menus', 'component', 'com_menus', '', '1', '1', '1', '1', '{\"name\":\"com_menus\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MENUS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('15', 'com_messages', 'component', 'com_messages', '', '1', '1', '1', '1', '{\"name\":\"com_messages\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MESSAGES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('16', 'com_modules', 'component', 'com_modules', '', '1', '1', '1', '1', '{\"name\":\"com_modules\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_MODULES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('17', 'com_newsfeeds', 'component', 'com_newsfeeds', '', '1', '1', '1', '0', '{\"name\":\"com_newsfeeds\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"newsfeed_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_feed_image\":\"1\",\"show_feed_description\":\"1\",\"show_item_description\":\"1\",\"feed_character_count\":\"0\",\"feed_display_order\":\"des\",\"float_first\":\"right\",\"float_second\":\"right\",\"show_tags\":\"1\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_items\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_items_cat\":\"1\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"1\",\"show_articles\":\"0\",\"show_link\":\"1\",\"show_pagination\":\"1\",\"show_pagination_results\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('18', 'com_plugins', 'component', 'com_plugins', '', '1', '1', '1', '1', '{\"name\":\"com_plugins\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_PLUGINS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('19', 'com_search', 'component', 'com_search', '', '1', '1', '1', '0', '{\"name\":\"com_search\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}', '{\"enabled\":\"0\",\"show_date\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('20', 'com_templates', 'component', 'com_templates', '', '1', '1', '1', '1', '{\"name\":\"com_templates\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_TEMPLATES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"template_positions_display\":\"0\",\"upload_limit\":\"2\",\"image_formats\":\"gif,bmp,jpg,jpeg,png\",\"source_formats\":\"txt,less,ini,xml,js,php,css\",\"font_formats\":\"woff,ttf,otf\",\"compressed_formats\":\"zip\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('21', 'com_weblinks', 'component', 'com_weblinks', '', '1', '1', '1', '0', '{\"name\":\"com_weblinks\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\n\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"target\":\"0\",\"save_history\":\"1\",\"history_limit\":5,\"count_clicks\":\"1\",\"icons\":1,\"link_icons\":\"\",\"float_first\":\"right\",\"float_second\":\"right\",\"show_tags\":\"1\",\"category_layout\":\"_:default\",\"show_category_title\":\"1\",\"show_description\":\"1\",\"show_description_image\":\"1\",\"maxLevel\":\"-1\",\"show_empty_categories\":\"0\",\"show_subcat_desc\":\"1\",\"show_cat_num_links\":\"1\",\"show_cat_tags\":\"1\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"1\",\"show_cat_num_links_cat\":\"1\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_headings\":\"0\",\"show_link_description\":\"1\",\"show_link_hits\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('22', 'com_content', 'component', 'com_content', '', '1', '1', '0', '1', '{\"name\":\"com_content\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}', '{\"article_layout\":\"_:default\",\"show_title\":\"1\",\"link_titles\":\"0\",\"show_intro\":\"1\",\"show_category\":\"0\",\"link_category\":\"0\",\"show_parent_category\":\"0\",\"link_parent_category\":\"0\",\"show_author\":\"1\",\"link_author\":\"1\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"0\",\"show_item_navigation\":\"0\",\"show_vote\":\"0\",\"show_readmore\":\"1\",\"show_readmore_title\":\"1\",\"readmore_limit\":\"100\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"0\",\"show_noauth\":\"0\",\"category_layout\":\"_:blog\",\"show_category_title\":\"1\",\"show_description\":\"0\",\"show_description_image\":\"0\",\"maxLevel\":\"1\",\"show_empty_categories\":\"0\",\"show_no_articles\":\"1\",\"show_subcat_desc\":\"1\",\"show_cat_num_articles\":\"0\",\"show_base_description\":\"1\",\"maxLevelcat\":\"-1\",\"show_empty_categories_cat\":\"0\",\"show_subcat_desc_cat\":\"0\",\"show_cat_num_articles_cat\":\"1\",\"num_leading_articles\":\"1\",\"num_intro_articles\":\"4\",\"num_columns\":\"2\",\"num_links\":\"4\",\"multi_column_order\":\"0\",\"show_subcategory_content\":\"-1\",\"orderby_pri\":\"none\",\"orderby_sec\":\"rdate\",\"order_date\":\"published\",\"show_pagination_limit\":\"1\",\"filter_field\":\"hide\",\"show_headings\":\"1\",\"list_show_date\":\"0\",\"date_format\":\"\",\"list_show_hits\":\"1\",\"list_show_author\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"show_feed_link\":\"1\",\"feed_summary\":\"0\",\"filters\":{\"1\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"10\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"12\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('23', 'com_config', 'component', 'com_config', '', '1', '1', '0', '1', '{\"name\":\"com_config\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_CONFIG_XML_DESCRIPTION\",\"group\":\"\"}', '{\"filters\":{\"1\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"6\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"7\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"2\":{\"filter_type\":\"NH\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"3\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"4\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"5\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"10\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"12\":{\"filter_type\":\"BL\",\"filter_tags\":\"\",\"filter_attributes\":\"\"},\"8\":{\"filter_type\":\"NONE\",\"filter_tags\":\"\",\"filter_attributes\":\"\"}}}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('24', 'com_redirect', 'component', 'com_redirect', '', '1', '1', '0', '1', '{\"name\":\"com_redirect\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('25', 'com_users', 'component', 'com_users', '', '1', '1', '0', '1', '{\"name\":\"com_users\",\"type\":\"component\",\"creationDate\":\"April 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_USERS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"allowUserRegistration\":\"1\",\"new_usertype\":\"2\",\"guest_usergroup\":\"9\",\"sendpassword\":\"1\",\"useractivation\":\"1\",\"mail_to_admin\":\"0\",\"captcha\":\"\",\"frontend_userparams\":\"1\",\"site_language\":\"0\",\"change_login_name\":\"0\",\"reset_count\":\"10\",\"reset_time\":\"1\",\"minimum_length\":\"4\",\"minimum_integers\":\"0\",\"minimum_symbols\":\"0\",\"minimum_uppercase\":\"0\",\"save_history\":\"1\",\"history_limit\":5,\"mailSubjectPrefix\":\"\",\"mailBodySuffix\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('27', 'com_finder', 'component', 'com_finder', '', '1', '1', '0', '0', '{\"name\":\"com_finder\",\"type\":\"component\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_FINDER_XML_DESCRIPTION\",\"group\":\"\"}', '{\"show_description\":\"1\",\"description_length\":255,\"allow_empty_query\":\"0\",\"show_url\":\"1\",\"show_advanced\":\"1\",\"expand_advanced\":\"0\",\"show_date_filters\":\"0\",\"highlight_terms\":\"1\",\"opensearch_name\":\"\",\"opensearch_description\":\"\",\"batch_size\":\"50\",\"memory_table_limit\":30000,\"title_multiplier\":\"1.7\",\"text_multiplier\":\"0.7\",\"meta_multiplier\":\"1.2\",\"path_multiplier\":\"2.0\",\"misc_multiplier\":\"0.3\",\"stemmer\":\"snowball\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('28', 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', '1', '1', '0', '1', '{\"name\":\"com_joomlaupdate\",\"type\":\"component\",\"creationDate\":\"February 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\\t\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"COM_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('29', 'com_tags', 'component', 'com_tags', '', '1', '1', '1', '1', '{\"name\":\"com_tags\",\"type\":\"component\",\"creationDate\":\"December 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"COM_TAGS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"tag_layout\":\"_:default\",\"save_history\":\"1\",\"history_limit\":5,\"show_tag_title\":\"0\",\"tag_list_show_tag_image\":\"0\",\"tag_list_show_tag_description\":\"0\",\"tag_list_image\":\"\",\"show_tag_num_items\":\"0\",\"tag_list_orderby\":\"title\",\"tag_list_orderby_direction\":\"ASC\",\"show_headings\":\"0\",\"tag_list_show_date\":\"0\",\"tag_list_show_item_image\":\"0\",\"tag_list_show_item_description\":\"0\",\"tag_list_item_maximum_characters\":0,\"return_any_or_all\":\"1\",\"include_children\":\"0\",\"maximum\":200,\"tag_list_language_filter\":\"all\",\"tags_layout\":\"_:default\",\"all_tags_orderby\":\"title\",\"all_tags_orderby_direction\":\"ASC\",\"all_tags_show_tag_image\":\"0\",\"all_tags_show_tag_descripion\":\"0\",\"all_tags_tag_maximum_characters\":20,\"all_tags_show_tag_hits\":\"0\",\"filter_field\":\"1\",\"show_pagination_limit\":\"1\",\"show_pagination\":\"2\",\"show_pagination_results\":\"1\",\"tag_field_ajax_mode\":\"1\",\"show_feed_link\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('30', 'com_contenthistory', 'component', 'com_contenthistory', '', '1', '1', '1', '0', '{\"name\":\"com_contenthistory\",\"type\":\"component\",\"creationDate\":\"May 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_CONTENTHISTORY_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('31', 'com_ajax', 'component', 'com_ajax', '', '1', '1', '1', '0', '{\"name\":\"com_ajax\",\"type\":\"component\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_AJAX_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('32', 'com_postinstall', 'component', 'com_postinstall', '', '1', '1', '1', '1', '{\"name\":\"com_postinstall\",\"type\":\"component\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"COM_POSTINSTALL_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('100', 'PHPMailer', 'library', 'phpmailer', '', '0', '1', '1', '1', '{\"name\":\"PHPMailer\",\"type\":\"library\",\"creationDate\":\"2001\",\"author\":\"PHPMailer\",\"copyright\":\"(c) 2001-2003, Brent R. Matzelle, (c) 2004-2009, Andy Prevost. All Rights Reserved., (c) 2010-2013, Jim Jagielski. All Rights Reserved.\",\"authorEmail\":\"jimjag@gmail.com\",\"authorUrl\":\"https:\\/\\/github.com\\/PHPMailer\\/PHPMailer\",\"version\":\"5.2.6\",\"description\":\"LIB_PHPMAILER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('101', 'SimplePie', 'library', 'simplepie', '', '0', '1', '1', '1', '{\"name\":\"SimplePie\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"SimplePie\",\"copyright\":\"Copyright (c) 2004-2009, Ryan Parman and Geoffrey Sneddon\",\"authorEmail\":\"\",\"authorUrl\":\"http:\\/\\/simplepie.org\\/\",\"version\":\"1.2\",\"description\":\"LIB_SIMPLEPIE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('102', 'phputf8', 'library', 'phputf8', '', '0', '1', '1', '1', '{\"name\":\"phputf8\",\"type\":\"library\",\"creationDate\":\"2006\",\"author\":\"Harry Fuecks\",\"copyright\":\"Copyright various authors\",\"authorEmail\":\"hfuecks@gmail.com\",\"authorUrl\":\"http:\\/\\/sourceforge.net\\/projects\\/phputf8\",\"version\":\"0.5\",\"description\":\"LIB_PHPUTF8_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('103', 'Joomla! Platform', 'library', 'joomla', '', '0', '1', '1', '1', '{\"name\":\"Joomla! Platform\",\"type\":\"library\",\"creationDate\":\"2008\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"http:\\/\\/www.joomla.org\",\"version\":\"13.1\",\"description\":\"LIB_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '{\"mediaversion\":\"389f5034e667c9e3c774f4755db37633\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('104', 'IDNA Convert', 'library', 'idna_convert', '', '0', '1', '1', '1', '{\"name\":\"IDNA Convert\",\"type\":\"library\",\"creationDate\":\"2004\",\"author\":\"phlyLabs\",\"copyright\":\"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de\",\"authorEmail\":\"phlymail@phlylabs.de\",\"authorUrl\":\"http:\\/\\/phlylabs.de\",\"version\":\"0.8.0\",\"description\":\"LIB_IDNA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('105', 'FOF', 'library', 'fof', '', '0', '1', '1', '1', '{\"name\":\"FOF\",\"type\":\"library\",\"creationDate\":\"2014-03-09 12:54:48\",\"author\":\"Nicholas K. Dionysopoulos \\/ Akeeba Ltd\",\"copyright\":\"(C)2011-2014 Nicholas K. Dionysopoulos\",\"authorEmail\":\"nicholas@akeebabackup.com\",\"authorUrl\":\"https:\\/\\/www.akeebabackup.com\",\"version\":\"2.2.1\",\"description\":\"LIB_FOF_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('106', 'PHPass', 'library', 'phpass', '', '0', '1', '1', '1', '{\"name\":\"PHPass\",\"type\":\"library\",\"creationDate\":\"2004-2006\",\"author\":\"Solar Designer\",\"copyright\":\"\",\"authorEmail\":\"solar@openwall.com\",\"authorUrl\":\"http:\\/\\/www.openwall.com\\/phpass\\/\",\"version\":\"0.3\",\"description\":\"LIB_PHPASS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('200', 'mod_articles_archive', 'module', 'mod_articles_archive', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_archive\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('201', 'mod_articles_latest', 'module', 'mod_articles_latest', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_NEWS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('202', 'mod_articles_popular', 'module', 'mod_articles_popular', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_popular\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('203', 'mod_banners', 'module', 'mod_banners', '', '0', '1', '1', '0', '{\"name\":\"mod_banners\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BANNERS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('204', 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', '0', '1', '1', '1', '{\"name\":\"mod_breadcrumbs\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_BREADCRUMBS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('205', 'mod_custom', 'module', 'mod_custom', '', '0', '1', '1', '1', '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('206', 'mod_feed', 'module', 'mod_feed', '', '0', '1', '1', '0', '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('207', 'mod_footer', 'module', 'mod_footer', '', '0', '1', '1', '0', '{\"name\":\"mod_footer\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FOOTER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('208', 'mod_login', 'module', 'mod_login', '', '0', '1', '1', '1', '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('209', 'mod_menu', 'module', 'mod_menu', '', '0', '1', '1', '1', '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('210', 'mod_articles_news', 'module', 'mod_articles_news', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_news\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_NEWS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('211', 'mod_random_image', 'module', 'mod_random_image', '', '0', '1', '1', '0', '{\"name\":\"mod_random_image\",\"type\":\"module\",\"creationDate\":\"July 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RANDOM_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0');

INSERT INTO lo1t2_extensions
(`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES 
('212', 'mod_related_items', 'module', 'mod_related_items', '', '0', '1', '1', '0', '{\"name\":\"mod_related_items\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_RELATED_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('213', 'mod_search', 'module', 'mod_search', '', '0', '1', '1', '0', '{\"name\":\"mod_search\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SEARCH_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('214', 'mod_stats', 'module', 'mod_stats', '', '0', '1', '1', '0', '{\"name\":\"mod_stats\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('215', 'mod_syndicate', 'module', 'mod_syndicate', '', '0', '1', '1', '1', '{\"name\":\"mod_syndicate\",\"type\":\"module\",\"creationDate\":\"May 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SYNDICATE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('216', 'mod_users_latest', 'module', 'mod_users_latest', '', '0', '1', '1', '0', '{\"name\":\"mod_users_latest\",\"type\":\"module\",\"creationDate\":\"December 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_USERS_LATEST_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('217', 'mod_weblinks', 'module', 'mod_weblinks', '', '0', '1', '1', '0', '{\"name\":\"mod_weblinks\",\"type\":\"module\",\"creationDate\":\"July 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('218', 'mod_whosonline', 'module', 'mod_whosonline', '', '0', '1', '1', '0', '{\"name\":\"mod_whosonline\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WHOSONLINE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('219', 'mod_wrapper', 'module', 'mod_wrapper', '', '0', '1', '1', '0', '{\"name\":\"mod_wrapper\",\"type\":\"module\",\"creationDate\":\"October 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_WRAPPER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('220', 'mod_articles_category', 'module', 'mod_articles_category', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_category\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('221', 'mod_articles_categories', 'module', 'mod_articles_categories', '', '0', '1', '1', '0', '{\"name\":\"mod_articles_categories\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('222', 'mod_languages', 'module', 'mod_languages', '', '0', '1', '1', '1', '{\"name\":\"mod_languages\",\"type\":\"module\",\"creationDate\":\"February 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LANGUAGES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('223', 'mod_finder', 'module', 'mod_finder', '', '0', '1', '0', '0', '{\"name\":\"mod_finder\",\"type\":\"module\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FINDER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('300', 'mod_custom', 'module', 'mod_custom', '', '1', '1', '1', '1', '{\"name\":\"mod_custom\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_CUSTOM_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('301', 'mod_feed', 'module', 'mod_feed', '', '1', '1', '1', '0', '{\"name\":\"mod_feed\",\"type\":\"module\",\"creationDate\":\"July 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_FEED_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('302', 'mod_latest', 'module', 'mod_latest', '', '1', '1', '1', '0', '{\"name\":\"mod_latest\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LATEST_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('303', 'mod_logged', 'module', 'mod_logged', '', '1', '1', '1', '0', '{\"name\":\"mod_logged\",\"type\":\"module\",\"creationDate\":\"January 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGGED_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('304', 'mod_login', 'module', 'mod_login', '', '1', '1', '1', '1', '{\"name\":\"mod_login\",\"type\":\"module\",\"creationDate\":\"March 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_LOGIN_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('305', 'mod_menu', 'module', 'mod_menu', '', '1', '1', '1', '0', '{\"name\":\"mod_menu\",\"type\":\"module\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MENU_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('307', 'mod_popular', 'module', 'mod_popular', '', '1', '1', '1', '0', '{\"name\":\"mod_popular\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('308', 'mod_quickicon', 'module', 'mod_quickicon', '', '1', '1', '1', '1', '{\"name\":\"mod_quickicon\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_QUICKICON_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('309', 'mod_status', 'module', 'mod_status', '', '1', '1', '1', '0', '{\"name\":\"mod_status\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATUS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('310', 'mod_submenu', 'module', 'mod_submenu', '', '1', '1', '1', '0', '{\"name\":\"mod_submenu\",\"type\":\"module\",\"creationDate\":\"Feb 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_SUBMENU_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('311', 'mod_title', 'module', 'mod_title', '', '1', '1', '1', '0', '{\"name\":\"mod_title\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TITLE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('312', 'mod_toolbar', 'module', 'mod_toolbar', '', '1', '1', '1', '1', '{\"name\":\"mod_toolbar\",\"type\":\"module\",\"creationDate\":\"Nov 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_TOOLBAR_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('313', 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', '1', '1', '1', '0', '{\"name\":\"mod_multilangstatus\",\"type\":\"module\",\"creationDate\":\"September 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_MULTILANGSTATUS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"cache\":\"0\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('314', 'mod_version', 'module', 'mod_version', '', '1', '1', '1', '0', '{\"name\":\"mod_version\",\"type\":\"module\",\"creationDate\":\"January 2012\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_VERSION_XML_DESCRIPTION\",\"group\":\"\"}', '{\"format\":\"short\",\"product\":\"1\",\"cache\":\"0\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('315', 'mod_stats_admin', 'module', 'mod_stats_admin', '', '1', '1', '1', '0', '{\"name\":\"mod_stats_admin\",\"type\":\"module\",\"creationDate\":\"July 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"MOD_STATS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"serverinfo\":\"0\",\"siteinfo\":\"0\",\"counter\":\"0\",\"increase\":\"0\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('316', 'mod_tags_popular', 'module', 'mod_tags_popular', '', '0', '1', '1', '0', '{\"name\":\"mod_tags_popular\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_POPULAR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"maximum\":\"5\",\"timeframe\":\"alltime\",\"owncache\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('317', 'mod_tags_similar', 'module', 'mod_tags_similar', '', '0', '1', '1', '0', '{\"name\":\"mod_tags_similar\",\"type\":\"module\",\"creationDate\":\"January 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.1.0\",\"description\":\"MOD_TAGS_SIMILAR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"maximum\":\"5\",\"matchtype\":\"any\",\"owncache\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('400', 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', '0', '0', '1', '0', '{\"name\":\"plg_authentication_gmail\",\"type\":\"plugin\",\"creationDate\":\"February 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_GMAIL_XML_DESCRIPTION\",\"group\":\"\"}', '{\"applysuffix\":\"0\",\"suffix\":\"\",\"verifypeer\":\"1\",\"user_blacklist\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('401', 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', '0', '1', '1', '1', '{\"name\":\"plg_authentication_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('402', 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', '0', '0', '1', '0', '{\"name\":\"plg_authentication_ldap\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LDAP_XML_DESCRIPTION\",\"group\":\"\"}', '{\"host\":\"\",\"port\":\"389\",\"use_ldapV3\":\"0\",\"negotiate_tls\":\"0\",\"no_referrals\":\"0\",\"auth_method\":\"bind\",\"base_dn\":\"\",\"search_string\":\"\",\"users_dn\":\"\",\"username\":\"admin\",\"password\":\"bobby7\",\"ldap_fullname\":\"fullName\",\"ldap_email\":\"mail\",\"ldap_uid\":\"uid\"}', '', '', '0', '0000-00-00 00:00:00', '3', '0'),
('403', 'plg_content_contact', 'plugin', 'contact', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_contact\",\"type\":\"plugin\",\"creationDate\":\"January 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.2\",\"description\":\"PLG_CONTENT_CONTACT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('404', 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_emailcloak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION\",\"group\":\"\"}', '{\"mode\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('406', 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_loadmodule\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOADMODULE_XML_DESCRIPTION\",\"group\":\"\"}', '{\"style\":\"xhtml\"}', '', '', '0', '2011-09-18 15:22:50', '0', '0'),
('407', 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}', '{\"title\":\"1\",\"multipage_toc\":\"1\",\"showall\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '4', '0'),
('408', 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_pagenavigation\",\"type\":\"plugin\",\"creationDate\":\"January 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_PAGENAVIGATION_XML_DESCRIPTION\",\"group\":\"\"}', '{\"position\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '5', '0'),
('409', 'plg_content_vote', 'plugin', 'vote', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_vote\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_VOTE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '6', '0'),
('410', 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', '0', '1', '1', '1', '{\"name\":\"plg_editors_codemirror\",\"type\":\"plugin\",\"creationDate\":\"28 March 2011\",\"author\":\"Marijn Haverbeke\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"3.15\",\"description\":\"PLG_CODEMIRROR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"lineNumbers\":\"1\",\"lineWrapping\":\"1\",\"matchTags\":\"1\",\"matchBrackets\":\"1\",\"marker-gutter\":\"1\",\"autoCloseTags\":\"1\",\"autoCloseBrackets\":\"1\",\"autoFocus\":\"1\",\"theme\":\"default\",\"tabmode\":\"indent\"}', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('411', 'plg_editors_none', 'plugin', 'none', 'editors', '0', '1', '1', '1', '{\"name\":\"plg_editors_none\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Unknown\",\"copyright\":\"\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"\",\"version\":\"3.0.0\",\"description\":\"PLG_NONE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '2', '0'),
('412', 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', '0', '1', '1', '0', '{\"name\":\"plg_editors_tinymce\",\"type\":\"plugin\",\"creationDate\":\"2005-2014\",\"author\":\"Moxiecode Systems AB\",\"copyright\":\"Moxiecode Systems AB\",\"authorEmail\":\"N\\/A\",\"authorUrl\":\"tinymce.moxiecode.com\",\"version\":\"4.1.2\",\"description\":\"PLG_TINY_XML_DESCRIPTION\",\"group\":\"\"}', '{\"mode\":\"1\",\"skin\":\"0\",\"mobile\":\"0\",\"entity_encoding\":\"raw\",\"lang_mode\":\"1\",\"text_direction\":\"ltr\",\"content_css\":\"1\",\"content_css_custom\":\"\",\"relative_urls\":\"1\",\"newlines\":\"0\",\"invalid_elements\":\"script,applet,iframe\",\"extended_elements\":\"\",\"html_height\":\"550\",\"html_width\":\"750\",\"resizing\":\"1\",\"element_path\":\"1\",\"fonts\":\"1\",\"paste\":\"1\",\"searchreplace\":\"1\",\"insertdate\":\"1\",\"colors\":\"1\",\"table\":\"1\",\"smilies\":\"1\",\"hr\":\"1\",\"link\":\"1\",\"media\":\"1\",\"print\":\"1\",\"directionality\":\"1\",\"fullscreen\":\"1\",\"alignment\":\"1\",\"visualchars\":\"1\",\"visualblocks\":\"1\",\"nonbreaking\":\"1\",\"template\":\"1\",\"blockquote\":\"1\",\"wordcount\":\"1\",\"advlist\":\"1\",\"autosave\":\"1\",\"contextmenu\":\"1\",\"inlinepopups\":\"1\",\"custom_plugin\":\"\",\"custom_button\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '3', '0'),
('413', 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', '0', '1', '1', '1', '{\"name\":\"plg_editors-xtd_article\",\"type\":\"plugin\",\"creationDate\":\"October 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_ARTICLE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('414', 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', '0', '1', '1', '0', '{\"name\":\"plg_editors-xtd_image\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_IMAGE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '2', '0'),
('415', 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', '0', '1', '1', '0', '{\"name\":\"plg_editors-xtd_pagebreak\",\"type\":\"plugin\",\"creationDate\":\"August 2004\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '3', '0'),
('416', 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', '0', '1', '1', '0', '{\"name\":\"plg_editors-xtd_readmore\",\"type\":\"plugin\",\"creationDate\":\"March 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_READMORE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '4', '0'),
('417', 'plg_search_categories', 'plugin', 'categories', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_categories\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('418', 'plg_search_contacts', 'plugin', 'contacts', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_contacts\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('419', 'plg_search_content', 'plugin', 'content', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_content\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('420', 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('421', 'plg_search_weblinks', 'plugin', 'weblinks', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_weblinks\",\"type\":\"plugin\",\"creationDate\":\"November 2005\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"search_content\":\"1\",\"search_archived\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0');

INSERT INTO lo1t2_extensions
(`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES 
('422', 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', '0', '0', '1', '1', '{\"name\":\"plg_system_languagefilter\",\"type\":\"plugin\",\"creationDate\":\"July 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('423', 'plg_system_p3p', 'plugin', 'p3p', 'system', '0', '1', '1', '0', '{\"name\":\"plg_system_p3p\",\"type\":\"plugin\",\"creationDate\":\"September 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_P3P_XML_DESCRIPTION\",\"group\":\"\"}', '{\"headers\":\"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM\"}', '', '', '0', '0000-00-00 00:00:00', '2', '0'),
('424', 'plg_system_cache', 'plugin', 'cache', 'system', '0', '0', '1', '1', '{\"name\":\"plg_system_cache\",\"type\":\"plugin\",\"creationDate\":\"February 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CACHE_XML_DESCRIPTION\",\"group\":\"\"}', '{\"browsercache\":\"0\",\"cachetime\":\"15\"}', '', '', '0', '0000-00-00 00:00:00', '9', '0'),
('425', 'plg_system_debug', 'plugin', 'debug', 'system', '0', '1', '1', '0', '{\"name\":\"plg_system_debug\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_DEBUG_XML_DESCRIPTION\",\"group\":\"\"}', '{\"profile\":\"1\",\"queries\":\"1\",\"memory\":\"1\",\"language_files\":\"1\",\"language_strings\":\"1\",\"strip-first\":\"1\",\"strip-prefix\":\"\",\"strip-suffix\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '4', '0'),
('426', 'plg_system_log', 'plugin', 'log', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_log\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_LOG_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '5', '0'),
('427', 'plg_system_redirect', 'plugin', 'redirect', 'system', '0', '0', '1', '1', '{\"name\":\"plg_system_redirect\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REDIRECT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '6', '0'),
('428', 'plg_system_remember', 'plugin', 'remember', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_remember\",\"type\":\"plugin\",\"creationDate\":\"April 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_REMEMBER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '7', '0'),
('429', 'plg_system_sef', 'plugin', 'sef', 'system', '0', '1', '1', '0', '{\"name\":\"plg_system_sef\",\"type\":\"plugin\",\"creationDate\":\"December 2007\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEF_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '8', '0'),
('430', 'plg_system_logout', 'plugin', 'logout', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_logout\",\"type\":\"plugin\",\"creationDate\":\"April 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '3', '0'),
('431', 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', '0', '0', '1', '0', '{\"name\":\"plg_user_contactcreator\",\"type\":\"plugin\",\"creationDate\":\"August 2009\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTACTCREATOR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"autowebpage\":\"\",\"category\":\"34\",\"autopublish\":\"0\"}', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('432', 'plg_user_joomla', 'plugin', 'joomla', 'user', '0', '1', '1', '0', '{\"name\":\"plg_user_joomla\",\"type\":\"plugin\",\"creationDate\":\"December 2006\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2009 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '{\"strong_passwords\":\"1\",\"autoregister\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '2', '0'),
('433', 'plg_user_profile', 'plugin', 'profile', 'user', '0', '0', '1', '0', '{\"name\":\"plg_user_profile\",\"type\":\"plugin\",\"creationDate\":\"January 2008\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_USER_PROFILE_XML_DESCRIPTION\",\"group\":\"\"}', '{\"register-require_address1\":\"1\",\"register-require_address2\":\"1\",\"register-require_city\":\"1\",\"register-require_region\":\"1\",\"register-require_country\":\"1\",\"register-require_postal_code\":\"1\",\"register-require_phone\":\"1\",\"register-require_website\":\"1\",\"register-require_favoritebook\":\"1\",\"register-require_aboutme\":\"1\",\"register-require_tos\":\"1\",\"register-require_dob\":\"1\",\"profile-require_address1\":\"1\",\"profile-require_address2\":\"1\",\"profile-require_city\":\"1\",\"profile-require_region\":\"1\",\"profile-require_country\":\"1\",\"profile-require_postal_code\":\"1\",\"profile-require_phone\":\"1\",\"profile-require_website\":\"1\",\"profile-require_favoritebook\":\"1\",\"profile-require_aboutme\":\"1\",\"profile-require_tos\":\"1\",\"profile-require_dob\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('434', 'plg_extension_joomla', 'plugin', 'joomla', 'extension', '0', '1', '1', '1', '{\"name\":\"plg_extension_joomla\",\"type\":\"plugin\",\"creationDate\":\"May 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('435', 'plg_content_joomla', 'plugin', 'joomla', 'content', '0', '1', '1', '0', '{\"name\":\"plg_content_joomla\",\"type\":\"plugin\",\"creationDate\":\"November 2010\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('436', 'plg_system_languagecode', 'plugin', 'languagecode', 'system', '0', '0', '1', '0', '{\"name\":\"plg_system_languagecode\",\"type\":\"plugin\",\"creationDate\":\"November 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '10', '0'),
('437', 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', '0', '1', '1', '1', '{\"name\":\"plg_quickicon_joomlaupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('438', 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', '0', '1', '1', '1', '{\"name\":\"plg_quickicon_extensionupdate\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('439', 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', '0', '0', '1', '0', '{\"name\":\"plg_captcha_recaptcha\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION\",\"group\":\"\"}', '{\"public_key\":\"\",\"private_key\":\"\",\"theme\":\"clean\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('440', 'plg_system_highlight', 'plugin', 'highlight', 'system', '0', '1', '1', '0', '{\"name\":\"plg_system_highlight\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '7', '0'),
('441', 'plg_content_finder', 'plugin', 'finder', 'content', '0', '0', '1', '0', '{\"name\":\"plg_content_finder\",\"type\":\"plugin\",\"creationDate\":\"December 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_CONTENT_FINDER_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('442', 'plg_finder_categories', 'plugin', 'categories', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_categories\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CATEGORIES_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '1', '0'),
('443', 'plg_finder_contacts', 'plugin', 'contacts', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_contacts\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTACTS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '2', '0'),
('444', 'plg_finder_content', 'plugin', 'content', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_content\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_CONTENT_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '3', '0'),
('445', 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_newsfeeds\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '4', '0'),
('446', 'plg_finder_weblinks', 'plugin', 'weblinks', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_weblinks\",\"type\":\"plugin\",\"creationDate\":\"August 2011\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_WEBLINKS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '5', '0'),
('447', 'plg_finder_tags', 'plugin', 'tags', 'finder', '0', '1', '1', '0', '{\"name\":\"plg_finder_tags\",\"type\":\"plugin\",\"creationDate\":\"February 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_FINDER_TAGS_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('448', 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', '0', '0', '1', '0', '{\"name\":\"plg_twofactorauth_totp\",\"type\":\"plugin\",\"creationDate\":\"August 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('449', 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', '0', '1', '1', '0', '{\"name\":\"plg_authentication_cookie\",\"type\":\"plugin\",\"creationDate\":\"July 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_AUTH_COOKIE_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('450', 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', '0', '0', '1', '0', '{\"name\":\"plg_twofactorauth_yubikey\",\"type\":\"plugin\",\"creationDate\":\"September 2013\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.2.0\",\"description\":\"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('451', 'plg_search_tags', 'plugin', 'tags', 'search', '0', '1', '1', '0', '{\"name\":\"plg_search_tags\",\"type\":\"plugin\",\"creationDate\":\"March 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.0.0\",\"description\":\"PLG_SEARCH_TAGS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"search_limit\":\"50\",\"show_tagged_items\":\"1\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('503', 'beez3', 'template', 'beez3', '', '0', '1', '1', '0', '{\"name\":\"beez3\",\"type\":\"template\",\"creationDate\":\"25 November 2009\",\"author\":\"Angie Radtke\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"a.radtke@derauftritt.de\",\"authorUrl\":\"http:\\/\\/www.der-auftritt.de\",\"version\":\"3.1.0\",\"description\":\"TPL_BEEZ3_XML_DESCRIPTION\",\"group\":\"\"}', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"sitetitle\":\"\",\"sitedescription\":\"\",\"navposition\":\"center\",\"templatecolor\":\"nature\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('504', 'hathor', 'template', 'hathor', '', '1', '1', '1', '0', '{\"name\":\"hathor\",\"type\":\"template\",\"creationDate\":\"May 2010\",\"author\":\"Andrea Tarr\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"hathor@tarrconsulting.com\",\"authorUrl\":\"http:\\/\\/www.tarrconsulting.com\",\"version\":\"3.0.0\",\"description\":\"TPL_HATHOR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"showSiteName\":\"0\",\"colourChoice\":\"0\",\"boldText\":\"0\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('506', 'protostar', 'template', 'protostar', '', '0', '1', '1', '0', '{\"name\":\"protostar\",\"type\":\"template\",\"creationDate\":\"4\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_PROTOSTAR_XML_DESCRIPTION\",\"group\":\"\"}', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('507', 'isis', 'template', 'isis', '', '1', '1', '1', '0', '{\"name\":\"isis\",\"type\":\"template\",\"creationDate\":\"3\\/30\\/2012\",\"author\":\"Kyle Ledbetter\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters, Inc. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"\",\"version\":\"1.0\",\"description\":\"TPL_ISIS_XML_DESCRIPTION\",\"group\":\"\"}', '{\"templateColor\":\"\",\"logoFile\":\"\"}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('600', 'English (United Kingdom)', 'language', 'en-GB', '', '0', '1', '1', '1', '{\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.1\",\"description\":\"en-GB site language\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('601', 'English (United Kingdom)', 'language', 'en-GB', '', '1', '1', '1', '1', '{\"name\":\"English (United Kingdom)\",\"type\":\"language\",\"creationDate\":\"2013-03-07\",\"author\":\"Joomla! Project\",\"copyright\":\"Copyright (C) 2005 - 2014 Open Source Matters. All rights reserved.\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.1\",\"description\":\"en-GB administrator language\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('700', 'files_joomla', 'file', 'joomla', '', '0', '1', '1', '1', '{\"name\":\"files_joomla\",\"type\":\"file\",\"creationDate\":\"September 2014\",\"author\":\"Joomla! Project\",\"copyright\":\"(C) 2005 - 2014 Open Source Matters. All rights reserved\",\"authorEmail\":\"admin@joomla.org\",\"authorUrl\":\"www.joomla.org\",\"version\":\"3.3.6\",\"description\":\"FILES_JOOMLA_XML_DESCRIPTION\",\"group\":\"\"}', '', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10002', 'plg_system_jsnframework', 'plugin', 'jsnframework', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_jsnframework\",\"type\":\"plugin\",\"creationDate\":\"01/16/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (C) 2013 JoomlaShine.com. All Rights Reserved.\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"1.5.0\",\"description\":\"PLG_SYSTEM_JSNFRAMEWORK_XML_DESCRIPTION\",\"group\":\"\",\"dependency\":[\"poweradmin\",\"uniform\",\"mobilize\",\"pagebuilder\"]}', '{\"poweradmin\":\"poweradmin\",\"uniform\":\"uniform\",\"mobilize\":\"mobilize\",\"pagebuilder\":\"pagebuilder\"}', '[\"poweradmin\",\"uniform\",\"mobilize\",\"pagebuilder\"]', '', '0', '0000-00-00 00:00:00', '-9999', '0'),
('10003', 'imageshow', 'component', 'com_imageshow', '', '1', '1', '0', '0', '{\"name\":\"ImageShow\",\"type\":\"component\",\"creationDate\":\"12\\/30\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"JSN IMAGESHOW FREE\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10004', 'Content - JSN ImageShow', 'plugin', 'imageshow', 'content', '0', '1', '1', '1', '{\"name\":\"Content - JSN ImageShow\",\"type\":\"plugin\",\"creationDate\":\"12/30/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"JSN_IMAGESHOW_CONTENT_PLUGIN\",\"group\":\"\",\"dependency\":[\"imageshow\"]}', '{\"imageshow\":\"imageshow\"}', '[\"imageshow\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10005', 'System - JSN ImageShow', 'plugin', 'imageshow', 'system', '0', '1', '1', '1', '{\"name\":\"System - JSN ImageShow\",\"type\":\"plugin\",\"creationDate\":\"12/30/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"JSN_IMAGESHOW_SYSTEM_PLUGIN\",\"group\":\"\",\"dependency\":[\"imageshow\"]}', '{\"imageshow\":\"imageshow\"}', '[\"imageshow\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10006', 'Button - ImageShow', 'plugin', 'imageshow', 'editors-xtd', '0', '1', '1', '1', '{\"name\":\"Button - ImageShow\",\"type\":\"plugin\",\"creationDate\":\"12/30/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"PLG_EDITOR_JSN_IMAGESHOW_XML_DESCRIPTION\",\"group\":\"\",\"dependency\":[\"imageshow\"]}', '{\"imageshow\":\"imageshow\"}', '[\"imageshow\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10007', 'JSN ImageShow', 'module', 'mod_imageshow', '', '0', '1', '0', '1', '{\"name\":\"JSN ImageShow\",\"type\":\"module\",\"creationDate\":\"12/30/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"JSN_MODULE_JSN_IMAGESHOW_MODULE\",\"group\":\"\",\"dependency\":[\"imageshow\"]}', '{\"imageshow\":\"imageshow\"}', '[\"imageshow\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10008', 'JSN ImageShow Quick Icons', 'module', 'mod_imageshow_quickicon', '', '1', '1', '2', '1', '{\"name\":\"JSN ImageShow Quick Icons\",\"type\":\"module\",\"creationDate\":\"12/30/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"4.8.8\",\"description\":\"Quick access icon to reach JSN ImageShow Launch Pad\",\"group\":\"\",\"dependency\":[\"imageshow\"]}', '{\"imageshow\":\"imageshow\"}', '[\"imageshow\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10009', 'Source Picasa', 'plugin', 'sourcepicasa', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Source Picasa\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.1.7\",\"description\":\"JSN IMAGESHOW IMAGE SOURCE PICASA\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10010', 'Theme Classic', 'plugin', 'themeclassic', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Classic\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.3.3\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME CLASSIC PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10011', 'Theme Grid', 'plugin', 'themegrid', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Grid\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.1.5\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME GRID PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10012', 'Theme Slider', 'plugin', 'themeslider', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Slider\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.2.0\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME SLIDER PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10013', 'Theme Carousel', 'plugin', 'themecarousel', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Carousel\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.0.9\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME CAROUSEL PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10014', 'Theme Flow', 'plugin', 'themeflow', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Flow\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.0.7\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME FLOW PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0');

INSERT INTO lo1t2_extensions
(`extension_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES 
('10015', 'Theme Strip', 'plugin', 'themestrip', 'jsnimageshow', '0', '1', '1', '0', '{\"name\":\"Theme Strip\",\"type\":\"plugin\",\"creationDate\":\"09\\/24\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.0.8\",\"description\":\"JSN IMAGESHOW SHOWCASE THEME STRIP PLUGIN\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10016', 'poweradmin', 'component', 'com_poweradmin', '', '1', '1', '0', '0', '{\"name\":\"PowerAdmin\",\"type\":\"component\",\"creationDate\":\"01\\/15\\/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"JSN PowerAdmin\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10017', 'System - JSN PowerAdmin', 'plugin', 'jsnpoweradmin', 'system', '0', '1', '1', '1', '{\"name\":\"System - JSN PowerAdmin\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"System - JSN PowerAdmin plugin\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10018', 'JSN PowerAdmin extended - com_content', 'plugin', 'content', 'jsnpoweradmin', '0', '1', '1', '0', '{\"name\":\"JSN PowerAdmin extended - com_content\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"Support view for com_content in site manager (from PowerAdmin 1.3.0)\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10019', 'JSN PowerAdmin extended - com_contact', 'plugin', 'contact', 'jsnpoweradmin', '0', '1', '1', '0', '{\"name\":\"JSN PowerAdmin extended - com_contact\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"Support view for com_contact in site manager (from PowerAdmin 2.0)\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10020', 'JSN PowerAdmin extended - com_users', 'plugin', 'users', 'jsnpoweradmin', '0', '1', '1', '0', '{\"name\":\"JSN PowerAdmin extended - com_users\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"Support view for com_users in site manager (from PowerAdmin 2.0)\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10021', 'JSN PowerAdmin extended - com_weblinks', 'plugin', 'weblinks', 'jsnpoweradmin', '0', '1', '1', '0', '{\"name\":\"JSN PowerAdmin extended - com_weblinks\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"Support view for com_weblinks in site manager (from PowerAdmin 2.0)\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10022', 'JSN PowerAdmin extended - com_pagebuilder', 'plugin', 'pagebuilder', 'jsnpoweradmin', '0', '1', '1', '0', '{\"name\":\"JSN PowerAdmin extended - com_pagebuilder\",\"type\":\"plugin\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"Support view for com_pagebuilder in site manager\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10023', 'mod_poweradmin', 'module', 'mod_poweradmin', '', '1', '1', '2', '0', '{\"name\":\"mod_poweradmin\",\"type\":\"module\",\"creationDate\":\"01/15/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"2.2.1\",\"description\":\"JSN PowerAdmin Quick Icons\",\"group\":\"\",\"dependency\":[\"poweradmin\"]}', '{\"poweradmin\":\"poweradmin\"}', '[\"poweradmin\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10024', 'uniform', 'component', 'com_uniform', '', '1', '1', '0', '0', '{\"name\":\"UniForm\",\"type\":\"component\",\"creationDate\":\"01\\/07\\/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"3.1.2\",\"description\":\"JSN UniForm FREE \\u2013 A very simple solution to build forms for your Joomla website.\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10025', 'JSN UniForm', 'module', 'mod_uniform', '', '0', '1', '0', '1', '{\"name\":\"JSN UniForm\",\"type\":\"module\",\"creationDate\":\"01/07/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (C) 2012 JoomlaShine.com. All Rights Reserved.\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"3.1.2\",\"description\":\"JSN_UNIFORM_MODULE_DES\",\"group\":\"\",\"dependency\":[\"uniform\"]}', '{\"uniform\":\"uniform\"}', '[\"uniform\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10026', 'JSN_UNIFORM_PLUGIN_CONTENT_TITLE', 'plugin', 'uniform', 'content', '0', '1', '1', '1', '{\"name\":\"JSN_UNIFORM_PLUGIN_CONTENT_TITLE\",\"type\":\"plugin\",\"creationDate\":\"01/07/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (C) 2012 JoomlaShine.com. All Rights Reserved.\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"3.1.2\",\"description\":\"JSN_UNIFORM_PLUGIN_CONTENT_DES\",\"group\":\"\",\"dependency\":[\"uniform\"]}', '{\"uniform\":\"uniform\"}', '[\"uniform\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10027', 'JSN_UNIFORM_PLUGIN_BUTTON_TITLE', 'plugin', 'uniform', 'editors-xtd', '0', '1', '1', '1', '{\"name\":\"JSN_UNIFORM_PLUGIN_BUTTON_TITLE\",\"type\":\"plugin\",\"creationDate\":\"01/07/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (C) 2012 JoomlaShine.com. All Rights Reserved.\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"3.1.2\",\"description\":\"JSN_UNIFORM_PLUGIN_BUTTON_DES\",\"group\":\"\",\"dependency\":[\"uniform\"]}', '{\"uniform\":\"uniform\"}', '[\"uniform\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10028', 'mobilize', 'component', 'com_mobilize', '', '1', '1', '0', '0', '{\"name\":\"Mobilize\",\"type\":\"component\",\"creationDate\":\"11\\/14\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.1.2\",\"description\":\"JSN Mobilize\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10029', 'jsn_mobilize', 'template', 'jsn_mobilize', '', '0', '0', '1', '1', '{\"name\":\"jsn_mobilize\",\"type\":\"template\",\"creationDate\":\"August 29, 2012\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"1.0.0\",\"description\":\"TPL_MOBILIZE_XML_DESCRIPTION\",\"group\":\"\",\"dependency\":[\"mobilize\"]}', '{\"mobilize\":\"mobilize\"}', '[\"mobilize\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10030', 'plg_system_jsnmobilize', 'plugin', 'jsnmobilize', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_jsnmobilize\",\"type\":\"plugin\",\"creationDate\":\"11/14/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"1.1.2\",\"description\":\"PLG_SYSTEM_JSNMOBILIZE_XML_DESCRIPTION\",\"group\":\"\",\"dependency\":[\"mobilize\"]}', '{\"mobilize\":\"mobilize\"}', '[\"mobilize\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10031', 'com_pagebuilder', 'component', 'com_pagebuilder', '', '1', '1', '0', '0', '{\"name\":\"COM_PAGEBUILDER\",\"type\":\"component\",\"creationDate\":\"12\\/26\\/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2013 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.0.4\",\"description\":\"COM_PAGEBUILDER_DESC\",\"group\":\"\"}', '{}', '', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10032', 'System - JSN PageBuilder', 'plugin', 'pagebuilder', 'system', '0', '1', '1', '0', '{\"name\":\"System - JSN PageBuilder\",\"type\":\"plugin\",\"creationDate\":\"08/22/2014\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2012 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"3.5\",\"description\":\"System - JSN PageBuilder\",\"group\":\"\",\"dependency\":[\"pagebuilder\"]}', '{\"pagebuilder\":\"pagebuilder\",\"shortcodes\":\"pb_accordion:accordion|pb_accordion_item:element|pb_alert:alert|pb_audio:audio|pb_buttonbar:buttonbar|pb_buttonbar_item:element|pb_carousel:carousel|pb_carousel_item:element|pb_divider:divider|pb_heading:heading|pb_image:image|pb_list_item:element|pb_list:list|pb_module:module|pb_pricingtable_item:element|pb_pricingtable:pricingtable|pb_progressbar_item:element|pb_progressbar:progressbar|pb_promobox:promobox|pb_qrcode:qrcode|pb_tab_item:element|pb_tab:tab|pb_table_item:element|pb_table:table|pb_text:text|pb_tooltip:tooltip|pb_video:video|pb_validate_file_item:helpers|pb_pricingtable_item_item:element|pb_pricingtablelabel_item:pricingtablelabel|pb_helper_item:helpers|pb_column:column|pb_row:row\"}', '[\"pagebuilder\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10033', 'Button - JSN PageBuilder', 'plugin', 'pagebuilder', 'editors-xtd', '0', '1', '1', '0', '{\"name\":\"Button - JSN PageBuilder\",\"type\":\"plugin\",\"creationDate\":\"@date\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"http://www.joomlashine.com\",\"version\":\"3.5\",\"description\":\"Editor button plugin to ativate JSN PageBuilder\",\"group\":\"\",\"dependency\":[\"pagebuilder\"]}', '{\"pagebuilder\":\"pagebuilder\"}', '[\"pagebuilder\"]', '', '0', '0000-00-00 00:00:00', '0', '0'),
('10034', 'plg_system_jsntplframework', 'plugin', 'jsntplframework', 'system', '0', '1', '1', '1', '{\"name\":\"plg_system_jsntplframework\",\"type\":\"plugin\",\"creationDate\":\"01\\/20\\/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (C) 2012 JoomlaShine.com. All Rights Reserved.\",\"authorEmail\":\"admin@joomlashine.com\",\"authorUrl\":\"www.joomlashine.com\",\"version\":\"2.3.1\",\"description\":\"\",\"group\":\"\"}', '{\"update-check\":1421810892}', '', '', '0', '0000-00-00 00:00:00', '9999', '0'),
('10035', 'jsn_force_free', 'template', 'jsn_force_free', '', '0', '1', '1', '0', '{\"name\":\"jsn_force_free\",\"type\":\"template\",\"creationDate\":\"01\\/20\\/2015\",\"author\":\"JoomlaShine.com\",\"copyright\":\"Copyright (c) 2008 - 2013 - JoomlaShine.com\",\"authorEmail\":\"support@joomlashine.com\",\"authorUrl\":\"http:\\/\\/www.joomlashine.com\",\"version\":\"1.0.1\",\"description\":\"TPL_JSN_FORCE_FREE_XML_DESCRIPTION\",\"group\":\"jsntemplate\"}', '[]', 'jsntemplate', '', '0', '0000-00-00 00:00:00', '0', '0');

DROP TABLE IF EXISTS `lo1t2_finder_filters`;
CREATE TABLE `lo1t2_finder_filters` (
  `filter_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL,
  `created_by_alias` varchar(255) NOT NULL,
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `map_count` int(10) unsigned NOT NULL DEFAULT '0',
  `data` text NOT NULL,
  `params` mediumtext,
  PRIMARY KEY (`filter_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links`;
CREATE TABLE `lo1t2_finder_links` (
  `link_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `url` varchar(255) NOT NULL,
  `route` varchar(255) NOT NULL,
  `title` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `indexdate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `md5sum` varchar(32) DEFAULT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `state` int(5) DEFAULT '1',
  `access` int(5) DEFAULT '0',
  `language` varchar(8) NOT NULL,
  `publish_start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `start_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `end_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `list_price` double unsigned NOT NULL DEFAULT '0',
  `sale_price` double unsigned NOT NULL DEFAULT '0',
  `type_id` int(11) NOT NULL,
  `object` mediumblob NOT NULL,
  PRIMARY KEY (`link_id`),
  KEY `idx_type` (`type_id`),
  KEY `idx_title` (`title`),
  KEY `idx_md5` (`md5sum`),
  KEY `idx_url` (`url`(75)),
  KEY `idx_published_list` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`list_price`),
  KEY `idx_published_sale` (`published`,`state`,`access`,`publish_start_date`,`publish_end_date`,`sale_price`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms0`;
CREATE TABLE `lo1t2_finder_links_terms0` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms1`;
CREATE TABLE `lo1t2_finder_links_terms1` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms2`;
CREATE TABLE `lo1t2_finder_links_terms2` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms3`;
CREATE TABLE `lo1t2_finder_links_terms3` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms4`;
CREATE TABLE `lo1t2_finder_links_terms4` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms5`;
CREATE TABLE `lo1t2_finder_links_terms5` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms6`;
CREATE TABLE `lo1t2_finder_links_terms6` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms7`;
CREATE TABLE `lo1t2_finder_links_terms7` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms8`;
CREATE TABLE `lo1t2_finder_links_terms8` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_terms9`;
CREATE TABLE `lo1t2_finder_links_terms9` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termsa`;
CREATE TABLE `lo1t2_finder_links_termsa` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termsb`;
CREATE TABLE `lo1t2_finder_links_termsb` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termsc`;
CREATE TABLE `lo1t2_finder_links_termsc` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termsd`;
CREATE TABLE `lo1t2_finder_links_termsd` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termse`;
CREATE TABLE `lo1t2_finder_links_termse` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_links_termsf`;
CREATE TABLE `lo1t2_finder_links_termsf` (
  `link_id` int(10) unsigned NOT NULL,
  `term_id` int(10) unsigned NOT NULL,
  `weight` float unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`term_id`),
  KEY `idx_term_weight` (`term_id`,`weight`),
  KEY `idx_link_term_weight` (`link_id`,`term_id`,`weight`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_taxonomy`;
CREATE TABLE `lo1t2_finder_taxonomy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL,
  `state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `access` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` tinyint(1) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `parent_id` (`parent_id`),
  KEY `state` (`state`),
  KEY `ordering` (`ordering`),
  KEY `access` (`access`),
  KEY `idx_parent_published` (`parent_id`,`state`,`access`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_finder_taxonomy
(`id`, `parent_id`, `title`, `state`, `access`, `ordering`) VALUES 
('1', '0', 'ROOT', '0', '0', '0');

DROP TABLE IF EXISTS `lo1t2_finder_taxonomy_map`;
CREATE TABLE `lo1t2_finder_taxonomy_map` (
  `link_id` int(10) unsigned NOT NULL,
  `node_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`link_id`,`node_id`),
  KEY `link_id` (`link_id`),
  KEY `node_id` (`node_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_terms`;
CREATE TABLE `lo1t2_finder_terms` (
  `term_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '0',
  `soundex` varchar(75) NOT NULL,
  `links` int(10) NOT NULL DEFAULT '0',
  `language` char(3) NOT NULL DEFAULT '',
  PRIMARY KEY (`term_id`),
  UNIQUE KEY `idx_term` (`term`),
  KEY `idx_term_phrase` (`term`,`phrase`),
  KEY `idx_stem_phrase` (`stem`,`phrase`),
  KEY `idx_soundex_phrase` (`soundex`,`phrase`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_terms_common`;
CREATE TABLE `lo1t2_finder_terms_common` (
  `term` varchar(75) NOT NULL,
  `language` varchar(3) NOT NULL,
  KEY `idx_word_lang` (`term`,`language`),
  KEY `idx_lang` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_finder_terms_common
(`term`, `language`) VALUES 
('a', 'en'),
('about', 'en'),
('after', 'en'),
('ago', 'en'),
('all', 'en'),
('am', 'en'),
('an', 'en'),
('and', 'en'),
('ani', 'en'),
('any', 'en'),
('are', 'en'),
('aren\'t', 'en'),
('as', 'en'),
('at', 'en'),
('be', 'en'),
('but', 'en'),
('by', 'en'),
('for', 'en'),
('from', 'en'),
('get', 'en'),
('go', 'en'),
('how', 'en'),
('if', 'en'),
('in', 'en'),
('into', 'en'),
('is', 'en'),
('isn\'t', 'en'),
('it', 'en'),
('its', 'en'),
('me', 'en'),
('more', 'en'),
('most', 'en'),
('must', 'en'),
('my', 'en'),
('new', 'en'),
('no', 'en'),
('none', 'en'),
('not', 'en'),
('noth', 'en'),
('nothing', 'en'),
('of', 'en'),
('off', 'en'),
('often', 'en'),
('old', 'en'),
('on', 'en'),
('onc', 'en'),
('once', 'en'),
('onli', 'en'),
('only', 'en'),
('or', 'en');

INSERT INTO lo1t2_finder_terms_common
(`term`, `language`) VALUES 
('other', 'en'),
('our', 'en'),
('ours', 'en'),
('out', 'en'),
('over', 'en'),
('page', 'en'),
('she', 'en'),
('should', 'en'),
('small', 'en'),
('so', 'en'),
('some', 'en'),
('than', 'en'),
('thank', 'en'),
('that', 'en'),
('the', 'en'),
('their', 'en'),
('theirs', 'en'),
('them', 'en'),
('then', 'en'),
('there', 'en'),
('these', 'en'),
('they', 'en'),
('this', 'en'),
('those', 'en'),
('thus', 'en'),
('time', 'en'),
('times', 'en'),
('to', 'en'),
('too', 'en'),
('true', 'en'),
('under', 'en'),
('until', 'en'),
('up', 'en'),
('upon', 'en'),
('use', 'en'),
('user', 'en'),
('users', 'en'),
('veri', 'en'),
('version', 'en'),
('very', 'en'),
('via', 'en'),
('want', 'en'),
('was', 'en'),
('way', 'en'),
('were', 'en'),
('what', 'en'),
('when', 'en'),
('where', 'en'),
('whi', 'en'),
('which', 'en');

INSERT INTO lo1t2_finder_terms_common
(`term`, `language`) VALUES 
('who', 'en'),
('whom', 'en'),
('whose', 'en'),
('why', 'en'),
('wide', 'en'),
('will', 'en'),
('with', 'en'),
('within', 'en'),
('without', 'en'),
('would', 'en'),
('yes', 'en'),
('yet', 'en'),
('you', 'en'),
('your', 'en'),
('yours', 'en');

DROP TABLE IF EXISTS `lo1t2_finder_tokens`;
CREATE TABLE `lo1t2_finder_tokens` (
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `weight` float unsigned NOT NULL DEFAULT '1',
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `language` char(3) NOT NULL DEFAULT '',
  KEY `idx_word` (`term`),
  KEY `idx_context` (`context`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_tokens_aggregate`;
CREATE TABLE `lo1t2_finder_tokens_aggregate` (
  `term_id` int(10) unsigned NOT NULL,
  `map_suffix` char(1) NOT NULL,
  `term` varchar(75) NOT NULL,
  `stem` varchar(75) NOT NULL,
  `common` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `phrase` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `term_weight` float unsigned NOT NULL,
  `context` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `context_weight` float unsigned NOT NULL,
  `total_weight` float unsigned NOT NULL,
  `language` char(3) NOT NULL DEFAULT '',
  KEY `token` (`term`),
  KEY `keyword_id` (`term_id`)
) ENGINE=MEMORY DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_finder_types`;
CREATE TABLE `lo1t2_finder_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `mime` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `title` (`title`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_imageshow_external_source_picasa`;
CREATE TABLE `lo1t2_imageshow_external_source_picasa` (
  `external_source_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `external_source_profile_title` varchar(255) DEFAULT NULL,
  `picasa_username` varchar(255) DEFAULT '',
  `picasa_thumbnail_size` char(30) DEFAULT '144',
  `picasa_image_size` char(30) DEFAULT '1024',
  PRIMARY KEY (`external_source_id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_external_source_picasa
(`external_source_id`, `external_source_profile_title`, `picasa_username`, `picasa_thumbnail_size`, `picasa_image_size`) VALUES 
('3', 'Picasa gallery', 'joomlashine', '144', '1600');

DROP TABLE IF EXISTS `lo1t2_imageshow_images`;
CREATE TABLE `lo1t2_imageshow_images` (
  `image_id` int(11) NOT NULL AUTO_INCREMENT,
  `showlist_id` int(11) NOT NULL,
  `image_extid` varchar(255) DEFAULT NULL,
  `album_extid` varchar(255) DEFAULT NULL,
  `image_small` varchar(255) DEFAULT NULL,
  `image_medium` varchar(255) DEFAULT NULL,
  `image_big` text,
  `image_title` varchar(255) DEFAULT NULL,
  `image_description` text,
  `image_link` varchar(255) DEFAULT NULL,
  `ordering` int(11) DEFAULT '0',
  `custom_data` tinyint(1) DEFAULT '0',
  `sync` tinyint(1) DEFAULT '0',
  `image_size` varchar(25) DEFAULT NULL,
  `exif_data` text,
  `image_alt_text` text,
  PRIMARY KEY (`image_id`)
) ENGINE=MyISAM AUTO_INCREMENT=393 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_images
(`image_id`, `showlist_id`, `image_extid`, `album_extid`, `image_small`, `image_medium`, `image_big`, `image_title`, `image_description`, `image_link`, `ordering`, `custom_data`, `sync`, `image_size`, `exif_data`, `image_alt_text`) VALUES 
('345', '11', '5932688832602667090', '5932688829198862961', 'http://lh6.ggpht.com/-FBMRbA8o2w0/UlUlD341eFI/AAAAAAAADXo/jbtlAxXgdEs/s144/1.jpg', 'http://lh6.ggpht.com/-FBMRbA8o2w0/UlUlD341eFI/AAAAAAAADXo/jbtlAxXgdEs/s144/1.jpg', 'http://lh6.ggpht.com/-FBMRbA8o2w0/UlUlD341eFI/AAAAAAAADXo/jbtlAxXgdEs/s1600/1.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua.</span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688832602667090', '1', '1', '0', '', '', ''),
('346', '11', '5932688833442045298', '5932688829198862961', 'http://lh6.ggpht.com/-LQ03edYqLKA/UlUlD7A9XXI/AAAAAAAADXw/KXVrNWOvrPI/s144/2.jpg', 'http://lh6.ggpht.com/-LQ03edYqLKA/UlUlD7A9XXI/AAAAAAAADXw/KXVrNWOvrPI/s144/2.jpg', 'http://lh6.ggpht.com/-LQ03edYqLKA/UlUlD7A9XXI/AAAAAAAADXw/KXVrNWOvrPI/s1600/2.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua.</span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688833442045298', '2', '1', '0', '', '', ''),
('347', '11', '5932688833670349970', '5932688829198862961', 'http://lh6.ggpht.com/-mqQArPUiGOY/UlUlD73ZBJI/AAAAAAAADX4/pt5-h183lL0/s144/3.jpg', 'http://lh6.ggpht.com/-mqQArPUiGOY/UlUlD73ZBJI/AAAAAAAADX4/pt5-h183lL0/s144/3.jpg', 'http://lh6.ggpht.com/-mqQArPUiGOY/UlUlD73ZBJI/AAAAAAAADX4/pt5-h183lL0/s1600/3.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688833670349970', '3', '1', '0', '', '', ''),
('348', '11', '5932688844269282482', '5932688829198862961', 'http://lh3.ggpht.com/-H4lx9zAonIo/UlUlEjWX5LI/AAAAAAAADYA/BdqUBgPvpzs/s144/4.jpg', 'http://lh3.ggpht.com/-H4lx9zAonIo/UlUlEjWX5LI/AAAAAAAADYA/BdqUBgPvpzs/s144/4.jpg', 'http://lh3.ggpht.com/-H4lx9zAonIo/UlUlEjWX5LI/AAAAAAAADYA/BdqUBgPvpzs/s1600/4.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688844269282482', '4', '1', '0', '', '', ''),
('349', '11', '5932688851117903218', '5932688829198862961', 'http://lh6.ggpht.com/-OoBefjr_ch0/UlUlE83NjXI/AAAAAAAADYI/rrBiCAQ07vw/s144/5.jpg', 'http://lh6.ggpht.com/-OoBefjr_ch0/UlUlE83NjXI/AAAAAAAADYI/rrBiCAQ07vw/s144/5.jpg', 'http://lh6.ggpht.com/-OoBefjr_ch0/UlUlE83NjXI/AAAAAAAADYI/rrBiCAQ07vw/s1600/5.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688851117903218', '5', '1', '0', '', '', ''),
('350', '11', '5932688856296949410', '5932688829198862961', 'http://lh6.ggpht.com/-Bu5bybZDEMI/UlUlFQJ_hqI/AAAAAAAADYQ/No_q9uSp0j8/s144/6.jpg', 'http://lh6.ggpht.com/-Bu5bybZDEMI/UlUlFQJ_hqI/AAAAAAAADYQ/No_q9uSp0j8/s144/6.jpg', 'http://lh6.ggpht.com/-Bu5bybZDEMI/UlUlFQJ_hqI/AAAAAAAADYQ/No_q9uSp0j8/s1600/6.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688856296949410', '6', '1', '0', '', '', ''),
('351', '11', '5932688861608392850', '5932688829198862961', 'http://lh5.ggpht.com/-lovWZTgUyWg/UlUlFj8VuJI/AAAAAAAADYY/ShrTfsT15wo/s144/7.jpg', 'http://lh5.ggpht.com/-lovWZTgUyWg/UlUlFj8VuJI/AAAAAAAADYY/ShrTfsT15wo/s144/7.jpg', 'http://lh5.ggpht.com/-lovWZTgUyWg/UlUlFj8VuJI/AAAAAAAADYY/ShrTfsT15wo/s1600/7.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua.</span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688861608392850', '7', '1', '0', '', '', ''),
('352', '11', '5932688866230273522', '5932688829198862961', 'http://lh3.ggpht.com/-Z01-Uy6agZI/UlUlF1KSBfI/AAAAAAAADYg/vgWdmQLoMmc/s144/8.jpg', 'http://lh3.ggpht.com/-Z01-Uy6agZI/UlUlF1KSBfI/AAAAAAAADYg/vgWdmQLoMmc/s144/8.jpg', 'http://lh3.ggpht.com/-Z01-Uy6agZI/UlUlF1KSBfI/AAAAAAAADYg/vgWdmQLoMmc/s1600/8.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688866230273522', '8', '1', '0', '', '', ''),
('353', '11', '5932688874593867666', '5932688829198862961', 'http://lh3.ggpht.com/-pLX7dbpsMBE/UlUlGUUUV5I/AAAAAAAADYk/06zl5VoXhNQ/s144/9.jpg', 'http://lh3.ggpht.com/-pLX7dbpsMBE/UlUlGUUUV5I/AAAAAAAADYk/06zl5VoXhNQ/s144/9.jpg', 'http://lh3.ggpht.com/-pLX7dbpsMBE/UlUlGUUUV5I/AAAAAAAADYk/06zl5VoXhNQ/s1600/9.jpg', 'JSN One Demo Imageshow', '<span style=\"font-family: Arial, Helvetica, sans; font-size: 11px; line-height: 14px; text-align: justify;\">Lorem\r\n ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod \r\ntempor incididunt ut labore et dolore magna aliqua. </span>', 'https://picasaweb.google.com/101560173596944116173/JSNOneDemo#5932688874593867666', '9', '1', '0', '', '', ''),
('391', '3', '6058120939774490050', '6058120932685547265', 'https://lh5.googleusercontent.com/-qHSEYkJ6_To/VBLE5b2dNcI/AAAAAAAAEhA/jRjTO350jzs/s144/3.jpg', 'https://lh5.googleusercontent.com/-qHSEYkJ6_To/VBLE5b2dNcI/AAAAAAAAEhA/jRjTO350jzs/s144/3.jpg', 'https://lh5.googleusercontent.com/-qHSEYkJ6_To/VBLE5b2dNcI/AAAAAAAAEhA/jRjTO350jzs/s1600/3.jpg', 'Music, Sports, Foods, Travel', 'Easy to produce, manage a wide range of categories serving for publishers&nbsp;', '', '3', '1', '0', '', '', ''),
('392', '3', '6058120973927828818', '6058120932685547265', 'https://lh3.googleusercontent.com/-dQ-rgvTplPc/VBLE7bFPzVI/AAAAAAAAEhU/BzVGVxY9DSY/s144/4.jpg', 'https://lh3.googleusercontent.com/-dQ-rgvTplPc/VBLE7bFPzVI/AAAAAAAAEhU/BzVGVxY9DSY/s144/4.jpg', 'https://lh3.googleusercontent.com/-dQ-rgvTplPc/VBLE7bFPzVI/AAAAAAAAEhU/BzVGVxY9DSY/s1600/4.jpg', 'Full informative documentation supports', 'An available collection of templates and documents', '', '4', '1', '0', '', '', ''),
('390', '3', '6058120940071515010', '6058120932685547265', 'https://lh5.googleusercontent.com/-OnEf9aiYJQo/VBLE5c9Rc4I/AAAAAAAAEhE/djr9AtTK1sc/s144/2.jpg', 'https://lh5.googleusercontent.com/-OnEf9aiYJQo/VBLE5c9Rc4I/AAAAAAAAEhE/djr9AtTK1sc/s144/2.jpg', 'https://lh5.googleusercontent.com/-OnEf9aiYJQo/VBLE5c9Rc4I/AAAAAAAAEhE/djr9AtTK1sc/s1600/2.jpg', 'Quick and Responsive', 'Providing a professional design with a stunning look on all devices', '', '2', '1', '0', '', '', ''),
('389', '3', '6058120939941465026', '6058120932685547265', 'https://lh5.googleusercontent.com/-89cDlRBExN4/VBLE5ceRC8I/AAAAAAAAEhI/Iw5LVeMdk4Y/s144/1.jpg', 'https://lh5.googleusercontent.com/-89cDlRBExN4/VBLE5ceRC8I/AAAAAAAAEhI/Iw5LVeMdk4Y/s144/1.jpg', 'https://lh5.googleusercontent.com/-89cDlRBExN4/VBLE5ceRC8I/AAAAAAAAEhI/Iw5LVeMdk4Y/s1600/1.jpg', 'Welcome to JSN Force', 'A gorgeous and stunning design for E-Commerce', '', '1', '1', '0', '', '', '');

DROP TABLE IF EXISTS `lo1t2_imageshow_log`;
CREATE TABLE `lo1t2_imageshow_log` (
  `log_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `result` varchar(255) DEFAULT NULL,
  `screen` varchar(100) DEFAULT NULL,
  `action` varchar(50) DEFAULT NULL,
  `time_created` datetime DEFAULT NULL,
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_imageshow_showcase`;
CREATE TABLE `lo1t2_imageshow_showcase` (
  `showcase_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `showcase_title` varchar(255) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `general_overall_width` char(30) DEFAULT NULL,
  `general_overall_height` char(30) DEFAULT NULL,
  `date_created` datetime DEFAULT '0000-00-00 00:00:00',
  `date_modified` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`showcase_id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_showcase
(`showcase_id`, `showcase_title`, `published`, `ordering`, `general_overall_width`, `general_overall_height`, `date_created`, `date_modified`) VALUES 
('1', 'Frontpage slideshow', '1', '7', '100%', '640', '0000-00-00 00:00:00', '2014-09-13 08:09:04'),
('2', 'Theme Grid', '1', '6', '100%', '550', '0000-00-00 00:00:00', '2013-11-07 08:11:17'),
('3', 'Sample Gallery', '1', '5', '100%', '450', '2010-10-22 08:39:32', '2013-10-11 03:10:05'),
('4', 'Theme Carousel', '1', '4', '100%', '200', '2012-11-26 10:11:48', '2012-11-26 10:11:49'),
('5', 'Theme Strip Vertical', '1', '3', '100%', '400', '2013-01-18 05:01:21', '2013-11-07 08:11:46'),
('6', 'Theme Strip Horizontal', '1', '2', '100%', '390', '2013-01-18 05:01:57', '2013-11-07 08:11:30'),
('7', 'Theme Flow', '1', '1', '100%', '200', '2013-01-18 05:01:44', '2013-02-01 04:02:15');

DROP TABLE IF EXISTS `lo1t2_imageshow_showlist`;
CREATE TABLE `lo1t2_imageshow_showlist` (
  `showlist_id` int(11) NOT NULL AUTO_INCREMENT,
  `showlist_title` varchar(255) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '0',
  `ordering` int(11) DEFAULT '0',
  `access` tinyint(3) DEFAULT NULL,
  `hits` int(11) DEFAULT NULL,
  `description` text,
  `showlist_link` text,
  `alter_autid` int(11) DEFAULT '0',
  `date_create` datetime DEFAULT NULL,
  `authorization_status` tinyint(1) DEFAULT '0',
  `date_modified` datetime DEFAULT '0000-00-00 00:00:00',
  `override_title` tinyint(1) DEFAULT '0',
  `override_description` tinyint(1) DEFAULT '0',
  `override_link` tinyint(1) DEFAULT '0',
  `image_loading_order` char(30) DEFAULT '',
  `image_source_type` char(45) DEFAULT '',
  `image_source_name` char(45) DEFAULT '',
  `image_source_profile_id` char(11) DEFAULT '0',
  `show_exif_data` char(100) DEFAULT '',
  PRIMARY KEY (`showlist_id`)
) ENGINE=MyISAM AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_showlist
(`showlist_id`, `showlist_title`, `published`, `ordering`, `access`, `hits`, `description`, `showlist_link`, `alter_autid`, `date_create`, `authorization_status`, `date_modified`, `override_title`, `override_description`, `override_link`, `image_loading_order`, `image_source_type`, `image_source_name`, `image_source_profile_id`, `show_exif_data`) VALUES 
('3', 'Homepage Slideshow', '1', '3', '1', '317957', '', 'index.php?option=com_content&view=article&id=101&Itemid=497', '0', '2011-11-29 07:36:58', '0', '2014-09-13 08:19:30', '0', '0', '0', 'forward', 'external', 'picasa', '13', 'no'),
('9', 'Home page', '1', '2', '1', '1853', '', '', '0', '2011-05-20 02:16:53', '0', '2013-11-06 10:28:35', '0', '0', '0', 'forward', 'folder', 'folder', '0', 'no'),
('11', 'Sample gallery ', '1', '1', '1', '240', '', 'index.php?option=com_content&view=article&id=101&Itemid=497', '0', '2012-08-09 09:49:50', '0', '2014-01-03 09:42:17', '0', '0', '1', 'forward', 'external', 'picasa', '8', 'no');

DROP TABLE IF EXISTS `lo1t2_imageshow_source_profile`;
CREATE TABLE `lo1t2_imageshow_source_profile` (
  `external_source_profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `external_source_id` int(11) NOT NULL,
  PRIMARY KEY (`external_source_profile_id`)
) ENGINE=MyISAM AUTO_INCREMENT=14 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_source_profile
(`external_source_profile_id`, `external_source_id`) VALUES 
('13', '3'),
('9', '3'),
('8', '3');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_carousel`;
CREATE TABLE `lo1t2_imageshow_theme_carousel` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `image_source` char(150) DEFAULT 'thumbnails',
  `image_width` char(150) DEFAULT '',
  `image_height` char(150) DEFAULT '',
  `image_border_thickness` char(150) DEFAULT '5',
  `image_border_color` char(150) DEFAULT '#666666',
  `view_angle` char(150) DEFAULT '0',
  `transparency` char(150) DEFAULT '50',
  `scale` char(150) DEFAULT '35',
  `diameter` char(150) DEFAULT '50',
  `animation_duration` char(150) DEFAULT '0.6',
  `click_action` char(150) DEFAULT 'show_original_image',
  `open_link_in` char(150) DEFAULT 'current_browser',
  `orientation` char(150) DEFAULT 'horizontal',
  `enable_drag_action` char(150) DEFAULT 'no',
  `show_caption` char(150) DEFAULT 'yes',
  `caption_background_color` char(150) DEFAULT '#000000',
  `caption_opacity` char(150) DEFAULT '75',
  `caption_show_title` char(150) DEFAULT 'yes',
  `caption_title_css` text,
  `caption_show_description` char(150) DEFAULT 'yes',
  `caption_description_length_limitation` char(150) DEFAULT '50',
  `caption_description_css` text,
  `navigation_presentation` char(150) DEFAULT 'show',
  `auto_play` char(150) DEFAULT 'no',
  `slide_timing` char(150) DEFAULT '3',
  `pause_on_mouse_over` char(150) DEFAULT 'yes',
  PRIMARY KEY (`theme_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_carousel
(`theme_id`, `image_source`, `image_width`, `image_height`, `image_border_thickness`, `image_border_color`, `view_angle`, `transparency`, `scale`, `diameter`, `animation_duration`, `click_action`, `open_link_in`, `orientation`, `enable_drag_action`, `show_caption`, `caption_background_color`, `caption_opacity`, `caption_show_title`, `caption_title_css`, `caption_show_description`, `caption_description_length_limitation`, `caption_description_css`, `navigation_presentation`, `auto_play`, `slide_timing`, `pause_on_mouse_over`) VALUES 
('1', 'thumbnails', '', '', '5', '#666666', '0', '50', '35', '50', '0.6', 'show_original_image', 'current_browser', 'horizontal', 'no', 'yes', '#000000', '75', 'yes', 'font-family: Verdana;\nfont-size: 12px;\nfont-weight: bold;\ntext-align: left;\ncolor: #E9E9E9;', 'yes', '50', 'font-family: Arial;\nfont-size: 11px;\nfont-weight: normal;\ntext-align: left;\ncolor: #AFAFAF;', 'show', 'no', '3', 'yes');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_classic_flash`;
CREATE TABLE `lo1t2_imageshow_theme_classic_flash` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `imgpanel_presentation_mode` char(30) DEFAULT '0',
  `imgpanel_img_transition_type_fit` char(30) DEFAULT '',
  `imgpanel_img_click_action_fit` char(30) DEFAULT '',
  `imgpanel_img_open_link_in_fit` char(30) DEFAULT 'new-browser',
  `imgpanel_img_transition_type_expand` char(30) DEFAULT '',
  `imgpanel_img_motion_type_expand` char(30) DEFAULT '',
  `imgpanel_img_zooming_type_expand` char(30) DEFAULT 'center',
  `imgpanel_img_click_action_expand` char(30) DEFAULT '',
  `imgpanel_img_open_link_in_expand` char(30) DEFAULT 'new-browser',
  `imgpanel_img_show_image_shadow_fit` char(30) DEFAULT 'yes',
  `imgpanel_bg_type` char(30) DEFAULT '',
  `imgpanel_bg_value` char(255) DEFAULT NULL,
  `imgpanel_show_watermark` char(30) DEFAULT 'no',
  `imgpanel_watermark_path` char(255) DEFAULT NULL,
  `imgpanel_watermark_position` char(30) DEFAULT '',
  `imgpanel_watermark_offset` char(30) DEFAULT NULL,
  `imgpanel_watermark_opacity` char(30) DEFAULT NULL,
  `imgpanel_show_overlay_effect` char(30) DEFAULT 'no',
  `imgpanel_overlay_effect_type` char(30) DEFAULT NULL,
  `imgpanel_show_inner_shawdow` char(30) DEFAULT 'yes',
  `imgpanel_inner_shawdow_color` char(30) DEFAULT NULL,
  `thumbpanel_show_panel` char(30) DEFAULT NULL,
  `thumbpanel_panel_position` char(30) DEFAULT '',
  `thumbpanel_collapsible_position` char(30) DEFAULT 'yes',
  `thumbpanel_thumb_browsing_mode` char(30) DEFAULT '',
  `thumbpanel_show_thumb_status` char(30) DEFAULT 'yes',
  `thumbpanel_active_state_color` char(30) DEFAULT NULL,
  `thumbpanel_presentation_mode` char(30) DEFAULT '',
  `thumbpanel_border` char(30) DEFAULT NULL,
  `thumbpanel_enable_big_thumb` char(30) DEFAULT 'yes',
  `thumbpanel_big_thumb_size` char(30) DEFAULT NULL,
  `thumbpanel_thumb_row` char(30) DEFAULT NULL,
  `thumbpanel_thumb_width` char(30) DEFAULT NULL,
  `thumbpanel_thumb_height` char(30) DEFAULT NULL,
  `thumbpanel_thumb_opacity` char(30) DEFAULT '50',
  `thumbpanel_big_thumb_color` char(30) DEFAULT NULL,
  `thumbpanel_thumb_border` char(30) DEFAULT NULL,
  `thumbpanel_thumnail_panel_color` char(30) DEFAULT NULL,
  `thumbpanel_thumnail_normal_state` char(30) DEFAULT NULL,
  `infopanel_panel_position` char(30) DEFAULT '',
  `infopanel_presentation` char(30) DEFAULT NULL,
  `infopanel_bg_color_fill` char(30) DEFAULT NULL,
  `infopanel_panel_click_action` char(30) DEFAULT NULL,
  `infopanel_open_link_in` char(30) DEFAULT 'new-browser',
  `infopanel_show_title` char(30) DEFAULT 'yes',
  `infopanel_title_css` char(250) DEFAULT NULL,
  `infopanel_show_des` char(30) DEFAULT 'yes',
  `infopanel_des_lenght_limitation` char(30) DEFAULT '',
  `infopanel_des_css` char(250) DEFAULT NULL,
  `infopanel_show_link` char(30) DEFAULT 'no',
  `infopanel_link_css` char(250) DEFAULT NULL,
  `toolbarpanel_panel_position` char(30) DEFAULT '',
  `toolbarpanel_presentation` char(30) DEFAULT '0',
  `toolbarpanel_show_image_navigation` char(30) DEFAULT 'yes',
  `toolbarpanel_slideshow_player` char(30) DEFAULT 'yes',
  `toolbarpanel_show_fullscreen_switcher` char(30) DEFAULT 'yes',
  `toolbarpanel_show_tooltip` char(30) DEFAULT 'no',
  `slideshow_hide_thumb_panel` char(30) DEFAULT 'yes',
  `slideshow_slide_timing` char(50) DEFAULT NULL,
  `slideshow_hide_image_navigation` char(30) DEFAULT 'yes',
  `slideshow_auto_play` char(30) DEFAULT 'no',
  `slideshow_show_status` char(30) DEFAULT 'yes',
  `slideshow_enable_ken_burn_effect` char(30) DEFAULT 'yes',
  `slideshow_looping` char(30) DEFAULT 'yes',
  `general_round_corner_radius` char(30) DEFAULT '',
  `general_border_color` char(30) DEFAULT '',
  `general_background_color` char(30) DEFAULT '',
  `general_border_stroke` char(30) DEFAULT '',
  PRIMARY KEY (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_classic_javascript`;
CREATE TABLE `lo1t2_imageshow_theme_classic_javascript` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `imgpanel_presentation_mode` char(30) DEFAULT '0',
  `imgpanel_img_click_action_fit` char(30) DEFAULT '',
  `imgpanel_img_open_link_in_fit` char(30) DEFAULT 'new-browser',
  `imgpanel_img_click_action_expand` char(30) DEFAULT '',
  `imgpanel_img_open_link_in_expand` char(30) DEFAULT 'new-browser',
  `imgpanel_bg_type` char(30) DEFAULT '',
  `imgpanel_bg_value` char(255) DEFAULT NULL,
  `thumbpanel_show_panel` char(30) DEFAULT NULL,
  `thumbpanel_panel_position` char(30) DEFAULT '',
  `thumbpanel_active_state_color` char(30) DEFAULT NULL,
  `thumbpanel_thumnail_normal_state` char(30) DEFAULT NULL,
  `thumbpanel_border` char(30) DEFAULT NULL,
  `thumbpanel_thumb_width` char(30) DEFAULT NULL,
  `thumbpanel_thumb_height` char(30) DEFAULT NULL,
  `thumbpanel_thumnail_panel_color` char(30) DEFAULT NULL,
  `infopanel_panel_position` char(30) DEFAULT '',
  `infopanel_presentation` char(30) DEFAULT NULL,
  `infopanel_bg_color_fill` char(30) DEFAULT NULL,
  `infopanel_panel_click_action` char(30) DEFAULT NULL,
  `infopanel_open_link_in` char(30) DEFAULT 'new-browser',
  `infopanel_show_title` char(30) DEFAULT 'yes',
  `infopanel_title_css` char(250) DEFAULT NULL,
  `infopanel_show_des` char(30) DEFAULT 'yes',
  `infopanel_des_lenght_limitation` char(30) DEFAULT '',
  `infopanel_des_css` char(250) DEFAULT NULL,
  `infopanel_show_link` char(30) DEFAULT 'no',
  `infopanel_link_css` char(250) DEFAULT NULL,
  `toolbarpanel_presentation` char(30) DEFAULT '0',
  `slideshow_slide_timing` char(50) DEFAULT NULL,
  `slideshow_auto_play` char(30) DEFAULT 'no',
  `slideshow_looping` char(30) DEFAULT 'yes',
  `general_round_corner_radius` char(30) DEFAULT '',
  `general_border_color` char(30) DEFAULT '',
  `general_background_color` char(30) DEFAULT '',
  `general_border_stroke` char(30) DEFAULT '',
  PRIMARY KEY (`theme_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_classic_javascript
(`theme_id`, `imgpanel_presentation_mode`, `imgpanel_img_click_action_fit`, `imgpanel_img_open_link_in_fit`, `imgpanel_img_click_action_expand`, `imgpanel_img_open_link_in_expand`, `imgpanel_bg_type`, `imgpanel_bg_value`, `thumbpanel_show_panel`, `thumbpanel_panel_position`, `thumbpanel_active_state_color`, `thumbpanel_thumnail_normal_state`, `thumbpanel_border`, `thumbpanel_thumb_width`, `thumbpanel_thumb_height`, `thumbpanel_thumnail_panel_color`, `infopanel_panel_position`, `infopanel_presentation`, `infopanel_bg_color_fill`, `infopanel_panel_click_action`, `infopanel_open_link_in`, `infopanel_show_title`, `infopanel_title_css`, `infopanel_show_des`, `infopanel_des_lenght_limitation`, `infopanel_des_css`, `infopanel_show_link`, `infopanel_link_css`, `toolbarpanel_presentation`, `slideshow_slide_timing`, `slideshow_auto_play`, `slideshow_looping`, `general_round_corner_radius`, `general_border_color`, `general_background_color`, `general_border_stroke`) VALUES 
('1', 'expand-out', 'no-action', 'new-browser', 'no-action', 'new-browser', 'pattern', '', 'off', 'bottom', '#ff6200', '#ffffff', '2', '60', '50', '#000000', 'top', 'off', '#000000', 'no-action', 'new-browser', 'yes', 'font-family: Verdana;\r\nfont-size: 12px;\r\nfont-weight: bold;\r\ntext-align: left;\r\ncolor: #E9E9E9;', 'yes', '50', 'font-family: Arial;\r\nfont-size: 11px;\r\nfont-weight: normal;\r\ntext-align: left;\r\ncolor: #AFAFAF;', 'no', 'font-family: Verdana;\r\nfont-size: 11px;\r\nfont-weight: bold;\r\ntext-align: right;\r\ncolor: #E06614;', 'auto', '6', 'yes', 'yes', '0', '#cccccc', '#efefef', '0'),
('2', 'expand-out', 'no-action', 'new-browser', 'no-action', 'new-browser', 'mini-color', '#595959', 'on', 'bottom', '#ff6200', '#ffffff', '2', '60', '40', '#000000', 'top', 'on', '#000000', 'no-action', 'new-browser', 'yes', 'font-family: Verdana;\nfont-size: 12px;\nfont-weight: bold;\ntext-align: left;\ncolor: #E9E9E9;', 'yes', '50', 'font-family: Arial;\nfont-size: 11px;\nfont-weight: normal;\ntext-align: left;\ncolor: #AFAFAF;', 'no', 'font-family: Verdana;\nfont-size: 11px;\nfont-weight: bold;\ntext-align: right;\ncolor: #E06614;', 'auto', '6', 'no', 'yes', '0', '#cccccc', '#efefef', '1'),
('3', 'expand-out', 'no-action', 'new-browser', 'no-action', 'new-browser', 'mini-color', '#595959', 'on', 'bottom', '#ff6200', '#ffffff', '2', '60', '40', '#000000', 'top', 'on', '#000000', 'no-action', 'new-browser', 'yes', 'font-family: Verdana;\nfont-size: 12px;\nfont-weight: bold;\ntext-align: left;\ncolor: #E9E9E9;', 'yes', '50', 'font-family: Arial;\nfont-size: 11px;\nfont-weight: normal;\ntext-align: left;\ncolor: #AFAFAF;', 'no', 'font-family: Verdana;\nfont-size: 11px;\nfont-weight: bold;\ntext-align: right;\ncolor: #E06614;', 'auto', '6', 'no', 'yes', '0', '#cccccc', '#efefef', '1'),
('4', 'expand-out', 'no-action', 'new-browser', 'open-image-link', 'new-browser', 'solid-color', '#595959', 'off', 'bottom', '#ff6200', '#ffffff', '2', '60', '50', '#000000', 'bottom', 'on', '#000000', 'no-action', 'new-browser', 'yes', 'font-family: \'Oswald\', Helvetica, Arial, sans-serif;\r\nfont-size: 2.5em;\r\ntext-transform: uppercase;\r\nline-height: 35px;\r\nmargin: 10px 0;', 'yes', '50', 'font-size: 16px;\r\nfont-weight: normal;\r\ntext-align: left;\r\ncolor: rgba(255,255,255,0.8);', 'no', 'font-family: Verdana;\r\nfont-size: 11px;\r\nfont-weight: bold;\r\ntext-align: right;\r\ncolor: #E06614;', 'auto', '6', 'yes', 'yes', '0', '#cccccc', '#000000', '1');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_classic_parameters`;
CREATE TABLE `lo1t2_imageshow_theme_classic_parameters` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `general_swf_library` tinyint(1) DEFAULT '0',
  `root_url` tinyint(1) DEFAULT '1',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_classic_parameters
(`id`, `general_swf_library`, `root_url`) VALUES 
('1', '1', '1');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_flow`;
CREATE TABLE `lo1t2_imageshow_theme_flow` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `image_source` char(150) DEFAULT 'thumbnails',
  `image_width` char(150) DEFAULT '150',
  `image_height` char(150) DEFAULT '150',
  `image_border_thickness` char(150) DEFAULT '3',
  `image_border_rounded_corner` char(150) DEFAULT '2',
  `image_border_color` char(150) DEFAULT '#eeeeee',
  `image_effect` char(150) DEFAULT 'yes',
  `transparency` char(150) DEFAULT '50',
  `background_type` char(150) DEFAULT 'transparent',
  `background_color` char(150) DEFAULT '#ffffff',
  `container_side_fade` char(150) DEFAULT 'white',
  `animation_duration` char(150) DEFAULT '1',
  `click_action` char(150) DEFAULT 'show_original_image',
  `open_link_in` char(150) DEFAULT 'current_browser',
  `orientation` char(150) DEFAULT 'horizontal',
  `enable_keyboard_action` char(150) DEFAULT 'yes',
  `enable_mouse_wheel_action` char(150) DEFAULT 'yes',
  `show_caption` char(150) DEFAULT 'yes',
  `caption_background_color` char(150) DEFAULT '#000000',
  `caption_opacity` char(150) DEFAULT '75',
  `caption_show_title` char(150) DEFAULT 'yes',
  `caption_title_css` text,
  `caption_show_description` char(150) DEFAULT 'yes',
  `caption_description_length_limitation` char(150) DEFAULT '50',
  `caption_description_css` text,
  `auto_play` char(150) DEFAULT 'no',
  `slide_timing` char(150) DEFAULT '3',
  `pause_on_mouse_over` char(150) DEFAULT 'yes',
  PRIMARY KEY (`theme_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_flow
(`theme_id`, `image_source`, `image_width`, `image_height`, `image_border_thickness`, `image_border_rounded_corner`, `image_border_color`, `image_effect`, `transparency`, `background_type`, `background_color`, `container_side_fade`, `animation_duration`, `click_action`, `open_link_in`, `orientation`, `enable_keyboard_action`, `enable_mouse_wheel_action`, `show_caption`, `caption_background_color`, `caption_opacity`, `caption_show_title`, `caption_title_css`, `caption_show_description`, `caption_description_length_limitation`, `caption_description_css`, `auto_play`, `slide_timing`, `pause_on_mouse_over`) VALUES 
('1', 'original_images', '185', '150', '3', '2', '#555555', 'yes', '75', 'mini_color', '#ffffff', 'white', '1', 'show_original_image', 'current_browser', 'horizontal', 'yes', 'yes', 'yes', '#000000', '75', 'yes', 'padding: 5px;\r\nfont-family: Verdana;\r\nfont-size: 12px;\r\nfont-weight: bold;\r\ntext-align: left;\r\ncolor: #E9E9E9;', 'yes', '50', 'padding: 5px;\r\nfont-family: Arial;\r\nfont-size: 11px;\r\nfont-weight: normal;\r\ntext-align: left;\r\ncolor: #AFAFAF;', 'no', '3', 'yes');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_grid`;
CREATE TABLE `lo1t2_imageshow_theme_grid` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `img_layout` char(5) DEFAULT 'fixed',
  `background_color` char(30) DEFAULT '#ffffff',
  `thumbnail_width` int(11) DEFAULT '50',
  `thumbnail_height` int(11) DEFAULT '50',
  `thumbnail_space` int(11) DEFAULT '10',
  `thumbnail_border` int(11) DEFAULT '3',
  `thumbnail_rounded_corner` int(11) DEFAULT '3',
  `thumbnail_border_color` char(30) DEFAULT '#ffffff',
  `thumbnail_shadow` char(1) DEFAULT '1',
  `image_source` char(150) DEFAULT 'thumbnail',
  `show_caption` char(150) DEFAULT 'yes',
  `caption_show_description` char(150) DEFAULT 'yes',
  `show_close` char(150) DEFAULT 'yes',
  `show_thumbs` char(150) DEFAULT 'yes',
  `click_action` char(150) DEFAULT 'show_original_image',
  `open_link_in` char(150) DEFAULT 'current_browser',
  `container_height_type` char(150) DEFAULT 'inherited',
  `container_transparent_background` char(150) DEFAULT 'no',
  PRIMARY KEY (`theme_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_grid
(`theme_id`, `img_layout`, `background_color`, `thumbnail_width`, `thumbnail_height`, `thumbnail_space`, `thumbnail_border`, `thumbnail_rounded_corner`, `thumbnail_border_color`, `thumbnail_shadow`, `image_source`, `show_caption`, `caption_show_description`, `show_close`, `show_thumbs`, `click_action`, `open_link_in`, `container_height_type`, `container_transparent_background`) VALUES 
('1', 'fixed', '#ffffff', '280', '180', '15', '5', '3', '#ffffff', '0', 'thumbnail', 'yes', 'yes', 'yes', 'yes', 'show_original_image', 'current_browser', 'inherited', 'no'),
('2', 'fixed', '#ffffff', '200', '150', '10', '3', '3', '#ffffff', '1', 'original_image', 'yes', 'yes', 'yes', 'yes', 'show_original_image', 'current_browser', 'inherited', 'no');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_profile`;
CREATE TABLE `lo1t2_imageshow_theme_profile` (
  `theme_id` int(11) NOT NULL DEFAULT '0',
  `showcase_id` int(11) NOT NULL DEFAULT '0',
  `theme_name` varchar(255) NOT NULL DEFAULT '',
  `theme_style_name` char(255) NOT NULL DEFAULT ''
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_profile
(`theme_id`, `showcase_id`, `theme_name`, `theme_style_name`) VALUES 
('2', '2', 'themegrid', ''),
('1', '3', 'themeclassic', 'javascript'),
('2', '3', 'themeclassic', 'javascript'),
('3', '3', 'themeclassic', 'javascript'),
('1', '4', 'themecarousel', ''),
('3', '5', 'themestrip', ''),
('2', '6', 'themestrip', ''),
('1', '7', 'themeflow', ''),
('4', '1', 'themeclassic', 'javascript');

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_slider`;
CREATE TABLE `lo1t2_imageshow_theme_slider` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `img_transition_effect` char(30) DEFAULT 'random',
  `img_transparent_background` char(150) DEFAULT 'no',
  `toolbar_navigation_arrows_presentation` char(30) DEFAULT 'show-on-mouse-over',
  `toolbar_slideshow_player_presentation` char(30) DEFAULT 'hide',
  `caption_show_caption` char(30) DEFAULT 'yes',
  `caption_title_css` text,
  `caption_description_css` text,
  `caption_link_css` text,
  `caption_caption_opacity` char(30) DEFAULT '75',
  `caption_title_show` char(30) DEFAULT 'yes',
  `caption_description_show` char(30) DEFAULT 'yes',
  `caption_link_show` char(30) DEFAULT 'no',
  `caption_position` char(150) DEFAULT 'bottom',
  `slideshow_slide_timming` int(11) DEFAULT '6',
  `slideshow_pause_on_mouseover` char(30) DEFAULT 'yes',
  `slideshow_auto_play` char(30) DEFAULT 'yes',
  `thumnail_panel_position` char(30) DEFAULT 'right',
  `thumbnail_panel_presentation` char(30) DEFAULT 'show',
  `thumbnail_presentation_mode` char(30) DEFAULT 'numbers',
  `thumbnail_active_state_color` char(30) DEFAULT '#CC3333',
  `click_action` char(150) DEFAULT 'no_action',
  `open_link_in` char(150) DEFAULT 'current_browser',
  PRIMARY KEY (`theme_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_imageshow_theme_strip`;
CREATE TABLE `lo1t2_imageshow_theme_strip` (
  `theme_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `slideshow_sliding_speed` char(150) NOT NULL DEFAULT '500',
  `image_orientation` char(150) NOT NULL DEFAULT 'horizontal',
  `image_width` char(150) NOT NULL DEFAULT '130',
  `image_height` char(150) NOT NULL DEFAULT '130',
  `image_space` char(150) NOT NULL DEFAULT '10',
  `image_border` char(150) NOT NULL DEFAULT '3',
  `image_rounded_corner` char(150) NOT NULL DEFAULT '3',
  `image_shadow` char(150) NOT NULL DEFAULT 'no-shadow',
  `image_border_color` char(150) NOT NULL DEFAULT '#cccccc',
  `image_click_action` char(150) NOT NULL DEFAULT 'no-action',
  `image_source` char(150) NOT NULL DEFAULT 'thumbnail',
  `show_caption` char(150) NOT NULL DEFAULT 'yes',
  `caption_background_color` char(150) NOT NULL DEFAULT '#000000',
  `caption_opacity` char(150) NOT NULL DEFAULT '75',
  `caption_show_title` char(150) NOT NULL DEFAULT 'yes',
  `caption_title_css` text NOT NULL,
  `caption_show_description` char(150) NOT NULL DEFAULT 'yes',
  `caption_description_length_limitation` char(150) NOT NULL DEFAULT '50',
  `caption_description_css` text NOT NULL,
  `container_type` char(150) NOT NULL DEFAULT 'elastislide-default',
  `container_border_color` char(150) NOT NULL DEFAULT '#cccccc',
  `container_border` char(150) NOT NULL DEFAULT '1',
  `container_round_corner` char(150) NOT NULL DEFAULT '0',
  `container_background_color` char(150) NOT NULL DEFAULT '#ffffff',
  `container_side_fade` char(150) NOT NULL DEFAULT 'white',
  `open_link_in` char(150) DEFAULT 'current_browser',
  `slideshow_auto_play` char(150) DEFAULT 'no',
  `slideshow_delay_time` char(150) DEFAULT '3000',
  PRIMARY KEY (`theme_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_imageshow_theme_strip
(`theme_id`, `slideshow_sliding_speed`, `image_orientation`, `image_width`, `image_height`, `image_space`, `image_border`, `image_rounded_corner`, `image_shadow`, `image_border_color`, `image_click_action`, `image_source`, `show_caption`, `caption_background_color`, `caption_opacity`, `caption_show_title`, `caption_title_css`, `caption_show_description`, `caption_description_length_limitation`, `caption_description_css`, `container_type`, `container_border_color`, `container_border`, `container_round_corner`, `container_background_color`, `container_side_fade`, `open_link_in`, `slideshow_auto_play`, `slideshow_delay_time`) VALUES 
('2', '500', 'horizontal', '185', '150', '10', '3', '3', 'no-shadow', '#eeeeee', 'show-original-image', 'original_image', 'yes', '#000000', '75', 'yes', 'padding: 5px;\r\nfont-family: Verdana;\r\nfont-size: 12px;\r\nfont-weight: bold;\r\ntext-align: left;\r\ncolor: #E9E9E9;', 'yes', '50', 'padding: 5px;\r\nfont-family: Arial;\r\nfont-size: 11px;\r\nfont-weight: normal;\r\ntext-align: left;\r\ncolor: #AFAFAF;', 'customize', '#cccccc', '0', '0', '#ffffff', 'white', 'current_browser', 'no', '3000'),
('3', '500', 'vertical', '180', '130', '10', '3', '2', 'no-shadow', '#eeeeee', 'show-original-image', 'original_image', 'yes', '#000000', '75', 'yes', 'padding: 5px;\r\nfont-family: Verdana;\r\nfont-size: 12px;\r\nfont-weight: bold;\r\ntext-align: left;\r\ncolor: #E9E9E9;', 'yes', '50', 'padding: 5px;\r\nfont-family: Arial;\r\nfont-size: 11px;\r\nfont-weight: normal;\r\ntext-align: left;\r\ncolor: #AFAFAF;', 'customize', '#cccccc', '0', '0', '#ffffff', 'white', 'current_browser', 'no', '3000');

DROP TABLE IF EXISTS `lo1t2_jsn_imageshow_config`;
CREATE TABLE `lo1t2_jsn_imageshow_config` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_imageshow_config
(`name`, `value`) VALUES 
('last_ask_for_review', '1381458432'),
('live_update_checking', '1'),
('live_update_last_check', '1418090117'),
('live_update_last_notified', '{\"name\":\"JSN ImageShow\",\"identified_name\":\"ext_imageshow\",\"description\":\"JSN ImageShow PRO allows you to have UNLIMITED number of showlist, showcase and images in each showlist.\",\"version\":\"4.8.7\",\"thumbnail\":\"http:\\/\\/www.joomlashine.com\\/images\\/content\\/joomla-extensions\\/jsn-imageshow\\/introduction\\/jsn-imageshow-banner.jpg\",\"url\":\"http:\\/\\/www.joomlashine.com\\/joomla-extensions\\/jsn-imageshow-details.html\",\"tags\":\"2.5;3.0;3.1;3.2;3.3\",\"editions\":[{\"edition\":\"PRO STANDARD\",\"authentication\":true,\"related_product\":[]},{\"edition\":\"PRO UNLIMITED\",\"authentication\":true,\"related_product\":[]},{\"edition\":\"FREE\",\"authentication\":false,\"related_product\":[]}]}'),
('live_update_notification', '0'),
('review_popup', '0');

DROP TABLE IF EXISTS `lo1t2_jsn_imageshow_messages`;
CREATE TABLE `lo1t2_jsn_imageshow_messages` (
  `msg_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_screen` varchar(150) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '1',
  `ordering` int(11) DEFAULT '0',
  PRIMARY KEY (`msg_id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_imageshow_messages
(`msg_id`, `msg_screen`, `published`, `ordering`) VALUES 
('1', 'LAUNCH_PAD', '1', '1'),
('2', 'LAUNCH_PAD', '1', '2'),
('3', 'SHOWLISTS', '1', '1');

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_config`;
CREATE TABLE `lo1t2_jsn_mobilize_config` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_mobilize_config
(`name`, `value`) VALUES 
('last_ask_for_review', '1417745578'),
('live_update_checking', '0'),
('live_update_last_check', '1420610717'),
('live_update_notification', '0'),
('tmp_config', '');

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_design`;
CREATE TABLE `lo1t2_jsn_mobilize_design` (
  `design_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`design_id`)
) ENGINE=InnoDB AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_mobilize_design
(`design_id`, `profile_id`, `name`, `value`) VALUES 
('1', '1', 'mobilize-style', '{\"jsn_template\":\"\",\"jsn_typestyle\":\"\",\"jsn_menu\":\"[{\\\"key\\\":\\\"jsn_menu_container_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_container_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_menu_container_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_container_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_menu_container_ba_soildColor\\\",\\\"value\\\":\\\"#282828\\\"},{\\\"key\\\":\\\"jsn_menu_container_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_menu_container_ba_activeColor\\\",\\\"value\\\":\\\"#404040\\\"},{\\\"key\\\":\\\"jsn_menu_container_ic_iconColor\\\",\\\"value\\\":\\\"#ffffff\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_ba_normalColor\\\",\\\"value\\\":\\\"#333333\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_ba_activeColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel1_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_ba_normalColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_menu_sublevel2_fo_fontColor\\\",\\\"value\\\":\\\"\\\"}]\",\"jsn_mobile_tool\":\"\",\"jsn_content_top\":\"[{\\\"key\\\":\\\"jsn_content_top_container_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_container_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_content_top_container_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_container_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_content_top_container_ba_soildColor\\\",\\\"value\\\":\\\"#404040\\\"},{\\\"key\\\":\\\"jsn_content_top_container_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_content_top_container_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_ba_soildColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_bo_roundedCornerRadius\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_sh_shadowSpread\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_sh_shadowColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_sp_margin\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContainer_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_title_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_title_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_title_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_title_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_title_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_body_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_m_ct_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_body_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_body_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_body_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_top_module_tabContent_link_linkColor\\\",\\\"value\\\":\\\"\\\"}]\",\"jsn_mainbody\":\"[{\\\"key\\\":\\\"jsn_mainbody_container_sp_paddingleft\\\",\\\"value\\\":\\\"20\\\"},{\\\"key\\\":\\\"jsn_mainbody_container_sp_paddingright\\\",\\\"value\\\":\\\"20\\\"},{\\\"key\\\":\\\"jsn_mainbody_container_sp_paddingtop\\\",\\\"value\\\":\\\"10\\\"},{\\\"key\\\":\\\"jsn_mainbody_container_sp_paddingbottom\\\",\\\"value\\\":\\\"10\\\"}]\",\"jsn_user_top\":\"\",\"jsn_user_bottom\":\"[{\\\"key\\\":\\\"jsn_user_bottom_container_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_ba_soildColor\\\",\\\"value\\\":\\\"#d9d9d9\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_user_bottom_container_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_ba_soildColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_bo_roundedCornerRadius\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_sh_shadowSpread\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_sh_shadowColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_sp_margin\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContainer_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_title_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_title_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_title_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_title_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_title_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_body_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_m_ct_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_body_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_body_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_body_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_user_bottom_module_tabContent_link_linkColor\\\",\\\"value\\\":\\\"\\\"}]\",\"jsn_content_bottom\":\"[{\\\"key\\\":\\\"jsn_content_bottom_container_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_ba_soildColor\\\",\\\"value\\\":\\\"#d9d9d9\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_content_bottom_container_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_bo_borderThickness\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_bo_borderStyle\\\",\\\"value\\\":\\\"hidden\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_bo_borderColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_ba_backgroundType\\\",\\\"value\\\":\\\"Solid\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_ba_soildColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_ba_gradientColor\\\",\\\"value\\\":\\\"-moz-linear-gradient(-90deg, #ffffff 0%, #ffffff 100%)\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_bo_roundedCornerRadius\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_sh_shadowSpread\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_sh_shadowColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_sp_margin\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContainer_sp_padding\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_title_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_title_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_title_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_title_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_title_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_body_fo_fontFaceType\\\",\\\"value\\\":\\\"standard fonts\\\"},{\\\"value\\\":\\\"\\\"},{\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_m_ct_fo_fontFace\\\",\\\"value\\\":\\\"Verdana\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_body_fo_fontSize\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_body_fo_fontStyle\\\",\\\"value\\\":\\\"inherit\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_body_fo_fontColor\\\",\\\"value\\\":\\\"\\\"},{\\\"key\\\":\\\"jsn_content_bottom_module_tabContent_link_linkColor\\\",\\\"value\\\":\\\"\\\"}]\",\"jsn_footer\":\"\",\"jsn_style\":\"\",\"jsn_social\":\"{\\\"fa-facebook\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-twitter\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-google-plus\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-instagram\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-youtube-play\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-linkedin\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-pinterest\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-flickr\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-tumblr\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-vimeo-square\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-deviantart\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-digg\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-dribbble\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}},\\\"fa-behance\\\":{\\\"0\\\":\\\"\\\",\\\"1\\\":{\\\"0\\\":\\\"choised\\\",\\\"1\\\":\\\"none\\\"}}}\",\"jsn_switcher\":\"\"}'),
('2', '1', 'mobilize-css-file', 'profile_1.css'),
('3', '1', 'mobilize-custom-css-files', ''),
('4', '1', 'mobilize-custom-css-code', ''),
('5', '1', 'mobilize-css', '\n#jsn-master .jsn-mobile-layout #jsn-menu{ background:#282828; }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu ul.jsn-menu-mobile,#jsn_menu .mobilize-menu div.jsn-menu-mobile{ background:#333333; }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu ul.jsn-menu-mobile > li > a{ font-family:Verdana;font-style:inherit; }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu ul.jsn-menu-mobile ul{  }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu ul.jsn-menu-mobile ul li a{ font-family:Verdana;font-style:inherit; }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu > li > span.active{ background:#404040; }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu > li > ul > li.sub-menu-active{  }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu > li > ul > li.sub-menu-active > ul li.current{  }\n#jsn-master .jsn-mobile-layout #jsn-menu .mobilize-menu > li > span.jsn-menu-toggle i { color:#ffffff;\nbackground-image: url(\'/demo/joomla-templates/jsn_force/j30/free/media/jui/img/glyphicons-halflings-white.png\');\ncolor:#ffffff; }\n#jsn-master .jsn-mobile-layout #jsn-content-top { background:#404040; }\n#jsn-master .jsn-mobile-layout #jsn-content-top { background:#404040; }\n#jsn-master .jsn-mobile-layout #jsn-mainbody { padding-left:20px;padding-right:20px;padding-top:10px;padding-bottom:10px; }\n#jsn-master .jsn-mobile-layout #jsn-user-bottom { background:#d9d9d9; }\n#jsn-master .jsn-mobile-layout #jsn-content-bottom { background:#d9d9d9; }'),
('6', '1', 'mobilize-logo', '{\"\\/templates\\/jsn_force_free\\/images\\/logo.png\":\"\"}'),
('7', '1', 'mobilize-login', '{\"44\":\"Login\"}'),
('8', '1', 'mobilize-search', '{\"63\":\"Search\"}'),
('9', '1', 'mobilize-menu', '{\"6\":\"Main Menu\"}'),
('10', '1', 'mobilize-mobile-tool-left', '{}'),
('11', '1', 'mobilize-mobile-tool-right', '{\"promo\":\"position\",\"content-top-below\":\"position\"}'),
('12', '1', 'mobilize-content-top-left', '{}'),
('13', '1', 'mobilize-content-top-right', '{}'),
('14', '1', 'mobilize-user-top-left', '{}'),
('15', '1', 'mobilize-user-top-right', '{}'),
('16', '1', 'mobilize-user-bottom-left', '{}'),
('17', '1', 'mobilize-user-bottom-right', '{}'),
('18', '1', 'mobilize-content-bottom-left', '{}'),
('19', '1', 'mobilize-content-bottom-right', '{}'),
('20', '1', 'mobilize-footer-left', '{}'),
('21', '1', 'mobilize-footer-right', '{\"content-bottom-mid\":\"position\",\"content-bottom-below\":\"position\",\"footer\":\"position\"}'),
('22', '1', 'mobilize-switcher', '{\"\":\"\"}');

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_messages`;
CREATE TABLE `lo1t2_jsn_mobilize_messages` (
  `msg_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_screen` varchar(150) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '1',
  `ordering` int(11) DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  UNIQUE KEY `message` (`msg_screen`,`ordering`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_os`;
CREATE TABLE `lo1t2_jsn_mobilize_os` (
  `os_id` int(11) NOT NULL AUTO_INCREMENT,
  `os_value` varchar(255) NOT NULL,
  `os_type` varchar(50) NOT NULL,
  `os_title` varchar(255) NOT NULL,
  `os_order` int(11) NOT NULL,
  PRIMARY KEY (`os_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_mobilize_os
(`os_id`, `os_value`, `os_type`, `os_title`, `os_order`) VALUES 
('1', '{\"ios\":[\"6\",\"<\"]}', 'ios', 'iOS 6.x and bellow', '1'),
('2', '{\"ios\":[\"7\"]}', 'ios', 'iOS 7.x', '2'),
('3', '{\"android\":[\"2\"]}', 'android', 'Android 2.2 - 2.3', '4'),
('4', '{\"android\":[\"4\"]}', 'android', 'Android 4.x', '4'),
('5', '{\"wmobilie\":[\"6\",\"<\"]}', 'wmobilie', 'Windows Mobile 6.x and bellow', '4'),
('6', '{\"wmobilie\":[\"7\"]}', 'wmobilie', 'Windows Mobile 7.x', '4'),
('7', '{\"wmobilie\":[\"8\"]}', 'wmobilie', 'Windows Mobile 8.x', '4'),
('8', '{\"blackberry\":[\"5\",\"<\"]}', 'blackberry', 'BlackBerry 5.x and bellow', '4'),
('9', '{\"blackberry\":[\"6\",\"7\"]}', 'blackberry', 'BlackBerry 6x - 7x', '4'),
('10', '{\"blackberry\":[\"10\"]}', 'blackberry', 'BlackBerry 10x', '4'),
('11', 'other', 'other', 'Other', '4'),
('12', '{\"ios\":[\"8\"]}', 'ios', 'iOS 8.x', '3');

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_os_support`;
CREATE TABLE `lo1t2_jsn_mobilize_os_support` (
  `support_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_id` int(11) NOT NULL,
  `os_id` int(11) NOT NULL,
  PRIMARY KEY (`support_id`)
) ENGINE=InnoDB AUTO_INCREMENT=20 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_mobilize_os_support
(`support_id`, `profile_id`, `os_id`) VALUES 
('16', '1', '1'),
('17', '1', '3'),
('18', '1', '5'),
('19', '1', '8');

DROP TABLE IF EXISTS `lo1t2_jsn_mobilize_profiles`;
CREATE TABLE `lo1t2_jsn_mobilize_profiles` (
  `profile_id` int(11) NOT NULL AUTO_INCREMENT,
  `profile_title` varchar(255) NOT NULL,
  `profile_description` text NOT NULL,
  `profile_state` int(11) NOT NULL,
  `profile_minify` varchar(50) NOT NULL,
  `profile_optimize_images` int(11) NOT NULL,
  `ordering` int(11) NOT NULL,
  `profile_device` varchar(10) NOT NULL,
  PRIMARY KEY (`profile_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_mobilize_profiles
(`profile_id`, `profile_title`, `profile_description`, `profile_state`, `profile_minify`, `profile_optimize_images`, `ordering`, `profile_device`) VALUES 
('1', 'Demo Profile', 'This is demo profile of JSN Mobilize', '1', '', '0', '0', 'jsn_mobile');

DROP TABLE IF EXISTS `lo1t2_jsn_pagebuilder_config`;
CREATE TABLE `lo1t2_jsn_pagebuilder_config` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_pagebuilder_content_custom_css`;
CREATE TABLE `lo1t2_jsn_pagebuilder_content_custom_css` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `content` bigint(20) unsigned NOT NULL DEFAULT '0',
  `css_key` varchar(255) DEFAULT NULL,
  `css_value` longtext,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_pagebuilder_messages`;
CREATE TABLE `lo1t2_jsn_pagebuilder_messages` (
  `msg_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_screen` varchar(150) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '1',
  `ordering` int(11) DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  UNIQUE KEY `message` (`msg_screen`,`ordering`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_poweradmin_config`;
CREATE TABLE `lo1t2_jsn_poweradmin_config` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_poweradmin_favourite`;
CREATE TABLE `lo1t2_jsn_poweradmin_favourite` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(500) NOT NULL,
  `icon` text NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `url` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_poweradmin_history`;
CREATE TABLE `lo1t2_jsn_poweradmin_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `object_key` varchar(255) NOT NULL,
  `object_id` int(11) NOT NULL,
  `component` varchar(255) NOT NULL,
  `list_page` varchar(255) NOT NULL,
  `list_page_params` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` tinytext NOT NULL,
  `form` text NOT NULL,
  `form_hash` varchar(32) NOT NULL,
  `params` varchar(255) NOT NULL,
  `icon` varchar(255) NOT NULL,
  `css` varchar(100) NOT NULL,
  `is_deleted` tinyint(1) NOT NULL DEFAULT '0',
  `visited` int(10) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_poweradmin_history
(`id`, `user_id`, `object_key`, `object_id`, `component`, `list_page`, `list_page_params`, `title`, `description`, `form`, `form_hash`, `params`, `icon`, `css`, `is_deleted`, `visited`) VALUES 
('1', '940', 'option=com_templates&view=style&layout=edit', '9', 'Template Manager', 'Template Manager', '', 'JSN Force FREE - Default', '', '', '', 'option=com_templates&task=style.edit&id=9', 'templates/bluestork/images/menu/icon-16-themes.png', 'icon-16-themes', '1', '1421805777'),
('2', '940', 'option=com_templates&view=style&layout=edit', '11', 'Template Manager', 'Template Manager', '', 'JSN Force FREE - Default', '', '', '', 'option=com_templates&task=style.edit&id=11', 'templates/bluestork/images/menu/icon-16-themes.png', 'icon-16-themes', '0', '1421810903');

DROP TABLE IF EXISTS `lo1t2_jsn_poweradmin_menu_assets`;
CREATE TABLE `lo1t2_jsn_poweradmin_menu_assets` (
  `menuId` int(16) NOT NULL,
  `assets` text,
  `type` enum('css','js') NOT NULL DEFAULT 'css',
  `legacy` tinyint(2) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_config`;
CREATE TABLE `lo1t2_jsn_uniform_config` (
  `name` varchar(255) NOT NULL,
  `value` text NOT NULL,
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_uniform_config
(`name`, `value`) VALUES 
('form_style', ''),
('last_ask_for_review', '1414640400'),
('live_update_checking', '0'),
('live_update_last_check', '1411013653'),
('live_update_last_notified', '{\"name\":\"JSN UniForm\",\"identified_name\":\"ext_uniform\",\"description\":\" JSN UniForm PRO allows you to create form\",\"version\":\"1.4.0\",\"thumbnail\":\"http://www.joomlashine.com/images/content/joomla-extensions/jsn-uniform/introduction/jsn-uniform-banner.jpg\",\"url\":\"http://www.joomlashine.com/joomla-extensions/jsn-uniform-details.html\",\"tags\":\"2.5;3.0;3.1\",\"editions\":[{\"edition\":\"PRO UNLIMITED\",\"authentication\":true,\"related_product\":[]},{\"edition\":\"PRO STANDARD\",\"authentication\":true,\"related_product\":[]},{\"edition\":\"FREE\",\"authentication\":false,\"related_product\":[]}]}'),
('live_update_notification', '0');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_data`;
CREATE TABLE `lo1t2_jsn_uniform_data` (
  `data_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `data_ip` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `data_country` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `data_country_code` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  `data_browser` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `data_browser_version` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `data_browser_agent` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `data_os` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `data_created_by` int(10) unsigned NOT NULL COMMENT '0 = Guest',
  `data_created_at` datetime NOT NULL,
  `data_state` tinyint(1) unsigned NOT NULL COMMENT '-1 = Trashed; 0 = Unpublish; 1 = Published',
  PRIMARY KEY (`data_id`),
  KEY `fk_uniform_data_forms` (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO lo1t2_jsn_uniform_data
(`data_id`, `form_id`, `user_id`, `data_ip`, `data_country`, `data_country_code`, `data_browser`, `data_browser_version`, `data_browser_agent`, `data_os`, `data_created_by`, `data_created_at`, `data_state`) VALUES 
('1', '3', '0', '118.70.131.15', '(Unknown Country?)', 'XX', 'Chrome', '28.0.1500.95', 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.95 Safari/537.36', 'Windows', '0', '2013-08-24 14:36:03', '1'),
('2', '3', '0', '118.70.131.15', '(Unknown Country?)', 'XX', 'Firefox', '23.0', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20100101 Firefox/23.0 AlexaToolbar/alxf-2.18', 'Windows', '0', '2013-08-24 17:09:43', '1'),
('3', '3', '0', '118.70.131.15', '(Unknown Country?)', 'XX', 'Firefox', '23.0', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20100101 Firefox/23.0 AlexaToolbar/alxf-2.18', 'Windows', '0', '2013-08-26 10:15:15', '1'),
('4', '2', '0', '118.70.131.15', '(Unknown Country?)', 'XX', 'Firefox', '23.0', 'Mozilla/5.0 (Windows NT 6.1; WOW64; rv:23.0) Gecko/20100101 Firefox/23.0 AlexaToolbar/alxf-2.18', 'Windows', '0', '2013-08-26 17:51:47', '1'),
('5', '4', '0', '118.70.131.15', '(Unknown Country?)', 'XX', 'Chrome', '30.0.1599.69', 'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_5) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/30.0.1599.69 Safari/537.36', 'Apple', '0', '2013-10-12 15:27:43', '1');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_emails`;
CREATE TABLE `lo1t2_jsn_uniform_emails` (
  `email_id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `email_name` varchar(70) COLLATE utf8_unicode_ci DEFAULT NULL,
  `email_address` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `email_state` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`email_id`),
  KEY `fk_uniform_emails_forms` (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO lo1t2_jsn_uniform_emails
(`email_id`, `form_id`, `user_id`, `email_name`, `email_address`, `email_state`) VALUES 
('7', '1', '0', '', 'example.admin@joomlashine.com', '1'),
('11', '4', '0', '', 'example.admin@joomlashine.com', '1');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_fields`;
CREATE TABLE `lo1t2_jsn_uniform_fields` (
  `field_id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `field_type` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `field_identifier` varchar(255) CHARACTER SET utf8 NOT NULL,
  `field_title` varchar(255) COLLATE utf8_unicode_ci DEFAULT NULL,
  `field_instructions` text COLLATE utf8_unicode_ci,
  `field_position` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `field_ordering` int(10) unsigned NOT NULL DEFAULT '0',
  `field_settings` text COLLATE utf8_unicode_ci,
  PRIMARY KEY (`field_id`),
  KEY `fk_uniform_fields_forms` (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO lo1t2_jsn_uniform_fields
(`field_id`, `form_id`, `field_type`, `field_identifier`, `field_title`, `field_instructions`, `field_position`, `field_ordering`, `field_settings`) VALUES 
('3', '1', 'choices', 'who_are_you_tell_more_about_yourself', 'Who are you? Tell more about yourself', '', 'left', '0', '{\"id\":3,\"identify\":\"who_are_you_tell_more_about_yourself\",\"options\":{\"label\":\"Who are you? Tell more about yourself\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Individual building website for himself \",\"checked\":false},{\"text\":\"Freelancer building websites for clients \",\"checked\":false},{\"text\":\"Web Agency \",\"checked\":false}],\"value\":\"\",\"identify\":\"who_are_you_tell_more_about_yourself\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('4', '1', 'choices', 'your_joomla_experience_', 'Your Joomla experience: ', '', 'left', '1', '{\"id\":4,\"identify\":\"your_joomla_experience_\",\"options\":{\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Less than 1 year \",\"checked\":false},{\"text\":\"1-3 years \",\"checked\":false},{\"text\":\"More than 3 years \",\"checked\":false}],\"value\":\"\",\"identify\":\"your_joomla_experience_\"},\"type\":\"choices\",\"position\":\"left\"}'),
('5', '1', 'choices', 'which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_', 'Which forum extension do you like to see JoomlaShine template compatible with?', '', 'left', '2', '{\"id\":5,\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"options\":{\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Kunena \",\"checked\":false},{\"text\":\"Dicussions \",\"checked\":false},{\"text\":\"Ninjaboard \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('6', '1', 'choices', 'about_sample_data_which_way_do_you_prefer_', 'About sample data, which way do you prefer?', '', 'left', '3', '{\"id\":6,\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"options\":{\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Sample data installation on your current website \",\"checked\":false},{\"text\":\"Whole Joomla! site installation package with sample data \",\"checked\":false}],\"value\":\"\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\"},\"type\":\"choices\",\"position\":\"left\"}'),
('7', '1', 'paragraph-text', 'what_makes_you_love_joomlashine_template_', 'What makes you love JoomlaShine template?', '', 'left', '4', '{\"id\":7,\"identify\":\"what_makes_you_love_joomlashine_template_\",\"options\":{\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_makes_you_love_joomlashine_template_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('8', '1', 'paragraph-text', 'which_are_the_things_you_don_t_like_in_joomlashine_template_', 'Which are the things you don\'t like in JoomlaShine template?', '', 'left', '5', '{\"id\":8,\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\",\"options\":{\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('9', '1', 'choices', 'which_features_do_you_like_to_see_joomlashine_template_have_', 'Which features do you like to see JoomlaShine template have?', '', 'left', '6', '{\"id\":9,\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"options\":{\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Control Panel to customize style \",\"checked\":false},{\"text\":\"Mega menu \",\"checked\":false},{\"text\":\"More icons to use \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('10', '1', 'paragraph-text', 'what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_', 'What design style you want to see in the further JoomlaShine templates, give us the URL to the design? ', '', 'left', '7', '{\"id\":10,\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\",\"options\":{\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"required\":0,\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"3\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('11', '1', 'date', 'date_time', 'Date/Time', '', 'left', '8', '{\"id\":11,\"identify\":\"date_time\",\"options\":{\"label\":\"Date\\/Time\",\"instruction\":\"\",\"required\":0,\"enableRageSelection\":\"1\",\"size\":\"jsn-input-small-fluid\",\"timeFormat\":0,\"dateFormat\":\"1\",\"yearRangeMin\":\"1930\",\"yearRangeMax\":\"2013\",\"dateValue\":\"\",\"dateValueRange\":\"\",\"dateOptionFormat\":\"mm\\/dd\\/yy\",\"customFormatDate\":\"\",\"timeOptionFormat\":\"hh:mm tt\",\"identify\":\"date_time\"},\"type\":\"date\",\"position\":\"left\"}'),
('15', '2', 'email', 'email', 'Email', '', 'left', '1', '{\"id\":15,\"identify\":\"email\",\"options\":{\"label\":\"Email\",\"instruction\":\"\",\"required\":\"1\",\"noDuplicates\":0,\"size\":\"jsn-input-xlarge-fluid\",\"value\":\"Your email\",\"valueConfirm\":\"\",\"identify\":\"email\"},\"type\":\"email\",\"position\":\"left\"}'),
('18', '4', 'choices', 'multiple_choice', 'Multiple Choice', '', 'left', '0', '{\"id\":18,\"identify\":\"multiple_choice\",\"options\":{\"label\":\"Multiple Choice\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Individual building website for himself \",\"checked\":false},{\"text\":\"Freelancer building websites for clients \",\"checked\":false},{\"text\":\"Web Agency \",\"checked\":false}],\"value\":\"\",\"identify\":\"multiple_choice\",\"itemAction\":\"\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('19', '4', 'choices', 'your_joomla_experience_', 'Your Joomla experience: ', '', 'left', '1', '{\"id\":19,\"identify\":\"your_joomla_experience_\",\"options\":{\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Less than 1 year \",\"checked\":false},{\"text\":\"1-3 years \",\"checked\":false},{\"text\":\"More than 3 years \",\"checked\":false}],\"value\":\"\",\"identify\":\"your_joomla_experience_\",\"itemAction\":\"\"},\"type\":\"choices\",\"position\":\"left\"}'),
('20', '4', 'choices', 'which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_', 'Which forum extension do you like to see JoomlaShine template compatible with?', '', 'left', '2', '{\"id\":20,\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"options\":{\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Kunena \",\"checked\":false},{\"text\":\"Dicussions \",\"checked\":false},{\"text\":\"Ninjaboard \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"itemAction\":\"\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('21', '4', 'choices', 'about_sample_data_which_way_do_you_prefer_', 'About sample data, which way do you prefer?', '', 'left', '3', '{\"id\":21,\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"options\":{\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Sample data installation on your current website \",\"checked\":false},{\"text\":\"Whole Joomla! site installation package with sample data \",\"checked\":false}],\"value\":\"\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"itemAction\":\"\"},\"type\":\"choices\",\"position\":\"left\"}'),
('22', '4', 'paragraph-text', 'what_makes_you_love_joomlashine_template_', 'What makes you love JoomlaShine template?', '', 'left', '4', '{\"id\":22,\"identify\":\"what_makes_you_love_joomlashine_template_\",\"options\":{\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_makes_you_love_joomlashine_template_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('23', '4', 'paragraph-text', 'which_are_the_things_you_don_t_like_in_joomlashine_template_', 'Which are the things you don\'t like in JoomlaShine template?', '', 'left', '5', '{\"id\":23,\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\",\"options\":{\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('24', '4', 'choices', 'which_features_do_you_like_to_see_joomlashine_template_have_', 'Which features do you like to see JoomlaShine template have?', '', 'left', '6', '{\"id\":24,\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"options\":{\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Control Panel to customize style \",\"checked\":false},{\"text\":\"Mega menu \",\"checked\":false},{\"text\":\"More icons to use \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"itemAction\":\"\",\"allowOther\":\"1\"},\"type\":\"choices\",\"position\":\"left\"}'),
('25', '4', 'paragraph-text', 'what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_', 'What design style you want to see in the further JoomlaShine templates, give us the URL to the design? ', '', 'left', '7', '{\"id\":25,\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\",\"options\":{\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"required\":0,\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"3\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('26', '4', 'date', 'date_time', 'Date/Time', '', 'left', '8', '{\"id\":26,\"identify\":\"date_time\",\"options\":{\"label\":\"Date\\/Time\",\"instruction\":\"\",\"required\":0,\"enableRageSelection\":\"1\",\"size\":\"jsn-input-small-fluid\",\"timeFormat\":0,\"dateFormat\":\"1\",\"yearRangeMin\":\"1930\",\"yearRangeMax\":\"2023\",\"identify\":\"date_time\",\"dateValue\":\"\",\"dateValueRange\":\"\",\"dateOptionFormat\":\"mm\\/dd\\/yy\",\"customFormatDate\":\"\",\"timeOptionFormat\":\"hh:mm tt\"},\"type\":\"date\",\"position\":\"left\"}'),
('27', '2', 'single-line-text', 'name', 'Name', '', 'left', '0', '{\"id\":27,\"identify\":\"name\",\"options\":{\"label\":\"Name\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"limitType\":\"Words\",\"size\":\"jsn-input-xlarge-fluid\",\"value\":\"Your Name\",\"identify\":\"name\"},\"type\":\"single-line-text\",\"position\":\"left\"}'),
('29', '2', 'paragraph-text', 'message', 'Message', '', 'left', '3', '{\"id\":29,\"identify\":\"message\",\"options\":{\"label\":\"Message\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":\"1\",\"limitMin\":\"0\",\"limitMax\":\"50\",\"rows\":\"7\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"Your message\",\"customClass\":\"\",\"identify\":\"massage\"},\"type\":\"paragraph-text\",\"position\":\"left\"}'),
('30', '3', 'email', 'email', 'Email', '', 'left', '0', '{\"id\":30,\"identify\":\"email\",\"options\":{\"label\":\"Email\",\"instruction\":\"\",\"required\":\"1\",\"noDuplicates\":0,\"size\":\"jsn-input-medium-fluid\",\"value\":\"Your email address\",\"customClass\":\"\",\"valueConfirm\":\"\",\"identify\":\"email\"},\"type\":\"email\",\"position\":\"left\"}'),
('31', '2', 'website', 'website', 'Website', '', 'left', '2', '{\"id\":31,\"identify\":\"website\",\"options\":{\"label\":\"Website\",\"instruction\":\"\",\"required\":0,\"noDuplicates\":0,\"size\":\"jsn-input-medium-fluid\",\"value\":\"Your site\",\"identify\":\"website\",\"customClass\":\"\"},\"type\":\"website\",\"position\":\"left\"}');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_form_pages`;
CREATE TABLE `lo1t2_jsn_uniform_form_pages` (
  `page_id` int(11) NOT NULL AUTO_INCREMENT,
  `page_title` varchar(255) NOT NULL,
  `form_id` int(11) NOT NULL,
  `page_content` text NOT NULL,
  `page_template` text NOT NULL,
  `page_container` longtext NOT NULL,
  PRIMARY KEY (`page_id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_uniform_form_pages
(`page_id`, `page_title`, `form_id`, `page_content`, `page_template`, `page_container`) VALUES 
('1', 'Page 1', '1', '[{\"id\":3,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"who_are_you_tell_more_about_yourself\",\"label\":\"Who are you? Tell more about yourself\",\"instruction\":\"\",\"options\":{\"label\":\"Who are you? Tell more about yourself\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Individual building website for himself \",\"checked\":false},{\"text\":\"Freelancer building websites for clients \",\"checked\":false},{\"text\":\"Web Agency \",\"checked\":false}],\"value\":\"\",\"identify\":\"who_are_you_tell_more_about_yourself\",\"allowOther\":\"1\"}},{\"id\":4,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"your_joomla_experience_\",\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"options\":{\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Less than 1 year \",\"checked\":false},{\"text\":\"1-3 years \",\"checked\":false},{\"text\":\"More than 3 years \",\"checked\":false}],\"value\":\"\",\"identify\":\"your_joomla_experience_\"}},{\"id\":5,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"options\":{\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Kunena \",\"checked\":false},{\"text\":\"Dicussions \",\"checked\":false},{\"text\":\"Ninjaboard \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"allowOther\":\"1\"}},{\"id\":6,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"options\":{\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Sample data installation on your current website \",\"checked\":false},{\"text\":\"Whole Joomla! site installation package with sample data \",\"checked\":false}],\"value\":\"\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\"}},{\"id\":7,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"what_makes_you_love_joomlashine_template_\",\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"options\":{\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_makes_you_love_joomlashine_template_\"}},{\"id\":8,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\",\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"options\":{\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\"}},{\"id\":9,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"options\":{\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Control Panel to customize style \",\"checked\":false},{\"text\":\"Mega menu \",\"checked\":false},{\"text\":\"More icons to use \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"allowOther\":\"1\"}},{\"id\":10,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\",\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"options\":{\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"required\":0,\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"3\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\"}},{\"id\":11,\"type\":\"date\",\"position\":\"left\",\"identify\":\"date_time\",\"label\":\"Date\\/Time\",\"instruction\":\"\",\"options\":{\"label\":\"Date\\/Time\",\"instruction\":\"\",\"required\":0,\"enableRageSelection\":\"1\",\"size\":\"jsn-input-small-fluid\",\"timeFormat\":0,\"dateFormat\":\"1\",\"yearRangeMin\":\"1930\",\"yearRangeMax\":\"2013\",\"dateValue\":\"\",\"dateValueRange\":\"\",\"dateOptionFormat\":\"mm\\/dd\\/yy\",\"customFormatDate\":\"\",\"timeOptionFormat\":\"hh:mm tt\",\"identify\":\"date_time\"}}]', '{\"dataFormLayout\":\"default\",\"dataField\":[{\"field_type\":\"choices\",\"field_id\":\"sb_3\",\"field_title\":\"Who are you? Tell more about yourself\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":3,\\\"identify\\\":\\\"who_are_you_tell_more_about_yourself\\\",\\\"options\\\":{\\\"label\\\":\\\"Who are you? Tell more about yourself\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Individual building website for himself \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Freelancer building websites for clients \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Web Agency \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"who_are_you_tell_more_about_yourself\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_4\",\"field_title\":\"Your Joomla experience: \",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":4,\\\"identify\\\":\\\"your_joomla_experience_\\\",\\\"options\\\":{\\\"label\\\":\\\"Your Joomla experience: \\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Less than 1 year \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"1-3 years \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"More than 3 years \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"your_joomla_experience_\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_5\",\"field_title\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":5,\\\"identify\\\":\\\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which forum extension do you like to see JoomlaShine template compatible with?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Kunena \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Dicussions \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Ninjaboard \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_6\",\"field_title\":\"About sample data, which way do you prefer?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":6,\\\"identify\\\":\\\"about_sample_data_which_way_do_you_prefer_\\\",\\\"options\\\":{\\\"label\\\":\\\"About sample data, which way do you prefer?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Sample data installation on your current website \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Whole Joomla! site installation package with sample data \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"about_sample_data_which_way_do_you_prefer_\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_7\",\"field_title\":\"What makes you love JoomlaShine template?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":7,\\\"identify\\\":\\\"what_makes_you_love_joomlashine_template_\\\",\\\"options\\\":{\\\"label\\\":\\\"What makes you love JoomlaShine template?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"4\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"what_makes_you_love_joomlashine_template_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_8\",\"field_title\":\"Which are the things you don\'t like in JoomlaShine template?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":8,\\\"identify\\\":\\\"which_are_the_things_you_don_t_like_in_joomlashine_template_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which are the things you don\'t like in JoomlaShine template?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"4\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_are_the_things_you_don_t_like_in_joomlashine_template_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_9\",\"field_title\":\"Which features do you like to see JoomlaShine template have?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":9,\\\"identify\\\":\\\"which_features_do_you_like_to_see_joomlashine_template_have_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which features do you like to see JoomlaShine template have?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Control Panel to customize style \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Mega menu \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"More icons to use \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_features_do_you_like_to_see_joomlashine_template_have_\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_10\",\"field_title\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":10,\\\"identify\\\":\\\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\\\",\\\"options\\\":{\\\"label\\\":\\\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"3\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"date\",\"field_id\":\"sb_11\",\"field_title\":\"Date\\/Time\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":11,\\\"identify\\\":\\\"date_time\\\",\\\"options\\\":{\\\"label\\\":\\\"Date\\\\\\/Time\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"enableRageSelection\\\":\\\"1\\\",\\\"size\\\":\\\"jsn-input-small-fluid\\\",\\\"timeFormat\\\":0,\\\"dateFormat\\\":\\\"1\\\",\\\"yearRangeMin\\\":\\\"1930\\\",\\\"yearRangeMax\\\":\\\"2013\\\",\\\"dateValue\\\":\\\"\\\",\\\"dateValueRange\\\":\\\"\\\",\\\"dateOptionFormat\\\":\\\"mm\\\\\\/dd\\\\\\/yy\\\",\\\"customFormatDate\\\":\\\"\\\",\\\"timeOptionFormat\\\":\\\"hh:mm tt\\\",\\\"identify\\\":\\\"date_time\\\"},\\\"type\\\":\\\"date\\\",\\\"position\\\":\\\"left\\\"}\"}]}', ''),
('4', 'Page 1', '2', '[{\"id\":27,\"type\":\"single-line-text\",\"position\":\"left\",\"identify\":\"name\",\"label\":\"Name\",\"instruction\":\"\",\"options\":{\"label\":\"Name\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"limitType\":\"Words\",\"size\":\"jsn-input-xlarge-fluid\",\"value\":\"Your Name\",\"identify\":\"name\"}},{\"id\":15,\"type\":\"email\",\"position\":\"left\",\"identify\":\"email\",\"label\":\"Email\",\"instruction\":\"\",\"options\":{\"label\":\"Email\",\"instruction\":\"\",\"required\":\"1\",\"noDuplicates\":0,\"size\":\"jsn-input-xlarge-fluid\",\"value\":\"Your email\",\"valueConfirm\":\"\",\"identify\":\"email\"}},{\"id\":31,\"type\":\"website\",\"position\":\"left\",\"identify\":\"website\",\"label\":\"Website\",\"instruction\":\"\",\"options\":{\"label\":\"Website\",\"instruction\":\"\",\"required\":0,\"noDuplicates\":0,\"size\":\"jsn-input-medium-fluid\",\"value\":\"Your site\",\"identify\":\"website\",\"customClass\":\"\"}},{\"id\":29,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"message\",\"label\":\"Message\",\"instruction\":\"\",\"options\":{\"label\":\"Message\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":\"1\",\"limitMin\":\"0\",\"limitMax\":\"50\",\"rows\":\"7\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"Your message\",\"customClass\":\"\",\"identify\":\"massage\"}}]', '{\"dataField\":[{\"field_type\":\"single-line-text\",\"field_id\":\"sb_27\",\"field_title\":\"Name\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":27,\\\"identify\\\":\\\"name\\\",\\\"options\\\":{\\\"label\\\":\\\"Name\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"limitType\\\":\\\"Words\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"value\\\":\\\"Your Name\\\",\\\"identify\\\":\\\"name\\\"},\\\"type\\\":\\\"single-line-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"email\",\"field_id\":\"sb_15\",\"field_title\":\"Email\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":15,\\\"identify\\\":\\\"email\\\",\\\"options\\\":{\\\"label\\\":\\\"Email\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"noDuplicates\\\":0,\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"value\\\":\\\"Your email\\\",\\\"valueConfirm\\\":\\\"\\\",\\\"identify\\\":\\\"email\\\"},\\\"type\\\":\\\"email\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"single-line-text\",\"field_id\":\"sb_28\",\"field_title\":\"Subject\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":28,\\\"identify\\\":\\\"subject\\\",\\\"options\\\":{\\\"label\\\":\\\"Subject\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"limitType\\\":\\\"Words\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"value\\\":\\\"Subject\\\",\\\"identify\\\":\\\"subject\\\"},\\\"type\\\":\\\"single-line-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_29\",\"field_title\":\"Massage\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":29,\\\"identify\\\":\\\"massage\\\",\\\"options\\\":{\\\"label\\\":\\\"Massage\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"8\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"Your message\\\",\\\"identify\\\":\\\"massage\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"}],\"dataFormLayout\":\"default\"}', '[[{\"columnName\":\"left\",\"columnClass\":\"span12\"}]]'),
('5', 'Page 1', '3', '[{\"id\":30,\"type\":\"email\",\"position\":\"left\",\"identify\":\"email\",\"label\":\"Email\",\"instruction\":\"\",\"options\":{\"label\":\"Email\",\"instruction\":\"\",\"required\":\"1\",\"noDuplicates\":0,\"size\":\"jsn-input-medium-fluid\",\"value\":\"Your email address\",\"customClass\":\"\",\"valueConfirm\":\"\",\"identify\":\"email\"}}]', '{\"dataField\":[{\"field_type\":\"static-content\",\"field_id\":\"sb_16\",\"field_title\":\"Static Content\",\"field_instructions\":null,\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":16,\\\"identify\\\":\\\"static_content\\\",\\\"options\\\":{\\\"label\\\":\\\"Static Content\\\",\\\"value\\\":\\\"Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna.\\\",\\\"identify\\\":\\\"static_content\\\"},\\\"type\\\":\\\"static-content\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"single-line-text\",\"field_id\":\"sb_17\",\"field_title\":\"\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":17,\\\"identify\\\":\\\"\\\",\\\"options\\\":{\\\"label\\\":\\\"\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"limitType\\\":\\\"Words\\\",\\\"size\\\":\\\"jsn-input-medium-fluid\\\",\\\"value\\\":\\\"Subcribe our newsletter\\\",\\\"identify\\\":\\\"\\\"},\\\"type\\\":\\\"single-line-text\\\",\\\"position\\\":\\\"left\\\"}\"}],\"dataFormLayout\":\"default\"}', '[[{\"columnName\":\"left\",\"columnClass\":\"span12\"}]]'),
('6', 'Page 1', '4', '[{\"id\":18,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"multiple_choice\",\"label\":\"Multiple Choice\",\"instruction\":\"\",\"options\":{\"label\":\"Multiple Choice\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Individual building website for himself \",\"checked\":false},{\"text\":\"Freelancer building websites for clients \",\"checked\":false},{\"text\":\"Web Agency \",\"checked\":false}],\"value\":\"\",\"identify\":\"multiple_choice\",\"itemAction\":\"\",\"allowOther\":\"1\"}},{\"id\":19,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"your_joomla_experience_\",\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"options\":{\"label\":\"Your Joomla experience: \",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Less than 1 year \",\"checked\":false},{\"text\":\"1-3 years \",\"checked\":false},{\"text\":\"More than 3 years \",\"checked\":false}],\"value\":\"\",\"identify\":\"your_joomla_experience_\",\"itemAction\":\"\"}},{\"id\":20,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"options\":{\"label\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Kunena \",\"checked\":false},{\"text\":\"Dicussions \",\"checked\":false},{\"text\":\"Ninjaboard \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\",\"itemAction\":\"\",\"allowOther\":\"1\"}},{\"id\":21,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"options\":{\"label\":\"About sample data, which way do you prefer?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Sample data installation on your current website \",\"checked\":false},{\"text\":\"Whole Joomla! site installation package with sample data \",\"checked\":false}],\"value\":\"\",\"identify\":\"about_sample_data_which_way_do_you_prefer_\",\"itemAction\":\"\"}},{\"id\":22,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"what_makes_you_love_joomlashine_template_\",\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"options\":{\"label\":\"What makes you love JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_makes_you_love_joomlashine_template_\"}},{\"id\":23,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\",\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"options\":{\"label\":\"Which are the things you don\'t like in JoomlaShine template?\",\"instruction\":\"\",\"required\":\"1\",\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"4\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"which_are_the_things_you_don_t_like_in_joomlashine_template_\"}},{\"id\":24,\"type\":\"choices\",\"position\":\"left\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"options\":{\"label\":\"Which features do you like to see JoomlaShine template have?\",\"instruction\":\"\",\"required\":\"1\",\"randomize\":0,\"labelOthers\":\"Others\",\"layout\":\"jsn-columns-count-one\",\"items\":[{\"text\":\"Control Panel to customize style \",\"checked\":false},{\"text\":\"Mega menu \",\"checked\":false},{\"text\":\"More icons to use \",\"checked\":false}],\"value\":\"\",\"identify\":\"which_features_do_you_like_to_see_joomlashine_template_have_\",\"itemAction\":\"\",\"allowOther\":\"1\"}},{\"id\":25,\"type\":\"paragraph-text\",\"position\":\"left\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\",\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"options\":{\"label\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"instruction\":\"\",\"required\":0,\"limitation\":0,\"limitMin\":0,\"limitMax\":0,\"rows\":\"3\",\"size\":\"jsn-input-xlarge-fluid\",\"limitType\":\"Words\",\"value\":\"\",\"identify\":\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\"}},{\"id\":26,\"type\":\"date\",\"position\":\"left\",\"identify\":\"date_time\",\"label\":\"Date\\/Time\",\"instruction\":\"\",\"options\":{\"label\":\"Date\\/Time\",\"instruction\":\"\",\"required\":0,\"enableRageSelection\":\"1\",\"size\":\"jsn-input-small-fluid\",\"timeFormat\":0,\"dateFormat\":\"1\",\"yearRangeMin\":\"1930\",\"yearRangeMax\":\"2023\",\"identify\":\"date_time\",\"dateValue\":\"\",\"dateValueRange\":\"\",\"dateOptionFormat\":\"mm\\/dd\\/yy\",\"customFormatDate\":\"\",\"timeOptionFormat\":\"hh:mm tt\"}}]', '{\"dataField\":[{\"field_type\":\"choices\",\"field_id\":\"sb_18\",\"field_title\":\"Multiple Choice\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":18,\\\"identify\\\":\\\"multiple_choice\\\",\\\"options\\\":{\\\"label\\\":\\\"Multiple Choice\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Individual building website for himself \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Freelancer building websites for clients \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Web Agency \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"multiple_choice\\\",\\\"itemAction\\\":\\\"\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_19\",\"field_title\":\"Your Joomla experience: \",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":19,\\\"identify\\\":\\\"your_joomla_experience_\\\",\\\"options\\\":{\\\"label\\\":\\\"Your Joomla experience: \\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Less than 1 year \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"1-3 years \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"More than 3 years \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"your_joomla_experience_\\\",\\\"itemAction\\\":\\\"\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_20\",\"field_title\":\"Which forum extension do you like to see JoomlaShine template compatible with?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":20,\\\"identify\\\":\\\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which forum extension do you like to see JoomlaShine template compatible with?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Kunena \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Dicussions \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Ninjaboard \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_forum_extension_do_you_like_to_see_joomlashine_template_compatible_with_\\\",\\\"itemAction\\\":\\\"\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_21\",\"field_title\":\"About sample data, which way do you prefer?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":21,\\\"identify\\\":\\\"about_sample_data_which_way_do_you_prefer_\\\",\\\"options\\\":{\\\"label\\\":\\\"About sample data, which way do you prefer?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Sample data installation on your current website \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Whole Joomla! site installation package with sample data \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"about_sample_data_which_way_do_you_prefer_\\\",\\\"itemAction\\\":\\\"\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_22\",\"field_title\":\"What makes you love JoomlaShine template?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":22,\\\"identify\\\":\\\"what_makes_you_love_joomlashine_template_\\\",\\\"options\\\":{\\\"label\\\":\\\"What makes you love JoomlaShine template?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"4\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"what_makes_you_love_joomlashine_template_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_23\",\"field_title\":\"Which are the things you don\'t like in JoomlaShine template?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":23,\\\"identify\\\":\\\"which_are_the_things_you_don_t_like_in_joomlashine_template_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which are the things you don\'t like in JoomlaShine template?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"4\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_are_the_things_you_don_t_like_in_joomlashine_template_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"choices\",\"field_id\":\"sb_24\",\"field_title\":\"Which features do you like to see JoomlaShine template have?\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":24,\\\"identify\\\":\\\"which_features_do_you_like_to_see_joomlashine_template_have_\\\",\\\"options\\\":{\\\"label\\\":\\\"Which features do you like to see JoomlaShine template have?\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":\\\"1\\\",\\\"randomize\\\":0,\\\"labelOthers\\\":\\\"Others\\\",\\\"layout\\\":\\\"jsn-columns-count-one\\\",\\\"items\\\":[{\\\"text\\\":\\\"Control Panel to customize style \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"Mega menu \\\",\\\"checked\\\":false},{\\\"text\\\":\\\"More icons to use \\\",\\\"checked\\\":false}],\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"which_features_do_you_like_to_see_joomlashine_template_have_\\\",\\\"itemAction\\\":\\\"\\\",\\\"allowOther\\\":\\\"1\\\"},\\\"type\\\":\\\"choices\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"paragraph-text\",\"field_id\":\"sb_25\",\"field_title\":\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":25,\\\"identify\\\":\\\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\\\",\\\"options\\\":{\\\"label\\\":\\\"What design style you want to see in the further JoomlaShine templates, give us the URL to the design? \\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"limitation\\\":0,\\\"limitMin\\\":0,\\\"limitMax\\\":0,\\\"rows\\\":\\\"3\\\",\\\"size\\\":\\\"jsn-input-xlarge-fluid\\\",\\\"limitType\\\":\\\"Words\\\",\\\"value\\\":\\\"\\\",\\\"identify\\\":\\\"what_design_style_you_want_to_see_in_the_further_joomlashine_templates_give_us_the_url_to_the_design_\\\"},\\\"type\\\":\\\"paragraph-text\\\",\\\"position\\\":\\\"left\\\"}\"},{\"field_type\":\"date\",\"field_id\":\"sb_26\",\"field_title\":\"Date\\/Time\",\"field_instructions\":\"\",\"field_position\":\"left\",\"field_settings\":\"{\\\"id\\\":26,\\\"identify\\\":\\\"date_time\\\",\\\"options\\\":{\\\"label\\\":\\\"Date\\\\\\/Time\\\",\\\"instruction\\\":\\\"\\\",\\\"required\\\":0,\\\"enableRageSelection\\\":\\\"1\\\",\\\"size\\\":\\\"jsn-input-small-fluid\\\",\\\"timeFormat\\\":0,\\\"dateFormat\\\":\\\"1\\\",\\\"yearRangeMin\\\":\\\"1930\\\",\\\"yearRangeMax\\\":\\\"2023\\\",\\\"identify\\\":\\\"date_time\\\",\\\"dateValue\\\":\\\"\\\",\\\"dateValueRange\\\":\\\"\\\",\\\"dateOptionFormat\\\":\\\"mm\\\\\\/dd\\\\\\/yy\\\",\\\"customFormatDate\\\":\\\"\\\",\\\"timeOptionFormat\\\":\\\"hh:mm tt\\\"},\\\"type\\\":\\\"date\\\",\\\"position\\\":\\\"left\\\"}\"}],\"dataFormLayout\":\"default\"}', '[[{\"columnName\":\"left\",\"columnClass\":\"span12\"}]]');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_forms`;
CREATE TABLE `lo1t2_jsn_uniform_forms` (
  `form_id` int(11) NOT NULL AUTO_INCREMENT,
  `form_title` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `form_description` text COLLATE utf8_unicode_ci,
  `form_layout` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `form_theme` varchar(45) COLLATE utf8_unicode_ci NOT NULL,
  `form_style` text CHARACTER SET utf8 NOT NULL,
  `form_notify_submitter` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `form_post_action` tinyint(1) unsigned NOT NULL COMMENT '1 = Redirect to URL; 2 = Redirect to Menu Item; 3 = Show Article; 4 = Show custom message',
  `form_post_action_data` text COLLATE utf8_unicode_ci NOT NULL,
  `form_captcha` tinyint(1) unsigned NOT NULL,
  `form_state` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `form_access` int(11) NOT NULL,
  `form_created_by` int(10) unsigned NOT NULL,
  `form_created_at` datetime DEFAULT NULL,
  `form_modified_by` int(10) unsigned DEFAULT '0',
  `form_modified_at` datetime DEFAULT NULL,
  `form_checked_out` int(10) unsigned DEFAULT '0',
  `form_checked_out_time` datetime DEFAULT NULL,
  `form_submission_cout` int(11) NOT NULL,
  `form_last_submitted` datetime NOT NULL,
  `form_submitter` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `form_type` int(11) NOT NULL,
  `form_settings` longtext COLLATE utf8_unicode_ci NOT NULL,
  `form_edit_submission` int(11) NOT NULL,
  PRIMARY KEY (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO lo1t2_jsn_uniform_forms
(`form_id`, `form_title`, `form_description`, `form_layout`, `form_theme`, `form_style`, `form_notify_submitter`, `form_post_action`, `form_post_action_data`, `form_captcha`, `form_state`, `form_access`, `form_created_by`, `form_created_at`, `form_modified_by`, `form_modified_at`, `form_checked_out`, `form_checked_out_time`, `form_submission_cout`, `form_last_submitted`, `form_submitter`, `form_type`, `form_settings`, `form_edit_submission`) VALUES 
('2', 'Contact Form', 'Form used in home page for demo purpose', 'default', '', '{\"layout\":\"Vertical\",\"theme\":\"jsn-style-light\",\"themes_style\":{\"light\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#FCF8E3\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#FBEED5\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#333333\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#ffffff\\\",\\\"field_border_color\\\":\\\"\\\",\\\"field_shadow_color\\\":\\\"\\\",\\\"field_text_color\\\":\\\"#666666\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\",\\\"button_position\\\":\\\"btn-toolbar pull-right\\\",\\\"button_submit_color\\\":\\\"btn btn-primary\\\",\\\"button_reset_color\\\":\\\"btn\\\",\\\"button_prev_color\\\":\\\"btn\\\",\\\"button_next_color\\\":\\\"btn btn-primary\\\"}\",\"dark\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#444444\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#666666\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#C6C6C6\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#000000\\\",\\\"field_border_color\\\":\\\"#111111\\\",\\\"field_shadow_color\\\":\\\"#000000\\\",\\\"field_text_color\\\":\\\"#333333\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\"}\"},\"themes\":[\"light\",\"dark\"],\"background_color\":\"\",\"background_active_color\":\"#FCF8E3\",\"border_thickness\":\"0\",\"border_color\":\"\",\"border_active_color\":\"#FBEED5\",\"rounded_corner_radius\":\"0\",\"padding_space\":\"10\",\"margin_space\":\"0\",\"text_color\":\"#333333\",\"font_type\":\" Verdana, Geneva, sans-serif\",\"font_size\":\"14\",\"field_background_color\":\"#ffffff\",\"field_border_color\":\"\",\"field_shadow_color\":\"\",\"field_text_color\":\"#666666\",\"message_error_background_color\":\"#B94A48\",\"message_error_text_color\":\"#FFFFFF\",\"button_position\":\"btn-toolbar pull-right\",\"button_submit_color\":\"btn btn-primary\",\"button_reset_color\":\"btn\",\"button_prev_color\":\"btn\",\"button_next_color\":\"btn btn-primary\",\"custom_css\":\"\"}', '0', '4', 'Thank you!\r\nAn email has been sent to your email. Please check it.', '0', '1', '0', '42', '2013-08-26 16:54:41', '43', '2013-12-04 17:26:46', '0', '', '1', '2013-08-26 17:51:47', '[\"email\"]', '1', '{\"form_btn_next_text\":\"NEXT\",\"form_btn_prev_text\":\"PREV\",\"form_btn_submit_text\":\"Send\",\"form_btn_reset_text\":\"Reset\",\"form_state_btn_reset_text\":\"No\",\"action_save_submissions\":\"Yes\"}', '0'),
('3', 'Newsletter', '', 'default', '', '{\"layout\":\"Vertical\",\"theme\":\"jsn-style-light\",\"themes_style\":{\"light\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#FCF8E3\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#FBEED5\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#333333\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#ffffff\\\",\\\"field_border_color\\\":\\\"\\\",\\\"field_shadow_color\\\":\\\"\\\",\\\"field_text_color\\\":\\\"#666666\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\",\\\"button_position\\\":\\\"btn-toolbar pull-left\\\",\\\"button_submit_color\\\":\\\"btn btn-primary\\\",\\\"button_reset_color\\\":\\\"btn\\\"}\",\"dark\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#444444\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#666666\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#C6C6C6\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#000000\\\",\\\"field_border_color\\\":\\\"#111111\\\",\\\"field_shadow_color\\\":\\\"#000000\\\",\\\"field_text_color\\\":\\\"#333333\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\"}\"},\"themes\":[\"light\",\"dark\"],\"background_color\":\"\",\"background_active_color\":\"#FCF8E3\",\"border_thickness\":\"0\",\"border_color\":\"\",\"border_active_color\":\"#FBEED5\",\"rounded_corner_radius\":\"0\",\"padding_space\":\"10\",\"margin_space\":\"0\",\"text_color\":\"#333333\",\"font_type\":\" Verdana, Geneva, sans-serif\",\"font_size\":\"14\",\"field_background_color\":\"#ffffff\",\"field_border_color\":\"\",\"field_shadow_color\":\"\",\"field_text_color\":\"#666666\",\"message_error_background_color\":\"#B94A48\",\"message_error_text_color\":\"#FFFFFF\",\"button_position\":\"btn-toolbar pull-left\",\"button_submit_color\":\"btn btn-primary\",\"button_reset_color\":\"btn\",\"custom_css\":\"\"}', '0', '4', '<p>Congratulation, your message will be sent to our website manager!</p>', '0', '1', '0', '42', '2013-08-26 17:47:09', '42', '2014-09-13 17:27:54', '0', '', '4', '2013-11-07 15:27:49', '[\"email\"]', '1', '{\"form_btn_next_text\":\"NEXT\",\"form_btn_prev_text\":\"PREV\",\"form_btn_submit_text\":\"Subscribe\",\"form_btn_reset_text\":\"Reset\",\"form_state_btn_reset_text\":\"No\",\"action_save_submissions\":\"Yes\"}', '0'),
('4', 'JoomlaShine Survey', '', 'default', '', '{\"layout\":\"Vertical\",\"theme\":\"jsn-style-light\",\"themes_style\":{\"light\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#FCF8E3\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#FBEED5\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#333333\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#ffffff\\\",\\\"field_border_color\\\":\\\"\\\",\\\"field_shadow_color\\\":\\\"\\\",\\\"field_text_color\\\":\\\"#666666\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\"}\",\"dark\":\"{\\\"background_color\\\":\\\"\\\",\\\"background_active_color\\\":\\\"#444444\\\",\\\"border_thickness\\\":\\\"0\\\",\\\"border_color\\\":\\\"\\\",\\\"border_active_color\\\":\\\"#666666\\\",\\\"rounded_corner_radius\\\":\\\"0\\\",\\\"padding_space\\\":\\\"10\\\",\\\"margin_space\\\":\\\"0\\\",\\\"text_color\\\":\\\"#C6C6C6\\\",\\\"font_type\\\":\\\" Verdana, Geneva, sans-serif\\\",\\\"font_size\\\":\\\"14\\\",\\\"field_background_color\\\":\\\"#000000\\\",\\\"field_border_color\\\":\\\"#111111\\\",\\\"field_shadow_color\\\":\\\"#000000\\\",\\\"field_text_color\\\":\\\"#333333\\\",\\\"message_error_background_color\\\":\\\"#B94A48\\\",\\\"message_error_text_color\\\":\\\"#FFFFFF\\\"}\"},\"themes\":[\"light\",\"dark\"],\"background_color\":\"\",\"background_active_color\":\"#FCF8E3\",\"border_thickness\":\"0\",\"border_color\":\"\",\"border_active_color\":\"#FBEED5\",\"rounded_corner_radius\":\"0\",\"padding_space\":\"10\",\"margin_space\":\"0\",\"text_color\":\"#333333\",\"font_type\":\" Verdana, Geneva, sans-serif\",\"font_size\":\"14\",\"field_background_color\":\"#ffffff\",\"field_border_color\":\"\",\"field_shadow_color\":\"\",\"field_text_color\":\"#666666\",\"message_error_background_color\":\"#B94A48\",\"message_error_text_color\":\"#FFFFFF\",\"button_position\":\"btn-toolbar\",\"button_submit_color\":\"btn btn-primary\",\"button_reset_color\":\"btn\",\"custom_css\":\"\"}', '0', '4', 'Woo hoo! Thanks for filling out the form! Please use the code JSNPOLL5 to get $5 OFF when purchase any products from JoomlaShine. (Not applied with other promotions)', '0', '1', '0', '42', '2013-08-29 14:41:47', '42', '2014-09-15 15:26:43', '0', '', '1', '2013-10-12 15:27:43', '', '1', '{\"form_btn_next_text\":\"NEXT\",\"form_btn_prev_text\":\"PREV\",\"form_btn_submit_text\":\"SUBMIT\",\"form_btn_reset_text\":\"RESET\",\"form_state_btn_reset_text\":\"No\",\"action_save_submissions\":\"Yes\"}', '0');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_messages`;
CREATE TABLE `lo1t2_jsn_uniform_messages` (
  `msg_id` int(11) NOT NULL AUTO_INCREMENT,
  `msg_screen` varchar(150) DEFAULT NULL,
  `published` tinyint(1) DEFAULT '1',
  `ordering` int(11) DEFAULT '0',
  PRIMARY KEY (`msg_id`),
  UNIQUE KEY `message` (`msg_screen`,`ordering`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_submission_data`;
CREATE TABLE `lo1t2_jsn_uniform_submission_data` (
  `submission_data_id` int(11) NOT NULL AUTO_INCREMENT,
  `submission_id` int(11) NOT NULL,
  `form_id` int(11) NOT NULL,
  `field_id` int(11) NOT NULL,
  `field_type` varchar(45) NOT NULL,
  `submission_data_value` longtext NOT NULL,
  PRIMARY KEY (`submission_data_id`),
  KEY `submission_data_id` (`submission_data_id`),
  KEY `submission_id` (`submission_id`),
  KEY `form_id` (`form_id`),
  KEY `field_id` (`field_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_submissions`;
CREATE TABLE `lo1t2_jsn_uniform_submissions` (
  `submission_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `form_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `submission_ip` varchar(40) NOT NULL,
  `submission_country` varchar(45) NOT NULL,
  `submission_country_code` varchar(4) NOT NULL,
  `submission_browser` varchar(45) NOT NULL,
  `submission_browser_version` varchar(20) NOT NULL,
  `submission_browser_agent` varchar(255) NOT NULL,
  `submission_os` varchar(45) NOT NULL,
  `submission_created_by` int(10) unsigned NOT NULL COMMENT '0 = Guest',
  `submission_created_at` datetime NOT NULL,
  `submission_state` tinyint(1) unsigned NOT NULL COMMENT '-1 = Trashed; 0 = Unpublish; 1 = Published',
  PRIMARY KEY (`submission_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_submissions_2`;
CREATE TABLE `lo1t2_jsn_uniform_submissions_2` (
  `data_id` int(11) DEFAULT NULL,
  `sb_15` varchar(255) DEFAULT NULL,
  `sb_27` varchar(255) DEFAULT NULL,
  `sb_28` varchar(255) DEFAULT NULL,
  `sb_29` longtext
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_uniform_submissions_2
(`data_id`, `sb_15`, `sb_27`, `sb_28`, `sb_29`) VALUES 
('4', 'tamnl@bravebits.vn', '', '', '');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_submissions_4`;
CREATE TABLE `lo1t2_jsn_uniform_submissions_4` (
  `data_id` int(11) DEFAULT NULL,
  `sb_18` varchar(255) DEFAULT NULL,
  `sb_19` varchar(255) DEFAULT NULL,
  `sb_20` varchar(255) DEFAULT NULL,
  `sb_21` varchar(255) DEFAULT NULL,
  `sb_22` longtext,
  `sb_23` longtext,
  `sb_24` varchar(255) DEFAULT NULL,
  `sb_25` longtext,
  `sb_26` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_jsn_uniform_submissions_4
(`data_id`, `sb_18`, `sb_19`, `sb_20`, `sb_21`, `sb_22`, `sb_23`, `sb_24`, `sb_25`, `sb_26`) VALUES 
('5', 'Freelancer building websites for clients ', 'Less than 1 year ', 'Ninjaboard ', 'Whole Joomla! site installation package with sample data ', 'I love Joomla templates', 'I love Joomla templates', 'Mega menu ', '', '\'\'');

DROP TABLE IF EXISTS `lo1t2_jsn_uniform_templates`;
CREATE TABLE `lo1t2_jsn_uniform_templates` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT,
  `form_id` int(11) NOT NULL,
  `template_notify_to` tinyint(1) NOT NULL COMMENT '0 = Send to submitter; 1 = Send to added emails',
  `template_from` varchar(75) COLLATE utf8_unicode_ci NOT NULL,
  `template_reply_to` varchar(75) COLLATE utf8_unicode_ci NOT NULL,
  `template_subject` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  `template_message` longtext COLLATE utf8_unicode_ci NOT NULL,
  `template_attach` text COLLATE utf8_unicode_ci NOT NULL,
  PRIMARY KEY (`template_id`),
  KEY `fk_uniform_templates_forms` (`form_id`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO lo1t2_jsn_uniform_templates
(`template_id`, `form_id`, `template_notify_to`, `template_from`, `template_reply_to`, `template_subject`, `template_message`, `template_attach`) VALUES 
('1', '1', '1', '', '', 'New answer for JoomlaShine survey - From Demo site', '', ''),
('2', '1', '0', '', '', '', '', ''),
('3', '2', '1', '', '', '', '', ''),
('4', '2', '0', 'JSN One Demo at JoomlaShine.com', '', '', '<p>Hi,</p>\r\n\r\n<p>You receive this email because you\'ve input your email in <strong>Get Newsletter</strong> module at <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/index.php\">JSN One Demo</a>. </p>\r\n\r\n<p>This subscription form is created by <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/index.php?option=com_content&view=article&id=106&Itemid=774\">JSN UniForm</a>, another cool extension from <a href=\"http://www.joomlashine.com\">JoomlaShine</a>. JSN UniForm Free Edition is also included in JSN One package and you can will find out it is the easiest-to-use form extension. </p>\r\n\r\n<p>Thank you for concerning JoomlaShineâ€™s products. Hope you feel satisfy with our <a href=\"http://www.joomlashine.com/joomla-templates.html\">Joomla templates</a> and <a href=\"http://www.joomlashine.com/joomla-extensions.html\">Joomla extensions</a>.</p>\r\n\r\n<p>Feel free to contact if you have questions. Keep in touch with us at:</p>\r\n<ul><li>Facebook: <a href=\"http://www.facebook.com/joomlashine\">http://www.facebook.com/joomlashine</a></li>\r\n<li>Twitter: <a href=\"http://www.twitter.com/joomlashine\">http://www.twitter.com/joomlashine</a></li></ul></p>\r\n\r\n<p>Best regards,</p>\r\n<p>JoomlaShine team</p>', ''),
('5', '3', '1', '', '', '', '', ''),
('6', '3', '0', 'JSN One Demo at JoomlaShine.com', '', '[JOOMLASHINE] Newsletter from Responsive Joomla template JSN One demo', '<p>Hi,</p>\r\n\r\n<p>You receive this email because you\'ve input your email in <strong>Get Newsletter</strong> module at <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/index.php\">JSN One Demo</a>. </p>\r\n\r\n<p>This subscription form is created by <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/index.php?option=com_content&view=article&id=106&Itemid=774\">JSN UniForm</a>, another cool extension from <a href=\"http://www.joomlashine.com\">JoomlaShine</a>. JSN UniForm Free Edition is also included in JSN One package and you can will find out it is the easiest-to-use form extension. </p>\r\n\r\n<p>Thank you for concerning JoomlaShineâ€™s products. Hope you feel satisfy with our <a href=\"http://www.joomlashine.com/joomla-templates.html\">Joomla templates</a> and <a href=\"http://www.joomlashine.com/joomla-extensions.html\">Joomla extensions</a>.</p>\r\n\r\n<p>Feel free to contact if you have questions. Keep in touch with us at:</p>\r\n<ul><li>Facebook: <a href=\"http://www.facebook.com/joomlashine\">http://www.facebook.com/joomlashine</a></li>\r\n<li>Twitter: <a href=\"http://www.twitter.com/joomlashine\">http://www.twitter.com/joomlashine</a></li></ul></p>\r\n\r\n<p>Best regards,</p>\r\n<p>JoomlaShine team</p>', ''),
('7', '2', '1', '', '', '', '', ''),
('8', '2', '0', '', '', '', '', ''),
('9', '3', '1', '', '', '', '', ''),
('10', '3', '0', '', '', '', '', ''),
('11', '4', '1', '', '', 'New answer for JoomlaShine survey - From Demo site', '', ''),
('12', '4', '0', '', '', '', '', '');

DROP TABLE IF EXISTS `lo1t2_languages`;
CREATE TABLE `lo1t2_languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `lang_code` char(7) NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_image` (`image`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_ordering` (`ordering`),
  KEY `idx_access` (`access`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_languages
(`lang_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES 
('1', 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', '1', '0', '0');

DROP TABLE IF EXISTS `lo1t2_menu`;
CREATE TABLE `lo1t2_menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned DEFAULT NULL,
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`,`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_path` (`path`(255)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=1336 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_menu
(`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES 
('1', '', 'Menu_Item_Root', 'root', '', '', '', '', '1', '0', '0', '0', '0', '0000-00-00 00:00:00', '0', '0', '', '0', '', '0', '191', '0', '*', '0'),
('435', 'mainmenu', 'Home', 'home', '', 'home', 'index.php?option=com_content&view=featured', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"featured_categories\":[\"77\",\"78\",\"79\",\"80\",\"81\",\"82\",\"83\"],\"layout_type\":\"blog\",\"num_leading_articles\":\"0\",\"num_intro_articles\":\"3\",\"num_columns\":\"3\",\"num_links\":\"0\",\"multi_column_order\":\"\",\"orderby_pri\":\"\",\"orderby_sec\":\"\",\"order_date\":\"\",\"show_pagination\":\"\",\"show_pagination_results\":\"\",\"show_title\":\"1\",\"link_titles\":\"1\",\"show_intro\":\"1\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"0\",\"show_modify_date\":\"0\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_readmore\":\"1\",\"show_readmore_title\":\"0\",\"show_icons\":\"0\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"\",\"show_noauth\":\"\",\"show_feed_link\":\"\",\"feed_summary\":\"\",\"menu-anchor_title\":\"Start here\",\"menu-anchor_css\":\"jsn-icon-home\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":1,\"page_heading\":\"Template Details\",\"pageclass_sfx\":\"jsn-demo-page\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '1', '2', '1', '*', '0'),
('466', 'mainmenu', 'Layout', 'layout', '', 'layout', 'index.php?option=com_content&view=article&id=71', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"36 positions\",\"menu-anchor_css\":\"jsn-icon-image\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '3', '16', '0', '*', '0'),
('468', 'mainmenu', 'Menu Styles', 'menu-styles', '', 'menu-styles', 'index.php?option=com_content&view=article&id=72', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"Efficient navigation\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '17', '22', '0', '*', '0'),
('470', 'mainmenu', 'Module Styles', 'module-styles', '', 'module-styles', 'index.php?option=com_content&view=article&id=73', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"1\",\"show_print_icon\":\"1\",\"show_email_icon\":\"1\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"Make it beautiful\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '23', '24', '0', '*', '0'),
('472', 'mainmenu', 'Left | Center | Right ', 'left-center-right', '', 'layout/left-center-right', 'index.php?option=com_content&view=article&id=90', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '4', '5', '0', '*', '0'),
('473', 'mainmenu', 'Left | Innerleft | Center', 'left--innerleft--center', '', 'layout/left--innerleft--center', 'index.php?option=com_content&view=article&id=91', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '6', '7', '0', '*', '0'),
('474', 'mainmenu', 'Left | Center | Innerright', 'left--center--innerright', '', 'layout/left--center--innerright', 'index.php?option=com_content&view=article&id=89', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '8', '9', '0', '*', '0'),
('475', 'mainmenu', 'Center | Innerright | Right', 'center--innerright--right', '', 'layout/center--innerright--right', 'index.php?option=com_content&view=article&id=87', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '10', '11', '0', '*', '0'),
('476', 'mainmenu', 'Innerleft | Center | Right', 'innerleft--center--right', '', 'layout/innerleft--center--right', 'index.php?option=com_content&view=article&id=88', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '12', '13', '0', '*', '0'),
('477', 'mainmenu', 'Main content only', 'main-content-only', '', 'layout/main-content-only', 'index.php?option=com_content&view=article&id=92', 'component', '1', '466', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '14', '15', '0', '*', '0'),
('479', 'mainmenu', 'Main Menu', 'main-menu', '', 'menu-styles/main-menu', 'index.php?option=com_content&view=article&id=93', 'component', '1', '468', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '18', '19', '0', '*', '0'),
('482', 'mainmenu', 'Tree menu', 'tree-menu', '', 'menu-styles/tree-menu', 'index.php?option=com_content&view=article&id=98', 'component', '1', '468', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '20', '21', '0', '*', '0'),
('496', 'mainmenu', 'Get now', 'editions-a-pricing', '', 'editions-a-pricing', 'http://www.joomlashine.com/joomla-templates/jsn-force-joomla-template-details.html?utm_source=Demo&utm_medium=GetIt&utm_campaign=JSNForce', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"It\'s free\",\"menu-anchor_css\":\"jsn-highlight\",\"menu_image\":\"\",\"menu_text\":1}', '37', '38', '0', '*', '0'),
('497', 'topmenu', 'Product Tour', 'product-tour', '', 'product-tour', 'index.php?option=com_content&view=article&id=101', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"jsn-icon-display\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '39', '40', '0', '*', '0'),
('498', 'topmenu', 'Get it Now', 'buy-now', '', 'buy-now', 'http://www.joomlashine.com/joomla-templates/jsn-force-download.html', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '41', '42', '0', '*', '0'),
('499', 'footermenu', 'JoomlaShine', 'joomlashine', '', 'joomlashine', 'http://www.joomlashine.com', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '43', '44', '0', '*', '0'),
('500', 'footermenu', 'Joomla Templates', 'joomla-templates', '', 'joomla-templates', 'http://www.joomlashine.com/joomla-templates.html', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '45', '46', '0', '*', '0'),
('501', 'footermenu', 'Joomla Extensions', 'joomla-extensions', '', 'joomla-extensions', 'http://www.joomlashine.com/joomla-extensions.html', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '47', '48', '0', '*', '0'),
('502', 'mustsee', 'Layout', '2011-11-25-09-21-19', '', '2011-11-25-09-21-19', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"466\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '53', '54', '0', '*', '0'),
('503', 'mustsee', 'Easy to start', '2011-11-25-09-29-27', '', '2011-11-25-09-29-27', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '49', '50', '0', '*', '0'),
('504', 'mustsee', 'Menu Styles', '2011-11-25-09-22-12', '', '2011-11-25-09-22-12', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"468\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '55', '56', '0', '*', '0'),
('505', 'mustsee', 'Painless Configuration', '2011-11-25-09-29-40', '', '2011-11-25-09-29-40', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"543\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '51', '52', '0', '*', '0'),
('506', 'mustsee', 'Module Styles', '2011-11-25-09-24-30', '', '2011-11-25-09-24-30', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"470\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '57', '58', '0', '*', '0'),
('507', 'mustsee', 'RTL Support', '2011-11-25-09-25-33', '', '2011-11-25-09-25-33', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"custom-direction-rtl\",\"menu_image\":\"\",\"menu_text\":1}', '59', '60', '0', '*', '0'),
('542', 'advanced-stuff', 'Easy to Start', 'easy-to-start', '', 'easy-to-start', 'index.php?option=com_content&view=article&id=77', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '61', '62', '0', '*', '0'),
('543', 'advanced-stuff', 'Painless Configuration', 'painless-configuration', '', 'painless-configuration', 'index.php?option=com_content&view=article&id=84', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '63', '64', '0', '*', '0'),
('544', 'advanced-stuff', 'RTL Support', 'rtl-support', '', 'rtl-support', 'index.php?option=com_content&view=article&id=85', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"custom-direction-rtl\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '65', '66', '0', '*', '0'),
('545', 'advanced-stuff', 'Image Gallery', 'image-gallery', '', 'image-gallery', 'index.php?option=com_content&view=article&id=79', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '67', '68', '0', '*', '0'),
('546', 'advanced-stuff', 'Docs / Support', 'docs-support', '', 'docs-support', 'index.php?option=com_content&view=article&id=76', 'component', '1', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '69', '70', '0', '*', '0'),
('547', 'advanced-stuff', 'Multilingual Support', 'multilingual-support', '', 'multilingual-support', 'index.php?option=com_content&view=article&id=83', 'component', '0', '1', '1', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '71', '72', '0', '*', '0'),
('706', 'mainmenu', 'Free Stuffs', 'free-extensions', '', 'free-extensions', '#', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"menu-anchor_title\":\"Extend func..\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '25', '36', '0', '*', '0'),
('707', 'mainmenu', 'Image Gallery', 'image-gallery', '', 'free-extensions/image-gallery', 'index.php?option=com_content&view=article&id=79', 'component', '1', '706', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '28', '29', '0', '*', '0'),
('708', 'mainmenu', 'Form Builder', 'form-builder', '', 'free-extensions/form-builder', 'index.php?option=com_content&view=article&id=106', 'component', '1', '706', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '32', '33', '0', '*', '0'),
('798', 'mainmenu', 'Joomla Management', 'joomla-management', '', 'free-extensions/joomla-management', 'index.php?option=com_content&view=article&id=108', 'component', '1', '706', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '34', '35', '0', '*', '0'),
('867', 'advanced-stuff', 'See PRO Edition', '2013-11-07-04-36-45', '', '2013-11-07-04-36-45', 'http://demo.joomlashine.com/joomla-templates/jsn-force.html', 'url', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '1', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '73', '74', '0', '*', '0'),
('868', 'topmenu', 'See PRO Edition', '2013-11-07-04-37-17', '', '2013-11-07-04-37-17', 'http://demo.joomlashine.com/joomla-templates/jsn-force.html', 'url', '0', '1', '1', '0', '0', '0000-00-00 00:00:00', '1', '1', '', '0', '{\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '75', '76', '0', '*', '0'),
('1107', 'mainmenu', 'Website Mobilizing', 'website-mobilizing', '', 'free-extensions/website-mobilizing', 'index.php?option=com_content&view=article&id=110', 'component', '1', '706', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '30', '31', '0', '*', '0'),
('1122', 'information-menu', 'About us', '2014-09-13-09-24-22', '', '2014-09-13-09-24-22', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '77', '78', '0', '*', '0'),
('1123', 'information-menu', 'Contact', '2014-09-13-09-24-40', '', '2014-09-13-09-24-40', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '79', '80', '0', '*', '0'),
('1124', 'information-menu', 'Our blog', '2014-09-13-09-24-41', '', '2014-09-13-09-24-41', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '81', '82', '0', '*', '0'),
('1125', 'information-menu', 'Term of use', '2014-09-13-09-24-42', '', '2014-09-13-09-24-42', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '83', '84', '0', '*', '0'),
('1126', 'information-menu', 'Privacy Policy', '2014-09-13-09-24-43', '', '2014-09-13-09-24-43', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '85', '86', '0', '*', '0'),
('1127', 'support-menu', 'FAQs', '2014-09-13-09-24-44', '', '2014-09-13-09-24-44', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '87', '88', '0', '*', '0'),
('1128', 'support-menu', 'Live chat', '2014-09-13-09-24-45', '', '2014-09-13-09-24-45', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '89', '90', '0', '*', '0'),
('1129', 'support-menu', 'Get call back', '2014-09-13-09-24-46', '', '2014-09-13-09-24-46', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '91', '92', '0', '*', '0'),
('1130', 'support-menu', 'Contact us', '2014-09-13-09-24-47', '', '2014-09-13-09-24-47', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '93', '94', '0', '*', '0'),
('1131', 'support-menu', 'Site map', '2014-09-13-09-24-48', '', '2014-09-13-09-24-48', 'index.php?Itemid=', 'alias', '1', '1', '1', '0', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"aliasoptions\":\"542\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1}', '95', '96', '0', '*', '0'),
('1273', 'mainmenu', 'Page Builder', 'page-builder', '', 'free-extensions/page-builder', 'index.php?option=com_content&view=article&id=111', 'component', '1', '706', '2', '22', '0', '0000-00-00 00:00:00', '0', '1', '', '0', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"0\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_vote\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"0\",\"show_email_icon\":\"0\",\"show_hits\":\"\",\"show_tags\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"menu-anchor_title\":\"\",\"menu-anchor_css\":\"\",\"menu_image\":\"\",\"menu_text\":1,\"page_title\":\"\",\"show_page_heading\":0,\"page_heading\":\"\",\"pageclass_sfx\":\"\",\"menu-meta_description\":\"\",\"menu-meta_keywords\":\"\",\"robots\":\"\",\"secure\":0}', '26', '27', '0', '*', '0'),
('1289', 'menu', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', '0', '1', '1', '4', '0', '0000-00-00 00:00:00', '0', '0', 'class:banners', '0', '', '97', '106', '0', '*', '1');

INSERT INTO lo1t2_menu
(`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES 
('1290', 'menu', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', '0', '1289', '2', '4', '0', '0000-00-00 00:00:00', '0', '0', 'class:banners', '0', '', '98', '99', '0', '*', '1'),
('1291', 'menu', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', '0', '1289', '2', '6', '0', '0000-00-00 00:00:00', '0', '0', 'class:banners-cat', '0', '', '100', '101', '0', '*', '1'),
('1292', 'menu', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', '0', '1289', '2', '4', '0', '0000-00-00 00:00:00', '0', '0', 'class:banners-clients', '0', '', '102', '103', '0', '*', '1'),
('1293', 'menu', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', '0', '1289', '2', '4', '0', '0000-00-00 00:00:00', '0', '0', 'class:banners-tracks', '0', '', '104', '105', '0', '*', '1'),
('1294', 'menu', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', '0', '1', '1', '8', '0', '0000-00-00 00:00:00', '0', '0', 'class:contact', '0', '', '107', '112', '0', '*', '1'),
('1295', 'menu', 'com_contact', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', '0', '1294', '2', '8', '0', '0000-00-00 00:00:00', '0', '0', 'class:contact', '0', '', '108', '109', '0', '*', '1'),
('1296', 'menu', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', '0', '1294', '2', '6', '0', '0000-00-00 00:00:00', '0', '0', 'class:contact-cat', '0', '', '110', '111', '0', '*', '1'),
('1297', 'menu', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', '0', '1', '1', '15', '0', '0000-00-00 00:00:00', '0', '0', 'class:messages', '0', '', '113', '118', '0', '*', '1'),
('1298', 'menu', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', '0', '1297', '2', '15', '0', '0000-00-00 00:00:00', '0', '0', 'class:messages-add', '0', '', '114', '115', '0', '*', '1'),
('1299', 'menu', 'com_messages_read', 'Read Private Message', '', 'Messaging/Read Private Message', 'index.php?option=com_messages', 'component', '0', '1297', '2', '15', '0', '0000-00-00 00:00:00', '0', '0', 'class:messages-read', '0', '', '116', '117', '0', '*', '1'),
('1300', 'menu', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', '0', '1', '1', '17', '0', '0000-00-00 00:00:00', '0', '0', 'class:newsfeeds', '0', '', '119', '124', '0', '*', '1'),
('1301', 'menu', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', '0', '1300', '2', '17', '0', '0000-00-00 00:00:00', '0', '0', 'class:newsfeeds', '0', '', '120', '121', '0', '*', '1'),
('1302', 'menu', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', '0', '1300', '2', '6', '0', '0000-00-00 00:00:00', '0', '0', 'class:newsfeeds-cat', '0', '', '122', '123', '0', '*', '1'),
('1303', 'menu', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', '0', '1', '1', '24', '0', '0000-00-00 00:00:00', '0', '0', 'class:redirect', '0', '', '125', '126', '0', '*', '1'),
('1304', 'menu', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', '0', '1', '1', '19', '0', '0000-00-00 00:00:00', '0', '0', 'class:search', '0', '', '127', '128', '0', '*', '1'),
('1305', 'menu', 'com_weblinks', 'Weblinks', '', 'Weblinks', 'index.php?option=com_weblinks', 'component', '0', '1', '1', '21', '0', '0000-00-00 00:00:00', '0', '0', 'class:weblinks', '0', '', '129', '134', '0', '*', '1'),
('1306', 'menu', 'com_weblinks_links', 'Links', '', 'Weblinks/Links', 'index.php?option=com_weblinks', 'component', '0', '1305', '2', '21', '0', '0000-00-00 00:00:00', '0', '0', 'class:weblinks', '0', '', '130', '131', '0', '*', '1'),
('1307', 'menu', 'com_weblinks_categories', 'Categories', '', 'Weblinks/Categories', 'index.php?option=com_categories&extension=com_weblinks', 'component', '0', '1305', '2', '6', '0', '0000-00-00 00:00:00', '0', '0', 'class:weblinks-cat', '0', '', '132', '133', '0', '*', '1'),
('1308', 'menu', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', '0', '1', '1', '27', '0', '0000-00-00 00:00:00', '0', '0', 'class:finder', '0', '', '135', '136', '0', '*', '1'),
('1309', 'menu', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', '1', '1', '1', '28', '0', '0000-00-00 00:00:00', '0', '0', 'class:joomlaupdate', '0', '', '137', '138', '0', '*', '1'),
('1310', 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', '0', '1', '1', '29', '0', '0000-00-00 00:00:00', '0', '1', 'class:tags', '0', '', '139', '140', '0', '', '1'),
('1311', 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', '0', '1', '1', '32', '0', '0000-00-00 00:00:00', '0', '1', 'class:postinstall', '0', '', '141', '142', '0', '*', '1'),
('1312', 'main', 'COM_IMAGESHOW', 'com-imageshow', '', 'com-imageshow', 'index.php?option=com_imageshow', 'component', '0', '1', '1', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-picture.png', '0', '', '143', '154', '0', '', '1'),
('1313', 'main', 'LAUNCH_PAD', 'launch-pad', '', 'com-imageshow/launch-pad', 'index.php?option=com_imageshow', 'component', '0', '1312', '2', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-off.png', '0', '', '144', '145', '0', '', '1'),
('1314', 'main', 'SHOWLISTS', 'showlists', '', 'com-imageshow/showlists', 'index.php?option=com_imageshow&controller=showlist', 'component', '0', '1312', '2', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-file.png', '0', '', '146', '147', '0', '', '1'),
('1315', 'main', 'SHOWCASES', 'showcases', '', 'com-imageshow/showcases', 'index.php?option=com_imageshow&controller=showcase', 'component', '0', '1312', '2', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-monitor.png', '0', '', '148', '149', '0', '', '1'),
('1316', 'main', 'CONFIGURATION_AND_MAINTENANCE', 'configuration-and-maintenance', '', 'com-imageshow/configuration-and-maintenance', 'index.php?option=com_imageshow&controller=maintenance&type=configs', 'component', '0', '1312', '2', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-cog.png', '0', '', '150', '151', '0', '', '1'),
('1317', 'main', 'ABOUT', 'about', '', 'com-imageshow/about', 'index.php?option=com_imageshow&controller=about', 'component', '0', '1312', '2', '10003', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_imageshow/assets/images/icons-16/icon-star.png', '0', '', '152', '153', '0', '', '1'),
('1318', 'main', 'JSN_POWERADMIN_MENU_TEXT', 'jsn-poweradmin-menu-text', '', 'jsn-poweradmin-menu-text', 'index.php?option=com_poweradmin', 'component', '0', '1', '1', '10016', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-wrench.png', '0', '', '155', '164', '0', '', '1'),
('1319', 'main', 'JSN_POWERADMIN_MENU_RAWMODE_TEXT', 'jsn-poweradmin-menu-rawmode-text', '', 'jsn-poweradmin-menu-text/jsn-poweradmin-menu-rawmode-text', 'index.php?option=com_poweradmin&view=rawmode', 'component', '0', '1318', '2', '10016', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-monitor.png', '0', '', '156', '157', '0', '', '1'),
('1320', 'main', 'JSN_POWERADMIN_MENU_SITESEARCH_TEXT', 'jsn-poweradmin-menu-sitesearch-text', '', 'jsn-poweradmin-menu-text/jsn-poweradmin-menu-sitesearch-text', 'index.php?option=com_poweradmin&task=search.query', 'component', '0', '1318', '2', '10016', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-search.png', '0', '', '158', '159', '0', '', '1'),
('1321', 'main', 'JSN_POWERADMIN_MENU_CONFIGURATION_TEXT', 'jsn-poweradmin-menu-configuration-text', '', 'jsn-poweradmin-menu-text/jsn-poweradmin-menu-configuration-text', 'index.php?option=com_poweradmin&view=configuration', 'component', '0', '1318', '2', '10016', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-cog.png', '0', '', '160', '161', '0', '', '1'),
('1322', 'main', 'JSN_POWERADMIN_MENU_ABOUT_TEXT', 'jsn-poweradmin-menu-about-text', '', 'jsn-poweradmin-menu-text/jsn-poweradmin-menu-about-text', 'index.php?option=com_poweradmin&view=about', 'component', '0', '1318', '2', '10016', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-star.png', '0', '', '162', '163', '0', '', '1'),
('1323', 'main', 'JSN_UNIFORM_MENU_TEXT', 'jsn-uniform-menu-text', '', 'jsn-uniform-menu-text', 'index.php?option=com_uniform', 'component', '0', '1', '1', '10024', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_uniform/assets/images/icons-16/icon-uniform.png', '0', '', '165', '174', '0', '', '1'),
('1324', 'main', 'JSN_UNIFORM_MENU_FORMS_TEXT', 'jsn-uniform-menu-forms-text', '', 'jsn-uniform-menu-text/jsn-uniform-menu-forms-text', 'index.php?option=com_uniform&view=forms', 'component', '0', '1323', '2', '10024', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_uniform/assets/images/icons-16/icon-forms.png', '0', '', '166', '167', '0', '', '1'),
('1325', 'main', 'JSN_UNIFORM_MENU_SUBMISSIONS_TEXT', 'jsn-uniform-menu-submissions-text', '', 'jsn-uniform-menu-text/jsn-uniform-menu-submissions-text', 'index.php?option=com_uniform&view=submissions', 'component', '0', '1323', '2', '10024', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_uniform/assets/images/icons-16/icon-submissions.png', '0', '', '168', '169', '0', '', '1'),
('1326', 'main', 'JSN_UNIFORM_MENU_CONFIGURATION_TEXT', 'jsn-uniform-menu-configuration-text', '', 'jsn-uniform-menu-text/jsn-uniform-menu-configuration-text', 'index.php?option=com_uniform&view=configuration', 'component', '0', '1323', '2', '10024', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_uniform/assets/images/icons-16/icon-cog.png', '0', '', '170', '171', '0', '', '1'),
('1327', 'main', 'JSN_UNIFORM_MENU_ABOUT_TEXT', 'jsn-uniform-menu-about-text', '', 'jsn-uniform-menu-text/jsn-uniform-menu-about-text', 'index.php?option=com_uniform&view=about', 'component', '0', '1323', '2', '10024', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_uniform/assets/images/icons-16/icon-about.png', '0', '', '172', '173', '0', '', '1'),
('1328', 'main', 'JSN_MOBILIZE_MENU_TEXT', 'jsn-mobilize-menu-text', '', 'jsn-mobilize-menu-text', 'index.php?option=com_mobilize', 'component', '0', '1', '1', '10028', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_mobilize/assets/images/icon-mobilize.png', '0', '', '175', '182', '0', '', '1'),
('1329', 'main', 'JSN_MOBILIZE_SUB_MENU_MOBILIZATION_TEXT', 'jsn-mobilize-sub-menu-mobilization-text', '', 'jsn-mobilize-menu-text/jsn-mobilize-sub-menu-mobilization-text', 'index.php?option=com_mobilize&view=profiles', 'component', '0', '1328', '2', '10028', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_mobilize/assets/images/icons-16/icon-mobilize.png', '0', '', '176', '177', '0', '', '1'),
('1330', 'main', 'JSN_MOBILIZE_SUB_MENU_CONFIGURARTION_TEXT', 'jsn-mobilize-sub-menu-configurartion-text', '', 'jsn-mobilize-menu-text/jsn-mobilize-sub-menu-configurartion-text', 'index.php?option=com_mobilize&view=configuration', 'component', '0', '1328', '2', '10028', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_mobilize/assets/images/icons-16/icon-cog.png', '0', '', '178', '179', '0', '', '1'),
('1331', 'main', 'JSN_MOBILIZE_SUB_MENU_ABOUT_TEXT', 'jsn-mobilize-sub-menu-about-text', '', 'jsn-mobilize-menu-text/jsn-mobilize-sub-menu-about-text', 'index.php?option=com_mobilize&view=about', 'component', '0', '1328', '2', '10028', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_mobilize/assets/images/icons-16/icon-about.png', '0', '', '180', '181', '0', '', '1'),
('1332', 'main', 'COM_PAGEBUILDER', 'com-pagebuilder', '', 'com-pagebuilder', 'index.php?option=com_pagebuilder', 'component', '0', '1', '1', '10031', '0', '0000-00-00 00:00:00', '0', '1', 'class:component', '0', '', '183', '190', '0', '', '1'),
('1333', 'main', 'COM_PAGEBUILDER_PAGE_MANAGER', 'com-pagebuilder-page-manager', '', 'com-pagebuilder/com-pagebuilder-page-manager', 'index.php?option=com_pagebuilder&view=manager', 'component', '0', '1332', '2', '10031', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_pagebuilder/assets/images/icons-16/icon-monitor.png', '0', '', '184', '185', '0', '', '1'),
('1334', 'main', 'COM_PAGEBUILDER_CONFIGURATION', 'com-pagebuilder-configuration', '', 'com-pagebuilder/com-pagebuilder-configuration', 'index.php?option=com_pagebuilder&view=configuration', 'component', '0', '1332', '2', '10031', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_pagebuilder/assets/images/icons-16/icon-cog.png', '0', '', '186', '187', '0', '', '1'),
('1335', 'main', 'COM_PAGEBUILDER_ABOUT', 'com-pagebuilder-about', '', 'com-pagebuilder/com-pagebuilder-about', 'index.php?option=com_pagebuilder&view=about', 'component', '0', '1332', '2', '10031', '0', '0000-00-00 00:00:00', '0', '1', 'components/com_poweradmin/assets/images/icons-16/icon-star.png', '0', '', '188', '189', '0', '', '1');

DROP TABLE IF EXISTS `lo1t2_menu_types`;
CREATE TABLE `lo1t2_menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_menu_types
(`id`, `menutype`, `title`, `description`) VALUES 
('6', 'mainmenu', 'Main Menu', 'Simple Home Menu'),
('8', 'topmenu', 'Top Menu', ''),
('9', 'footermenu', 'Footer Menu', ''),
('10', 'mustsee', 'Must-see Stuff', ''),
('11', 'advanced-stuff', 'Advanced Stuff', ''),
('13', 'information-menu', 'Demo Information Menu', ''),
('14', 'support-menu', 'Demo Support Menu', '');

DROP TABLE IF EXISTS `lo1t2_messages`;
CREATE TABLE `lo1t2_messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` text NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_messages_cfg`;
CREATE TABLE `lo1t2_messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_modules`;
CREATE TABLE `lo1t2_modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=293 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_modules
(`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES 
('2', '40', 'Login', '', '', '1', 'login', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_login', '1', '1', '', '1', '*'),
('3', '41', 'Popular Articles', '', '', '3', 'cpanel', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_popular', '3', '1', '{\"count\":\"5\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}', '1', '*'),
('4', '42', 'Recently Added Articles', '', '', '4', 'cpanel', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_latest', '3', '1', '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"catid\":\"\",\"user_id\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}', '1', '*'),
('8', '43', 'Toolbar', '', '', '1', 'toolbar', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_toolbar', '3', '1', '', '1', '*'),
('9', '44', 'Quick Icons', '', '', '1', 'icon', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_quickicon', '3', '1', '', '1', '*'),
('10', '45', 'Logged-in Users', '', '', '2', 'cpanel', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_logged', '3', '1', '{\"count\":\"5\",\"name\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"automatic_title\":\"1\"}', '1', '*'),
('12', '46', 'Admin Menu', '', '', '1', 'menu', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '3', '1', '{\"layout\":\"\",\"moduleclass_sfx\":\"\",\"shownew\":\"1\",\"showhelp\":\"1\",\"cache\":\"0\"}', '1', '*'),
('13', '47', 'Admin Submenu', '', '', '1', 'submenu', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_submenu', '3', '1', '', '1', '*'),
('14', '48', 'User Status', '', '', '2', 'status', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_status', '3', '1', '', '1', '*'),
('15', '49', 'Title', '', '', '1', 'title', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_title', '3', '1', '', '1', '*'),
('17', '0', 'Breadcrumbs', '', '', '1', 'position-2', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_breadcrumbs', '1', '1', '{\"moduleclass_sfx\":\"\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showComponent\":\"1\",\"separator\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('25', '0', 'Site Map', '', '', '1', 'sitemapload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '0', '{\"menutype\":\"mainmenu\",\"startLevel\":\"2\",\"endLevel\":\"3\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"sitemap\",\"window_open\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('26', '0', 'This Site', '', '', '5', 'position-7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"_menu\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('27', '0', 'Archived Articles', '', '', '1', 'archiveload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_archive', '1', '1', '{\"count\":\"10\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('28', '0', 'Latest News', '', '', '1', 'articleslatestload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_latest', '1', '1', '{\"catid\":[\"19\"],\"count\":\"5\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"show_featured\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('29', '0', 'Articles Most Read', '', '', '1', 'articlespopularload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_popular', '1', '1', '{\"show_front\":\"1\",\"count\":\"5\",\"catid\":[\"26\",\"29\"],\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('30', '0', 'Feed Display', '', '', '1', 'feeddisplayload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_feed', '1', '1', '{\"rssurl\":\"http:\\/\\/community.joomla.org\\/blogs\\/community.feed?type=rss\",\"rssrtl\":\"0\",\"rsstitle\":\"1\",\"rssdesc\":\"1\",\"rssimage\":\"1\",\"rssitems\":\"3\",\"rssitemdesc\":\"1\",\"word_count\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('31', '0', 'News Flash: Latest', '', '', '1', 'newsflashload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_news', '1', '1', '{\"catid\":[\"20\"],\"image\":\"0\",\"item_title\":\"0\",\"link_titles\":\"\",\"item_heading\":\"h4\",\"showLastSeparator\":\"1\",\"readmore\":\"1\",\"count\":\"1\",\"ordering\":\"a.publish_up\",\"layout\":\"horizontal\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('32', '0', 'News Flash: Random', '', '', '1', 'newsflashload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_news', '1', '1', '{\"catid\":[\"19\"],\"image\":\"0\",\"item_title\":\"0\",\"link_titles\":\"\",\"item_heading\":\"h4\",\"showLastSeparator\":\"1\",\"readmore\":\"0\",\"count\":\"1\",\"ordering\":\"rand()\",\"layout\":\"vertical\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('33', '0', 'Random Image', '', '', '1', 'randomimageload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_random_image', '1', '1', '{\"type\":\"jpg\",\"folder\":\"images\\/sampledata\\/parks\\/animals\",\"link\":\"\",\"width\":\"180\",\"height\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '0', '*'),
('34', '0', 'Articles Related Items', '', '', '1', 'relateditemsload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_related_items', '1', '1', '{\"showDate\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"owncache\":\"1\"}', '0', '*'),
('35', '0', 'Search', '', '', '1', 'searchload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_search', '1', '1', '{\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"set_itemid\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('36', '0', 'Statistics', '', '', '1', 'statisticsload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_stats', '1', '1', '{\"serverinfo\":\"1\",\"siteinfo\":\"1\",\"counter\":\"1\",\"increase\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('37', '0', 'Syndication', '', '', '1', 'syndicate', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_syndicate', '1', '0', '{\"text\":\"Feed Entries\",\"format\":\"rss\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '0', '*'),
('38', '0', 'Users Latest', '', '', '1', 'userslatestload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_users_latest', '1', '1', '{\"shownumber\":\"5\",\"filter_groups\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('40', '0', 'Wrapper', '', '', '1', 'wrapperload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_wrapper', '1', '1', '{\"url\":\"http:\\/\\/fsf.org\",\"add\":\"1\",\"scrolling\":\"auto\",\"width\":\"100%\",\"height\":\"200\",\"height_auto\":\"1\",\"target\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('41', '0', 'Footer', '', '', '1', 'footerload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_footer', '1', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('44', '0', 'Login', '', '', '12', 'loginload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_login', '1', '1', '{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"lightbox-2\",\"cache\":\"0\"}', '0', '*'),
('45', '0', 'Menu', '', '', '1', 'menuload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('47', '0', 'Latest Park Blogs', '', '', '6', 'position-7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_latest', '1', '1', '{\"count\":\"5\",\"ordering\":\"c_dsc\",\"user_id\":\"0\",\"show_front\":\"1\",\"catid\":\"35\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\"}', '0', 'en-GB'),
('48', '0', 'Custom HTML', '', '<p>This is a custom html module. That means you can enter whatever content you want.</p>', '1', 'customload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('49', '0', 'Weblinks', '', '', '1', 'weblinksload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_weblinks', '1', '1', '{\"catid\":\"32\",\"count\":\"5\",\"ordering\":\"title\",\"direction\":\"asc\",\"target\":\"3\",\"description\":\"0\",\"hits\":\"0\",\"count_clicks\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('52', '0', 'Breadcrumbs', '', '', '1', 'breadcrumbsload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_breadcrumbs', '1', '1', '{\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"0\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('58', '0', 'Special!', '', '<h1>This week we have a special, half price on delicious oranges!</h1><div>Only for our special customers!</div><div>Use the code: Joomla! when ordering</div><p><em>This module can only be seen by people in the customers group or higher.</em></p>', '1', 'position-12', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '4', '1', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('61', '0', 'Articles Categories', '', '', '1', 'articlescategoriesload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_categories', '1', '1', '{\"parent\":\"29\",\"show_description\":\"0\",\"show_children\":\"0\",\"maxlevel\":\"0\",\"count\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"owncache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('63', '0', 'Search', '', '', '1', 'position-0', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_search', '1', '1', '{\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"1\",\"button_text\":\"\",\"set_itemid\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('65', '0', 'About Fruit Shop', '', '<p>The Fruit Shop site shows a number of Joomla! features.</p><p>The template uses classes in cascading style sheets to change the layout of items, such as creating the horizontal alphabetical list in the Fruit Encyclopedia.</p><p>Â </p>', '1', 'position-4', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('68', '0', 'About Parks', '', '<p>The Parks sample site is designed as a simple site that can be routinely updated from the front end of Joomla!.</p><p>As a site, it is largely focused on a blog which can be updated using the front end article submission.</p><p>New weblinks can also be added through the front end.</p><p>A simple image gallery uses com_content with thumbnails displayed in a blog layout and full size images shown in article layout.</p><p>The Parks site features the language switch module. All of the content and modules are tagged as English (en-GB). If a second language pack is added with sample data this can be filtered using the language switch.</p><p>Parks uses HTML5 which is a major web standard (along with XHTML which is used in other areas of sample data).</p>', '2', 'position-4', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('69', '0', 'Articles Category', '', '', '1', 'articlescategoryload', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_articles_category', '1', '1', '{\"mode\":\"normal\",\"show_on_article_page\":\"1\",\"show_front\":\"show\",\"count\":\"0\",\"category_filtering_type\":\"1\",\"catid\":[\"72\"],\"show_child_category_articles\":\"0\",\"levels\":\"1\",\"author_filtering_type\":\"1\",\"created_by\":[\"\"],\"author_alias_filtering_type\":\"1\",\"created_by_alias\":[\"\"],\"excluded_articles\":\"\",\"date_filtering\":\"off\",\"date_field\":\"a.created\",\"start_date_range\":\"\",\"end_date_range\":\"\",\"relative_date\":\"30\",\"article_ordering\":\"a.title\",\"article_ordering_direction\":\"ASC\",\"article_grouping\":\"none\",\"article_grouping_direction\":\"ksort\",\"month_year_format\":\"F Y\",\"item_heading\":\"4\",\"show_date\":\"0\",\"show_date_field\":\"created\",\"show_date_format\":\"Y-m-d H:i:s\",\"show_category\":\"0\",\"show_hits\":\"0\",\"show_author\":\"0\",\"show_introtext\":\"0\",\"introtext_limit\":\"100\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"owncache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('70', '0', 'Search (Atomic Template)', '', '', '1', 'atomic-search', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_search', '1', '0', '{\"width\":\"20\",\"text\":\"\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"set_itemid\":\"\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('72', '0', 'Top Quote (Atomic Template)', '', '<hr />\n<h2 class=\"alt\">Powerful Content Management and a Simple Extensible Framework.</h2>\n<hr />', '1', 'atomic-topquote', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('73', '0', 'Bottom Left Column (Atomic Template)', '', '<h6>This is a nested column</h6>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', '1', 'atomic-bottomleft', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('74', '0', 'Bottom Middle Column (Atomic Template)', '', '<h6>This is another nested column</h6>\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', '1', 'atomic-bottommiddle', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('75', '0', 'Sidebar (Atomic Template)', '', '<h3>A <span class=\"alt\">Simple</span> Sidebar</h3>\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\n<p class=\"quiet\">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\n<h5>Incremental leading</h5>\n<p class=\"incr\">Vestibulum ante ipsum primis in faucibus orci luctus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus.</p>\n<p class=\"incr\">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>', '1', 'atomic-sidebar', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('76', '0', 'Login (Atomic Template)', '', '', '2', 'atomic-sidebar', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_login', '1', '0', '{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '0', '*'),
('77', '0', 'Top Menu', '', '', '1', 'top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '0', '{\"menutype\":\"topmenu\",\"startLevel\":\"1\",\"endLevel\":\"2\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-topmenu menu-iconmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('78', '0', 'Footer Menu', '', '', '2', 'footer', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_menu', '1', '0', '{\"menutype\":\"footermenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-divmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('81', '0', 'Tree Menu with rich text', '', '', '8', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu menu-iconmenu menu-richmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-2 \",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('83', '0', 'Position \"left\"', '', '<p>This is a sample module in position <strong>left</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>', '9', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('87', '0', 'Compatibility', '', '<p class=\"content-center\"><a href=\"index.php?option=com_content&amp;view=article&amp;id=81&amp;Itemid=490\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/native-compatibility/j25-j3x-promo.png\" border=\"0\" alt=\"Joomla! 2.5 - Get more\" width=\"170\" height=\"50\" /></a></p>\r\n<p>JSN One is natively compatible with both <strong>Joomla! 2.5 and Joomla! 3.x</strong>.</p>\r\n<p>The installation package is compatible with both Joomla CMS.</p>', '3', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"mini-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*');

INSERT INTO lo1t2_modules
(`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES 
('88', '0', 'Docs', '', '<p>Full details about all template features can be found in comprehensive documentation package available for free download.</p>\r\n<p class=\"content-center\"><a class=\"link-button button-light\" href=\"http://www.joomlashine.com/joomla-templates/jsn-force-docs.zip\"><span class=\"link-icon\">Free download</span></a></p>', '2', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"mini-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('89', '0', 'Tree Menu', '', '', '11', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-1 \",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('91', '0', 'Advanced Stuff', '', '', '6', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu \",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"box-cyan\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('98', '0', 'Position \"right\"', '', '<p>This is sample module in position <strong>right</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>', '10', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('99', '241', 'Joomla! Copyright', '', '<p>The <a href=\"http://www.joomla.org/\" target=\"_blank\">Joomla!</a> name is used under a limited license from <a href=\"http://www.opensourcematters.org/\" target=\"_blank\">Open Source Matters</a> in the United States and other countries.\r\n<br />\r\n<a href=\"http://www.joomlashine.com\" target=\"_blank\">JoomlaShine.com</a> is not affiliated with or endorsed by Open Source Matters or the Joomla! Project.</p>', '1', 'footer', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('100', '0', 'Breadcrumbs', '', '', '1', 'breadcrumbs', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_breadcrumbs', '1', '1', '{\"showHere\":\"0\",\"showHome\":\"1\",\"homeText\":\"Home\",\"showLast\":\"1\",\"separator\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('101', '0', 'JoomlaShine copyright', '', '<p>Copyright © 2008 - 2013 JoomlaShine.com. All rights reserved. Many features demonstrated on this website are available only in <a href=\"http://www.joomlashine.com/joomla-templates/buy-jsn-force.html\">JSN One PRO Edition</a>.</p>\r\n<p>All stock photos used on this JSN One demo site are only for demo purposes and not included in the template package.</p>', '1', 'bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('102', '0', 'Position \"innerleft\"', '', '<p>This is sample module in position <strong>innerleft</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>', '1', 'innerleft', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('103', '0', 'Position \"innerright\"', '', '<p>This is sample module in position <strong>innerright</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>', '1', 'innerright', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('107', '0', 'JSN One Demo CSS', '', '<style type=\"text/css\">\r\n\r\n/* ========== GENERAL ========== */\r\n.jsn-modulecontainer.search-menu #mod-search-searchword {\r\n	width: 220px;\r\n}\r\n.jsn-modulecontainer.search-menu #jsn_com_search_form label {\r\n	display: none;\r\n}\r\n\r\n/* ========== DEMO MAIN CATEGORIES ========== */\r\n#demo-main-cat h3.intro-heading {\r\n	text-align: center;\r\n	text-transform: uppercase;\r\n	font-size: 2.4em;\r\n	line-height: 38px;\r\n	margin: 25px 0 35px;\r\n}\r\n#demo-main-cat h3.section-heading,\r\n#demo-pop-products h3.section-heading {\r\n	font-size: 2em;\r\n	position: relative;\r\n	margin: 10px 0 30px;\r\n	line-height: 24px;\r\n}\r\n#demo-main-cat h3.section-heading span,\r\n#demo-pop-products h3.section-heading span {\r\n	background: #fff;\r\n	display: inline-block;\r\n	padding-right: 15px;\r\n}\r\n#demo-main-cat h3.section-heading:after,\r\n#demo-pop-products h3.section-heading:after {\r\n	content: \"\";\r\n	display: block;\r\n	position: absolute;\r\n	top: 50%;\r\n	margin-top: -2px;\r\n	width: 100%;\r\n	height: 10px;\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/section-heading-bg.jpg);\r\n	z-index: -1;\r\n}\r\n#demo-main-cat .main-cat-item,\r\n#demo-pop-products .pop-product-item {\r\n	border: 1px solid #e5e5e5;\r\n	border-radius: 3px;\r\n	-moz-border-radius: 3px;\r\n	-webkit-border-radius: 3px;\r\n	padding: 10px;\r\n	text-align: center;\r\n}\r\n#demo-main-cat .main-cat-item .item-image,\r\n#demo-pop-products .pop-product-item .item-image {\r\n	position: relative;\r\n	display: block;\r\n	max-height: 300px;\r\n	overflow: hidden;\r\n}\r\n#demo-main-cat .main-cat-item .item-image:before,\r\n#demo-pop-products .pop-product-item .item-image:before {\r\n	content: \"\";\r\n	display: block;\r\n	position: absolute;\r\n	width: 70px;\r\n	height: 70px;\r\n	top: 50%;\r\n	left: 50%;\r\n	margin-left: -35px;\r\n	background: #000 url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/icon-link.png) center center no-repeat;\r\n	z-index: 10;\r\n	opacity: 0;\r\n	filter: alpha(opacity=0);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)\";\r\n	border-radius: 100%;\r\n	-moz-border-radius: 100%;\r\n	-webkit-border-radius: 100%;\r\n	transition: all 0.2s ease-in-out;\r\n	-moz-transition: all 0.2s ease-in-out;\r\n	-webkit-transition: all 0.2s ease-in-out;\r\n}\r\n#demo-main-cat .main-cat-item .item-image:hover:before,\r\n#demo-pop-products .pop-product-item .item-image:hover:before {\r\n	top: calc(50% - 35px);\r\n	opacity: 1;\r\n	filter: alpha(opacity=100);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)\";\r\n}\r\n#demo-main-cat .main-cat-item .item-image:after,\r\n#demo-pop-products .pop-product-item .item-image:after {\r\n	content: \"\";\r\n	position: absolute;\r\n	display: block;\r\n	width: 100%;\r\n	height: 100%;\r\n	top: 0;\r\n	left: 0;\r\n	background-color: rgba(0,0,0,0.1);\r\n	z-index: 9;\r\n	opacity: 0;\r\n	filter: alpha(opacity=0);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)\";\r\n	transition: all 0.2s ease-in-out;\r\n	-moz-transition: all 0.2s ease-in-out;\r\n	-webkit-transition: all 0.2s ease-in-out;\r\n}\r\n#demo-main-cat .main-cat-item .item-image:hover:after,\r\n#demo-pop-products .pop-product-item .item-image:hover:after {\r\n	opacity: 1;\r\n	filter: alpha(opacity=100);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)\";\r\n}\r\n#demo-main-cat .main-cat-item h3.item-title,\r\n#demo-pop-products .pop-product-item h3.item-title {\r\n	margin: 0;\r\n	height: 40px;\r\n	line-height: 40px;\r\n}\r\n#demo-main-cat .main-cat-item .desc,\r\n#demo-pop-products .pop-product-item .desc {\r\n	font-size: 0.9em;\r\n}\r\n#demo-main-cat .main-cat-item .view-more-btn,\r\n#demo-pop-products .pop-product-item .view-more-btn {\r\n	display: block;\r\n	height: 40px;\r\n	line-height: 40px;\r\n	background-color: #000;\r\n	color: #fff;\r\n	font-size: 1em;\r\n	letter-spacing: 6px;\r\n	text-transform: uppercase;\r\n}\r\n.jsn-color-red #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-red #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #fe6363;\r\n}\r\n.jsn-color-blue #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-blue #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #61a9ed;\r\n}\r\n.jsn-color-green #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-green #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #acd278;\r\n}\r\n.jsn-color-violet #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-violet #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #b18ed2;\r\n}\r\n.jsn-color-orange #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-orange #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #f28d50;\r\n}\r\n.jsn-color-grey #demo-main-cat .main-cat-item .view-more-btn,\r\n.jsn-color-grey #demo-pop-products .pop-product-item .view-more-btn {\r\n	background-color: #777;\r\n}\r\n#demo-main-cat .main-cat-item .view-more-btn:hover,\r\n#demo-main-cat .main-cat-item .view-more-btn:active,\r\n#demo-pop-products .pop-product-item .view-more-btn:hover,\r\n#demo-pop-products .pop-product-item .view-more-btn:active {\r\n	background-color: #111;\r\n}\r\n#demo-main-cat div.grid-layout div.grid-lastcol div.grid-col_inner,\r\n#demo-pop-products div.grid-layout div.grid-lastcol div.grid-col_inner {\r\n        margin-right: 10px;\r\n}\r\n#demo-pop-products div.grid-layout {\r\n       margin-bottom: 10px;\r\n}\r\n@media only screen and (min-width: 1024px) and (max-width: 1200px) {\r\n	#demo-main-cat .main-cat-item .item-image,\r\n	#demo-pop-products .pop-product-item .view-more-btn {\r\n		max-height: 245px;\r\n	}\r\n}\r\n/* ========== FEATURES INTRODUCE ========== */\r\n.jsn-demo-page #jsn-content-top-below {\r\n	padding: 40px 0;\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/miniur-pattern-bg.jpg);\r\n}\r\n#features-introduce .grid-col {\r\n	background-color: #fff;\r\n}\r\n#features-introduce .grid-col div.grid-col_inner {\r\n	margin: 0;\r\n}\r\n#features-introduce .grid-col .block {\r\n	width: 50%;\r\n	float: left;\r\n}\r\n#features-introduce .grid-col .img-block {\r\n	transition: all 0.2s ease-in-out;\r\n	-moz-transition: all 0.2s ease-in-out;\r\n	-webkit-transition: all 0.2s ease-in-out;\r\n}\r\n#features-introduce .grid-col .img-block:hover {\r\n	transform: scale(1.2,1.2);\r\n	-moz-transform: scale(1.2,1.2);\r\n	-webkit-transform: scale(1.2,1.2);\r\n}\r\n#features-introduce .grid-col .img-block a {\r\n	display: block;\r\n	max-height: 300px;\r\n        overflow: hidden;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner {\r\n	padding: 15px;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner > h3 {\r\n	margin: 0;\r\n	min-height: 30px;\r\n	line-height: 30px;\r\n	font-size: 1.8em;\r\n}\r\n@media only screen and (min-width: 1024px) and (max-width: 1200px) {\r\n	#features-introduce .grid-col .img-block a {\r\n		max-height: 245px;\r\n	}\r\n	#features-introduce .grid-col .text-block {\r\n		max-height: 245px;\r\n		overflow: inherit;\r\n	}\r\n}\r\n\r\n/* ========== DEMO COLLECTIONS ========== */\r\n.jsn-demo-page #jsn-promo {\r\n	position: relative;\r\n	overflow: hidden;\r\n	padding-bottom: 30px;\r\n}\r\n.jsn-demo-page #jsn-promo:before {\r\n	content: \"\";\r\n	position: absolute;\r\n	display: block;\r\n	width: 100%;\r\n	height: 100%;\r\n	left: 0;\r\n	top: 0;\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/custom-promo-bg.png) center center no-repeat;\r\n	z-index: -2;\r\n}\r\n.jsn-demo-page #jsn-promo:after {\r\n	content: \"\";\r\n	position: absolute;\r\n	display: block;\r\n	width: 100%;\r\n	height: 100%;\r\n	left: 0;\r\n	top: 0;\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/miniur-pattern-transbg.png);\r\n	z-index: -1;\r\n}\r\n.jsn-demo-page #jsn-pos-promo-left div.jsn-modulecontainer {\r\n	padding: 0;\r\n}\r\n.demo-collection-wrapper {\r\n	position: relative;\r\n}\r\n.demo-collection-wrapper h3.collection-title {\r\n	position: absolute;\r\n	display: inline-block;\r\n	right: 10px;\r\n	bottom: 10px;\r\n	background: #000;\r\n	color: #fff;\r\n	height: 32px;\r\n	line-height: 30px;\r\n	margin: 0;\r\n	padding: 0 15px;\r\n        z-index: 10;\r\n}\r\n.jsn-color-red .demo-collection-wrapper h3.collection-title {\r\n	background-color: #fe6363;\r\n}\r\n.jsn-color-blue .demo-collection-wrapper h3.collection-title {\r\n	background-color: #61a9ed;\r\n}\r\n.jsn-color-green .demo-collection-wrapper h3.collection-title {\r\n	background-color: #acd278;\r\n}\r\n.jsn-color-violet .demo-collection-wrapper h3.collection-title {\r\n	background-color: #b18ed2;\r\n}\r\n.jsn-color-orange .demo-collection-wrapper h3.collection-title {\r\n	background-color: #f28d50;\r\n}\r\n.jsn-color-grey .demo-collection-wrapper h3.collection-title {\r\n	background-color: #555;\r\n}\r\n.demo-collection-wrapper .link-image {\r\n	display: block;\r\n	max-height: 148px;\r\n	overflow: hidden;\r\n	box-sizing: border-box;\r\n	-moz-box-sizing: border-box;\r\n	-webkit-box-sizing: border-box;\r\n	width: 100% !important;\r\n	border: 10px solid rgba(255,255,255,0.2);\r\n}\r\n.demo-collection-wrapper .link-image {\r\n	position: relative;\r\n}\r\n.demo-collection-wrapper .link-image:before,\r\n.demo-collection-wrapper .link-image:after {\r\n	position: absolute;\r\n	display: block;\r\n	opacity: 0;\r\n	filter: alpha(opacity=0);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)\";\r\n	transition: all 0.2s ease-in-out;\r\n	-moz-transition: all 0.2s ease-in-out;\r\n	-webkit-transition: all 0.2s ease-in-out;\r\n}\r\n.demo-collection-wrapper .link-image:hover:before,\r\n.demo-collection-wrapper .link-image:hover:after {\r\n	opacity: 1;\r\n	filter: alpha(opacity=100);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)\";\r\n}\r\n.demo-collection-wrapper .link-image:before {\r\n	content: \"\";\r\n	width: 100%;\r\n	height: 100%;\r\n	background: #fc6565;\r\n	line-height: 100%;\r\n	text-align: center;\r\n	z-index: 11;\r\n}\r\n.demo-collection-wrapper .link-image:after {\r\n	content: \"+\";\r\n	width: 50px;\r\n	height: 50px;\r\n	line-height: 50px;\r\n	font-size: 6em;\r\n	color: #fff;\r\n	margin: auto;\r\n	top: 0;\r\n	left: 0;\r\n	right: 0;\r\n	bottom: 0;\r\n	z-index: 12;\r\n}\r\n.demo-collection-wrapper {\r\n        margin-bottom: 20px;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner .desc {\r\n    font-size: 17px;\r\n}\r\n@media only screen and (max-width: 960px), (max-device-width: 960px) {\r\n\r\nbody.jsn-desktop-on-mobile .demo-collection-wrapper {\r\n        width: auto;\r\n}\r\n.demo-collection-wrapper h3.collection-title {\r\n        font-size: 1.2em;\r\n        right: 30px;\r\n}\r\n.demo-collection-wrapper:last-child .link-image {\r\n        margin-right: 0;\r\n        width: 100% !important;\r\n}\r\nbody.jsn-desktop-on-mobile .demo-collection-wrapper.first {\r\n        margin-top: 0;\r\n}\r\n}\r\n@media only screen and (max-width: 568px), (max-device-width: 568px) {\r\n.demo-collection-wrapper h3.collection-title {\r\n        right: 10px;\r\n}\r\n.demo-collection-wrapper .link-image {\r\n        margin-right: 0;\r\n        width: 100% !important;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner > h3 {\r\n	font-size: 1.1em;\r\n        line-height: 18px;\r\n        min-height: 18px;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner {\r\n    padding: 5px 15px;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner .desc {\r\n    font-size: 0.9em;\r\n}\r\n}\r\n\r\n/* ========== DEMO IMAGESHOW ========== */\r\n.jsn-demo-page .box_skitter {\r\n	background: none;\r\n}\r\n.jsn-demo-page .container_skitter {\r\n	box-sizing: border-box;\r\n	-moz-box-sizing: border-box;\r\n	-webkit-box-sizing: border-box;\r\n	width: 100% !important;\r\n	border: 10px solid rgba(255,255,255,0.2);\r\n}\r\n\r\n/* ========== DEMO HOMEPAGE TREE-MENU ========== */\r\n\r\n.jsn-homepage.jsn-demo-page div.jsn-modulecontainer ul.menu-treemenu li a {\r\n	border-bottom: 0;\r\n}\r\n.jsn-homepage.jsn-demo-page ul.menu-treemenu > li > a > span {\r\n	padding-left: 24px;\r\n	background-position: 0 -766px;\r\n}\r\n\r\n/* ========== MAIN DEMO ARTICLE ========== */\r\n\r\n#demo-homepage-article .link-image {\r\n	display: inline-block;\r\n	float: left;\r\n	width: 450px;\r\n	height: 300px;\r\n	max-width: 100%;\r\n	overflow: hidden;\r\n}\r\n#demo-homepage-article .link-image {\r\n	max-width: 100%;\r\n}\r\n#demo-homepage-article .text-content {\r\n	padding-left: 480px;\r\n}\r\n#demo-homepage-article ul.demo-feature-listing li {\r\n	margin: 10px 0;\r\n}\r\n#demo-homepage-article ul.demo-feature-listing li a {\r\n	text-transform: uppercase;\r\n	font-size: 1.2em;\r\n	line-height: 24px;\r\n}\r\n\r\n/* ========== SAMPLE LOGOS =========== */\r\n\r\n.sample-logo-wrapper .sample-logo {\r\n	width: 48%;\r\n	float: left;\r\n	text-align: center;\r\n}\r\n.sample-logo-wrapper .sample-logo a {\r\n	display: block;\r\n        -moz-transform: scale(0.5,0.5);\r\n        -webkit-transform: scale(0.8,0.8);\r\n        transform: scale(0.8,0.8);\r\n	opacity: 0.5;\r\n	filter: alpha(opacity=50);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=50)\";\r\n	transition: all 0.4s ease-in-out;\r\n	-moz-transition: all 0.4s ease-in-out;\r\n	-webkit-transition: all 0.4s ease-in-out;\r\n}\r\n.sample-logo-wrapper .sample-logo:hover a {\r\n	transform: scale(1,1);\r\n	-moz-transform: scale(1,1);\r\n	-webkit-transform: scale(1,1);\r\n	opacity: 1;\r\n	filter: alpha(opacity=100);\r\n	-ms-filter:\"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)\";\r\n}\r\n.sample-logo-wrapper .sample-logo a img {\r\n	max-width: 100%;\r\n}\r\n@media only screen and (max-width: 960px), (max-device-width: 960px) {\r\n.sample-logo-wrapper .sample-logo {\r\n        width: auto;\r\n}\r\n}\r\n@media only screen and (min-width: 569px) and (max-width: 768px), (min-device-width: 569px) and (max-device-width: 768px) {\r\n#demo-homepage-article .link-image {\r\n       width: 48%;\r\n}\r\n#demo-homepage-article .text-content {\r\n       padding-left: 52%;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner > h3 {\r\n	font-size: 1.5em;\r\n}\r\n#features-introduce .grid-col .text-block .text-block-inner .desc {\r\n    font-size: 1em;\r\n}\r\n}\r\n@media only screen and (min-width: 320px) and (max-width: 568px), (min-device-width: 320px) and (max-device-width: 568px) {\r\n#demo-homepage-article .link-image {\r\n       height: auto;\r\n}\r\nbody.jsn-mobile #demo-homepage-article .text-content {\r\n       padding-left: 0;\r\n}\r\n#demo-homepage-article .link-button {\r\n       padding: 10px;\r\n}\r\n}\r\n\r\n/* ========== DEMO NEWSLETTER ========== */\r\n\r\ndiv.jsn-modulecontainer.demo-newsletter .jsn-form-content label,\r\ndiv.jsn-modulecontainer.demo-newsletter .form-actions,\r\ndiv.jsn-modulecontainer.demo-newsletter .jsn-text-center {\r\n	display: none;\r\n}\r\ndiv.jsn-modulecontainer.demo-newsletter .jsn-form-content .control-group.email {\r\n	padding: 0 !important;\r\n}\r\ndiv.jsn-modulecontainer.demo-newsletter .jsn-form-content input.email {\r\n	padding: 8px 12px;\r\n	box-shadow: none;\r\n	-moz-box-shadow: none;\r\n	-webkit-box-shadow: none;\r\n}\r\ndiv.jsn-modulecontainer.demo-newsletter .jsn-form-content .control-group.ui-state-highlight {\r\n	background: none !important;\r\n	border-color: transparent !important;\r\n}\r\n.demo-newsletter-heading > h3 {\r\n	font-size: 1.7em !important;\r\n	line-height: 20px !important;\r\n}\r\n\r\n/* ========== DEMO SERVICES ========== */\r\n#demo-services {\r\n	margin: 40px 0 0;\r\n}\r\n#demo-services .demo-services-item {\r\n	padding-left: 50px;\r\n	margin-bottom: 40px;\r\n}\r\n#demo-services .demo-services-item .item-title {\r\n	margin: 0;\r\n	font-size: 1.6em;\r\n	line-height: 24px;\r\n}\r\n#demo-services .demo-services-item .desc {\r\n	margin: 0;\r\n}\r\n#demo-services .demo-services-item.shipping {\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/icons/shipping.png) left center no-repeat;\r\n}\r\n#demo-services .demo-services-item.delivery {\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/icons/delivery.png) left center no-repeat;\r\n}\r\n#demo-services .demo-services-item.service {\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/icons/service.png) left center no-repeat;\r\n}\r\n\r\n/* ========== CONNECT WITH US ========== */\r\n\r\n#demo-connect-with-us ul.list-arrow {\r\n	margin-top: 20px;\r\n}\r\n#demo-connect-with-us ul.list-arrow li {\r\n	margin: 10px 0;\r\n}\r\n\r\n</style>', '1', 'stick-leftbottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('108', '0', 'Position \"stick-leftmiddle\'', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-leftmiddle.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -stick-leftmiddle-\" /></a>', '1', 'stick-leftmiddle', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('109', '0', 'Position \"stick-lefttop\"', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-lefttop.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -stick-lefttop-\" /></a>', '0', 'stick-lefttop', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('110', '0', 'See other templates', '', '<a rel=\"{handler: \'iframe\', size: {x: 640, y: 510}}\" href=\"http://www.joomlashine.com/free-joomla-templates-promo.html\" class=\"modal link-tooltip\" style=\"z-index: 90;\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/see-other-templates/see-other-templates-banner.png\" width=\"120\" height=\"120\" alt=\"See other templates\" /><span style=\"left: -90px; top: -260px\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/see-other-templates/see-other-templates-banner-text.png\" width=\"200\" height=\"200\" alt=\"See other templates\" /></span></a>', '1', 'stick-rightbottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('112', '0', 'Position \"stick-rightmiddle\"', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-rightmiddle.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -stickrightmiddle-\" /></a>', '0', 'stick-rightmiddle', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('116', '0', 'Layout Variations', '', '<div class=\"grid-layout\" style=\"margin-top: 10px\">\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=90&Itemid=472\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		Left | Center | Right</a></div>\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=92&Itemid=477\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-mc.png\" width=\"160\" height=\"90\" alt=\"Main content only\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		Main content only</a></div>\n</div>\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=89&Itemid=474\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lcir.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		Left | Center | InnerRight</a></div>\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=88&Itemid=476\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-ilcr.png\" width=\"160\" height=\"90\" alt=\"InnerLeft | Center | Right\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		InnerLeft | Center | Right</a></div>\n</div>\n<div class=\"grid-layout\" style=\"margin-top: 10px\">\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=91&Itemid=473\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-lilc.png\" width=\"160\" height=\"90\" alt=\"Left | Center | InnerRight\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		Left | InnerLeft | Center</a></div>\n	<div class=\"content-center\"><a href=\"index.php?option=com_content&view=article&id=87&Itemid=475\" class=\"link-highlight\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/layout-variations/layout-thumb-cirr.png\" width=\"160\" height=\"90\" alt=\"Left | Center | Right\" style=\"vertical-align: middle;\" class=\"margin-right\" /><br />\n		Center | InnerRight | Right</a></div>\n</div>\n', '2', 'user-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('118', '0', 'Position \"content-top\"', '', '<p>This is a sample module in position <strong>&ldquo;content-top&rdquo;</strong>. All modules in this position will be arranged in <strong>horizontal row</strong>. The whole position will be collapsed, if there are no modules published.</p>\n', '1', 'content-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('120', '0', 'Position \"content-top\"', '', '<p>This is a sample module in position <strong>&ldquo;content-top&rdquo;</strong>. All modules in this position will be arranged in <strong>horizontal row</strong>. The whole position will be collapsed, if there are no modules published.</p>\n', '3', 'content-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('121', '0', 'Position \"user7\"', '', '<p>This is a sample module in position <strong>&ldquo;user7&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '1', 'user7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('122', '0', 'Position \"user6\"', '', '<p>This is a sample module in position <strong>&ldquo;user6&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '1', 'user6', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('123', '0', 'Position \"user3\"', '', '<p>This is a sample module in position <strong>&ldquo;user3&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '1', 'user3', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('128', '0', '\"richbox-1\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br />\r\n  <strong>\"richbox-1\"</strong></p>', '6', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('130', '0', '\"lightbox-2\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br />\r\n  <strong>\"lightbox-2\"</strong></p>', '8', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"lightbox-2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('136', '0', 'Tab News', '', '<div id=\"demo-tab-news\">\r\n\r\n	<div id=\"tabs\" class=\"clearfix\">\r\n\r\n		<div id=\"tabs_container\">\r\n\r\n			<div id=\"tabs-1\">\r\n				<h3 class=\"news-title\">Last five words</h3>\r\n			    <p>Proin elit arcu, rutrum commodo, vehicula tempus, commodo a, risus. Curabitur nec arcu. Donec sollicitudin mi sit amet mauris. Nam elementum quam ullamcorper ante. Etiam aliquet massa et lorem. Mauris dapibus lacus auctor risus.</p>\r\n			    <p>Aenean tempor ullamcorper leo. Vivamus sed magna quis ligula eleifend adipiscing. Duis orci. Aliquam sodales tortor vitae ipsum. Aliquam nulla.</p>\r\n			</div>\r\n\r\n			<div id=\"tabs-2\">\r\n				<h3 class=\"news-title\">Your life is a beautiful mess</h3>\r\n			    <p>Morbi tincidunt, dui sit amet facilisis feugiat, odio metus gravida ante, ut pharetra massa metus id nunc. Duis scelerisque molestie turpis. Sed fringilla, massa eget luctus malesuada, metus eros molestie lectus, ut tempus eros massa ut dolor.</p>\r\n		\r\n			</div>\r\n\r\n			<div id=\"tabs-3\">\r\n				<h3 class=\"news-title\">2014, still flat design?</h3>\r\n			    <p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem.</p>\r\n			    <p> Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales.</p>\r\n			</div>\r\n\r\n			<div id=\"tabs-4\">\r\n				<h3 class=\"news-title\">2014, still flat design?</h3>\r\n			    <p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem.</p>\r\n			    <p> Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales.</p>\r\n			</div>\r\n\r\n			<div id=\"tabs-5\">\r\n				<h3 class=\"news-title\">2014, still flat design?</h3>\r\n			    <p>Mauris eleifend est et turpis. Duis id erat. Suspendisse potenti. Aliquam vulputate, pede vel vehicula accumsan, mi neque rutrum erat, eu congue orci lorem eget lorem.</p>\r\n			    <p> Vestibulum non ante. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Fusce sodales.</p>\r\n			</div>\r\n\r\n		</div><!--End tabs container-->\r\n\r\n		<ul class=\"tabs_title\">\r\n			<li><a href=\"#tabs-1\" title=\"\">Last five words</a></li>\r\n			<li><a href=\"#tabs-2\" title=\"\">Your life is a beautiful mess</a></li>\r\n			<li><a href=\"#tabs-3\" title=\"\">2014, still flat design?</a></li>\r\n			<li><a href=\"#tabs-4\" title=\"\">Tom Hank\'s story</a></li>\r\n			<li><a href=\"#tabs-5\" title=\"\">More simple more attractive</a></li>\r\n		</ul>\r\n		\r\n	</div><!--End tabs-->', '1', 'user1', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('137', '0', 'Position \"user2\"', '', '<p>This is a sample module in position <strong>&ldquo;user2&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '1', 'user2', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('139', '0', 'Position \"user4\"', '', '<p>This is a sample module in position <strong>&ldquo;user4&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '1', 'user4', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('140', '0', 'Position \"user5\"', '', '<p>This is a sample module in position <strong>&ldquo;user5&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '0', 'user5', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('141', '247', 'Menu', '', '', '9', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"base\":\"\",\"startLevel\":\"2\",\"endLevel\":\"3\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('143', '0', 'See PRO edition', '', '<a href=\"http://demo.joomlashine.com/joomla-templates/jsn-force.html\" class=\"link-tooltip\" style=\"z-index: 90;\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/pro-edition/pro-edition-banner.png\" width=\"120\" height=\"120\" alt=\"See PRO edition\" /><span style=\"left: -120px; top: -20px\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/pro-edition/pro-edition-banner-text.png\" width=\"240\" height=\"250\" alt=\"See PRO edition\" /></span></a>', '1', 'stick-righttop', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('152', '0', 'PRO Edition', '', '<p><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/editions-badge-pro.png\" border=\"0\" width=\"75\" height=\"75\" class=\"image-left\" />If you are serious about your time and money, buy PRO edition with full features and dedicated support.</p>\r\n<p><a href=\"http://www.joomlashine.com/joomla-templates/jsn-force-download.html\" class=\"link-action\">Buy PRO edition</a></p>', '12', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('159', '0', 'Position \"promo-left\"', '', '<p>This is a sample module in position <strong>&ldquo;promo-left&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '3', 'promo-left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('160', '0', 'Position \"promo-right\"', '', '<p>This is a sample module in position <strong>&ldquo;promo-right&rdquo;</strong>. All modules in this position will be arranged in <strong>vertical column</strong>. The whole position will be collapsed, if there are no modules published.</p>', '0', 'promo-right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('161', '0', 'Join Our Newsletter', '', '<div class=\"demo-join-newsletter clearafter\">\r\n	<h3 class=\"heading\">Be updated about our latest sales and coupons!</h3>\r\n	<a href=\"#\" class=\"link-button button-suit\"><span class=\"link-icon jsn-icon-email-open\">Join Our Newsletter</span></a>\r\n</div>', '1', 'promo', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-newsletter-join\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('162', '0', 'Our Collection', '', '<section class=\"sec-recent-work1 animate-bg\">\r\n   	<div class=\"text-heading large-head white \">\r\n   		<h1>Extended Style for Extensions</h1>\r\n       		<span>An outstanding eCommerce Template with extended styles for three extensions: Shopping Cart from J2Store, Kunena and K2.</span>\r\n    	</div><!--end:text-heading-->\r\n    	<div class=\"portfolio port-5col\">\r\n        <div class=\"port-wrap port-full-width no-space no-desc\">\r\n        \r\n          <div class=\"port-item 3d illustrator\">\r\n          	 	<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                      	<h3><a href=\"#\">2014 Trend</a></h3>  \r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/1.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/1.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                    	<span class=\"triangle\"></span>\r\n                  	<h3><a href=\"#\">2014 Trend</a></h3>\r\n                    	<div class=\"cat\"><a href=\"#\">Photography</a>, <a href=\"#\">Digital painting</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item brand\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Leather Bag</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/2.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/2.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                    		<span class=\"triangle\"></span>\r\n                  		<h3><a href=\"#\">Leather Bag</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">Branding</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item digital illustrator\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Combat Boots</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/3.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/3.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                    		<span class=\"triangle\"></span>\r\n                  		<h3><a href=\"#\">Combat Boots</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">Photography</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->	\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item illustrator\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Mask</a></h3>\r\n                    	   	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/4.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                        	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/4.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                  		<h3><a href=\"#\">Mask</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">Photography</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          <div class=\"port-item icon 3d \">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Glasses</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/5.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         <span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/5.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                        	<h3><a href=\"#\">Glasses</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">icon</a>,<a href=\"#\">3D</a> </div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item 3d illustrator\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Outlet</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/6.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         <span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/6.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                        	<h3><a href=\"#\">Outlet</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">3d</a>, <a href=\"#\">illustrator</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item 3d \">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Simplicity</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/7a.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         <span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/7.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                        	<h3><a href=\"#\">Simplicity</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">Photography</a>, <a href=\"#\">Digital painting</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item 3d icon ui\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Glass</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/8.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/8.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                        	<h3><a href=\"#\">Glass</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">3D</a>, <a href=\"#\">icon</a>, <a href=\"#\">UX/UI</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item ui\">\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Cap</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/9.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                        	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/9.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  		<span class=\"triangle\"></span>\r\n                        	<h3><a href=\"#\">Cap</a></h3>\r\n                    		<div class=\"cat\"><a href=\"#\">UX/UI</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n          \r\n          \r\n          <div class=\"port-item brand\" >\r\n          		<div class=\"p-item\">\r\n              		<div class=\"pthumb\">\r\n                    	<div class=\"mask\">\r\n                        	<h3><a href=\"#\">Sport</a></h3>\r\n                      	<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/10.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 600, y: 420}}\"><span class=\"details\">See Details</span></a>\r\n                         	<span class=\"glass\"></span>   \r\n                      </div>\r\n                  	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/collection/photo/10.jpg\">\r\n                  </div><!--end:pthumb-->\r\n                  <div class=\"port-meta\">\r\n                  	<div class=\"cat\"><a href=\"#\">Branding</a></div>\r\n                  </div><!--end:port-meta-->\r\n              	</div><!--end:p-item-->\r\n          </div>\r\n        </div><!--end:port-wrap-->\r\n                \r\n        </div><!--end:portfolio-->\r\n        <center>\r\n        <a href=\"http://rc.joomlashine.com/demo/joomla-templates/jsn_force/j25/pro/index.php?option=com_content&view=article&id=101&Itemid=498\" class=\"link-button\">Product Tour!</a>\r\n        </center>\r\n    </section>\r\n    \r\n    <div class=\"demo-promo-box\">\r\n    <h3 class=\"promo-heading\">Are you ready for shopping?</h3>\r\n    <div class=\"btn-group\">\r\n      <a href=\"http://www.joomlashine.com/free-joomla-templates.html\" target=\"_blank\" class=\"link-button\">Download Free</a>\r\n      <a href=\"http://www.joomlashine.com/joomla-templates/jsn-force-joomla-template-details.html\" class=\"link-button\">Buy It Now</a>\r\n    </div>\r\n    </div>', '4', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-our-collection\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('163', '0', 'Position \"content-bottom\"', '', '<p>This is a sample module in position <strong>&ldquo;content-bottom&rdquo;</strong>. All modules in this position will be arranged in <strong>horizontal row</strong>. The whole position will be collapsed, if there are no modules published.</p>\n', '5', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('168', '0', 'Main Menu (Icons & Rich Text)', '', '', '0', 'mainmenu', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '0', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"menu-mainmenu menu-iconmenu menu-richmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('173', '0', 'Reviews on JED', '', '<p>JSN UniForm has been <strong>approved on Joomla Extension Directory</strong>. Let\'s see how Joomla community enjoy it. If you use JSN UniForm, please post a rating and a review at the <a href=\"http://www.joomlashine.com/joomla-extensions/jsn-uniform-on-jed.html\" target=\"_one\">Joomla! Extensions Directory</a></p>\r\n', '7', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-2 jsn-icon-user\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('174', '0', 'Free Joomla! Ebook', '', '<a href=\"http://www.joomlashine.com/index.php?option=com_lightcart&view=sharemessage&layout=askbefore&tmpl=component&utm_source=demo.joomlashine.com%20&utm_medium=banner&utm_campaign=Joomla%2B3.0%2BMade%2BEasy\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/banners/banner-joomla-30-made-easy.jpg\" alt=\"Free Joomla ebook | Joomla 3.0 Made Easy\" /></a>', '11', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('176', '0', 'Our Facebook', '', '<iframe src=\"//www.facebook.com/plugins/likebox.php?href=http%3A%2F%2Fwww.facebook.com%2Fjoomlashine&amp;width=234&amp;height=303&amp;show_faces=true&amp;colorscheme=light&amp;stream=false&amp;border_color=%23ffffff&amp;header=false&amp;appId=350219141723323\" scrolling=\"no\" frameborder=\"0\" style=\"border:none; overflow:hidden; width:234px; height:354px;\" allowTransparency=\"true\"></iframe>', '10', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('178', '0', 'Search ', '', '', '5', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_finder', '1', '1', '{\"searchfilter\":\"\",\"show_autosuggest\":\"1\",\"show_advanced\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"field_size\":\"25\",\"alt_label\":\"\",\"show_label\":\"1\",\"label_pos\":\"top\",\"show_button\":\"0\",\"button_pos\":\"right\",\"opensearch\":\"1\",\"opensearch_title\":\"\"}', '0', '*'),
('179', '0', 'Must-see Stuff', '', '', '1', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"mini-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('180', '0', 'Who\'s Online', '', '', '4', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_whosonline', '1', '1', '{\"showmode\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"mini-1\",\"cache\":\"0\",\"filter_groups\":\"0\"}', '0', '*'),
('186', '0', 'Networks', '', '', '0', 'user7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"mini-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('190', '0', 'Promo Products', '', '<div class=\"top-products\">\r\n        <div class=\"list-pro features-pro nav-inside\">\r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-1.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-1.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Scarf</h4>\r\n                    <span> £150 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>T-Shirt</h4>\r\n                    <span> £250</span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Shoes</h4>\r\n                    <span> £500 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Short</h4>\r\n                    <span> £180</span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Watch</h4>\r\n                    <span> £2,000 </span>\r\n                  <nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Leather Bag</h4>\r\n                    <span> £1,200 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Denim T-Shirt</h4>\r\n                    <span> £220</span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Glasses</h4>\r\n                    <span> £320 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n               <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Combat Boots</h4>\r\n                    <span> £800 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            <div class=\"s1-item\">\r\n                <div class=\"product-thumb\">\r\n            <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\"></a>\r\n          </div>\r\n              <div class=\"p-info\">\r\n                <h4>Wallet</h4>\r\n                    <span> £420 </span>\r\n                  	<nav>\r\n                    <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\" class=link-button \"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a>\r\n                  </nav>  \r\n              </div><!--end:p-info -->\r\n            </div> <!--end:item-->\r\n            \r\n            \r\n        </div>\r\n   </div><!--end:top products-->', '2', 'promo', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-promo-products\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('191', '0', 'Profile Intro', '', '<div class=\"infor-promo\">\r\n<div>\r\n<img class=\"image-left\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/profile-intro/promo-right1.png\" border=\"0\" alt=\"\">\r\n<div class=\"infor-promo-text\">\r\n<h3 class=\"jsn-moduletitle\">Flexible Layout</h3>\r\n<p>JSN One provides 36+ module positions allowing you to have multiple layout configurations. All module positions works well in RTL mode.</p>\r\n</div>\r\n</div>\r\n<div>\r\n<p><img class=\"image-left\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/profile-intro/promo-right2.png\" border=\"0\"></p>\r\n<div class=\"infor-promo-text\">\r\n<h3 class=\"jsn-moduletitle\">Native RTL Support</h3>\r\n<p>Native RTL support means that every elements on the page is mirror swapped including layout, menus, typography, icons...everything. </p>\r\n</div>\r\n</div>\r\n<div>\r\n<img class=\"image-left\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/profile-intro/promo-right3.png\" border=\"0\">\r\n<div class=\"infor-promo-text\">\r\n<h3 class=\"jsn-moduletitle\">Imageshow Included</h3>\r\n<p>The image gallery you see on this website is the FREE edition of another cool product: JSN ImageShow.  It will help you to display images lively and truthfully</p>\r\n<ul>\r\n<li style=\"line-height: 27px;\"><strong>Multiple Image Sources</strong></li>\r\n<li style=\"line-height: 27px;\"><strong>Multiple Gallery Themes</strong></li>\r\n<li style=\"line-height: 27px;\"><strong>Present Anywhere</strong></li>\r\n</ul>\r\n</div>\r\n</div>\r\n\r\n</div>', '1', 'promo-right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('194', '0', 'Search', '', '', '4', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_finder', '1', '0', '{\"searchfilter\":\"\",\"show_autosuggest\":\"1\",\"show_advanced\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"field_size\":25,\"alt_label\":\"\",\"show_label\":\"1\",\"label_pos\":\"top\",\"show_button\":\"0\",\"button_pos\":\"right\",\"opensearch\":\"1\",\"opensearch_title\":\"\"}', '0', '*'),
('199', '0', 'Search', '', '', '5', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_search', '1', '0', '{\"label\":\"\",\"width\":\"20\",\"text\":\"Search...\",\"button\":\"\",\"button_pos\":\"right\",\"imagebutton\":\"\",\"button_text\":\"\",\"opensearch\":\"1\",\"opensearch_title\":\"\",\"set_itemid\":\"798\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('210', '0', 'Header Top ImageShow', '', '', '1', 'header-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_imageshow', '1', '0', '{\"moduleclass_sfx\":\"header-top-is\",\"showlist_id\":\"9\",\"showcase_id\":\"3\",\"width\":\"960px\",\"height\":\"640\",\"pretext\":\"\",\"posttext\":\"\"}', '0', '*'),
('211', '0', 'Main Event Categories', '', '<style>\r\n#jsn-pos-content-top {\r\n    background: transparent;\r\n}\r\ndiv.jsn-modulecontainer.event-categories {\r\n  margin-top: -230px !important;\r\n}\r\ndiv.event-categories #demo-event-cat .cat {\r\n  text-align: center;\r\n}\r\ndiv.event-categories #demo-event-cat .cat h3 {\r\n  font-size: 2.5em;\r\n  text-transform: uppercase;\r\n}\r\ndiv.event-categories #demo-event-cat .cat .desc {\r\n  max-width: 150px;\r\n  margin: 0 auto;\r\n  display: inline-block;\r\n}\r\ndiv.event-categories #demo-event-cat .cat-img img {\r\n  -webkit-filter: saturate(20%);\r\n  border-radius: 100%;\r\n  -moz-border-radius: 100%;\r\n  -webkit-border-radius: 100%;\r\n  transition: all 0.3s ease-in-out;\r\n  -moz-transition: all 0.3s ease-in-out;\r\n  -webkit-transition: all 0.3s ease-in-out;\r\n}\r\ndiv.event-categories #demo-event-cat .cat:hover .cat-img img {;\r\n  -webkit-filter: saturate(100%);\r\n}\r\n\r\n@media only screen and (min-width: 569px) and (max-width: 960px), (min-device-width: 569px) and (max-device-width: 960px) {\r\n  div.jsn-modulecontainer.event-categories {\r\n    margin-top: -160px !important;\r\n  }\r\n}\r\n@media only screen and (min-width: 569px) and (max-width: 768px), (min-device-width: 569px) and (max-device-width: 768px) and (orientation:portrait) {\r\n  div.jsn-modulecontainer.event-categories {\r\n    margin-top: -130px !important;\r\n  }\r\n}\r\n@media only screen and (max-width: 568px), (max-device-width: 568px) {\r\n  div.jsn-modulecontainer.event-categories {\r\n    margin-top: -165px !important;\r\n  }\r\n  div.event-categories #demo-event-cat .cat h3 {\r\n    font-size: 2em;\r\n    margin: 0;\r\n  }\r\n}\r\n\r\n</style>\r\n\r\n\r\n<div id=\"demo-event-cat\">\r\n\r\n<div class=\"grid-layout\">\r\n\r\n<div class=\"cat\">\r\n<div class=\"cat-img\">\r\n<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/content-top/party-img.jpg\" /></a>\r\n</div>\r\n<h3><a href=\"#\">Parties</a></h3>\r\n<p class=\"desc\">\r\nIt\'s time to drink and dance\r\n</p>\r\n</div>\r\n\r\n<div class=\"cat\">\r\n<div class=\"cat-img\">\r\n<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/content-top/congress-img.jpg\" /></a>\r\n</div>\r\n<h3><a href=\"#\">Music Show</a></h3>\r\n<p class=\"desc\">\r\nPlay the moments, pause the memories\r\n</p>\r\n</div>\r\n\r\n<div class=\"cat\">\r\n<div class=\"cat-img\">\r\n<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/content-top/meeting-img.jpg\" /></a>\r\n</div>\r\n<h3><a href=\"#\">Meetings</a></h3>\r\n<p class=\"desc\">\r\nEnlarge your circle of friends\r\n</p>\r\n</div>\r\n\r\n</div>\r\n\r\n</div>', '1', 'content-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"event-categories\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('214', '0', 'Our Team Heading', '', '<div id=\"our-team\" class=\"demo-mainsection-intro\">\r\n<h1 class=\"main-heading\"><span><i class=\"main-heading-icon icon-groupuser\"></i>Our Team</span></h1>\r\n<p class=\"main-heading-desc\">\r\nPassionate web developers, talented designers, and helpful support staff.\r\n</p>\r\n</div>', '0', 'content-bottom-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('215', '0', 'Our Team Members', '', '<div id=\"our-team-member\">\r\n\r\n<div class=\"grid-layout\">\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/1.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Michael Steele</h4>\r\n<span>CEO</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\"We focus on the products quality, which can be clearly seen in our design, functionality and usability.\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/2.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Frank Thomas</h4>\r\n<span>Co-Founder</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\"Actively participating in Joomla forums, our staff are making a positive contribution to the community.\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/3.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Tracy Belle</h4>\r\n<span>VFX Designer</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\"We strongly promote continuous learning and training, keep updated with the latest news and techniques.\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"grid-layout\">\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/4.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Larry Queen</h4>\r\n<span>Marketer</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\"We share our knowledge and skills through various Joomla tutorials with full and detailed explanations.\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/5.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Luke Richardson</h4>\r\n<span>Coder</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\" As a result, the code should be clean and well commented, and each line of the code in our products matters.\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n<div class=\"grid-col\">\r\n<div class=\"member-item\">\r\n<img class=\"member-avatar\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/our-team/6.jpg\" alt=\"\" />\r\n<div class=\"member-desc\">\r\n<div class=\"member-name\">\r\n<h4>Martin Sinclair</h4>\r\n<span>Account Manager</span>\r\n</div>\r\n<div class=\"memer-info\">\r\n\"We know how support is important to you. The response, therefore, should be fast and helpful\"\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n\r\n</div>', '0', 'content-bottom-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"our-team-member\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*');

INSERT INTO lo1t2_modules
(`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES 
('217', '0', 'Contact Intro', '', '<div id=\"our-contact\" class=\"demo-mainsection-intro\">\r\n<h1 class=\"main-heading\"><span><i class=\"main-heading-icon icon-maplocation\"></i>Contact</span></h1>\r\n<p class=\"main-heading-desc\">\r\nWe bring a personal and effective approach to every project we work on, which is why our clients love us.\r\n</p>\r\n</div>', '3', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('218', '0', 'Office Branches', '', '<div class=\"demo-office-branch\">\r\n<h3>Singapore Office</h3>\r\n<span>No 200/638 Peace Street, Singapore 065</span>\r\n<hr />\r\n<div class=\"office-desc\">\r\n<p>Mobile: +065 01234 5678</p>\r\n<p>Fax: +065 1111 1111</p>\r\n<p>Email: <a href=\"#\">mini-contact@gmail.com</a></p>\r\n</div>\r\n</div>\r\n\r\n<div class=\"demo-office-branch\">\r\n<h3>Serbia Office</h3>\r\n<span>Tratenik, Serbia, Brace Spasojevic Street 27</span>\r\n<hr />\r\n<div class=\"office-desc\">\r\n<p>Mobile: +027 1234 5678</p>\r\n<p>Fax: +027 1111 1111</p>\r\n<p>Email: <a href=\"#\">mini-serbia@gmail.com</a></p>\r\n</div>\r\n</div>', '1', 'user5', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('220', '0', 'Main Menu', '', '', '1', 'mainmenu', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '0', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"3\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"menu-mainmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('221', '0', 'Login ', '', '', '1', 'toolbar', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_login', '1', '1', '{\"pretext\":\"\",\"posttext\":\"\",\"login\":\"\",\"logout\":\"\",\"greeting\":\"1\",\"name\":\"0\",\"usesecure\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"display-dropdown display-desktop display-tablet jsn-icon-user\",\"cache\":\"0\"}', '0', '*'),
('222', '0', 'Homepage Slideshow', '', '', '0', 'promo-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_imageshow', '1', '0', '{\"moduleclass_sfx\":\"promo-top\",\"showlist_id\":\"9\",\"showcase_id\":\"1\",\"width\":\"100%\",\"height\":\"810\",\"pretext\":\"\",\"posttext\":\"\"}', '0', '*'),
('223', '0', 'Promo Intro Text', '', '<style>\r\n.link-button {\r\n  cursor: pointer;\r\n  font-size: 1.1em;\r\n  padding: 15px 25px;\r\n  display: inline-block;\r\n  text-decoration: none;\r\n  color: #fff;\r\n}\r\na.link-button:hover, .link-button a:hover {\r\n  text-decoration: none;\r\n  color: #fff;\r\n}\r\n.link-button.button-red {\r\n  background-color: #e65538;\r\n}\r\n.link-button.button-red:hover {\r\n  background-color: #f26b5a;\r\n}\r\n#jsn-pos-promo-over {\r\n  position: relative;\r\n}\r\ndiv.jsn-modulecontainer.promo-intro {\r\n  position: absolute;\r\n  z-index: 100;\r\n  top: 240px;\r\n  width: 100%;\r\n  text-align: center;\r\n  color: #fff;\r\n}\r\n#demo-promo-intro {\r\n  max-width: 100%;\r\n  width: 1000px;\r\n  margin: 0 auto;\r\n}\r\n#demo-promo-intro h2.promo-intro-heading {\r\n  color: #fff;\r\n  text-transform: uppercase;\r\n  font-size: 5em;\r\n}\r\nbody.jsn-textstyle-personal #demo-promo-intro h2.promo-intro-heading {\r\n  font-size: 2em;\r\n}\r\n#demo-promo-intro .desc {\r\n  width: 500px;\r\n  max-width: 100%;\r\n  margin: 0 0 50px;\r\n  display: inline-block;\r\n  font-size: 1.5em;\r\n}\r\n@media only screen and (min-width: 961px) and (max-width: 1440px) {\r\n  div.jsn-modulecontainer.promo-intro {\r\n    top: 150px;\r\n  }\r\n}\r\n@media only screen and (max-width: 960px), (max-device-width: 960px) {\r\ndiv.jsn-modulecontainer.promo-intro {\r\n  top: 200px;\r\n}\r\n#demo-promo-intro h2.promo-intro-heading {\r\n  font-size: 2.5em;\r\n  margin: 10px 0;\r\n}\r\n#demo-promo-intro .desc {\r\n  margin: 0 0 20px;\r\n  font-size: 1.1em;\r\n}\r\n}\r\n@media only screen and (min-width: 569px) and (max-width: 768px), (min-device-width: 569px) and (max-device-width: 768px) and (orientation:portrait) {\r\ndiv.jsn-modulecontainer.promo-intro {\r\n  top: 170px;\r\n}\r\n#demo-promo-intro h2.promo-intro-heading {\r\n    font-size: 2em;\r\n}\r\n}\r\n</style>\r\n\r\n<div id=\"demo-promo-intro\">\r\n<h2 class=\"promo-intro-heading\">Welcome to JSN One</h2>\r\n<p class=\"desc\">\r\nA high quality multi-purpose Joomla template, especially made for event websites with Ohanah - Joomla events extension compatibility\r\n</p>\r\n<div class=\"clearbreak\"></div>\r\n<a href=\"index.php?option=com_content&view=article&id=101&Itemid=498\" class=\"link-button button-red\">See Product Tour</a>\r\n</div>', '2', 'promo-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"promo-intro display-desktop display-tablet\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('224', '0', 'Keep In Touch', '', '<div class=\"demo-keep-in-touch\">\r\n	<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/footer-logo.png\" atl=\"footer-logo\" class=\"logo-foot\">\r\n	<p><strong>JoomlaShine</strong> is a team of full – time professionals including passionate web developers, talented designers, and active supporters. We focus on the design, functionality and usability of both FREE Hi-Quality Products and Commerical Products. </p>\r\n	<hr class=\"sep\" />\r\n	<p>No.1 Abbey Road, London, W1 ECH <br>\r\n		Call: +1 (0) 234 5678 90 <br>\r\n		Email: <a href=\"mailto:support@joomlashine.com\">support@joomlashine.com</a>\r\n	</p>\r\n</div>\r\n	\r\n\r\n	\r\n', '1', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('225', '0', 'Custom map', '', '<div style=\"width:100%;height:600px\"><iframe style=\"width:100%;\" height=\"600\" frameborder=\"0\" scrolling=\"no\" marginheight=\"0\" marginwidth=\"0\" src=\"http://maps.google.com/maps?f=q&source=s_q&hl=en&geocode=&q=48.835826%2C%2B2.485417(JSN+One)&ie=UTF8&z=16&t=m&iwloc=near&output=embed\"></iframe></div>', '1', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-map\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('226', '0', 'Subcription Form', '', '', '5', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_uniform', '1', '0', '{\"uniform_top_content\":\"\",\"form_id\":\"3\",\"uniform_bottom_content\":\"<div class=\\\"demo-contact-desc\\\">\\r\\n<h3>JSN One INC.<\\/h3>\\r\\n<div class=\\\"desc\\\">\\r\\n<p>No 20\\/538, Grand Rue Charles de Gaulle, Paris<\\/p>\\r\\n<p>T: +967 012 3456<\\/p>\\r\\n<p>E: <a>demo@joomlashine.com<\\/a><\\/p>\\r\\n<p>W: <a>joomlashine.com<\\/a><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\",\"show_form_title\":\"0\",\"show_form_description\":\"0\",\"moduleclass_sfx\":\"demo-contact-info\",\"cache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('227', '0', 'About One', '', '<!-- JSN VENTURE DEMO MODULE -->\r\n\r\n<style>\r\n.jsn-demo-page #jsn-content-bottom {\r\n	background: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/about-intro/content-bottom.jpg) center top;\r\n	background-size: 100% auto;\r\n	margin-top: -130px;\r\n}\r\n.jsn-demo-page #jsn-content-bottom:before {\r\n	content: \"\";\r\n	display: block;\r\n	position: absolute;\r\n	top: 0;\r\n	left: 0;\r\n	width: 100%;\r\n	height: 100%;\r\n	z-index: -1;\r\n}\r\n.jsn-demo-page.jsn-color-cyan #jsn-content-bottom:before {\r\n	background: rgba(68,191,149,0.92);\r\n}\r\n.jsn-demo-page.jsn-color-blue #jsn-content-bottom:before {\r\n	background: rgba(7,128,179,0.92);\r\n}\r\n.jsn-demo-page.jsn-color-red #jsn-content-bottom:before {\r\n	background: rgba(230,85,56,0.92);\r\n}\r\n.jsn-demo-page.jsn-color-purple #jsn-content-bottom:before {\r\n	background: rgba(177,119,179,0.92);\r\n}\r\n.jsn-demo-page.jsn-color-pink #jsn-content-bottom:before {\r\n	background: rgba(234,118,140,0.92);\r\n}\r\n.jsn-demo-page.jsn-color-grey #jsn-content-bottom:before {\r\n	background: rgba(107,113,120,0.92);\r\n}\r\n\r\n#demo-about-intro {\r\n	color: #fff;\r\n	text-align: center;\r\n	padding: 180px 0 100px;\r\n}\r\n#demo-about-intro h3.main-heading {\r\n	color: #fff;\r\n	font-size: 3em;\r\n	letter-spacing: 2px;\r\n	text-transform: uppercase;\r\n	display: inline-block;\r\n	margin: 0;\r\n	padding: 5px 0;\r\n	border-top: 2px solid #fff;\r\n	border-bottom: 2px solid #fff;\r\n}\r\n#demo-about-intro .desc {\r\n	width: 850px;\r\n	max-width: 100%;\r\n	font-size: 1.5em;\r\n	line-height: 1.8em;\r\n	margin: 80px auto 50px;\r\n}\r\n#demo-about-intro .desc p {\r\n	margin: 0 0 20px;\r\n}\r\n#demo-about-intro #guiding-icons {\r\n	display: inline-block;\r\n	margin: 50px auto;\r\n	max-width: 100%;\r\n}\r\n#demo-about-intro #guiding-icons .icon {\r\n	display: inline-block;\r\n	height: 80px;\r\n	width: 80px;\r\n	margin: 0 25px;\r\n	border-radius: 100%;\r\n	-moz-border-radius: 100%;\r\n	-webkit-border-radius: 100%;\r\n}\r\n#demo-about-intro #guiding-icons .icon > div {\r\n	height: 100%;\r\n	width: 100%;\r\n	margin: 0;\r\n}\r\n#demo-about-intro #guiding-icons .icon a {\r\n	height: 100%;\r\n	width: 100%;\r\n	display: block;\r\n	position: relative;\r\n	background-position: center center;\r\n	background-repeat: no-repeat;\r\n	border: 2px solid #fff\\9;\r\n	border-radius: 100%;\r\n	-moz-border-radius: 100%;\r\n	-webkit-border-radius: 100%;\r\n	-webkit-transition: all 0.2s;\r\n	-moz-transition: all 0.2s;\r\n	transition: all 0.2s;\r\n}\r\n#demo-about-intro #guiding-icons .lightning a {\r\n	background-image: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/icons/iconround-lightning.png);\r\n}\r\n#demo-about-intro #guiding-icons .responsive a {\r\n	background-image: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/icons/iconround-mobile.png);\r\n}\r\n#demo-about-intro #guiding-icons .maintainance a {\r\n	background-image: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/icons/iconround-maintain.png);\r\n}\r\n#demo-about-intro #guiding-icons .customize a {\r\n	background-image: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/icons/iconround-customize.png);\r\n}\r\n#demo-about-intro #guiding-icons .param a {\r\n	background-image: url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/icons/iconround-param.png);\r\n}\r\n\r\n#demo-about-intro #guiding-icons .lightning a:after {\r\n	content: \"Painless configuration\";\r\n}\r\n#demo-about-intro #guiding-icons .responsive a:after {\r\n	content: \"Image Gallery\";\r\n}\r\n#demo-about-intro #guiding-icons .maintainance a:after {\r\n	content: \"Easy to start\";\r\n}\r\n#demo-about-intro #guiding-icons .customize a:after {\r\n	content: \"Layout\";\r\n}\r\n#demo-about-intro #guiding-icons .param a:after {\r\n	content: \"Various modules\";\r\n}\r\n#demo-about-intro #guiding-icons .icon a:after {\r\n	pointer-events: none;\r\n	position: absolute;\r\n	height: 100%;\r\n	width: 100px;\r\n	color: #fff;\r\n	font-size: 1.4em;\r\n	line-height: 1.2em;\r\n	font-weight: 200;\r\n	text-transform: uppercase;\r\n	top: 0;\r\n	left: 50%;\r\n	margin-left: -50px;\r\n	z-index: -1;\r\n	opacity: 0;\r\n	filter: alpha(opacity=0);\r\n	-ms-filter: \"progid:DXImageTransform.Microsoft.Alpha(Opacity=0)\";\r\n	transform: translateY(100%);\r\n	-moz-transform: translateY(100%);\r\n	-webkit-transform: translateY(100%);\r\n	-webkit-transition: all 0.5s;\r\n	-moz-transition: all 0.5s;\r\n	transition: all 0.5s;\r\n}\r\n#demo-about-intro #guiding-icons .icon:hover a:after {\r\n	opacity: 1;\r\n	filter: alpha(opacity=100);\r\n	-ms-filter: \"progid:DXImageTransform.Microsoft.Alpha(Opacity=100)\";\r\n	transform: translateY(140%);\r\n	-moz-transform: translateY(140%);\r\n	-webkit-transform: translateY(140%);\r\n}\r\n#demo-about-intro #guiding-icons .icon a:before {\r\n	pointer-events: none;\r\n	position: absolute;\r\n	width: 100%;\r\n	height: 100%;\r\n	border-radius: 100%;\r\n	content: \'\';\r\n	top: 0;\r\n	left: 0;\r\n	box-shadow: 0 0 0 2px #fff;\r\n	-webkit-transition: -webkit-transform 0.2s;\r\n	-moz-transition: -moz-transform 0.2s;\r\n	transition: transform 0.2s;\r\n	-webkit-box-sizing: content-box;\r\n	-moz-box-sizing: content-box;\r\n	box-sizing: content-box;\r\n}\r\n#demo-about-intro #guiding-icons .icon:hover a:before {\r\n	-webkit-transform: scale(0.8);\r\n	-moz-transform: scale(0.8);\r\n	-ms-transform: scale(0.8);\r\n	transform: scale(0.8);\r\n}\r\n#demo-about-intro #guiding-icons .icon:hover a {\r\n	background-color: rgba(0,0,0,0.4);\r\n	box-shadow: 0 0 0 12px rgba(255,255,255,0.4);\r\n	-moz-box-shadow: 0 0 0 12px rgba(255,255,255,0.4);\r\n	-webkit-box-shadow: 0 0 0 12px rgba(255,255,255,0.4);\r\n}\r\n@media only screen and (min-width: 569px) and (max-width: 960px), (min-device-width: 569px) and (max-device-width: 960px) {\r\n	.jsn-demo-page #jsn-content-bottom {\r\n		margin-top: -110px;\r\n	}\r\n	#demo-about-intro #guiding-icons {\r\n		min-width: 660px;\r\n	}\r\n}\r\n@media only screen and (max-width: 568px), (max-device-width: 568px) {\r\n	#demo-about-intro {\r\n		padding: 120px 0 50px;\r\n	}\r\n	#demo-about-intro h3.main-heading {\r\n		font-size: 2em;\r\n	}\r\n	#demo-about-intro #guiding-icons {\r\n		width: 260px;\r\n		margin: 0 auto;\r\n	}\r\n	#demo-about-intro #guiding-icons .icon {\r\n		margin: 25px;\r\n	}\r\n	#demo-about-intro .desc {\r\n		margin: 40px auto 20px;\r\n		font-size: 1.2em;\r\n	}\r\n}\r\n\r\n@media only screen and (min-width: 321px) and (max-width: 568px), (min-device-width: 321px) and (max-device-width: 568px) {\r\n	#demo-about-intro #guiding-icons {\r\n		width: 390px;\r\n	}\r\n}\r\n\r\n</style>\r\n\r\n<div id=\"demo-about-intro\">\r\n\r\n<h3 class=\"main-heading\">About One</h3>\r\n\r\n<div class=\"desc\">\r\n<p>\r\nJSN One is the perfect template for all nightclub and disco bar websites. It is an outstanding Joomla! template inspired by the flat style and with an intensive background that will amaze you from the first look. </p>\r\n\r\n</div>\r\n\r\n<div id=\"guiding-icons\">\r\n\r\n<div class=\"grid-layout\">\r\n\r\n<div class=\"icon lightning\">\r\n<a href=\"index.php?option=com_content&view=article&id=84&Itemid=543\"></a>\r\n</div>\r\n\r\n<div class=\"icon responsive\">\r\n<a href=\"index.php?option=com_content&view=article&id=79&Itemid=545\"></a>\r\n</div>\r\n\r\n<div class=\"icon maintainance\">\r\n<a href=\"index.php?option=com_content&view=article&id=77&Itemid=542\"></a>\r\n</div>\r\n\r\n<div class=\"icon customize\">\r\n<a href=\"index.php?option=com_content&view=article&id=71&Itemid=466\"></a>\r\n</div>\r\n\r\n<div class=\"icon param\">\r\n<a href=\"index.php?option=com_content&view=article&id=73&Itemid=470\"></a>\r\n</div>\r\n\r\n</div>\r\n\r\n</div>\r\n\r\n</div>', '1', 'user6', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('228', '0', 'Main Features', '', '', '1', 'innerright', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"2\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('229', '0', '\"lightbox-1\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br /> <strong>\"lightbox-1\"</strong></p>', '7', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"lightbox-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('230', '0', '\"solid-1\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br /> <strong>\"solid-1\"</strong></p>', '1', 'user-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"solid-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('231', '0', '\"solid-2\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br /> <strong>\"solid-2\"</strong></p>', '1', 'user-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"solid-2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('232', '0', '\"richbox-2\" Style', '', '<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc varius nisl id lectus ultricies ut elementum nulla ornare. Nulla sed mi massa, at tincidunt felis.</p>\r\n<p>Module Class Suffix:<br /> <strong>\"richbox-2\"</strong></p>', '1', 'right', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-2\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('234', '0', 'JSN ImageShow Replacement', '', '<style>\r\n.jsn-demo-page .promo-replace {\r\nmargin-top: -40px;\r\nheight: 850px;\r\nmin-height: 850px;\r\nwidth: 100%;\r\nposition: relative;\r\noverflow: hidden;\r\n}\r\n.jsn-demo-page .promo-replace a {\r\nwidth: 100%;\r\nheight: 100%;\r\nposition: absolute;\r\ndisplay: block;\r\nbackground: url(http://demo.joomlashine.com/joomla-templates/jsn_force/images/extensions/custom-html/jsn-imageshow-promo/jsn-imageshow-promo.jpg) center top no-repeat;\r\nbackground-size: 100% auto;\r\n}\r\n</style>\r\n<div class=\"promo-replace\">\r\n<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow.html\" target=\"_one\" ></a>\r\n</div>', '1', 'promo-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('235', '0', 'Get In Touch', '', '<h3 class=\"demo-heading\">Get in touch!</h3>\r\n<p>JSN One is a perfect flat template designed for eCommerce websites with Hikashop - Joomla shopping cart extension compatibility.</p>\r\n<hr class=\"sep\" />\r\n<div style=\"clear:both;\"></div>\r\n<ul class=\"contact-info\">\r\n<li class=\"add\">Add: 8004 Kingsland Drive Releigh, 27613</li>\r\n<li class=\"phone\">Phone: (0123456789)</li>\r\n<li class=\"fax\">Fax: +00 123 45678-99</li>\r\n<li class=\"email\">Email: <a href=\"mailto:contact@joomlashine.com\">Contact@joomlashine.com</a></li>\r\n</ul>', '0', 'user-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-getintouch\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('236', '0', 'Contact Form', '', '', '1', 'user-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_uniform', '1', '0', '{\"uniform_top_content\":\"\",\"form_id\":\"2\",\"uniform_bottom_content\":\"\",\"show_form_title\":\"0\",\"show_form_description\":\"0\",\"moduleclass_sfx\":\"demo-contact-form\",\"cache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('237', '0', 'Demo Featured Products', '', '<div class=\"demo-featured-products\">\r\n	<div class=\"grid-layout\">\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p1.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p2.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p4.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p3.jpg\" /></a>\r\n		</div>\r\n	</div>\r\n	<div class=\"grid-layout\">\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p5.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p6.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p7.jpg\" /></a>\r\n		</div>\r\n		<div class=\"product-item\">\r\n			<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/featured-products/p8.jpg\" /></a>\r\n		</div>\r\n	</div>\r\n</div>', '1', 'user3', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('238', '0', 'Homepage Slideshow', '', '', '1', 'promo-full', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_imageshow', '1', '0', '{\"moduleclass_sfx\":\"demo-homepage-slider\",\"showlist_id\":\"3\",\"showcase_id\":\"1\",\"width\":\"100%\",\"height\":\"480\",\"pretext\":\"\",\"posttext\":\"\"}', '0', '*'),
('239', '0', 'Welcome to JSN One', '', '<div id=\"welcome-to-jsn-force\" class=\"appearing\">\r\n	<div class=\"grid-layout welcome\">\r\n		<div class=\"grid-col img\">\r\n			<img class=\"apple-devices\" src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/content-top/ipad-iphone.png\" alt=\"\" />\r\n		</div>\r\n		<div class=\"grid-col text\">\r\n			<h2 class=\"heading\">Welcome to JSN One</h2>\r\n			<p class=\"desc\">All the elegance, beauty, and charm of simplicity make up JoomlaShine’s new masterpiece – JSN One. Mainly designed for portfolio websites, JSN One is equipped with extended styles for Advanced Portfolio extension and 130+ beautiful predefined icons. JSN One will be the most attractive JoomlaShine template - for its design and usability.</p>\r\n			<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/pro/index.php?option=com_content&view=article&id=101&Itemid=498\" class=\"link-button button-blue\">Product Tour</a>\r\n\r\n		</div>\r\n	</div>\r\n\r\n\r\n</div>', '1', 'content-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('240', '0', 'Main Features', '', '', '1', 'innerleft', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu box-cyan\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('241', '0', 'Sticky left bottom', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-leftbottom.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -stick-leftbottom-\" /></a>', '0', 'stick-leftbottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('242', '0', 'Latest Projects', '', '<div id=\"demo-latest-projects\" class=\"appearing\">\r\n	<h2 class=\"section-heading\">Our latest projects</h2>\r\n	<div class=\"grid-layout latest-projects\">\r\n		<div class=\"grid-col\">\r\n			<div class=\"project-item\">\r\n				<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/1.jpg\" class=\"modal link-tooltip\" style=\"z-index: 90;\" rel=\"{handler: \'iframe\', size: {x: 640, y: 440}}\">\r\n					<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/1.jpg\" alt=\"\" />\r\n				</a>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"project-item\">\r\n				<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/2.jpg\" class=\"modal link-tooltip\" style=\"z-index: 90;\" rel=\"{handler: \'iframe\', size: {x: 640, y: 440}}\">\r\n					<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/2.jpg\" alt=\"\" />\r\n				</a>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"project-item\">\r\n				<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/3.jpg\" class=\"modal link-tooltip\" style=\"z-index: 90;\" rel=\"{handler: \'iframe\', size: {x: 640, y: 440}}\">\r\n					<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/3.jpg\" alt=\"\" />\r\n				</a>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"project-item\">\r\n				<a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/4.jpg\" class=\"modal link-tooltip\" style=\"z-index: 90;\" rel=\"{handler: \'iframe\', size: {x: 640, y: 440}}\">\r\n					<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/latest-projects/4.jpg\" alt=\"\" />\r\n				</a>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>', '3', 'user-top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-latest-projects\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('243', '0', 'Demo content-bottom 1', '', '<div class=\"demo-content-bottom\">\r\n	<div class=\"user-quote\">\r\n		<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/content-bottom/user-quote1.jpg\" alt=\"\" />	\r\n	</div>\r\n	<div class=\"desc\">\r\n	<p><i>\"I am very satisfied with your template. It provides all topics I am interested in, it is easy to use and the docs are clear and easy to understand. Super job.\"</i></p>\r\n	</div>\r\n</div>', '1', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('244', '0', 'Demo content-bottom 3', '', '<div class=\"demo-content-bottom\">\r\n	<div class=\"user-quote\">\r\n		<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/content-bottom/user-quote3.jpg\" alt=\"\" />	\r\n	</div>\r\n	<div class=\"desc\">\r\n	<p><i>\"This is proof that there is a Divine Spirit that wants web techies to be happy and fulfilled. Very intuitive, powerful, and packed with all the right options. \"</i></p>\r\n	</div>\r\n</div>', '2', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('245', '0', 'Demo content-bottom 2', '', '<div class=\"demo-content-bottom\">\r\n	<div class=\"user-quote\">\r\n		<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/content-bottom/user-quote2.jpg\" alt=\"\" />	\r\n	</div>\r\n	<div class=\"desc\">\r\n	<p><i>\"I just wanted to say thanks. I have never used Joomla and you guys have made it so easy to use with all the support and docs.\"</i></p>\r\n	</div>\r\n</div>', '1', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('246', '0', 'Demo Collection 1', '', '<div class=\"demo-collection-wrapper first\">\r\n	<h3 class=\"collection-title\">Spring Time</h3>\r\n	<a class=\"link-image\" href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/demo-collections/1.jpg\" border=\"0\" alt=\"\" /></a>\r\n</div>\r\n<div class=\"demo-collection-wrapper\">\r\n	<h3 class=\"collection-title\">For Young Ladies</h3>\r\n	<a class=\"link-image\" href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/demo-collections/2.jpg\" border=\"0\" alt=\"\" /></a>\r\n</div>\r\n<div class=\"demo-collection-wrapper last\">\r\n	<h3 class=\"collection-title\">Delusion Dance</h3>\r\n	<a class=\"link-image\" href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/demo-collections/3.jpg\" border=\"0\" alt=\"\" /></a>\r\n</div>', '1', 'promo-left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('247', '0', 'Demo Collection 2', '', '<div class=\"demo-collection-wrapper\">\r\n	<h3 class=\"collection-title\">For Young Ladies</h3>\r\n	<a class=\"link-image\" href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/demo-collections/2.jpg\" border=\"0\" alt=\"\" /></a>\r\n</div>', '1', 'promo-left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('248', '0', 'Demo Collection 3', '', '<div class=\"demo-collection-wrapper\">\r\n	<h3 class=\"collection-title\">Delusion Dance</h3>\r\n	<a class=\"link-image\" href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/demo-collections/3.jpg\" border=\"0\" alt=\"\" /></a>\r\n</div>', '2', 'promo-left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('249', '0', 'Demo Shop Intro', '', '<div class=\"featured-fashion\">\r\n	<div>\r\n		<div class=\"text-heading large-head\">\r\n			<h1>About JSN FORCE</h1>\r\n			<span>JSN One is an eCommerce template with an impressive, modern and vivid design.</span> </div>\r\n		<ul class=\"grid-gallery four-col\">\r\n			<li class=\"large\">\r\n				<div class=\"p-item\">\r\n					<div class=\"pthumb\">\r\n						<div class=\"mask\"> <span class=\"glass\"></span> </div>\r\n						<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/1.jpg\"> </div>\r\n					<!--end:pthumb--> \r\n				</div>\r\n				<!--end:p-item--> \r\n			</li>\r\n			<li>\r\n				<div class=\"p-item\">\r\n					<div class=\"pthumb\">\r\n						<div class=\"mask\"> <span class=\"glass\"></span> </div>\r\n						<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/2.jpg\"> </div>\r\n					<!--end:pthumb--> \r\n				</div>\r\n				<!--end:p-item--> \r\n			</li>\r\n			<li>\r\n				<div class=\"p-item\">\r\n					<div class=\"pthumb\">\r\n						<div class=\"mask\"> <span class=\"glass\"></span> </div>\r\n						<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/3.jpg\"> </div>\r\n					<!--end:pthumb--> \r\n				</div>\r\n				<!--end:p-item--> \r\n			</li>\r\n			<li>\r\n				<div class=\"p-item\">\r\n					<div class=\"pthumb\">\r\n						<div class=\"mask\"> <span class=\"glass\"></span> </div>\r\n						<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/4.jpg\"> </div>\r\n					<!--end:pthumb--> \r\n				</div>\r\n				<!--end:p-item--> \r\n			</li>\r\n			<li>\r\n				<div class=\"p-item\">\r\n					<div class=\"pthumb\">\r\n						<div class=\"mask\"> <span class=\"glass\"></span> </div>\r\n						<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/5.jpg\"> </div>\r\n					<!--end:pthumb--> \r\n				</div>\r\n				<!--end:p-item--> \r\n			</li>\r\n		</ul>\r\n		<!--end:grid gallery--> \r\n		\r\n	</div>\r\n	<!--end:container--> \r\n</div>\r\n<div class=\"shop-intro\">\r\n	<div class=\"text-heading large-head\">\r\n		<h1>JSN FORCE Features</h1>\r\n		<span>Inspired by street style, JSN One is designed with great creativity, modernity and youthful energy.</span> </div>\r\n	<div class=\"grid-layout\">\r\n		<div class=\"services-box single-icon standard-box\">\r\n			<div class=\"sb-content-wrap\">\r\n				<h2>Easy To Start</h2>\r\n				<p>With a unique mechanism for installing sample data directly on your current website, the demo website is available after just a few steps.</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"services-box single-icon standard-box\">\r\n			<div class=\"sb-content-wrap\">\r\n				<h2>Responsive layout</h2>\r\n				<p>JSN One has a special built-in design optimized for all modern mobile devices. The responsive design is applied for both Joomla 2.5 and 3.0 versions, and for the Pro Edition only.</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"services-box single-icon standard-box\">\r\n			<div class=\"sb-content-wrap\">\r\n				<h2>Stunning Colors</h2>\r\n				<p>6 major color variations are provided for you to choose from. Each color variation covers not only the main background, but also the color of drop-down menus, links, table headers and other items.</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"services-box single-icon standard-box\">\r\n			<div class=\"sb-content-wrap\">\r\n				<h2>Docs and Support</h2>\r\n				<p>JSN One is equipped with a very comprehensive documentation package that will help you with template utilization.</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>\r\n<div class=\"text-heading\">\r\n	<h3>Menu Style</h3>\r\n</div>\r\n<!--end:title -->\r\n<div class=\"row-fluid product-block\">\r\n	<div class=\"span3\">\r\n		<p>JSN One provides 5 menu styles to display your website navigation in multiple positions. A built-in menu module is utilized, so you don\'t need to install any external menu modules.</p>\r\n		<p><a href=\"#\" class=\"link-button button-suit\"> Show more </a></p>\r\n	</div>\r\n	<!--end:col -->\r\n	\r\n	<div class=\"span9\">\r\n		<div class=\"owl-carousel ca-list-items\">\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-1.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-1.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Scarf</h4>\r\n					<span> £150</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>T-Shirt</h4>\r\n					<span> £250</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-2.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Shoes</h4>\r\n					<span> £500</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-3.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Short</h4>\r\n					<span> £180</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-4.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Watch</h4>\r\n					<span> £2,000 </span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-5.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item--> \r\n			\r\n		</div>\r\n		<!--end:List-carousel--> \r\n		\r\n	</div>\r\n	<!--end:col --> \r\n</div>\r\n<!--end:row -->\r\n\r\n<div class=\"text-heading\">\r\n	<h3>Shopping cart Extension</h3>\r\n</div>\r\n<!--end:title -->\r\n<div class=\"row-fluid product-block\">\r\n	<div class=\"span3\">\r\n		<p>If you are interested in a powerful and magnificent shopping-cart extension, JSN One would be a wise choice with J2Store Extended Style.</p>\r\n		<p><a href=\"#\" class=\"link-button button-suit\"> Show more </a></p>\r\n	</div>\r\n	<!--end:col -->\r\n	\r\n	<div class=\"span9\">\r\n		<div class=\"owl-carousel ca-list-items\">\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <span class=\"sale-info\">35%</span> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Wallet</h4>\r\n					<span> £420</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-10.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <span class=\"sale-info\">20%</span> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Combat Boots</h4>\r\n					<span> £800 </span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-9.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <span class=\"sale-info\">15%</span> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Glasses</h4>\r\n					<span> £320 </span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-8.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <span class=\"sale-info\">10%</span> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Denim T-Shirt</h4>\r\n					<span> £220</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-7.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item-->\r\n			\r\n			<div class=\"s1-item\">\r\n				<div class=\"product-thumb\"> <span class=\"sale-info\">45%</span> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\" class=\"modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 250, y: 250}}\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\"></a> </div>\r\n				<div class=\"p-info\">\r\n					<h4>Leather Bag</h4>\r\n					<span> £1,200</span>\r\n					<nav> <a href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/shop/thumbs/p-6.jpg\" class=\"link-button modal link-tooltip\" rel=\"{handler: \'iframe\', size: {x: 400, y: 400}}\">See Details</a> </nav>\r\n				</div>\r\n				<!--end:p-info --> \r\n			</div>\r\n			<!--end:item--> \r\n			\r\n		</div>\r\n		<!--end:List-carousel--> \r\n		\r\n	</div>\r\n	<!--end:col --> \r\n</div>\r\n<!--end:row -->', '1', 'content-top-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-shop-intro\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('251', '0', 'About JSN One', '', '', '1', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('252', '0', 'Advanced Stuff', '', '', '2', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('253', '0', 'Copy of Advanced Stuff', '', '', '4', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('254', '0', 'Connect with us', '', '<div id=\"demo-connect-with-us\">\r\n	<p>Welcome to JSN One. Grab this catchy website template and get ready to dive into the world of Fashion!</p>\r\n	<ul class=\"list-arrow arrow-blue\">\r\n		<li><strong>Phone:</strong> +01 888 (000) 1234</li>\r\n		<li><strong>Fax:</strong> +01 888 (000) 1234</li>\r\n		<li><strong>Email:</strong> contact@joomlashine.com</li>\r\n		<li><strong>Website:</strong> www.joomlashine.com</li>\r\n	</ul>\r\n</div>', '3', 'content-bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('255', '0', 'Sample logos 1', '', '<div class=\"sample-logo-wrapper clearafter\">\r\n	<div class=\"sample-logo\">\r\n		<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-imageshow-joomla-gallery-extension.html\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/sample-logos/jsn-imageshow.png\" alt=\"\" border=\"0\" /></a>\r\n	</div>\r\n	<div class=\"sample-logo\">\r\n		<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-poweradmin-joomla-admin-extension.html\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/sample-logos/jsn-poweradmin.png\" alt=\"\" border=\"0\" /></a>\r\n	</div>\r\n</div>', '0', 'user5', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('256', '0', 'Sample logos 2', '', '<div class=\"sample-logo-wrapper clearafter\">\r\n	<div class=\"sample-logo\">\r\n		<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-uniform-joomla-contact-form-extension.html\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/sample-logos/jsn-uniform.png\" alt=\"\" border=\"0\" /></a>\r\n	</div>\r\n	<div class=\"sample-logo\">\r\n		<a href=\"http://www.joomlashine.com/joomla-extensions/jsn-mobilize-joomla-mobile-extension.html\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/sample-logos/jsn-mobilize.png\" alt=\"\" border=\"0\" /></a>\r\n	</div>\r\n</div>', '1', 'user6', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('257', '0', 'Explore Inside', '', '', '1', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"advanced-stuff\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"richbox-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('258', '0', 'Main Features', '', '', '1', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_menu', '1', '1', '{\"menutype\":\"mainmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('259', '0', 'Counting Up Stats', '', '<div id=\"demo-countingup-stats\" class=\"appearing\">\r\n	<div class=\"grid-layout countingup-stats\">\r\n		<div class=\"grid-col\">\r\n			<div class=\"stat-group\">\r\n				<h3 class=\"heading\"><a href=\"#\">Our Team</a></h3>\r\n				<h4 class=\"sub-heading\">Powered by</h4>\r\n				<div id=\"counting-1\" class=\"counting-number\">36</div>\r\n				<p class=\"desc\">Soldiers</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"stat-group\">\r\n				<h3 class=\"heading\"><a href=\"#\">Works</a></h3>\r\n				<h4 class=\"sub-heading\">Done</h4>\r\n				<div id=\"counting-2\" class=\"counting-number\">54</div>\r\n				<p class=\"desc\">Projects</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"stat-group\">\r\n				<h3 class=\"heading\"><a href=\"#\">Design</a></h3>\r\n				<h4 class=\"sub-heading\">Winning</h4>\r\n				<div id=\"counting-3\" class=\"counting-number\">12</div>\r\n				<p class=\"desc\">Awards</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"stat-group\">\r\n				<h3 class=\"heading\"><a href=\"#\">Client</a></h3>\r\n				<h4 class=\"sub-heading\">Quantity</h4>\r\n				<div id=\"counting-4\" class=\"counting-number\">90</div>\r\n				<p class=\"desc\">And more</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>', '1', 'user3', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-countingup-stats\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('260', '0', 'Sale Off Banner', '', '<img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/saleoff-banner.jpg\" alt=\"\" border=\"0\" />', '2', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('261', '0', 'Accepted Payments', '', '<a href=\"#\"><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/media/joomlashine/jsn-force/custom-html/accepted-payments.png\" alt=\"\" border=\"0\" /></a>', '3', 'left', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"solid-1\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('262', '0', 'Demo Services', '', ' <div id=\"demo-services\">\r\n	<div class=\"grid-layout\">\r\n		<div class=\"grid-col\">\r\n			<div class=\"demo-services-item shipping\">\r\n				<h3 class=\"item-title\">Enjoy Free Shipping</h3>\r\n				<p class=\"desc\">On all orders as our holiday gift for you!</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"demo-services-item delivery\">\r\n				<h3 class=\"item-title\">On time delivery</h3>\r\n				<p class=\"desc\">Nam ultricies sagittis turpis quis auctor</p>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"demo-services-item service\">\r\n				<h3 class=\"item-title\">Best services</h3>\r\n				<p class=\"desc\">Nam ultricies sagittis turpis quis auctor</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>', '1', 'content-bottom-over', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"demo-services\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('263', '0', 'Newsletter', '', '', '1', 'user7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_uniform', '1', '0', '{\"uniform_top_content\":\"<div class=\\\"demo-newsletter-heading\\\">\\r\\n<h3>Sign up our newsletter<\\/h3>\\r\\n<\\/div>\",\"form_id\":\"3\",\"uniform_bottom_content\":\"\",\"show_form_title\":\"0\",\"show_form_description\":\"0\",\"moduleclass_sfx\":\"demo-newsletter\",\"cache\":\"1\",\"cache_time\":\"900\"}', '0', '*'),
('264', '0', 'Need help?', '', '', '2', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"support-menu\",\"startLevel\":\"1\",\"endLevel\":\"1\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('265', '0', 'Information', '', '', '1', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '1', '{\"menutype\":\"information-menu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"1\",\"tag_id\":\"\",\"class_sfx\":\"menu-treemenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('266', '0', 'Product Tags', '', '<div class=\"demo-product-tags\">\r\n	<ul class=\"tag-list\">\r\n		<li><a href=\"#\">combat boot</a></li>\r\n		<li><a href=\"#\">bag</a></li>\r\n		<li><a href=\"#\">vans</a></li>\r\n		<li><a href=\"#\">jeans</a></li>\r\n		<li><a href=\"#\">converse</a></li>\r\n		<li><a href=\"#\">leather</a></li>\r\n		<li><a href=\"#\">tank top</a></li>\r\n		<li><a href=\"#\">sport</a></li>\r\n		<li><a href=\"#\">nike</a></li>\r\n		<li><a href=\"#\">g-shock</a></li>\r\n		<li><a href=\"#\">essentials</a></li>\r\n		<li><a href=\"#\">men style</a></li>\r\n		<li><a href=\"#\">street wear</a></li>\r\n		<li><a href=\"#\">timberland</a></li>\r\n		<li><a href=\"#\">health</a></li>\r\n		<li><a href=\"#\">running shoes</a></li>\r\n		<li><a href=\"#\">fit-bit</a></li>\r\n		<li><a href=\"#\">denim</a></li>\r\n		<li><a href=\"#\">gauges</a></li>\r\n		<li><a href=\"#\">tattoos</a></li>\r\n		<li><a href=\"#\">bicycles</a></li>\r\n	</ul>\r\n</div>', '3', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('267', '239', 'Newsletter', '', '', '4', 'content-bottom-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_uniform', '1', '1', '{\"uniform_top_content\":\"\",\"form_id\":\"3\",\"uniform_bottom_content\":\"<div class=\\\"demo-contact-desc\\\">\\r\\n<div class=\\\"desc\\\">\\r\\n<p>By subscribing to our mailing list you will always be update with the latest news from us. We never spam.<\\/p>\\r\\n<p>We accept the following payment:<\\/p>\\r\\n<p><img src=\\\"media\\/joomlashine\\/jsn-force\\/custom-html\\/payment.png\\\" alt=\\\"\\\" \\/><\\/p>\\r\\n<\\/div>\\r\\n<\\/div>\",\"show_form_title\":\"0\",\"show_form_description\":\"0\",\"moduleclass_sfx\":\"demo-contact-info\",\"cache\":\"1\",\"cache_time\":\"900\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('268', '0', 'Promotion box', '', '<div id=\"demo-promotion-box\">\r\n	<div class=\"promotion-box\">\r\n		<a class=\"link-button button-green\" href=\"http://demo.joomlashine.com/joomla-templates/jsn_force/pro/index.php?option=com_content&view=article&id=113&Itemid=1590\">View all icons</a>\r\n		<h3>JSN One PRO comes with 130+ out standing font icons for your choice.</h3>\r\n	</div>\r\n</div>', '1', 'user6', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('269', '240', 'JoomlaShine copyright', '', '<p>Copyright © 2008 - 2013 JoomlaShine.com. All rights reserved. Many features demonstrated on this website are available only in JSN Force PRO Edition.</p>\r\n<p>All stock photos used on this JSN Force demo site are only for demo purposes and not included in the template package.</p>', '1', 'bottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"1\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*');

INSERT INTO lo1t2_modules
(`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES 
('270', '0', 'Feature Graph', '', '<div id=\"demo-feature-graph\" class=\"appearing\">\r\n\r\n	<div class=\"grid-layout feature-graph\">\r\n		<div class=\"grid-col\">\r\n			<div class=\"graph-item item1 clearfix\">\r\n				<div class=\"graph-item-inner\">\r\n					<a href=\"#\" class=\"jsn-icon-cup\"></a>\r\n					<div class=\"text\">\r\n						<h3 class=\"heading\"><a href=\"#\">Easy to start</a></h3>\r\n						<p class=\"desc\">JSN PowerAdmin facilitates delightful management and customization your Joomla website with ease and joy.</p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"graph-item item2 clearfix\">\r\n				<div class=\"graph-item-inner\">\r\n					<a href=\"#\" class=\"jsn-icon-basketball\"></a>\r\n					<div class=\"text\">\r\n						<h3 class=\"heading\"><a href=\"#\">SEO Optimized</a></h3>\r\n						<p class=\"desc\">Pure html override and 2-1-3 ordered content presentation help search engines easily crawl the site.</p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class=\"grid-layout feature-graph\">\r\n		<div class=\"grid-col\">\r\n			<div class=\"graph-item item3 clearfix\">\r\n				<div class=\"graph-item-inner\">\r\n					<a href=\"#\" class=\"jsn-icon-handspeaker\"></a>\r\n					<div class=\"text\">\r\n						<h3 class=\"heading\"><a href=\"#\">Various Colors</a></h3>\r\n						<p class=\"desc\">6 color variations including blue, red, green, violet, orange and grey.</p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"grid-col\">\r\n			<div class=\"graph-item item4 clearfix\">\r\n				<div class=\"graph-item-inner\">\r\n					<a href=\"#\" class=\"jsn-icon-command\"></a>\r\n					<div class=\"text\">\r\n						<h3 class=\"heading\"><a href=\"#\">Portfolio Design</a></h3>\r\n						<p class=\"desc\">JSN One is dedicated to portfolio websites.</p>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n</div>', '1', 'user1', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('271', '244', 'JSN Force Demo Assets', '', '<script type=\"text/javascript\"src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.8.2/jquery.min.js\"></script>\r\n<script type=\"text/javascript\"src=\"templates/jsn_cube_free/js/custom.js\"></script>\r\n<div style=\"display:none\" class=\"jsn-dome-cube-assets\">\r\n<img alt=\"\" src=\"media/joomlashine/jsn-force/custom-html/payment.png\">\r\n</div>\r\n', '1', 'stick-leftbottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('272', '0', 'Get It Now', '', '<div id=\"jsn-get-now\">\r\n	<a href=\"http://www.joomlashine.com/joomla-templates/jsn-force.html?utm_source=Demo&amp;utm_medium=Getit_module&amp;utm_campaign=JSNOne\" class=\"link-button button-color\">Get It Now</a>\r\n</div>', '0', 'stick-rightmiddle', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('273', '0', 'Top Info', '', '<div class=\"demo-top-info\">\r\n	<span>	<i class=\"jsn-icon-pin\"></i> No.1 Abbey Road, London, W1 ECH</span>\r\n	<span>	<i class=\"jsn-icon-business\"></i> Openning 8AM - 9PM everyday</span>\r\n	<span>	<i class=\"jsn-icon-email\"></i> <a href=\"mailto:support@joomlashine.com\">support@joomlashine.com</a></span> \r\n</div>', '1', 'top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '-2', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"display-desktop\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('274', '0', 'Position \"promo\"', '', '<div style=\"height: 204px; background: url(\'http://demo.joomlashine.com/joomla-templates/jsn_force/pro/images/extensions/custom-html/position-promo/position-promo.jpg\') center center no-repeat;\"> </div>', '0', 'promo', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('275', '0', 'Position \"stick-rightbottom\"', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-rightbottom.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -rightbottom-\" /></a>', '1', 'stick-rightbottom', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('276', '0', 'Position \"stick-righttop\"', '', '<a><img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/position-stick-x/position-stick-righttop.png\" width=\"65\" height=\"190\" alt=\"Sample module in position -righttop-\" /></a>', '1', 'stick-righttop', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('277', '242', 'Demo Builder Button', '', '<style>\r\ndiv#jsn-demo-builder-toggle {\r\n    position: absolute;\r\n    width: 580px;\r\n    left: -495px;\r\n    top: 0;\r\n    transition: all 0.6s ease;\r\n    -moz-transition: all 0.6s ease;\r\n    -webkit-transition: all 0.6s ease;\r\n}\r\ndiv#jsn-demo-builder-toggle > a:hover:not(.active) {\r\n    left: -490px;\r\n}\r\ndiv#jsn-demo-builder-toggle.active {\r\n    left: 0;\r\n}\r\ndiv#jsn-demo-builder-toggle > div,\r\ndiv#jsn-demo-builder-toggle > a {\r\n    float: left;\r\n    cursor: default;\r\n}\r\ndiv#jsn-demo-builder-toggle > a {\r\n    overflow: hidden;\r\n}\r\ndiv#jsn-demo-builder-toggle > a img {\r\n    position: relative;\r\n    left: -5px;\r\n    transition: all 0.3s ease;\r\n    -moz-transition: all 0.3s ease;\r\n    -webkit-transition: all 0.3s ease;\r\n    cursor: pointer;\r\n}\r\ndiv#jsn-demo-builder-toggle > a img:hover,\r\ndiv#jsn-demo-builder-toggle > a.active img {\r\n    left: 0;\r\n}\r\ndiv#jsn-demo-builder-toggle > div > iframe {\r\n    background: #fff url(http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/db-loading.gif) center center no-repeat;\r\n    border-top: solid 10px #434448;\r\n    border-right: solid 10px #434448;\r\n    border-bottom: solid 10px #434448;\r\n    border-left: none;\r\n    border-bottom-right-radius: 5px;\r\n}\r\ndiv#jsn-demo-builder-toggle {\r\n    margin: 0;\r\n    padding: 0;\r\n}\r\n</style>\r\n<div id=\"jsn-demo-builder-toggle\">\r\n    <div id=\"jsn-demo-builder-wrapper\">\r\n        <iframe id=\"jsn-demo-builder-iframe\" width=\"480px\" height=\"590\"></iframe>\r\n    </div>\r\n    <a id=\"jsn-demo-builder-button\" href=\"javascript:void(0);\">\r\n        <img src=\"http://demo.joomlashine.com/joomla-templates/jsn_force/free/images/extensions/custom-html/demo_builder_button_black.png\" alt=\"Demo Builder Toggle\" />\r\n    </a>\r\n</div>\r\n<script type=\"text/javascript\">\r\n    var demoButton = document.getElementById(\"jsn-demo-builder-button\");\r\n    demoButton.addEventListener(\"click\", function() {\r\n        this.classList.toggle(\"active\");\r\n        \r\n        var outDiv = document.getElementById(\"jsn-demo-builder-toggle\");\r\n        outDiv.classList.toggle(\"active\");\r\n\r\n        // Only load the iframe if the button is clicked as active and the iframe is not loaded\r\n        if (this.classList.contains(\"active\") && !outDiv.classList.contains(\"iframeloaded\")) {\r\n            // Load the iframe\r\n            document.getElementById(\"jsn-demo-builder-iframe\").src = \"http://myjoomlashine.com/demo-builder/index.php?template=one\";\r\n        }\r\n\r\n        // Add an indicator that the iframe has been loaded, no reload if click the button again and again\r\n        outDiv.classList.add(\"iframeloaded\")\r\n    }, false);\r\n</script>', '1', 'stick-lefttop', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('278', '0', 'Top Menu', '', '', '0', 'top', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_menu', '1', '0', '{\"menutype\":\"topmenu\",\"startLevel\":\"1\",\"endLevel\":\"0\",\"showAllChildren\":\"0\",\"tag_id\":\"\",\"class_sfx\":\"menu-topmenu menu-iconmenu\",\"window_open\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"itemid\"}', '0', '*'),
('279', '236', 'Featured Products', '', '<div id=\"demo-featured-products\">\r\n	<div class=\"main-heading clearafter\">\r\n		<h3 class=\"heading\"><span>Featured Products</span></h3>\r\n		<a class=\"link\" href=\"#\">View all</a>\r\n	</div>\r\n\r\n	<div class=\"grid-layout\">\r\n		<div class=\"item hot\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/2.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Foxcle Gravity</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\"></span>\r\n					<span class=\"price\">$1,890</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"item\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/3.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Facilisis Non-dui</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\">$2,460</span>\r\n					<span class=\"price\">$1,990</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"item sale\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/12.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Gintino Magna</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\">$90</span>\r\n					<span class=\"price\">$59</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class=\"grid-layout\">\r\n		<div class=\"item\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/13.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Aliquet Bag</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\"></span>\r\n					<span class=\"price\">$89</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"item sale\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/9.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Convallis Nulla</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\">$2,179</span>\r\n					<span class=\"price\">$1,899</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n		<div class=\"item\">\r\n			<div class=\"product-img\">\r\n				<a href=\"#\">\r\n					<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/8.jpg\" alt=\"Virtuemart Product\" />\r\n				</a>\r\n			</div>\r\n			<div class=\"product-info clearafter\">\r\n				<h3 class=\"product-name\">Praesent Fringilla</h3>\r\n				<div class=\"product-price\">\r\n					<span class=\"old-price\"></span>\r\n					<span class=\"price\">$1,550</span>\r\n				</div>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n</div>', '1', 'content-top-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"featured-products\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('280', '0', 'Sale Banner', '', '<div id=\"sale-70\" class=\"sale-banner\">\r\n	<a class=\"banner-link\" href=\"#\">\r\n		<img src=\"media/joomlashine/jsn-force/custom-html/banners/sale-banner.jpg\" alt=\"\" />\r\n	</a>\r\n	<div class=\"text\">\r\n		<span>70%</span><span class=\"small\">OFF</span>\r\n	</div>\r\n</div>', '1', 'content-top-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('281', '237', 'New Products', '', '<div id=\"demo-new-products\">\r\n	<div class=\"main-heading clearafter\">\r\n		<h3 class=\"heading\"><span>New Products</span></h3>\r\n		<a class=\"link\" href=\"#\">View all</a>\r\n	</div>\r\n	\r\n	<ul id=\"demo-new-products-slider\" class=\"demo-bx-slider\">\r\n		<li>\r\n			<div class=\"item hot\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/2.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Foxcle Gravity</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$1,890</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/3.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Facilisis Non-dui</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"price\">$1,990</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item sale\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/12.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Gintino Magna</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\">$2,360</span>\r\n						<span class=\"price\">$1,550</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/7.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Pretium Felis</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$1,879</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/5.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Faucibus Quis</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$1,078</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item sale\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/9.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Facilisis Non-dui</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\">$2,179</span>\r\n						<span class=\"price\">$1,899</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n	</ul>\r\n\r\n</div>', '2', 'content-top-below', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"new-products\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('282', '0', 'Logos', '', '<div id=\"demo-logo\">\r\n	<ul id=\"demo-logo-slider\" class=\"demo-bx-slider\">\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/1.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/2.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/3.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/4.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/5.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n		<li>\r\n			<a href=\"#\">\r\n				<img src=\"media/joomlashine/jsn-force/custom-html/logos/6.png\" alt=\"\" />\r\n			</a>\r\n		</li>\r\n	</ul>\r\n</div>', '0', 'content-bottom-mid', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '1', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\"}', '0', '*'),
('284', '238', 'Promo Products', '', '<div id=\"promo-products\">\r\n	<ul id=\"demo-promo-products-slider\" class=\"demo-bx-slider\">\r\n		<li>\r\n			<div class=\"item sale\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/1.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Fusce Tortor</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\">$3,230</span>\r\n						<span class=\"price\">$2,980</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item hot\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/2.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Foxcle Gravity</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$1,890</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item new\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/3.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Facilisis Non-dui</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\">$2,460</span>\r\n						<span class=\"price\">$1,990</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item sale\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/4.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Gintino Magna</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\">$2,360</span>\r\n						<span class=\"price\">$1,550</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item hot\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">\r\n						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/5.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Fusce Tortor</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$2,660</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n		<li>\r\n			<div class=\"item new\">\r\n				<div class=\"product-img\">\r\n					<a href=\"#\">						<img src=\"media/joomlashine/jsn-force/custom-html/demo-products/6.jpg\" alt=\"Virtuemart Product\" />\r\n					</a>\r\n				</div>\r\n				<div class=\"product-info clearafter\">\r\n					<h3 class=\"product-name\">Gravida Foxcle</h3>\r\n					<div class=\"product-price\">\r\n						<span class=\"old-price\"></span>\r\n						<span class=\"price\">$3,220</span>\r\n					</div>\r\n				</div>\r\n			</div>\r\n		</li>\r\n	</ul>\r\n</div>', '1', 'promo', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_custom', '1', '0', '{\"prepare_content\":\"0\",\"backgroundimage\":\"\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('285', '248', 'Popular Tags', '', '', '1', 'position-7', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_tags_popular', '1', '1', '{\"maximum\":\"10\",\"timeframe\":\"alltime\",\"order_value\":\"count\",\"order_direction\":\"1\",\"display_count\":0,\"no_results_text\":\"0\",\"minsize\":1,\"maxsize\":2,\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"owncache\":\"1\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '0', '*'),
('286', '249', 'JSN ImageShow', '', '', '0', '', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_imageshow', '1', '1', '', '0', '*'),
('287', '250', 'JSN UniForm', '', '', '0', '', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_uniform', '1', '1', '', '0', '*'),
('288', '251', 'Multilanguage status', '', '', '1', 'status', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0', 'mod_multilangstatus', '3', '1', '{\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('289', '252', 'Joomla Version', '', '', '1', 'footer', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_version', '3', '1', '{\"format\":\"short\",\"product\":\"1\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"0\"}', '1', '*'),
('290', '253', 'Site Information', '', '', '3', 'cpanel', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_stats_admin', '3', '1', '{\"serverinfo\":\"1\",\"siteinfo\":\"1\",\"counter\":\"0\",\"increase\":\"0\",\"layout\":\"_:default\",\"moduleclass_sfx\":\"\",\"cache\":\"1\",\"cache_time\":\"900\",\"cachemode\":\"static\",\"module_tag\":\"div\",\"bootstrap_size\":\"0\",\"header_tag\":\"h3\",\"header_class\":\"\",\"style\":\"0\"}', '1', '*'),
('291', '254', 'JSN imageshow Quick Icons', '', '', '0', 'icon', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_imageshow_quickicon', '1', '1', '', '1', '*'),
('292', '255', 'JSN PowerAdmin Quick Icons', '', '', '0', 'icon', '0', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', 'mod_poweradmin', '1', '1', '', '1', '*');

DROP TABLE IF EXISTS `lo1t2_modules_menu`;
CREATE TABLE `lo1t2_modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('1', '435'),
('2', '0'),
('3', '0'),
('4', '0'),
('6', '0'),
('7', '0'),
('8', '0'),
('9', '0'),
('10', '0'),
('12', '0'),
('13', '0'),
('14', '0'),
('15', '0'),
('17', '0'),
('19', '-463'),
('19', '-462'),
('19', '-433'),
('19', '-432'),
('19', '-431'),
('19', '-430'),
('19', '-429'),
('19', '-427'),
('19', '-400'),
('19', '-399'),
('19', '-296'),
('19', '-244'),
('19', '-243'),
('19', '-242'),
('19', '-234'),
('20', '0'),
('22', '231'),
('22', '234'),
('22', '238'),
('22', '242'),
('22', '243'),
('22', '244'),
('22', '296'),
('22', '399'),
('22', '400'),
('23', '-463'),
('23', '-462'),
('23', '-433'),
('23', '-432'),
('23', '-431'),
('23', '-430'),
('23', '-429'),
('23', '-427'),
('23', '-400'),
('23', '-399'),
('23', '-296');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('23', '-244'),
('23', '-243'),
('23', '-242'),
('23', '-238'),
('23', '-234'),
('25', '294'),
('26', '-463'),
('26', '-462'),
('26', '-433'),
('26', '-432'),
('26', '-431'),
('26', '-430'),
('26', '-429'),
('26', '-427'),
('26', '-400'),
('26', '-399'),
('26', '-296'),
('26', '-244'),
('26', '-243'),
('26', '-242'),
('26', '-238'),
('26', '-234'),
('27', '325'),
('28', '310'),
('29', '302'),
('30', '410'),
('31', '309'),
('32', '309'),
('33', '307'),
('34', '326'),
('35', '306'),
('36', '304'),
('37', '0'),
('40', '313'),
('41', '435'),
('47', '231'),
('47', '234'),
('47', '242'),
('47', '243'),
('47', '244'),
('47', '296'),
('47', '399'),
('47', '400'),
('48', '418'),
('49', '417'),
('52', '416'),
('57', '238'),
('57', '427'),
('57', '429'),
('57', '430');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('57', '431'),
('57', '432'),
('57', '433'),
('57', '462'),
('57', '463'),
('58', '427'),
('58', '429'),
('58', '430'),
('58', '431'),
('58', '432'),
('58', '433'),
('58', '462'),
('58', '463'),
('61', '443'),
('63', '0'),
('65', '427'),
('65', '429'),
('65', '430'),
('65', '431'),
('65', '432'),
('65', '433'),
('65', '462'),
('65', '463'),
('68', '243'),
('69', '459'),
('70', '285'),
('70', '316'),
('71', '285'),
('71', '316'),
('72', '285'),
('72', '316'),
('73', '285'),
('73', '316'),
('74', '285'),
('74', '316'),
('75', '285'),
('75', '316'),
('76', '285'),
('76', '316'),
('78', '435'),
('78', '468'),
('81', '482'),
('83', '472'),
('83', '473'),
('83', '474'),
('87', '435'),
('87', '707'),
('87', '708'),
('87', '798'),
('88', '435');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('88', '466'),
('88', '468'),
('88', '479'),
('89', '482'),
('91', '542'),
('91', '543'),
('91', '544'),
('91', '545'),
('91', '546'),
('91', '547'),
('98', '472'),
('98', '475'),
('98', '476'),
('99', '0'),
('100', '466'),
('100', '468'),
('100', '470'),
('100', '472'),
('100', '473'),
('100', '474'),
('100', '475'),
('100', '476'),
('100', '477'),
('100', '479'),
('100', '482'),
('100', '496'),
('100', '497'),
('100', '498'),
('100', '499'),
('100', '500'),
('100', '501'),
('100', '502'),
('100', '503'),
('100', '504'),
('100', '505'),
('100', '506'),
('100', '507'),
('100', '542'),
('100', '543'),
('100', '544'),
('100', '545'),
('100', '546'),
('100', '547'),
('100', '706'),
('100', '707'),
('100', '708'),
('100', '798'),
('100', '1107'),
('102', '473'),
('102', '476');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('103', '474'),
('103', '475'),
('108', '472'),
('108', '473'),
('108', '474'),
('108', '475'),
('108', '476'),
('108', '477'),
('109', '472'),
('109', '473'),
('109', '474'),
('109', '475'),
('109', '476'),
('109', '477'),
('112', '472'),
('112', '473'),
('112', '474'),
('112', '475'),
('112', '476'),
('112', '477'),
('116', '472'),
('116', '473'),
('116', '474'),
('116', '475'),
('116', '476'),
('116', '477'),
('118', '472'),
('118', '473'),
('118', '474'),
('118', '475'),
('118', '476'),
('118', '477'),
('120', '472'),
('120', '473'),
('120', '474'),
('120', '475'),
('120', '476'),
('121', '472'),
('121', '473'),
('121', '474'),
('121', '475'),
('121', '476'),
('121', '477'),
('122', '472'),
('122', '473'),
('122', '474'),
('122', '475'),
('122', '476'),
('122', '477'),
('123', '472');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('123', '473'),
('123', '474'),
('123', '475'),
('123', '476'),
('123', '477'),
('128', '470'),
('130', '470'),
('133', '0'),
('135', '0'),
('135', '481'),
('137', '472'),
('137', '473'),
('137', '474'),
('137', '475'),
('137', '476'),
('137', '477'),
('139', '472'),
('139', '473'),
('139', '474'),
('139', '475'),
('139', '476'),
('139', '477'),
('140', '472'),
('140', '473'),
('140', '474'),
('140', '475'),
('140', '476'),
('140', '477'),
('141', '466'),
('141', '468'),
('141', '479'),
('141', '707'),
('141', '708'),
('141', '798'),
('141', '1107'),
('141', '1273'),
('143', '435'),
('143', '466'),
('143', '468'),
('143', '470'),
('143', '479'),
('143', '482'),
('143', '496'),
('143', '497'),
('143', '498'),
('143', '499'),
('143', '500'),
('143', '501'),
('143', '502'),
('143', '503');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('143', '504'),
('143', '505'),
('143', '506'),
('143', '507'),
('143', '542'),
('143', '543'),
('143', '544'),
('143', '545'),
('143', '546'),
('143', '547'),
('143', '706'),
('143', '707'),
('143', '708'),
('143', '798'),
('143', '867'),
('143', '868'),
('143', '958'),
('143', '959'),
('143', '960'),
('143', '961'),
('143', '1107'),
('144', '0'),
('159', '472'),
('159', '473'),
('159', '474'),
('159', '475'),
('159', '476'),
('159', '477'),
('160', '472'),
('160', '473'),
('160', '474'),
('160', '475'),
('160', '476'),
('160', '477'),
('163', '472'),
('163', '473'),
('163', '474'),
('163', '475'),
('163', '476'),
('163', '477'),
('168', '479'),
('173', '708'),
('175', '0'),
('179', '435'),
('180', '435'),
('191', '435'),
('194', '435'),
('199', '435'),
('206', '0'),
('207', '0');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('207', '481'),
('208', '0'),
('211', '435'),
('214', '435'),
('215', '435'),
('218', '435'),
('220', '-507'),
('220', '-506'),
('220', '-505'),
('220', '-504'),
('220', '-503'),
('220', '-502'),
('220', '-501'),
('220', '-500'),
('220', '-499'),
('220', '-479'),
('221', '0'),
('222', '435'),
('226', '0'),
('227', '435'),
('228', '435'),
('230', '470'),
('231', '470'),
('232', '470'),
('234', '435'),
('238', '435'),
('239', '435'),
('241', '472'),
('241', '473'),
('241', '474'),
('241', '475'),
('241', '476'),
('241', '477'),
('242', '435'),
('247', '435'),
('248', '435'),
('256', '435'),
('259', '435'),
('262', '435'),
('264', '0'),
('265', '0'),
('266', '0'),
('267', '0'),
('268', '435'),
('269', '0'),
('270', '435'),
('271', '0'),
('272', '435'),
('274', '472'),
('274', '473');

INSERT INTO lo1t2_modules_menu
(`moduleid`, `menuid`) VALUES 
('274', '474'),
('274', '475'),
('274', '476'),
('274', '477'),
('275', '472'),
('275', '473'),
('275', '474'),
('275', '475'),
('275', '476'),
('275', '477'),
('276', '472'),
('276', '473'),
('276', '474'),
('276', '475'),
('276', '476'),
('276', '477'),
('277', '-476'),
('277', '-475'),
('277', '-474'),
('277', '-473'),
('277', '-472'),
('278', '435'),
('279', '435'),
('280', '435'),
('281', '435'),
('282', '435'),
('283', '0'),
('284', '435'),
('288', '0'),
('289', '0'),
('290', '0'),
('291', '0'),
('292', '0');

DROP TABLE IF EXISTS `lo1t2_newsfeeds`;
CREATE TABLE `lo1t2_newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `link` varchar(200) NOT NULL DEFAULT '',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned DEFAULT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` text NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_newsfeeds
(`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES 
('17', '1', 'Joomla! Announcements', 'joomla-announcements', 'http://www.joomla.org/announcements.feed?type=rss', '1', '5', '3600', '0', '0000-00-00 00:00:00', '1', '0', '1', 'en-GB', '{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\"}', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '1', '0', ''),
('17', '2', 'New Joomla! Extensions', 'new-joomla-extensions', 'http://feeds.joomla.org/JoomlaExtensions', '1', '5', '3600', '0', '0000-00-00 00:00:00', '4', '0', '1', 'en-GB', '{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\"}', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '1', '0', ''),
('17', '3', 'Joomla! Security News', 'joomla-security-news', 'http://feeds.joomla.org/JoomlaSecurityNews', '1', '5', '3600', '0', '0000-00-00 00:00:00', '2', '0', '1', 'en-GB', '{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\"}', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '1', '0', ''),
('17', '4', 'Joomla! Connect', 'joomla-connect', 'http://feeds.joomla.org/JoomlaConnect', '1', '5', '3600', '0', '0000-00-00 00:00:00', '3', '0', '1', 'en-GB', '{\"show_feed_image\":\"\",\"show_feed_description\":\"\",\"show_item_description\":\"\",\"feed_character_count\":\"0\"}', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', '1', '0', '');

DROP TABLE IF EXISTS `lo1t2_overrider`;
CREATE TABLE `lo1t2_overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` text NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_postinstall_messages`;
CREATE TABLE `lo1t2_postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to #__extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_postinstall_messages
(`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES 
('1', '700', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', '1', 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', '1'),
('2', '700', 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', '1', 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', '1'),
('3', '700', 'COM_CPANEL_WELCOME_BEGINNERS_TITLE', 'COM_CPANEL_WELCOME_BEGINNERS_MESSAGE', '', 'com_cpanel', '1', 'message', '', '', '', '', '3.2.0', '1'),
('4', '700', 'COM_CPANEL_MSG_PHPVERSION_TITLE', 'COM_CPANEL_MSG_PHPVERSION_BODY', '', 'com_cpanel', '1', 'message', '', '', 'admin://components/com_admin/postinstall/phpversion.php', 'admin_postinstall_phpversion_condition', '3.2.2', '1');

DROP TABLE IF EXISTS `lo1t2_redirect_links`;
CREATE TABLE `lo1t2_redirect_links` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `old_url` varchar(255) NOT NULL,
  `new_url` varchar(255) NOT NULL,
  `referer` varchar(150) NOT NULL,
  `comment` varchar(255) NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(4) NOT NULL,
  `created_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_link_old` (`old_url`),
  KEY `idx_link_modifed` (`modified_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_schemas`;
CREATE TABLE `lo1t2_schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_schemas
(`extension_id`, `version_id`) VALUES 
('700', '3.3.6-2014-09-30'),
('10003', '4.8.7'),
('10010', '1.1.6'),
('10011', '1.1.3'),
('10012', '1.1.8'),
('10013', '1.0.1'),
('10014', '1.0.0'),
('10015', '1.0.6'),
('10016', '2.1.0'),
('10028', '1.1.2');

DROP TABLE IF EXISTS `lo1t2_session`;
CREATE TABLE `lo1t2_session` (
  `session_id` varchar(200) NOT NULL DEFAULT '',
  `client_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `guest` tinyint(4) unsigned DEFAULT '1',
  `time` varchar(14) DEFAULT '',
  `data` mediumtext,
  `userid` int(11) DEFAULT '0',
  `username` varchar(150) DEFAULT '',
  PRIMARY KEY (`session_id`),
  KEY `userid` (`userid`),
  KEY `time` (`time`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_session
(`session_id`, `client_id`, `guest`, `time`, `data`, `userid`, `username`) VALUES 
('t2t1s7po3id85etdmv7gqc09o5', '1', '0', '1421810929', '__default|a:9:{s:15:\"session.counter\";i:67;s:19:\"session.timer.start\";i:1421805497;s:18:\"session.timer.last\";i:1421810925;s:17:\"session.timer.now\";i:1421810927;s:22:\"session.client.browser\";s:108:\"Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.99 Safari/537.36\";s:8:\"registry\";O:24:\"Joomla\\Registry\\Registry\":1:{s:7:\"\\0\\0\\0data\";O:8:\"stdClass\":6:{s:11:\"application\";O:8:\"stdClass\":1:{s:4:\"lang\";s:5:\"en-GB\";}s:13:\"com_installer\";O:8:\"stdClass\":4:{s:7:\"message\";s:0:\"\";s:17:\"extension_message\";s:0:\"\";s:12:\"redirect_url\";N;s:6:\"manage\";O:8:\"stdClass\":4:{s:6:\"filter\";O:8:\"stdClass\":5:{s:6:\"search\";s:0:\"\";s:9:\"client_id\";s:0:\"\";s:6:\"status\";s:0:\"\";s:4:\"type\";s:8:\"template\";s:5:\"group\";s:0:\"\";}s:8:\"ordercol\";s:4:\"name\";s:9:\"orderdirn\";s:3:\"asc\";s:10:\"limitstart\";i:0;}}s:13:\"com_templates\";O:8:\"stdClass\":1:{s:4:\"edit\";O:8:\"stdClass\":1:{s:5:\"style\";O:8:\"stdClass\":2:{s:2:\"id\";a:2:{i:0;i:9;i:1;i:11;}s:4:\"data\";N;}}}s:3:\"jsn\";O:8:\"stdClass\":1:{s:8:\"template\";O:8:\"stdClass\":2:{s:18:\"maxCompressionSize\";i:100;s:14:\"cacheDirectory\";s:6:\"cache/\";}}s:6:\"global\";O:8:\"stdClass\":1:{s:4:\"list\";O:8:\"stdClass\":1:{s:5:\"limit\";i:20;}}s:9:\"com_cache\";O:8:\"stdClass\":1:{s:5:\"cache\";O:8:\"stdClass\":1:{s:8:\"ordercol\";s:5:\"group\";}}}}s:4:\"user\";O:5:\"JUser\":27:{s:9:\"\\0\\0\\0isRoot\";b:1;s:2:\"id\";s:3:\"940\";s:4:\"name\";s:10:\"Super User\";s:8:\"username\";s:5:\"admin\";s:5:\"email\";s:22:\"phicuong2411@gmail.com\";s:8:\"password\";s:60:\"$2y$10$xl8h173Q6eMZo4IEAV05NupD2.XwZH/vEsIgCetvfcypDWT5dq04i\";s:14:\"password_clear\";s:0:\"\";s:5:\"block\";s:1:\"0\";s:9:\"sendEmail\";s:1:\"1\";s:12:\"registerDate\";s:19:\"2015-01-21 01:58:12\";s:13:\"lastvisitDate\";s:19:\"0000-00-00 00:00:00\";s:10:\"activation\";s:1:\"0\";s:6:\"params\";s:0:\"\";s:6:\"groups\";a:1:{i:8;s:1:\"8\";}s:5:\"guest\";i:0;s:13:\"lastResetTime\";s:19:\"0000-00-00 00:00:00\";s:10:\"resetCount\";s:1:\"0\";s:12:\"requireReset\";s:1:\"0\";s:10:\"\\0\\0\\0_params\";O:24:\"Joomla\\Registry\\Registry\":1:{s:7:\"\\0\\0\\0data\";O:8:\"stdClass\":0:{}}s:14:\"\\0\\0\\0_authGroups\";a:2:{i:0;i:1;i:1;i:8;}s:14:\"\\0\\0\\0_authLevels\";a:5:{i:0;i:1;i:1;i:1;i:2;i:2;i:3;i:3;i:4;i:6;}s:15:\"\\0\\0\\0_authActions\";N;s:12:\"\\0\\0\\0_errorMsg\";N;s:10:\"\\0\\0\\0_errors\";a:0:{}s:3:\"aid\";i:0;s:6:\"otpKey\";s:0:\"\";s:4:\"otep\";s:0:\"\";}s:13:\"session.token\";s:32:\"ea002361f36f8094fcadaeb34e0187fe\";s:32:\"d83b4516cdb2ef7a3c7902de57bc177b\";s:75:\"{\"queryString\":\"option=com_templates&task=style.edit&id=11\",\"object_id\":11}\";}', '940', 'admin');

DROP TABLE IF EXISTS `lo1t2_tags`;
CREATE TABLE `lo1t2_tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` text NOT NULL,
  `urls` text NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_path` (`path`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_alias` (`alias`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_tags
(`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES 
('1', '0', '0', '1', '0', '', 'ROOT', 'root', '', '', '1', '0', '0000-00-00 00:00:00', '1', '', '', '', '', '940', '2011-01-01 00:00:01', '', '0', '0000-00-00 00:00:00', '', '', '0', '*', '1', '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
('2', '1', '1', '2', '1', 'joomla', 'Joomla', 'joomla', '', '', '1', '0', '0000-00-00 00:00:00', '1', '{\"tag_layout\":\"\",\"tag_link_class\":\"label label-info\",\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '', '', '{\"author\":\"\",\"robots\":\"\"}', '940', '2013-11-16 00:00:00', '', '0', '0000-00-00 00:00:00', '', '', '0', '*', '1', '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `lo1t2_template_styles`;
CREATE TABLE `lo1t2_template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_template_styles
(`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES 
('4', 'beez3', '0', '0', 'Beez3 - Default', '{\"wrapperSmall\":\"53\",\"wrapperLarge\":\"72\",\"logo\":\"images\\/joomla_black.gif\",\"sitetitle\":\"Joomla!\",\"sitedescription\":\"Open Source Content Management\",\"navposition\":\"left\",\"templatecolor\":\"personal\",\"html5\":\"0\"}'),
('5', 'hathor', '1', '0', 'Hathor - Default', '{\"showSiteName\":\"0\",\"colourChoice\":\"\",\"boldText\":\"0\"}'),
('7', 'protostar', '0', '0', 'protostar - Default', '{\"templateColor\":\"\",\"logoFile\":\"\",\"googleFont\":\"1\",\"googleFontName\":\"Open+Sans\",\"fluidContainer\":\"0\"}'),
('8', 'isis', '1', '1', 'isis - Default', '{\"templateColor\":\"\",\"logoFile\":\"\"}'),
('10', 'jsn_mobilize', '0', '0', 'JSN Mobilize - Default', '{}'),
('11', 'jsn_force_free', '0', '1', 'JSN Force FREE - Default', '[]');

DROP TABLE IF EXISTS `lo1t2_ucm_base`;
CREATE TABLE `lo1t2_ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_ucm_base
(`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES 
('1', '1', '1', '0');

DROP TABLE IF EXISTS `lo1t2_ucm_content`;
CREATE TABLE `lo1t2_ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(255) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(255) NOT NULL,
  `core_alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL,
  `core_publish_up` datetime NOT NULL,
  `core_publish_down` datetime NOT NULL,
  `core_content_item_id` int(10) unsigned DEFAULT NULL COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned DEFAULT NULL COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_alias` (`core_alias`),
  KEY `idx_language` (`core_language`),
  KEY `idx_title` (`core_title`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_content_type` (`core_type_alias`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 COMMENT='Contains core content data in name spaced fields';

INSERT INTO lo1t2_ucm_content
(`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES 
('1', 'com_content.article', 'Getting Started', 'getting-started', '<p>It\'s easy to get started creating your website. Knowing some of the basics will help.</p>\r\n<h3>What is a Content Management System?</h3>\r\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p>\r\n<p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. Joomla! brings together the template and your content to create web pages.</p>\r\n<h3>Logging in</h3>\r\n<p>To login to your site use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles and modify some settings.</p>\r\n<h3>Creating an article</h3>\r\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the \"Submit Article\" link on that menu.</p>\r\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published.</p>\r\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div>\r\n<h3>Template, site settings, and modules</h3>\r\n<p>The look and feel of your site is controlled by a template. You can change the site name, background colour, highlights colour and more by editing the template settings. Click the \"Template Settings\" in the user menu. </p>\r\n<p>The boxes around the main content of the site are called modules.  You can modify modules on the current page by moving your cursor to the module and clicking the edit link. Always be sure to save and close any module you edit.</p>\r\n<p>You can change some site settings such as the site name and description by clicking on the \"Site Settings\" link.</p>\r\n<p>More advanced options for templates, site settings, modules, and more are available in the site administrator.</p>\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \"Site Administrator\" link on the \"User Menu\" menu (visible once you login) or by adding /administrator to the end of your domain name. The same user name and password are used for both sites.</p>\r\n<h3>Learn more</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href=\"http://docs.joomla.org\" target=\"_blank\">Joomla! documentation site</a> and on the<a href=\"http://forum.joomla.org\" target=\"_blank\"> Joomla! forums</a>.</p>', '1', '', '0', '1', '{\"show_title\":\"\",\"link_titles\":\"\",\"show_tags\":\"\",\"show_intro\":\"\",\"info_block_position\":\"\",\"show_category\":\"\",\"link_category\":\"\",\"show_parent_category\":\"\",\"link_parent_category\":\"\",\"show_author\":\"\",\"link_author\":\"\",\"show_create_date\":\"\",\"show_modify_date\":\"\",\"show_publish_date\":\"\",\"show_item_navigation\":\"\",\"show_icons\":\"\",\"show_print_icon\":\"\",\"show_email_icon\":\"\",\"show_vote\":\"\",\"show_hits\":\"\",\"show_noauth\":\"\",\"urls_position\":\"\",\"alternative_readmore\":\"\",\"article_layout\":\"\",\"show_publishing_options\":\"\",\"show_article_options\":\"\",\"show_urls_images_backend\":\"\",\"show_urls_images_frontend\":\"\"}', '0', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\",\"xreference\":\"\"}', '940', '', '2013-11-16 00:00:00', '0', '0000-00-00 00:00:00', '*', '2013-11-16 00:00:00', '0000-00-00 00:00:00', '1', '62', '{\"image_intro\":\"\",\"float_intro\":\"\",\"image_intro_alt\":\"\",\"image_intro_caption\":\"\",\"image_fulltext\":\"\",\"float_fulltext\":\"\",\"image_fulltext_alt\":\"\",\"image_fulltext_caption\":\"\"}', '{\"urla\":false,\"urlatext\":\"\",\"targeta\":\"\",\"urlb\":false,\"urlbtext\":\"\",\"targetb\":\"\",\"urlc\":false,\"urlctext\":\"\",\"targetc\":\"\"}', '0', '1', '0', '', '', '2', '', '1');

DROP TABLE IF EXISTS `lo1t2_ucm_history`;
CREATE TABLE `lo1t2_ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` mediumtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_ucm_history
(`version_id`, `ucm_item_id`, `ucm_type_id`, `version_note`, `save_date`, `editor_user_id`, `character_count`, `sha1_hash`, `version_data`, `keep_forever`) VALUES 
('1', '2', '10', 'Initial content', '2013-11-16 00:00:00', '940', '558', 'be28228b479aa67bad3dc1db2975232a033d5f0f', '{\"id\":2,\"parent_id\":\"1\",\"lft\":\"1\",\"rgt\":2,\"level\":1,\"path\":\"joomla\",\"title\":\"Joomla\",\"alias\":\"joomla\",\"note\":\"\",\"description\":null,\"published\":1,\"checked_out\":\"0\",\"checked_out_time\":\"0000-00-00 00:00:00\",\"access\":1,\"params\":null,\"metadesc\":null,\"metakey\":null,\"metadata\":null,\"created_user_id\":\"849\",\"created_time\":\"2013-11-16 00:00:00\",\"created_by_alias\":\"\",\"modified_user_id\":\"0\",\"modified_time\":\"0000-00-00 00:00:00\",\"images\":null,\"urls\":null,\"hits\":\"0\",\"language\":\"*\",\"version\":\"1\",\"publish_up\":\"0000-00-00 00:00:00\",\"publish_down\":\"0000-00-00 00:00:00\"}', '0'),
('2', '1', '1', 'Initial content', '2013-11-16 00:00:00', '940', '4539', '4f6bf8f67e89553853c3b6e8ed0a6111daaa7a2f', '{\"id\":1,\"asset_id\":54,\"title\":\"Getting Started\",\"alias\":\"getting-started\",\"introtext\":\"<p>It\'s easy to get started creating your website. Knowing some of the basics will help.<\\/p>\\r\\n<h3>What is a Content Management System?<\\/h3>\\r\\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.<\\/p>\\r\\n<p>In this site, the content is stored in a <em>database<\\/em>. The look and feel are created by a <em>template<\\/em>. Joomla! brings together the template and your content to create web pages.<\\/p>\\r\\n<h3>Logging in<\\/h3>\\r\\n<p>To login to your site use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles and modify some settings.<\\/p>\\r\\n<h3>Creating an article<\\/h3>\\r\\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the \\\"Submit Article\\\" link on that menu.<\\/p>\\r\\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published.<\\/p>\\r\\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).<\\/div>\\r\\n<h3>Template, site settings, and modules<\\/h3>\\r\\n<p>The look and feel of your site is controlled by a template. You can change the site name, background colour, highlights colour and more by editing the template settings. Click the \\\"Template Settings\\\" in the user menu.\\u00a0<\\/p>\\r\\n<p>The boxes around the main content of the site are called modules. \\u00a0You can modify modules on the current page by moving your cursor to the module and clicking the edit link. Always be sure to save and close any module you edit.<\\/p>\\r\\n<p>You can change some site settings such as the site name and description by clicking on the \\\"Site Settings\\\" link.<\\/p>\\r\\n<p>More advanced options for templates, site settings, modules, and more are available in the site administrator.<\\/p>\\r\\n<h3>Site and Administrator<\\/h3>\\r\\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the \\\"Site Administrator\\\" link on the \\\"User Menu\\\" menu (visible once you login) or by adding \\/administrator to the end of your domain name. The same user name and password are used for both sites.<\\/p>\\r\\n<h3>Learn more<\\/h3>\\r\\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href=\\\"http:\\/\\/docs.joomla.org\\\" target=\\\"_blank\\\">Joomla! documentation site<\\/a> and on the<a href=\\\"http:\\/\\/forum.joomla.org\\\" target=\\\"_blank\\\"> Joomla! forums<\\/a>.<\\/p>\",\"fulltext\":\"\",\"state\":1,\"catid\":\"2\",\"created\":\"2013-11-16 00:00:00\",\"created_by\":\"849\",\"created_by_alias\":\"\",\"modified\":\"\",\"modified_by\":null,\"checked_out\":null,\"checked_out_time\":null,\"publish_up\":\"2013-11-16 00:00:00\",\"publish_down\":\"0000-00-00 00:00:00\",\"images\":\"{\\\"image_intro\\\":\\\"\\\",\\\"float_intro\\\":\\\"\\\",\\\"image_intro_alt\\\":\\\"\\\",\\\"image_intro_caption\\\":\\\"\\\",\\\"image_fulltext\\\":\\\"\\\",\\\"float_fulltext\\\":\\\"\\\",\\\"image_fulltext_alt\\\":\\\"\\\",\\\"image_fulltext_caption\\\":\\\"\\\"}\",\"urls\":\"{\\\"urla\\\":false,\\\"urlatext\\\":\\\"\\\",\\\"targeta\\\":\\\"\\\",\\\"urlb\\\":false,\\\"urlbtext\\\":\\\"\\\",\\\"targetb\\\":\\\"\\\",\\\"urlc\\\":false,\\\"urlctext\\\":\\\"\\\",\\\"targetc\\\":\\\"\\\"}\",\"attribs\":\"{\\\"show_title\\\":\\\"\\\",\\\"link_titles\\\":\\\"\\\",\\\"show_tags\\\":\\\"\\\",\\\"show_intro\\\":\\\"\\\",\\\"info_block_position\\\":\\\"\\\",\\\"show_category\\\":\\\"\\\",\\\"link_category\\\":\\\"\\\",\\\"show_parent_category\\\":\\\"\\\",\\\"link_parent_category\\\":\\\"\\\",\\\"show_author\\\":\\\"\\\",\\\"link_author\\\":\\\"\\\",\\\"show_create_date\\\":\\\"\\\",\\\"show_modify_date\\\":\\\"\\\",\\\"show_publish_date\\\":\\\"\\\",\\\"show_item_navigation\\\":\\\"\\\",\\\"show_icons\\\":\\\"\\\",\\\"show_print_icon\\\":\\\"\\\",\\\"show_email_icon\\\":\\\"\\\",\\\"show_vote\\\":\\\"\\\",\\\"show_hits\\\":\\\"\\\",\\\"show_noauth\\\":\\\"\\\",\\\"urls_position\\\":\\\"\\\",\\\"alternative_readmore\\\":\\\"\\\",\\\"article_layout\\\":\\\"\\\",\\\"show_publishing_options\\\":\\\"\\\",\\\"show_article_options\\\":\\\"\\\",\\\"show_urls_images_backend\\\":\\\"\\\",\\\"show_urls_images_frontend\\\":\\\"\\\"}\",\"version\":1,\"ordering\":null,\"metakey\":\"\",\"metadesc\":\"\",\"access\":\"1\",\"hits\":null,\"metadata\":\"{\\\"robots\\\":\\\"\\\",\\\"author\\\":\\\"\\\",\\\"rights\\\":\\\"\\\",\\\"xreference\\\":\\\"\\\"}\",\"featured\":\"0\",\"language\":\"*\",\"xreference\":\"\"}', '0');

DROP TABLE IF EXISTS `lo1t2_update_sites`;
CREATE TABLE `lo1t2_update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` text NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8 COMMENT='Update Sites';

INSERT INTO lo1t2_update_sites
(`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES 
('1', 'Joomla! Core', 'collection', 'http://update.joomla.org/core/list.xml', '1', '1421805506', ''),
('2', 'Joomla! Extension Directory', 'collection', 'http://update.joomla.org/jed/list.xml', '1', '1421805506', ''),
('3', 'Accredited Joomla! Translations', 'collection', 'http://update.joomla.org/language/translationlist_3.xml', '1', '0', ''),
('4', 'Joomla! Update Component Update Site', 'extension', 'http://update.joomla.org/core/extensions/com_joomlaupdate.xml', '1', '0', ''),
('5', 'imageshow', 'collection', 'http://localhost/time-free/administrator/index.php?option=com_imageshow&task=checkUpdate&file=update.xml', '1', '0', ''),
('6', 'poweradmin', 'collection', 'http://localhost/time-free/administrator/index.php?option=com_poweradmin&task=checkUpdate&file=update.xml', '1', '0', ''),
('7', 'uniform', 'collection', 'http://localhost/time-free/administrator/index.php?option=com_uniform&task=checkUpdate&file=update.xml', '1', '0', ''),
('8', 'mobilize', 'collection', 'http://localhost/time-free/administrator/index.php?option=com_mobilize&task=checkUpdate&file=update.xml', '1', '0', '');

DROP TABLE IF EXISTS `lo1t2_update_sites_extensions`;
CREATE TABLE `lo1t2_update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Links extensions to update sites';

INSERT INTO lo1t2_update_sites_extensions
(`update_site_id`, `extension_id`) VALUES 
('1', '700'),
('2', '700'),
('3', '600'),
('4', '28'),
('5', '10003'),
('6', '10016'),
('7', '10024'),
('8', '10028');

DROP TABLE IF EXISTS `lo1t2_updates`;
CREATE TABLE `lo1t2_updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` text NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` text NOT NULL,
  `detailsurl` text NOT NULL,
  `infourl` text NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Available Updates';

DROP TABLE IF EXISTS `lo1t2_user_keys`;
CREATE TABLE `lo1t2_user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(255) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(255) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_user_notes`;
CREATE TABLE `lo1t2_user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` text NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `lo1t2_user_profiles`;
CREATE TABLE `lo1t2_user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Simple user profile storage table';

DROP TABLE IF EXISTS `lo1t2_user_usergroup_map`;
CREATE TABLE `lo1t2_user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_user_usergroup_map
(`user_id`, `group_id`) VALUES 
('940', '8');

DROP TABLE IF EXISTS `lo1t2_usergroups`;
CREATE TABLE `lo1t2_usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`) USING BTREE
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_usergroups
(`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES 
('1', '0', '1', '18', 'Public'),
('2', '1', '8', '15', 'Registered'),
('3', '2', '9', '14', 'Author'),
('4', '3', '10', '13', 'Editor'),
('5', '4', '11', '12', 'Publisher'),
('6', '1', '4', '7', 'Manager'),
('7', '6', '5', '6', 'Administrator'),
('8', '1', '16', '17', 'Super Users'),
('9', '1', '2', '3', 'Guest');

DROP TABLE IF EXISTS `lo1t2_users`;
CREATE TABLE `lo1t2_users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_name` (`name`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`)
) ENGINE=InnoDB AUTO_INCREMENT=941 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_users
(`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES 
('940', 'Super User', 'admin', 'phicuong2411@gmail.com', '$2y$10$xl8h173Q6eMZo4IEAV05NupD2.XwZH/vEsIgCetvfcypDWT5dq04i', '0', '1', '2015-01-21 01:58:12', '2015-01-21 01:58:21', '0', '', '0000-00-00 00:00:00', '0', '', '', '0');

DROP TABLE IF EXISTS `lo1t2_viewlevels`;
CREATE TABLE `lo1t2_viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_viewlevels
(`id`, `title`, `ordering`, `rules`) VALUES 
('1', 'Public', '0', '[1]'),
('2', 'Registered', '1', '[6,2,8]'),
('3', 'Special', '2', '[6,3,8]'),
('5', 'Guest', '0', '[9]'),
('6', 'Super Users', '0', '[8]');

DROP TABLE IF EXISTS `lo1t2_weblinks`;
CREATE TABLE `lo1t2_weblinks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `catid` int(11) NOT NULL DEFAULT '0',
  `title` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(255) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL DEFAULT '',
  `url` varchar(250) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `hits` int(11) NOT NULL DEFAULT '0',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` text NOT NULL,
  `metadesc` text NOT NULL,
  `metadata` text NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if link is featured.',
  `xreference` varchar(50) NOT NULL COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `images` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO lo1t2_weblinks
(`id`, `catid`, `title`, `alias`, `url`, `description`, `hits`, `state`, `checked_out`, `checked_out_time`, `ordering`, `access`, `params`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `images`) VALUES 
('1', '32', 'Joomla!', 'joomla', 'http://www.joomla.org', '<p>Home of Joomla!</p>', '5', '1', '0', '0000-00-00 00:00:00', '1', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('2', '33', 'php.net', 'php', 'http://www.php.net', '<p>The language that Joomla! is developed in</p>', '6', '1', '0', '0000-00-00 00:00:00', '1', '1', '{\"target\":\"\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('3', '33', 'MySQL', 'mysql', 'http://www.mysql.com', '<p>The database that Joomla! uses</p>', '1', '1', '0', '0000-00-00 00:00:00', '2', '1', '{\"target\":\"\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('4', '32', 'OpenSourceMatters', 'opensourcematters', 'http://www.opensourcematters.org', '<p>Home of OSM</p>', '11', '1', '0', '0000-00-00 00:00:00', '3', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('5', '32', 'Joomla! - Forums', 'joomla-forums', 'http://forum.joomla.org', '<p>Joomla! Forums</p>', '4', '1', '0', '0000-00-00 00:00:00', '2', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('6', '33', 'Ohloh Tracking of Joomla!', 'ohloh-tracking-of-joomla', 'http://www.ohloh.net/projects/20', '<p>Objective reports from Ohloh about Joomla\'s development activity. Joomla! has some star developers with serious kudos.</p>', '2', '1', '0', '0000-00-00 00:00:00', '3', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('7', '31', 'Baw Baw National Park', 'baw-baw-national-park', 'http://www.parkweb.vic.gov.au/1park_display.cfm?park=44', '<p>Park of the Austalian Alps National Parks system, Baw BawÂ  features sub alpine vegetation, beautiful views, and opportunities for hiking, skiing and other outdoor activities.</p>', '0', '1', '0', '0000-00-00 00:00:00', '1', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('8', '31', 'Kakadu', 'kakadu', 'http://www.environment.gov.au/parks/kakadu/index.html', '<p>Kakadu is known for both its cultural heritage and its natural features. It is one of a small number of places listed as World Heritage Places for both reasons. Extensive rock art is found there.</p>', '0', '1', '0', '0000-00-00 00:00:00', '2', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '1', ''),
('9', '31', 'Pulu Keeling', 'pulu-keeling', 'http://www.environment.gov.au/parks/cocos/index.html', '<p>Located on an atoll 2000 kilometers north of Perth, Pulu Keeling is Australia\'s smallest national park.</p>', '0', '1', '0', '0000-00-00 00:00:00', '3', '1', '{\"target\":\"0\",\"count_clicks\":\"\"}', 'en-GB', '2011-01-01 00:00:01', '0', '', '2011-01-01 00:00:01', '42', '', '', '{\"robots\":\"\",\"author\":\"\",\"rights\":\"\"}', '0', '', '2010-07-10 23:44:03', '0000-00-00 00:00:00', '1', '');